#include "array-1-server.h"

void flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data)
{
  flick_fluke_encode_new_glob(64);
  flick_fluke_encode_new_chunk(64);
  flick_fluke_encode_bcopy(0, *_data, 4 * 16);
  flick_fluke_encode_end_chunk(64);
  flick_fluke_encode_end_glob(64);
}

void flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned8_t _t0_array_length;

  _t0_array_length = 16;
  flick_fluke_decode_new_glob(64);
  flick_fluke_decode_new_chunk(64);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t0_array_length);
  flick_fluke_decode_end_chunk(64);
  flick_fluke_decode_end_glob(64);
}

void flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data)
{
  flick_fluke_encode_new_glob(128);
  flick_fluke_encode_new_chunk(128);
  flick_fluke_encode_bcopy(0, *_data, 4 * 32);
  flick_fluke_encode_end_chunk(128);
  flick_fluke_encode_end_glob(128);
}

void flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned8_t _t1_array_length;

  _t1_array_length = 32;
  flick_fluke_decode_new_glob(128);
  flick_fluke_decode_new_chunk(128);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t1_array_length);
  flick_fluke_decode_end_chunk(128);
  flick_fluke_decode_end_glob(128);
}

void flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data)
{
  flick_fluke_encode_new_glob(256);
  flick_fluke_encode_new_chunk(256);
  flick_fluke_encode_bcopy(0, *_data, 4 * 64);
  flick_fluke_encode_end_chunk(256);
  flick_fluke_encode_end_glob(256);
}

void flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned8_t _t2_array_length;

  _t2_array_length = 64;
  flick_fluke_decode_new_glob(256);
  flick_fluke_decode_new_chunk(256);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t2_array_length);
  flick_fluke_decode_end_chunk(256);
  flick_fluke_decode_end_glob(256);
}

void flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data)
{
  flick_fluke_encode_new_glob(512);
  flick_fluke_encode_new_chunk(512);
  flick_fluke_encode_bcopy(0, *_data, 4 * 128);
  flick_fluke_encode_end_chunk(512);
  flick_fluke_encode_end_glob(512);
}

void flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned8_t _t3_array_length;

  _t3_array_length = 128;
  flick_fluke_decode_new_glob(512);
  flick_fluke_decode_new_chunk(512);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t3_array_length);
  flick_fluke_decode_end_chunk(512);
  flick_fluke_decode_end_glob(512);
}

void flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data)
{
  flick_fluke_encode_new_glob(1024);
  flick_fluke_encode_new_chunk(1024);
  flick_fluke_encode_bcopy(0, *_data, 4 * 256);
  flick_fluke_encode_end_chunk(1024);
  flick_fluke_encode_end_glob(1024);
}

void flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned16_t _t4_array_length;

  _t4_array_length = 256;
  flick_fluke_decode_new_glob(1024);
  flick_fluke_decode_new_chunk(1024);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t4_array_length);
  flick_fluke_decode_end_chunk(1024);
  flick_fluke_decode_end_glob(1024);
}

void flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data)
{
  flick_fluke_encode_new_glob(2048);
  flick_fluke_encode_new_chunk(2048);
  flick_fluke_encode_bcopy(0, *_data, 4 * 512);
  flick_fluke_encode_end_chunk(2048);
  flick_fluke_encode_end_glob(2048);
}

void flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned16_t _t5_array_length;

  _t5_array_length = 512;
  flick_fluke_decode_new_glob(2048);
  flick_fluke_decode_new_chunk(2048);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t5_array_length);
  flick_fluke_decode_end_chunk(2048);
  flick_fluke_decode_end_glob(2048);
}

void flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data)
{
  flick_fluke_encode_new_glob(4096);
  flick_fluke_encode_new_chunk(4096);
  flick_fluke_encode_bcopy(0, *_data, 4 * 1024);
  flick_fluke_encode_end_chunk(4096);
  flick_fluke_encode_end_glob(4096);
}

void flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned16_t _t6_array_length;

  _t6_array_length = 1024;
  flick_fluke_decode_new_glob(4096);
  flick_fluke_decode_new_chunk(4096);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t6_array_length);
  flick_fluke_decode_end_chunk(4096);
  flick_fluke_decode_end_glob(4096);
}

void flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data)
{
  flick_fluke_encode_new_glob(8192);
  flick_fluke_encode_new_chunk(8192);
  flick_fluke_encode_bcopy(0, *_data, 4 * 2048);
  flick_fluke_encode_end_chunk(8192);
  flick_fluke_encode_end_glob(8192);
}

void flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned16_t _t7_array_length;

  _t7_array_length = 2048;
  flick_fluke_decode_new_glob(8192);
  flick_fluke_decode_new_chunk(8192);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t7_array_length);
  flick_fluke_decode_end_chunk(8192);
  flick_fluke_decode_end_glob(8192);
}

void flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data)
{
  flick_fluke_encode_new_glob(4 * 4096);
  flick_fluke_encode_new_chunk(16384);
  flick_fluke_encode_bcopy(0, *_data, 4 * 4096);
  flick_fluke_encode_end_chunk(16384);
  flick_fluke_encode_end_glob(4 * 4096);
}

void flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned16_t _t8_array_length;

  _t8_array_length = 4096;
  flick_fluke_decode_new_glob(4 * _t8_array_length);
  flick_fluke_decode_new_chunk(16384);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t8_array_length);
  flick_fluke_decode_end_chunk(16384);
  flick_fluke_decode_end_glob(4 * _t8_array_length);
}

void flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data)
{
  flick_fluke_encode_new_glob(4 * 8192);
  flick_fluke_encode_new_chunk(32768);
  flick_fluke_encode_bcopy(0, *_data, 4 * 8192);
  flick_fluke_encode_end_chunk(32768);
  flick_fluke_encode_end_glob(4 * 8192);
}

void flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned16_t _t9_array_length;

  _t9_array_length = 8192;
  flick_fluke_decode_new_glob(4 * _t9_array_length);
  flick_fluke_decode_new_chunk(32768);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t9_array_length);
  flick_fluke_decode_end_chunk(32768);
  flick_fluke_decode_end_glob(4 * _t9_array_length);
}

void flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data)
{
  flick_fluke_encode_new_glob(4 * 16384);
  flick_fluke_encode_new_chunk(65536);
  flick_fluke_encode_bcopy(0, *_data, 4 * 16384);
  flick_fluke_encode_end_chunk(65536);
  flick_fluke_encode_end_glob(4 * 16384);
}

void flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned16_t _t10_array_length;

  _t10_array_length = 16384;
  flick_fluke_decode_new_glob(4 * _t10_array_length);
  flick_fluke_decode_new_chunk(65536);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t10_array_length);
  flick_fluke_decode_end_chunk(65536);
  flick_fluke_decode_end_glob(4 * _t10_array_length);
}

mom_dispatch_action_t prog_1234(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t23_switch_tag;

    flick_fluke_decode_new_glob(4100);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t23_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t23_switch_tag)
      {
      case (signed int) 1:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            flick_unsigned8_t _t24_array_length;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t24_array_length = 16;
            flick_fluke_decode_new_chunk(64);
            flick_fluke_decode_msgptr(0, _local_arg);
            flick_fluke_decode_end_chunk(64);
            flick_fluke_decode_end_glob(4100);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = op64_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 2:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            flick_unsigned8_t _t25_array_length;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t25_array_length = 32;
            flick_fluke_decode_new_chunk(128);
            flick_fluke_decode_msgptr(0, _local_arg);
            flick_fluke_decode_end_chunk(128);
            flick_fluke_decode_end_glob(4100);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = op128_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 3:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            flick_unsigned8_t _t26_array_length;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t26_array_length = 64;
            flick_fluke_decode_new_chunk(256);
            flick_fluke_decode_msgptr(0, _local_arg);
            flick_fluke_decode_end_chunk(256);
            flick_fluke_decode_end_glob(4100);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = op256_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 4:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            flick_unsigned8_t _t27_array_length;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t27_array_length = 128;
            flick_fluke_decode_new_chunk(512);
            flick_fluke_decode_msgptr(0, _local_arg);
            flick_fluke_decode_end_chunk(512);
            flick_fluke_decode_end_glob(4100);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = op512_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            flick_unsigned16_t _t28_array_length;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t28_array_length = 256;
            flick_fluke_decode_new_chunk(1024);
            flick_fluke_decode_msgptr(0, _local_arg);
            flick_fluke_decode_end_chunk(1024);
            flick_fluke_decode_end_glob(4100);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = op1k_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 6:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            flick_unsigned16_t _t29_array_length;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t29_array_length = 512;
            flick_fluke_decode_new_chunk(2048);
            flick_fluke_decode_msgptr(0, _local_arg);
            flick_fluke_decode_end_chunk(2048);
            flick_fluke_decode_end_glob(4100);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = op2k_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 7:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            flick_unsigned16_t _t30_array_length;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t30_array_length = 1024;
            flick_fluke_decode_new_chunk(4096);
            flick_fluke_decode_msgptr(0, _local_arg);
            flick_fluke_decode_end_chunk(4096);
            flick_fluke_decode_end_glob(4100);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = op4k_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 8:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            flick_unsigned16_t _t31_array_length;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t31_array_length = 2048;
            flick_fluke_decode_end_glob(4100);
            flick_fluke_decode_new_glob(8192);
            flick_fluke_decode_new_chunk(8192);
            flick_fluke_decode_msgptr(0, _local_arg);
            flick_fluke_decode_end_chunk(8192);
            flick_fluke_decode_end_glob(8192);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = op8k_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 9:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            flick_unsigned16_t _t32_array_length;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t32_array_length = 4096;
            flick_fluke_decode_end_glob(4100);
            flick_fluke_decode_new_glob(4 * _t32_array_length);
            flick_fluke_decode_new_chunk(16384);
            flick_fluke_decode_msgptr(0, _local_arg);
            flick_fluke_decode_end_chunk(16384);
            flick_fluke_decode_end_glob(4 * _t32_array_length);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = op16k_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 10:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            flick_unsigned16_t _t33_array_length;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t33_array_length = 8192;
            flick_fluke_decode_end_glob(4100);
            flick_fluke_decode_new_glob(4 * _t33_array_length);
            flick_fluke_decode_new_chunk(32768);
            flick_fluke_decode_msgptr(0, _local_arg);
            flick_fluke_decode_end_chunk(32768);
            flick_fluke_decode_end_glob(4 * _t33_array_length);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = op32k_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 11:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            flick_unsigned16_t _t34_array_length;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t34_array_length = 16384;
            flick_fluke_decode_end_glob(4100);
            flick_fluke_decode_new_glob(4 * _t34_array_length);
            flick_fluke_decode_new_chunk(65536);
            flick_fluke_decode_msgptr(0, _local_arg);
            flick_fluke_decode_end_chunk(65536);
            flick_fluke_decode_end_glob(4 * _t34_array_length);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = op64k_1234(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(4100);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
