#include "simple2-client.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_s32_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
}

oskit_s32_t simple_op(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_simple_op);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a);
    flick_fluke_encode_signed32(8, *c);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_port32(4, *b, 1);
          flick_fluke_decode_signed32(8, *c);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t simple2_op2(mom_ref_t _obj, oskit_s32_t a, const mom_ref_t b, mom_ref_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_simple2_op2);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a);
    flick_fluke_encode_port32(8, b, 0);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_port32(4, *c, 1);
          flick_fluke_decode_end_chunk(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(12);
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t simple2_op(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_simple_op);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a);
    flick_fluke_encode_signed32(8, *c);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_port32(4, *b, 1);
          flick_fluke_decode_signed32(8, *c);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

void flick_marshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, const simple3_OVERFLOW *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->a);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_longstring(_data->msg, null_flick_free, fluke);
}

void flick_unmarshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->a);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_longstring(_data->msg, mom_flick_alloc, fluke);
}

void flick_marshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, const simple3_UNDERFLOW *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->b);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_longstring(_data->msg, null_flick_free, fluke);
}

void flick_unmarshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->b);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_longstring(_data->msg, mom_flick_alloc, fluke);
}

void flick_marshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, const simple3_BADNUM *_data)
{
  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4 + 4 * _data->c._length);
  flick_fluke_encode_unsigned32(0, _data->c._length);
  flick_fluke_encode_bcopy(4, _data->c._buffer, 4 * _data->c._length);
  flick_fluke_encode_end_chunk(4 + 4 * _data->c._length);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->c._length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(4 * _data->c._length);
  _data->c._buffer = mom_flick_alloc(_data->c._length * sizeof(oskit_s32_t ));
  flick_fluke_decode_bcopy(0, _data->c._buffer, 4 * _data->c._length);
  flick_fluke_decode_end_chunk(4 * _data->c._length);
  flick_fluke_decode_end_glob(44);
}

void flick_marshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, const simple3_USERERROR *_data)
{
  flick_fluke_encode_longstring(_data->reason, null_flick_free, fluke);
}

void flick_unmarshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_fluke_decode_longstring(_data->reason, mom_flick_alloc, fluke);
}

oskit_s32_t simple3_op3(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, mom_ref_t *c, mom_ref_t *d, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_simple3_op3);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(48);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_port32(4, *b, 1);
          flick_fluke_decode_port32(8, *c, 1);
          flick_fluke_decode_port32(12, *d, 1);
          flick_fluke_decode_end_chunk(16);
          flick_fluke_decode_end_glob(48);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          flick_fluke_decode_end_glob(48);
          break;
        }
      default:
        {
          switch (_ev->_type)
            {
            case exc_simple3_OVERFLOW:
              {
                (simple3_OVERFLOW *)(_ev->_except) = mom_flick_alloc(sizeof(simple3_OVERFLOW ));
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, ((simple3_OVERFLOW *)(_ev->_except))->a);
                flick_fluke_decode_end_chunk(4);
                flick_fluke_decode_end_glob(48);
                flick_fluke_decode_longstring(((simple3_OVERFLOW *)(_ev->_except))->msg, mom_flick_alloc, fluke);
                break;
              }
            case exc_simple3_UNDERFLOW:
              {
                (simple3_UNDERFLOW *)(_ev->_except) = mom_flick_alloc(sizeof(simple3_UNDERFLOW ));
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b);
                flick_fluke_decode_end_chunk(4);
                flick_fluke_decode_end_glob(48);
                flick_fluke_decode_longstring(((simple3_UNDERFLOW *)(_ev->_except))->msg, mom_flick_alloc, fluke);
                break;
              }
            case exc_simple3_BADNUM:
              {
                (simple3_BADNUM *)(_ev->_except) = mom_flick_alloc(sizeof(simple3_BADNUM ));
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_unsigned32(0, ((simple3_BADNUM *)(_ev->_except))->c._length);
                flick_fluke_decode_end_chunk(4);
                flick_fluke_decode_new_chunk(4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                ((simple3_BADNUM *)(_ev->_except))->c._buffer = mom_flick_alloc(((simple3_BADNUM *)(_ev->_except))->c._length * sizeof(oskit_s32_t ));
                flick_fluke_decode_bcopy(0, ((simple3_BADNUM *)(_ev->_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                flick_fluke_decode_end_chunk(4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                flick_fluke_decode_end_glob(48);
                break;
              }
            default:
              {
                flick_mom_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, fluke, fluke);
                flick_fluke_decode_end_glob(48);
                break;
              }
            }
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char *simple3_op4(mom_ref_t _obj, const char *x, char **y, char **z, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_simple3_op4);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(x, null_flick_free, fluke);
    flick_fluke_encode_longstring(*y, mom_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(8);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          flick_fluke_decode_longstring(*y, mom_flick_alloc, fluke);
          flick_fluke_decode_longstring(*z, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      default:
        {
          switch (_ev->_type)
            {
            case exc_simple3_UNDERFLOW:
              {
                (simple3_UNDERFLOW *)(_ev->_except) = mom_flick_alloc(sizeof(simple3_UNDERFLOW ));
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b);
                flick_fluke_decode_end_chunk(4);
                flick_fluke_decode_end_glob(8);
                flick_fluke_decode_longstring(((simple3_UNDERFLOW *)(_ev->_except))->msg, mom_flick_alloc, fluke);
                break;
              }
            default:
              {
                flick_mom_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, fluke, fluke);
                flick_fluke_decode_end_glob(8);
                break;
              }
            }
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void simple3_op5(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_simple3_op5);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          switch (_ev->_type)
            {
            case exc_simple3_USERERROR:
              {
                (simple3_USERERROR *)(_ev->_except) = mom_flick_alloc(sizeof(simple3_USERERROR ));
                flick_fluke_decode_end_glob(4);
                flick_fluke_decode_longstring(((simple3_USERERROR *)(_ev->_except))->reason, mom_flick_alloc, fluke);
                break;
              }
            default:
              {
                flick_mom_decode_client_error(return, FLICK_ERROR_VOID_UNION, fluke, fluke);
                flick_fluke_decode_end_glob(4);
                break;
              }
            }
        }
      }
  }
  flick_fluke_client_end_decode();
}

oskit_s32_t simple3_op2(mom_ref_t _obj, oskit_s32_t a, const mom_ref_t b, mom_ref_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_simple2_op2);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a);
    flick_fluke_encode_port32(8, b, 0);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_port32(4, *c, 1);
          flick_fluke_decode_end_chunk(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(12);
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t simple3_op(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_simple_op);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a);
    flick_fluke_encode_signed32(8, *c);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_port32(4, *b, 1);
          flick_fluke_decode_signed32(8, *c);
          flick_fluke_decode_end_chunk(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(16);
  }
  flick_fluke_client_end_decode();
  return _return;
}

