#include "array-1-client.h"

void flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data)
{
  flick_iiop_encode_new_glob(64);
  flick_iiop_encode_new_chunk(64);
  flick_cdr_encode_bcopy(0, *_data, 4 * 16);
  flick_iiop_encode_end_chunk(64);
  flick_iiop_encode_end_glob(64);
}

void flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned8_t _t0_array_length;

  _t0_array_length = 16;
  flick_iiop_decode_new_glob(64);
  flick_iiop_decode_new_chunk(64);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t0_array_length);
  flick_iiop_decode_end_chunk(64);
  flick_iiop_decode_end_glob(64);
}

void flick_unmarshal_stub_data64_swap(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned8_t _t1_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t1_array_length = 16;
  flick_iiop_decode_new_glob(64);
  for (_t2_array_iter = 0; _t2_array_iter < _t1_array_length; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t2_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(64);
}

void flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data)
{
  flick_iiop_encode_new_glob(128);
  flick_iiop_encode_new_chunk(128);
  flick_cdr_encode_bcopy(0, *_data, 4 * 32);
  flick_iiop_encode_end_chunk(128);
  flick_iiop_encode_end_glob(128);
}

void flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned8_t _t3_array_length;

  _t3_array_length = 32;
  flick_iiop_decode_new_glob(128);
  flick_iiop_decode_new_chunk(128);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t3_array_length);
  flick_iiop_decode_end_chunk(128);
  flick_iiop_decode_end_glob(128);
}

void flick_unmarshal_stub_data128_swap(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned8_t _t4_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t4_array_length = 32;
  flick_iiop_decode_new_glob(128);
  for (_t5_array_iter = 0; _t5_array_iter < _t4_array_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(128);
}

void flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data)
{
  flick_iiop_encode_new_glob(256);
  flick_iiop_encode_new_chunk(256);
  flick_cdr_encode_bcopy(0, *_data, 4 * 64);
  flick_iiop_encode_end_chunk(256);
  flick_iiop_encode_end_glob(256);
}

void flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned8_t _t6_array_length;

  _t6_array_length = 64;
  flick_iiop_decode_new_glob(256);
  flick_iiop_decode_new_chunk(256);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t6_array_length);
  flick_iiop_decode_end_chunk(256);
  flick_iiop_decode_end_glob(256);
}

void flick_unmarshal_stub_data256_swap(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned8_t _t7_array_length;
  flick_unsigned8_t _t8_array_iter;

  _t7_array_length = 64;
  flick_iiop_decode_new_glob(256);
  for (_t8_array_iter = 0; _t8_array_iter < _t7_array_length; _t8_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t8_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(256);
}

void flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data)
{
  flick_iiop_encode_new_glob(512);
  flick_iiop_encode_new_chunk(512);
  flick_cdr_encode_bcopy(0, *_data, 4 * 128);
  flick_iiop_encode_end_chunk(512);
  flick_iiop_encode_end_glob(512);
}

void flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned8_t _t9_array_length;

  _t9_array_length = 128;
  flick_iiop_decode_new_glob(512);
  flick_iiop_decode_new_chunk(512);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t9_array_length);
  flick_iiop_decode_end_chunk(512);
  flick_iiop_decode_end_glob(512);
}

void flick_unmarshal_stub_data512_swap(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned8_t _t10_array_length;
  flick_unsigned8_t _t11_array_iter;

  _t10_array_length = 128;
  flick_iiop_decode_new_glob(512);
  for (_t11_array_iter = 0; _t11_array_iter < _t10_array_length; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t11_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(512);
}

void flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data)
{
  flick_iiop_encode_new_glob(1024);
  flick_iiop_encode_new_chunk(1024);
  flick_cdr_encode_bcopy(0, *_data, 4 * 256);
  flick_iiop_encode_end_chunk(1024);
  flick_iiop_encode_end_glob(1024);
}

void flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned16_t _t12_array_length;

  _t12_array_length = 256;
  flick_iiop_decode_new_glob(1024);
  flick_iiop_decode_new_chunk(1024);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t12_array_length);
  flick_iiop_decode_end_chunk(1024);
  flick_iiop_decode_end_glob(1024);
}

void flick_unmarshal_stub_data1K_swap(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned16_t _t13_array_length;
  flick_unsigned16_t _t14_array_iter;

  _t13_array_length = 256;
  flick_iiop_decode_new_glob(1024);
  for (_t14_array_iter = 0; _t14_array_iter < _t13_array_length; _t14_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t14_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(1024);
}

void flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data)
{
  flick_iiop_encode_new_glob(2048);
  flick_iiop_encode_new_chunk(2048);
  flick_cdr_encode_bcopy(0, *_data, 4 * 512);
  flick_iiop_encode_end_chunk(2048);
  flick_iiop_encode_end_glob(2048);
}

void flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned16_t _t15_array_length;

  _t15_array_length = 512;
  flick_iiop_decode_new_glob(2048);
  flick_iiop_decode_new_chunk(2048);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t15_array_length);
  flick_iiop_decode_end_chunk(2048);
  flick_iiop_decode_end_glob(2048);
}

void flick_unmarshal_stub_data2K_swap(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned16_t _t16_array_length;
  flick_unsigned16_t _t17_array_iter;

  _t16_array_length = 512;
  flick_iiop_decode_new_glob(2048);
  for (_t17_array_iter = 0; _t17_array_iter < _t16_array_length; _t17_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t17_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(2048);
}

void flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data)
{
  flick_iiop_encode_new_glob(4096);
  flick_iiop_encode_new_chunk(4096);
  flick_cdr_encode_bcopy(0, *_data, 4 * 1024);
  flick_iiop_encode_end_chunk(4096);
  flick_iiop_encode_end_glob(4096);
}

void flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned16_t _t18_array_length;

  _t18_array_length = 1024;
  flick_iiop_decode_new_glob(4096);
  flick_iiop_decode_new_chunk(4096);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t18_array_length);
  flick_iiop_decode_end_chunk(4096);
  flick_iiop_decode_end_glob(4096);
}

void flick_unmarshal_stub_data4K_swap(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned16_t _t19_array_length;
  flick_unsigned16_t _t20_array_iter;

  _t19_array_length = 1024;
  flick_iiop_decode_new_glob(4096);
  for (_t20_array_iter = 0; _t20_array_iter < _t19_array_length; _t20_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t20_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4096);
}

void flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data)
{
  flick_iiop_encode_new_glob(8192);
  flick_iiop_encode_new_chunk(8192);
  flick_cdr_encode_bcopy(0, *_data, 4 * 2048);
  flick_iiop_encode_end_chunk(8192);
  flick_iiop_encode_end_glob(8192);
}

void flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned16_t _t21_array_length;

  _t21_array_length = 2048;
  flick_iiop_decode_new_glob(8192);
  flick_iiop_decode_new_chunk(8192);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t21_array_length);
  flick_iiop_decode_end_chunk(8192);
  flick_iiop_decode_end_glob(8192);
}

void flick_unmarshal_stub_data8K_swap(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned16_t _t22_array_length;
  flick_unsigned16_t _t23_array_iter;

  _t22_array_length = 2048;
  flick_iiop_decode_new_glob(8192);
  for (_t23_array_iter = 0; _t23_array_iter < _t22_array_length; _t23_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t23_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(8192);
}

void flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data)
{
  flick_iiop_encode_new_glob(4 * 4096);
  flick_iiop_encode_new_chunk(16384);
  flick_cdr_encode_bcopy(0, *_data, 4 * 4096);
  flick_iiop_encode_end_chunk(16384);
  flick_iiop_encode_end_glob(4 * 4096);
}

void flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned16_t _t24_array_length;

  _t24_array_length = 4096;
  flick_iiop_decode_new_glob(4 * _t24_array_length);
  flick_iiop_decode_new_chunk(16384);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t24_array_length);
  flick_iiop_decode_end_chunk(16384);
  flick_iiop_decode_end_glob(4 * _t24_array_length);
}

void flick_unmarshal_stub_data16K_swap(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned16_t _t25_array_length;
  flick_unsigned16_t _t26_array_iter;

  _t25_array_length = 4096;
  flick_iiop_decode_new_glob(4 * _t25_array_length);
  for (_t26_array_iter = 0; _t26_array_iter < _t25_array_length; _t26_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t26_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _t25_array_length);
}

void flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data)
{
  flick_iiop_encode_new_glob(4 * 8192);
  flick_iiop_encode_new_chunk(32768);
  flick_cdr_encode_bcopy(0, *_data, 4 * 8192);
  flick_iiop_encode_end_chunk(32768);
  flick_iiop_encode_end_glob(4 * 8192);
}

void flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned16_t _t27_array_length;

  _t27_array_length = 8192;
  flick_iiop_decode_new_glob(4 * _t27_array_length);
  flick_iiop_decode_new_chunk(32768);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t27_array_length);
  flick_iiop_decode_end_chunk(32768);
  flick_iiop_decode_end_glob(4 * _t27_array_length);
}

void flick_unmarshal_stub_data32K_swap(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned16_t _t28_array_length;
  flick_unsigned16_t _t29_array_iter;

  _t28_array_length = 8192;
  flick_iiop_decode_new_glob(4 * _t28_array_length);
  for (_t29_array_iter = 0; _t29_array_iter < _t28_array_length; _t29_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t29_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _t28_array_length);
}

void flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data)
{
  flick_iiop_encode_new_glob(4 * 16384);
  flick_iiop_encode_new_chunk(65536);
  flick_cdr_encode_bcopy(0, *_data, 4 * 16384);
  flick_iiop_encode_end_chunk(65536);
  flick_iiop_encode_end_glob(4 * 16384);
}

void flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned16_t _t30_array_length;

  _t30_array_length = 16384;
  flick_iiop_decode_new_glob(4 * _t30_array_length);
  flick_iiop_decode_new_chunk(65536);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t30_array_length);
  flick_iiop_decode_end_chunk(65536);
  flick_iiop_decode_end_glob(4 * _t30_array_length);
}

void flick_unmarshal_stub_data64K_swap(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned16_t _t31_array_length;
  flick_unsigned16_t _t32_array_iter;

  _t31_array_length = 16384;
  flick_iiop_decode_new_glob(4 * _t31_array_length);
  for (_t32_array_iter = 0; _t32_array_iter < _t31_array_length; _t32_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t32_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _t31_array_length);
}

int *op64_1234(data64 arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(72);
    flick_iiop_encode_new_chunk(72);
    flick_cdr_encode_unsigned32(0, 1);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, arg, 4 * 16);
    flick_iiop_encode_end_chunk(72);
    flick_iiop_encode_end_glob(72);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t36_storage;

            /* Begin decode phase on parameters */
            _return = &_t36_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t34_storage;

            /* Begin decode phase on parameters */
            _return = &_t34_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *op128_1234(data128 arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(136);
    flick_iiop_encode_new_chunk(136);
    flick_cdr_encode_unsigned32(0, 2);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, arg, 4 * 32);
    flick_iiop_encode_end_chunk(136);
    flick_iiop_encode_end_glob(136);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t40_storage;

            /* Begin decode phase on parameters */
            _return = &_t40_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t38_storage;

            /* Begin decode phase on parameters */
            _return = &_t38_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *op256_1234(data256 arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(264);
    flick_iiop_encode_new_chunk(264);
    flick_cdr_encode_unsigned32(0, 3);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, arg, 4 * 64);
    flick_iiop_encode_end_chunk(264);
    flick_iiop_encode_end_glob(264);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t44_storage;

            /* Begin decode phase on parameters */
            _return = &_t44_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t42_storage;

            /* Begin decode phase on parameters */
            _return = &_t42_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *op512_1234(data512 arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(520);
    flick_iiop_encode_new_chunk(520);
    flick_cdr_encode_unsigned32(0, 4);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, arg, 4 * 128);
    flick_iiop_encode_end_chunk(520);
    flick_iiop_encode_end_glob(520);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t48_storage;

            /* Begin decode phase on parameters */
            _return = &_t48_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t46_storage;

            /* Begin decode phase on parameters */
            _return = &_t46_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *op1k_1234(data1K arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(1032);
    flick_iiop_encode_new_chunk(1032);
    flick_cdr_encode_unsigned32(0, 5);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, arg, 4 * 256);
    flick_iiop_encode_end_chunk(1032);
    flick_iiop_encode_end_glob(1032);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t52_storage;

            /* Begin decode phase on parameters */
            _return = &_t52_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t50_storage;

            /* Begin decode phase on parameters */
            _return = &_t50_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *op2k_1234(data2K arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(2056);
    flick_iiop_encode_new_chunk(2056);
    flick_cdr_encode_unsigned32(0, 6);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, arg, 4 * 512);
    flick_iiop_encode_end_chunk(2056);
    flick_iiop_encode_end_glob(2056);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t56_storage;

            /* Begin decode phase on parameters */
            _return = &_t56_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t54_storage;

            /* Begin decode phase on parameters */
            _return = &_t54_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *op4k_1234(data4K arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(4104);
    flick_iiop_encode_new_chunk(4104);
    flick_cdr_encode_unsigned32(0, 7);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, arg, 4 * 1024);
    flick_iiop_encode_end_chunk(4104);
    flick_iiop_encode_end_glob(4104);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t60_storage;

            /* Begin decode phase on parameters */
            _return = &_t60_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t58_storage;

            /* Begin decode phase on parameters */
            _return = &_t58_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *op8k_1234(data8K arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_unsigned32(0, 8);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_iiop_encode_new_glob(8192);
    flick_iiop_encode_new_chunk(8192);
    flick_cdr_encode_bcopy(0, arg, 4 * 2048);
    flick_iiop_encode_end_chunk(8192);
    flick_iiop_encode_end_glob(8192);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t64_storage;

            /* Begin decode phase on parameters */
            _return = &_t64_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t62_storage;

            /* Begin decode phase on parameters */
            _return = &_t62_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *op16k_1234(data16K arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_unsigned32(0, 9);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_iiop_encode_new_glob(4 * 4096);
    flick_iiop_encode_new_chunk(16384);
    flick_cdr_encode_bcopy(0, arg, 4 * 4096);
    flick_iiop_encode_end_chunk(16384);
    flick_iiop_encode_end_glob(4 * 4096);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t68_storage;

            /* Begin decode phase on parameters */
            _return = &_t68_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t66_storage;

            /* Begin decode phase on parameters */
            _return = &_t66_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *op32k_1234(data32K arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_unsigned32(0, 10);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_iiop_encode_new_glob(4 * 8192);
    flick_iiop_encode_new_chunk(32768);
    flick_cdr_encode_bcopy(0, arg, 4 * 8192);
    flick_iiop_encode_end_chunk(32768);
    flick_iiop_encode_end_glob(4 * 8192);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t72_storage;

            /* Begin decode phase on parameters */
            _return = &_t72_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t70_storage;

            /* Begin decode phase on parameters */
            _return = &_t70_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *op64k_1234(data64K arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_unsigned32(0, 11);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_iiop_encode_new_glob(4 * 16384);
    flick_iiop_encode_new_chunk(65536);
    flick_cdr_encode_bcopy(0, arg, 4 * 16384);
    flick_iiop_encode_end_chunk(65536);
    flick_iiop_encode_end_glob(4 * 16384);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t76_storage;

            /* Begin decode phase on parameters */
            _return = &_t76_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t74_storage;

            /* Begin decode phase on parameters */
            _return = &_t74_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

