#include "arrayez_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, const arrays_arr8 *_data)
{
  flick_iiop_encode_new_glob(32);
  flick_iiop_encode_new_chunk(32);
  flick_cdr_encode_bcopy(0, *_data, 4 * 8);
  flick_iiop_encode_end_chunk(32);
  flick_iiop_encode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned8_t _t0_array_length;

  _t0_array_length = 8;
  flick_iiop_decode_new_glob(32);
  flick_iiop_decode_new_chunk(32);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t0_array_length);
  flick_iiop_decode_end_chunk(32);
  flick_iiop_decode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8_swap(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned8_t _t1_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t1_array_length = 8;
  flick_iiop_decode_new_glob(32);
  for (_t2_array_iter = 0; _t2_array_iter < _t1_array_length; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t2_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(32);
}

void flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, const arrays_arr256 *_data)
{
  flick_iiop_encode_new_glob(1024);
  flick_iiop_encode_new_chunk(1024);
  flick_cdr_encode_bcopy(0, *_data, 4 * 256);
  flick_iiop_encode_end_chunk(1024);
  flick_iiop_encode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned16_t _t3_array_length;

  _t3_array_length = 256;
  flick_iiop_decode_new_glob(1024);
  flick_iiop_decode_new_chunk(1024);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t3_array_length);
  flick_iiop_decode_end_chunk(1024);
  flick_iiop_decode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256_swap(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned16_t _t4_array_length;
  flick_unsigned16_t _t5_array_iter;

  _t4_array_length = 256;
  flick_iiop_decode_new_glob(1024);
  for (_t5_array_iter = 0; _t5_array_iter < _t4_array_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(1024);
}

void flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, const arrays_arr8k *_data)
{
  flick_iiop_encode_new_glob(4 * 8192);
  flick_iiop_encode_new_chunk(32768);
  flick_cdr_encode_bcopy(0, *_data, 4 * 8192);
  flick_iiop_encode_end_chunk(32768);
  flick_iiop_encode_end_glob(4 * 8192);
}

void flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned16_t _t6_array_length;

  _t6_array_length = 8192;
  flick_iiop_decode_new_glob(4 * _t6_array_length);
  flick_iiop_decode_new_chunk(32768);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t6_array_length);
  flick_iiop_decode_end_chunk(32768);
  flick_iiop_decode_end_glob(4 * _t6_array_length);
}

void flick_unmarshal_stub_arrays_arr8k_swap(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned16_t _t7_array_length;
  flick_unsigned16_t _t8_array_iter;

  _t7_array_length = 8192;
  flick_iiop_decode_new_glob(4 * _t7_array_length);
  for (_t8_array_iter = 0; _t8_array_iter < _t7_array_length; _t8_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t8_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _t7_array_length);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t63_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t63_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t63_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t64_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t64_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t64_switch_tag)
            {
            case /* test */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t65_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t65_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t65_switch_tag)
                  {
                  case /* 8 */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 14336):
                    {
                      {
                        arrays _obj;
                        CORBA_long *_local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t66_principal_len;
                        flick_unsigned8_t _t67_array_length;
                        flick_unsigned8_t _t68_array_iter;
                        CORBA_Environment _t69_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t66_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t66_principal_len);
                        flick_iiop_decode_new_chunk(_t66_principal_len);
                        flick_iiop_decode_end_chunk(_t66_principal_len);
                        flick_iiop_decode_end_glob(_t66_principal_len);
                        /* Begin decode phase on parameters */
                        _t67_array_length = 8;
                        flick_iiop_decode_new_glob(56);
                        _local_a = auto_flick_alloc(_t67_array_length * sizeof(CORBA_long ));
                        for (_t68_array_iter = 0; _t68_array_iter < _t67_array_length; _t68_array_iter++)
                          {
                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t68_array_iter]);
                            flick_iiop_decode_end_chunk(4);
                          }
                        _ev = &_t69_storage;
                        flick_iiop_decode_end_glob(56);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = arrays_test8(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t70_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t70_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t70_switch_tag)
            {
            case /* test */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t71_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t71_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t71_switch_tag)
                  {
                  case /* 256 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 842348032):
                    {
                      {
                        arrays _obj;
                        CORBA_long *_local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t72_principal_len;
                        flick_unsigned16_t _t73_array_length;
                        flick_unsigned16_t _t74_array_iter;
                        CORBA_Environment _t75_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t72_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t72_principal_len);
                        flick_iiop_decode_new_chunk(_t72_principal_len);
                        flick_iiop_decode_end_chunk(_t72_principal_len);
                        flick_iiop_decode_end_glob(_t72_principal_len);
                        /* Begin decode phase on parameters */
                        _t73_array_length = 256;
                        flick_iiop_decode_new_glob(1792);
                        _local_a = auto_flick_alloc(_t73_array_length * sizeof(CORBA_long ));
                        for (_t74_array_iter = 0; _t74_array_iter < _t73_array_length; _t74_array_iter++)
                          {
                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t74_array_iter]);
                            flick_iiop_decode_end_chunk(4);
                          }
                        _ev = &_t75_storage;
                        flick_iiop_decode_end_glob(1792);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = arrays_test256(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t76_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t76_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t76_switch_tag)
            {
            case /* test */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t77_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t77_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t77_switch_tag)
                  {
                  case /* 8k */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 14443):
                    {
                      char _t78_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t78_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t78_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              CORBA_long *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t79_principal_len;
                              flick_unsigned16_t _t80_array_length;
                              flick_unsigned16_t _t81_array_iter;
                              CORBA_Environment _t82_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t79_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t79_principal_len);
                              flick_iiop_decode_new_chunk(_t79_principal_len);
                              flick_iiop_decode_end_chunk(_t79_principal_len);
                              flick_iiop_decode_end_glob(_t79_principal_len);
                              /* Begin decode phase on parameters */
                              _t80_array_length = 8192;
                              flick_iiop_decode_new_glob(7 * _t80_array_length);
                              _local_a = auto_flick_alloc(_t80_array_length * sizeof(CORBA_long ));
                              for (_t81_array_iter = 0; _t81_array_iter < _t80_array_length; _t81_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_a[_t81_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_end_glob(7 * _t80_array_length);
                              _ev = &_t82_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test8k(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t26_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t26_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t26_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t27_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t27_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t27_switch_tag)
            {
            case /* test */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t28_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t28_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t28_switch_tag)
                  {
                  case /* 8 */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 14336):
                    {
                      {
                        arrays _obj;
                        CORBA_long *_local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t29_principal_len;
                        flick_unsigned8_t _t30_array_length;
                        CORBA_Environment _t31_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t29_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t29_principal_len);
                        flick_iiop_decode_new_chunk(_t29_principal_len);
                        flick_iiop_decode_end_chunk(_t29_principal_len);
                        flick_iiop_decode_end_glob(_t29_principal_len);
                        /* Begin decode phase on parameters */
                        _t30_array_length = 8;
                        flick_iiop_decode_new_glob(35);
                        flick_iiop_decode_new_chunk_align(32, 2, 0, 0);
                        flick_cdr_decode_msgptr(0, _local_a);
                        _ev = &_t31_storage;
                        flick_iiop_decode_end_chunk(32);
                        flick_iiop_decode_end_glob(35);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = arrays_test8(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t32_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t32_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t32_switch_tag)
            {
            case /* test */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t33_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t33_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t33_switch_tag)
                  {
                  case /* 256 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 842348032):
                    {
                      {
                        arrays _obj;
                        CORBA_long *_local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t34_principal_len;
                        flick_unsigned16_t _t35_array_length;
                        CORBA_Environment _t36_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t34_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t34_principal_len);
                        flick_iiop_decode_new_chunk(_t34_principal_len);
                        flick_iiop_decode_end_chunk(_t34_principal_len);
                        flick_iiop_decode_end_glob(_t34_principal_len);
                        /* Begin decode phase on parameters */
                        _t35_array_length = 256;
                        flick_iiop_decode_new_glob(1027);
                        flick_iiop_decode_new_chunk_align(1024, 2, 0, 0);
                        flick_cdr_decode_msgptr(0, _local_a);
                        _ev = &_t36_storage;
                        flick_iiop_decode_end_chunk(1024);
                        flick_iiop_decode_end_glob(1027);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = arrays_test256(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t37_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t37_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t37_switch_tag)
            {
            case /* test */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t38_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t38_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t38_switch_tag)
                  {
                  case /* 8k */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 14443):
                    {
                      char _t39_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t39_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t39_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              CORBA_long *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t40_principal_len;
                              flick_unsigned16_t _t41_array_length;
                              CORBA_Environment _t42_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t40_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t40_principal_len);
                              flick_iiop_decode_new_chunk(_t40_principal_len);
                              flick_iiop_decode_end_chunk(_t40_principal_len);
                              flick_iiop_decode_end_glob(_t40_principal_len);
                              /* Begin decode phase on parameters */
                              _t41_array_length = 8192;
                              flick_iiop_decode_new_glob(3 + 4 * _t41_array_length);
                              flick_iiop_decode_new_chunk_align(32768, 2, 0, 0);
                              flick_cdr_decode_msgptr(0, _local_a);
                              flick_iiop_decode_end_chunk(32768);
                              flick_iiop_decode_end_glob(3 + 4 * _t41_array_length);
                              _ev = &_t42_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test8k(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
