#include "arrays-client.h"

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(5);
  flick_cdr_encode_signed32(0, _data->elem1);
  flick_cdr_encode_char8(4, _data->elem2);
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(5);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_decode_signed32(0, _data->elem1);
  flick_cdr_decode_char8(4, _data->elem2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_unmarshal_stub_end_swap(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_swap_decode_signed32(0, _data->elem1);
  flick_cdr_swap_decode_char8(4, _data->elem2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->elem1);
  flick_cdr_encode_signed32(4, _data->elem2);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->elem1);
  flick_cdr_decode_signed32(4, _data->elem2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_begin_swap(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->elem1);
  flick_cdr_swap_decode_signed32(4, _data->elem2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
  flick_iiop_encode_new_glob(216);
  flick_iiop_encode_new_chunk(204);
  flick_cdr_encode_char8(0, _data->first);
  flick_cdr_encode_bcopy(4, _data->data, 4 * 50);
  flick_iiop_encode_end_chunk(204);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(216);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t0_array_length;

  flick_iiop_decode_new_glob(216);
  flick_iiop_decode_new_chunk(204);
  flick_cdr_decode_char8(0, _data->first);
  _t0_array_length = 50;
  flick_cdr_decode_bcopy(4, _data->data, 4 * _t0_array_length);
  flick_iiop_decode_end_chunk(204);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(216);
}

void flick_unmarshal_stub_cLd_swap(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t1_array_length;
  flick_unsigned8_t _t2_array_iter;

  flick_iiop_decode_new_glob(363);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  _t1_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t2_array_iter = 0; _t2_array_iter < _t1_array_length; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t2_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(363);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
  flick_iiop_encode_new_glob(213);
  flick_iiop_encode_new_chunk_align(209, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  flick_cdr_encode_bcopy(8, _data->data, 4 * 50);
  flick_cdr_encode_char8(208, _data->last);
  flick_iiop_encode_end_chunk(209);
  flick_iiop_encode_end_glob(213);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t3_array_length;

  flick_iiop_decode_new_glob(213);
  flick_iiop_decode_new_chunk_align(209, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  _t3_array_length = 50;
  flick_cdr_decode_bcopy(8, _data->data, 4 * _t3_array_length);
  flick_cdr_decode_char8(208, _data->last);
  flick_iiop_decode_end_chunk(209);
  flick_iiop_decode_end_glob(213);
}

void flick_unmarshal_stub_dLc_swap(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t4_array_length;
  flick_unsigned8_t _t5_array_iter;

  flick_iiop_decode_new_glob(213);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  _t4_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t5_array_iter = 0; _t5_array_iter < _t4_array_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->data[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(213);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
  flick_iiop_encode_new_glob(206);
  flick_iiop_encode_new_chunk(206);
  flick_cdr_encode_signed16(0, _data->first);
  flick_cdr_encode_bcopy(4, _data->data, 4 * 50);
  flick_cdr_encode_signed16(204, _data->last);
  flick_iiop_encode_end_chunk(206);
  flick_iiop_encode_end_glob(206);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t6_array_length;

  flick_iiop_decode_new_glob(206);
  flick_iiop_decode_new_chunk(206);
  flick_cdr_decode_signed16(0, _data->first);
  _t6_array_length = 50;
  flick_cdr_decode_bcopy(4, _data->data, 4 * _t6_array_length);
  flick_cdr_decode_signed16(204, _data->last);
  flick_iiop_decode_end_chunk(206);
  flick_iiop_decode_end_glob(206);
}

void flick_unmarshal_stub_sLs_swap(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t7_array_length;
  flick_unsigned8_t _t8_array_iter;

  flick_iiop_decode_new_glob(304);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  _t7_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t8_array_iter = 0; _t8_array_iter < _t7_array_length; _t8_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t8_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(304);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t9_array_iter;

  flick_iiop_encode_new_glob(416);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first);
  flick_iiop_encode_end_chunk(1);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_iiop_encode_new_chunk(8);
      flick_cdr_encode_signed32(3, _data->data[_t9_array_iter].elem1);
      flick_cdr_encode_char8(7, _data->data[_t9_array_iter].elem2);
      flick_iiop_encode_end_chunk(8);
    }
  flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(416);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t10_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_iiop_decode_new_glob(416);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first);
  _t10_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t11_array_iter = 0; _t11_array_iter < _t10_array_length; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_decode_signed32(3, _data->data[_t11_array_iter].elem1);
      flick_cdr_decode_char8(7, _data->data[_t11_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(416);
}

void flick_unmarshal_stub_cLCd_swap(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t13_array_iter;

  flick_iiop_decode_new_glob(416);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  _t12_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t13_array_iter = 0; _t13_array_iter < _t12_array_length; _t13_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_swap_decode_signed32(3, _data->data[_t13_array_iter].elem1);
      flick_cdr_swap_decode_char8(7, _data->data[_t13_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(416);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t14_array_iter;

  flick_iiop_encode_new_glob(413);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  flick_iiop_encode_end_chunk(8);
  for (_t14_array_iter = 0; _t14_array_iter < 50; _t14_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t14_array_iter].elem1);
      flick_cdr_encode_char8(4, _data->data[_t14_array_iter].elem2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(413);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t16_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  _t15_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t16_array_iter = 0; _t16_array_iter < _t15_array_length; _t16_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t16_array_iter].elem1);
      flick_cdr_decode_char8(4, _data->data[_t16_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_unmarshal_stub_dLCc_swap(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t17_array_length;
  flick_unsigned8_t _t18_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  _t17_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t18_array_iter = 0; _t18_array_iter < _t17_array_length; _t18_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t18_array_iter].elem1);
      flick_cdr_swap_decode_char8(4, _data->data[_t18_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t19_array_iter;

  flick_iiop_encode_new_glob(405);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first);
  flick_iiop_encode_end_chunk(2);
  for (_t19_array_iter = 0; _t19_array_iter < 50; _t19_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t19_array_iter].elem1);
      flick_cdr_encode_char8(4, _data->data[_t19_array_iter].elem2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_new_chunk(3);
  flick_cdr_encode_signed16(1, _data->last);
  flick_iiop_encode_end_chunk(3);
  flick_iiop_encode_end_glob(405);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t20_array_length;
  flick_unsigned8_t _t21_array_iter;

  flick_iiop_decode_new_glob(405);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first);
  _t20_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t21_array_iter = 0; _t21_array_iter < _t20_array_length; _t21_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t21_array_iter].elem1);
      flick_cdr_decode_char8(4, _data->data[_t21_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(3);
  flick_cdr_decode_signed16(1, _data->last);
  flick_iiop_decode_end_chunk(3);
  flick_iiop_decode_end_glob(405);
}

void flick_unmarshal_stub_sLCs_swap(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t22_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_iiop_decode_new_glob(405);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  _t22_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t23_array_iter = 0; _t23_array_iter < _t22_array_length; _t23_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t23_array_iter].elem1);
      flick_cdr_swap_decode_char8(4, _data->data[_t23_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(3);
  flick_cdr_swap_decode_signed16(1, _data->last);
  flick_iiop_decode_end_chunk(3);
  flick_iiop_decode_end_glob(405);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t24_array_iter;

  flick_iiop_encode_new_glob(413);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first);
  flick_iiop_encode_end_chunk(1);
  for (_t24_array_iter = 0; _t24_array_iter < 50; _t24_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t24_array_iter].elem1);
      flick_iiop_encode_end_chunk(1);
      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t24_array_iter].elem2);
      flick_iiop_encode_end_chunk(4);
    }
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(413);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t25_array_length;
  flick_unsigned8_t _t26_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first);
  _t25_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t26_array_iter = 0; _t26_array_iter < _t25_array_length; _t26_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t26_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t26_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(413);
}

void flick_unmarshal_stub_cCLd_swap(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t28_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  _t27_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t28_array_iter = 0; _t28_array_iter < _t27_array_length; _t28_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t28_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t28_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(413);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t29_array_iter;

  flick_iiop_encode_new_glob(413);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  flick_iiop_encode_end_chunk(8);
  for (_t29_array_iter = 0; _t29_array_iter < 50; _t29_array_iter++)
    {
      flick_iiop_encode_new_chunk(8);
      flick_cdr_encode_char8(0, _data->data[_t29_array_iter].elem1);
      flick_cdr_encode_signed32(4, _data->data[_t29_array_iter].elem2);
      flick_iiop_encode_end_chunk(8);
    }
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(413);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t30_array_length;
  flick_unsigned8_t _t31_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  _t30_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t31_array_iter = 0; _t31_array_iter < _t30_array_length; _t31_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_decode_char8(0, _data->data[_t31_array_iter].elem1);
      flick_cdr_decode_signed32(4, _data->data[_t31_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_unmarshal_stub_dCLc_swap(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t32_array_length;
  flick_unsigned8_t _t33_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  _t32_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t33_array_iter = 0; _t33_array_iter < _t32_array_length; _t33_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_swap_decode_char8(0, _data->data[_t33_array_iter].elem1);
      flick_cdr_swap_decode_signed32(4, _data->data[_t33_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t34_array_iter;

  flick_iiop_encode_new_glob(404);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first);
  flick_iiop_encode_end_chunk(2);
  for (_t34_array_iter = 0; _t34_array_iter < 50; _t34_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t34_array_iter].elem1);
      flick_iiop_encode_end_chunk(1);
      flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_encode_signed32(0, _data->data[_t34_array_iter].elem2);
      flick_iiop_encode_end_chunk(4);
    }
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->last);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(404);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t35_array_length;
  flick_unsigned8_t _t36_array_iter;

  flick_iiop_decode_new_glob(404);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first);
  _t35_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t36_array_iter = 0; _t36_array_iter < _t35_array_length; _t36_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t36_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_decode_signed32(0, _data->data[_t36_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(404);
}

void flick_unmarshal_stub_sCLs_swap(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t37_array_length;
  flick_unsigned8_t _t38_array_iter;

  flick_iiop_decode_new_glob(404);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  _t37_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t38_array_iter = 0; _t38_array_iter < _t37_array_length; _t38_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t38_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_swap_decode_signed32(0, _data->data[_t38_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(404);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

struct cLd arrays_test_cLd(arrays _obj, struct cLd *inp, struct cLd *iop, struct cLd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cLd _return;

  memset(&_return, 0, sizeof(struct cLd ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(452);
    flick_iiop_encode_new_chunk(224);
    flick_cdr_encode_unsigned32(0, 9);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'c');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'd');
    flick_cdr_encode_char8(12, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(20, inp->first);
    flick_cdr_encode_bcopy(24, inp->data, 4 * 50);
    flick_iiop_encode_end_chunk(224);
    flick_iiop_encode_new_chunk_align(224, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->last);
    flick_cdr_encode_char8(8, iop->first);
    flick_cdr_encode_bcopy(12, iop->data, 4 * 50);
    flick_cdr_encode_float64(216, iop->last);
    flick_iiop_encode_end_chunk(224);
    flick_iiop_encode_end_glob(452);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1093);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t51_array_length;
            flick_unsigned8_t _t52_array_iter;
            flick_unsigned8_t _t53_array_length;
            flick_unsigned8_t _t54_array_iter;
            flick_unsigned8_t _t55_array_length;
            flick_unsigned8_t _t56_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, _return.first);
            _t51_array_length = 50;
            flick_iiop_decode_end_chunk(1);
            for (_t52_array_iter = 0; _t52_array_iter < _t51_array_length; _t52_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _return.data[_t52_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _return.last);
            flick_cdr_swap_decode_char8(8, iop->first);
            _t53_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t54_array_iter = 0; _t54_array_iter < _t53_array_length; _t54_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, iop->data[_t54_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, iop->last);
            flick_cdr_swap_decode_char8(8, outp->first);
            _t55_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t56_array_iter = 0; _t56_array_iter < _t55_array_length; _t56_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, outp->data[_t56_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, outp->last);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(1093);
    }
  } else {
    {
      flick_iiop_decode_new_glob(652);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t42_array_length;
            flick_unsigned8_t _t43_array_length;
            flick_unsigned8_t _t44_array_length;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(204);
            flick_cdr_decode_char8(0, _return.first);
            _t42_array_length = 50;
            flick_cdr_decode_bcopy(4, _return.data, 4 * _t42_array_length);
            flick_iiop_decode_end_chunk(204);
            flick_iiop_decode_new_chunk_align(440, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.last);
            flick_cdr_decode_char8(8, iop->first);
            _t43_array_length = 50;
            flick_cdr_decode_bcopy(12, iop->data, 4 * _t43_array_length);
            flick_cdr_decode_float64(216, iop->last);
            flick_cdr_decode_char8(224, outp->first);
            _t44_array_length = 50;
            flick_cdr_decode_bcopy(228, outp->data, 4 * _t44_array_length);
            flick_cdr_decode_float64(432, outp->last);
            flick_iiop_decode_end_chunk(440);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(652);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct dLc arrays_test_dLc(arrays _obj, struct dLc *inp, struct dLc *iop, struct dLc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dLc _return;

  memset(&_return, 0, sizeof(struct dLc ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(449);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 9);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'd');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'c');
    flick_cdr_encode_char8(12, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_new_chunk_align(425, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first);
    flick_cdr_encode_bcopy(8, inp->data, 4 * 50);
    flick_cdr_encode_char8(208, inp->last);
    flick_cdr_encode_float64(216, iop->first);
    flick_cdr_encode_bcopy(224, iop->data, 4 * 50);
    flick_cdr_encode_char8(424, iop->last);
    flick_iiop_encode_end_chunk(425);
    flick_iiop_encode_end_glob(449);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(649);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t69_array_length;
            flick_unsigned8_t _t70_array_iter;
            flick_unsigned8_t _t71_array_length;
            flick_unsigned8_t _t72_array_iter;
            flick_unsigned8_t _t73_array_length;
            flick_unsigned8_t _t74_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _return.first);
            _t69_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t70_array_iter = 0; _t70_array_iter < _t69_array_length; _t70_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _return.data[_t70_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, _return.last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
            flick_cdr_swap_decode_float64(0, iop->first);
            _t71_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t72_array_iter = 0; _t72_array_iter < _t71_array_length; _t72_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, iop->data[_t72_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, iop->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
            flick_cdr_swap_decode_float64(0, outp->first);
            _t73_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t74_array_iter = 0; _t74_array_iter < _t73_array_length; _t74_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, outp->data[_t74_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(649);
    }
  } else {
    {
      flick_iiop_decode_new_glob(649);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t60_array_length;
            flick_unsigned8_t _t61_array_length;
            flick_unsigned8_t _t62_array_length;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(641, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.first);
            _t60_array_length = 50;
            flick_cdr_decode_bcopy(8, _return.data, 4 * _t60_array_length);
            flick_cdr_decode_char8(208, _return.last);
            flick_cdr_decode_float64(216, iop->first);
            _t61_array_length = 50;
            flick_cdr_decode_bcopy(224, iop->data, 4 * _t61_array_length);
            flick_cdr_decode_char8(424, iop->last);
            flick_cdr_decode_float64(432, outp->first);
            _t62_array_length = 50;
            flick_cdr_decode_bcopy(440, outp->data, 4 * _t62_array_length);
            flick_cdr_decode_char8(640, outp->last);
            flick_iiop_decode_end_chunk(641);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(649);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct sLs arrays_test_sLs(arrays _obj, struct sLs *inp, struct sLs *iop, struct sLs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sLs _return;

  memset(&_return, 0, sizeof(struct sLs ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(430);
    flick_iiop_encode_new_chunk(430);
    flick_cdr_encode_unsigned32(0, 9);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 's');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 's');
    flick_cdr_encode_char8(12, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(20, inp->first);
    flick_cdr_encode_bcopy(24, inp->data, 4 * 50);
    flick_cdr_encode_signed16(224, inp->last);
    flick_cdr_encode_signed16(226, iop->first);
    flick_cdr_encode_bcopy(228, iop->data, 4 * 50);
    flick_cdr_encode_signed16(428, iop->last);
    flick_iiop_encode_end_chunk(430);
    flick_iiop_encode_end_glob(430);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(716);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t87_array_length;
            flick_unsigned8_t _t88_array_iter;
            flick_unsigned8_t _t89_array_length;
            flick_unsigned8_t _t90_array_iter;
            flick_unsigned8_t _t91_array_length;
            flick_unsigned8_t _t92_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return.first);
            _t87_array_length = 50;
            flick_iiop_decode_end_chunk(2);
            for (_t88_array_iter = 0; _t88_array_iter < _t87_array_length; _t88_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                flick_cdr_swap_decode_signed32(0, _return.data[_t88_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed16(0, _return.last);
            flick_cdr_swap_decode_signed16(2, iop->first);
            _t89_array_length = 50;
            flick_iiop_decode_end_chunk(4);
            for (_t90_array_iter = 0; _t90_array_iter < _t89_array_length; _t90_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, iop->data[_t90_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed16(0, iop->last);
            flick_cdr_swap_decode_signed16(2, outp->first);
            _t91_array_length = 50;
            flick_iiop_decode_end_chunk(4);
            for (_t92_array_iter = 0; _t92_array_iter < _t91_array_length; _t92_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, outp->data[_t92_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, outp->last);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(716);
    }
  } else {
    {
      flick_iiop_decode_new_glob(618);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t78_array_length;
            flick_unsigned8_t _t79_array_length;
            flick_unsigned8_t _t80_array_length;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(614);
            flick_cdr_decode_signed16(0, _return.first);
            _t78_array_length = 50;
            flick_cdr_decode_bcopy(4, _return.data, 4 * _t78_array_length);
            flick_cdr_decode_signed16(204, _return.last);
            flick_cdr_decode_signed16(206, iop->first);
            _t79_array_length = 50;
            flick_cdr_decode_bcopy(208, iop->data, 4 * _t79_array_length);
            flick_cdr_decode_signed16(408, iop->last);
            flick_cdr_decode_signed16(410, outp->first);
            _t80_array_length = 50;
            flick_cdr_decode_bcopy(412, outp->data, 4 * _t80_array_length);
            flick_cdr_decode_signed16(612, outp->last);
            flick_iiop_decode_end_chunk(614);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(618);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct cLCd arrays_test_cLCd(arrays _obj, struct cLCd *inp, struct cLCd *iop, struct cLCd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cLCd _return;

  memset(&_return, 0, sizeof(struct cLCd ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t95_array_iter;
    flick_unsigned8_t _t96_array_iter;

    flick_iiop_encode_new_glob(852);
    flick_iiop_encode_new_chunk(21);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'c');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'C');
    flick_cdr_encode_char8(12, 'd');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(20, inp->first);
    flick_iiop_encode_end_chunk(21);
    for (_t95_array_iter = 0; _t95_array_iter < 50; _t95_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_signed32(3, inp->data[_t95_array_iter].elem1);
        flick_cdr_encode_char8(7, inp->data[_t95_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk_align(9, 3, 2, 1);
    flick_cdr_encode_float64(0, inp->last);
    flick_cdr_encode_char8(8, iop->first);
    flick_iiop_encode_end_chunk(9);
    for (_t96_array_iter = 0; _t96_array_iter < 50; _t96_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_signed32(3, iop->data[_t96_array_iter].elem1);
        flick_cdr_encode_char8(7, iop->data[_t96_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk(15);
    flick_cdr_encode_float64(7, iop->last);
    flick_iiop_encode_end_chunk(15);
    flick_iiop_encode_end_glob(852);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1252);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t115_array_length;
            flick_unsigned8_t _t116_array_iter;
            flick_unsigned8_t _t117_array_length;
            flick_unsigned8_t _t118_array_iter;
            flick_unsigned8_t _t119_array_length;
            flick_unsigned8_t _t120_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, _return.first);
            _t115_array_length = 50;
            flick_iiop_decode_end_chunk(1);
            for (_t116_array_iter = 0; _t116_array_iter < _t115_array_length; _t116_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_signed32(3, _return.data[_t116_array_iter].elem1);
                flick_cdr_swap_decode_char8(7, _return.data[_t116_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 1);
            flick_cdr_swap_decode_float64(0, _return.last);
            flick_cdr_swap_decode_char8(8, iop->first);
            _t117_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t118_array_iter = 0; _t118_array_iter < _t117_array_length; _t118_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_signed32(3, iop->data[_t118_array_iter].elem1);
                flick_cdr_swap_decode_char8(7, iop->data[_t118_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(16);
            flick_cdr_swap_decode_float64(7, iop->last);
            flick_cdr_swap_decode_char8(15, outp->first);
            _t119_array_length = 50;
            flick_iiop_decode_end_chunk(16);
            for (_t120_array_iter = 0; _t120_array_iter < _t119_array_length; _t120_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_signed32(3, outp->data[_t120_array_iter].elem1);
                flick_cdr_swap_decode_char8(7, outp->data[_t120_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(15);
            flick_cdr_swap_decode_float64(7, outp->last);
            flick_iiop_decode_end_chunk(15);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(1252);
    }
  } else {
    {
      flick_iiop_decode_new_glob(1252);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t103_array_length;
            flick_unsigned8_t _t104_array_iter;
            flick_unsigned8_t _t105_array_length;
            flick_unsigned8_t _t106_array_iter;
            flick_unsigned8_t _t107_array_length;
            flick_unsigned8_t _t108_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.first);
            _t103_array_length = 50;
            flick_iiop_decode_end_chunk(1);
            for (_t104_array_iter = 0; _t104_array_iter < _t103_array_length; _t104_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_signed32(3, _return.data[_t104_array_iter].elem1);
                flick_cdr_decode_char8(7, _return.data[_t104_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 1);
            flick_cdr_decode_float64(0, _return.last);
            flick_cdr_decode_char8(8, iop->first);
            _t105_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t106_array_iter = 0; _t106_array_iter < _t105_array_length; _t106_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_signed32(3, iop->data[_t106_array_iter].elem1);
                flick_cdr_decode_char8(7, iop->data[_t106_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(16);
            flick_cdr_decode_float64(7, iop->last);
            flick_cdr_decode_char8(15, outp->first);
            _t107_array_length = 50;
            flick_iiop_decode_end_chunk(16);
            for (_t108_array_iter = 0; _t108_array_iter < _t107_array_length; _t108_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_signed32(3, outp->data[_t108_array_iter].elem1);
                flick_cdr_decode_char8(7, outp->data[_t108_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(15);
            flick_cdr_decode_float64(7, outp->last);
            flick_iiop_decode_end_chunk(15);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(1252);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct dLCc arrays_test_dLCc(arrays _obj, struct dLCc *inp, struct dLCc *iop, struct dLCc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dLCc _return;

  memset(&_return, 0, sizeof(struct dLCc ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t123_array_iter;
    flick_unsigned8_t _t124_array_iter;

    flick_iiop_encode_new_glob(848);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'd');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'C');
    flick_cdr_encode_char8(12, 'c');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first);
    flick_iiop_encode_end_chunk(8);
    for (_t123_array_iter = 0; _t123_array_iter < 50; _t123_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
        flick_cdr_encode_signed32(0, inp->data[_t123_array_iter].elem1);
        flick_cdr_encode_char8(4, inp->data[_t123_array_iter].elem2);
        flick_iiop_encode_end_chunk(5);
      }
    flick_iiop_encode_new_chunk(1);
    flick_cdr_encode_char8(0, inp->last);
    flick_iiop_encode_end_chunk(1);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
    flick_cdr_encode_float64(0, iop->first);
    flick_iiop_encode_end_chunk(8);
    for (_t124_array_iter = 0; _t124_array_iter < 50; _t124_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
        flick_cdr_encode_signed32(0, iop->data[_t124_array_iter].elem1);
        flick_cdr_encode_char8(4, iop->data[_t124_array_iter].elem2);
        flick_iiop_encode_end_chunk(5);
      }
    flick_iiop_encode_new_chunk(1);
    flick_cdr_encode_char8(0, iop->last);
    flick_iiop_encode_end_chunk(1);
    flick_iiop_encode_end_glob(848);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1247);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t143_array_length;
            flick_unsigned8_t _t144_array_iter;
            flick_unsigned8_t _t145_array_length;
            flick_unsigned8_t _t146_array_iter;
            flick_unsigned8_t _t147_array_length;
            flick_unsigned8_t _t148_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _return.first);
            _t143_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t144_array_iter = 0; _t144_array_iter < _t143_array_length; _t144_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _return.data[_t144_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, _return.data[_t144_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, _return.last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
            flick_cdr_swap_decode_float64(0, iop->first);
            _t145_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t146_array_iter = 0; _t146_array_iter < _t145_array_length; _t146_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, iop->data[_t146_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, iop->data[_t146_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, iop->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
            flick_cdr_swap_decode_float64(0, outp->first);
            _t147_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t148_array_iter = 0; _t148_array_iter < _t147_array_length; _t148_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, outp->data[_t148_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, outp->data[_t148_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(1247);
    }
  } else {
    {
      flick_iiop_decode_new_glob(1247);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t131_array_length;
            flick_unsigned8_t _t132_array_iter;
            flick_unsigned8_t _t133_array_length;
            flick_unsigned8_t _t134_array_iter;
            flick_unsigned8_t _t135_array_length;
            flick_unsigned8_t _t136_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.first);
            _t131_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t132_array_iter = 0; _t132_array_iter < _t131_array_length; _t132_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, _return.data[_t132_array_iter].elem1);
                flick_cdr_decode_char8(4, _return.data[_t132_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
            flick_cdr_decode_float64(0, iop->first);
            _t133_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t134_array_iter = 0; _t134_array_iter < _t133_array_length; _t134_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, iop->data[_t134_array_iter].elem1);
                flick_cdr_decode_char8(4, iop->data[_t134_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, iop->last);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
            flick_cdr_decode_float64(0, outp->first);
            _t135_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t136_array_iter = 0; _t136_array_iter < _t135_array_length; _t136_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, outp->data[_t136_array_iter].elem1);
                flick_cdr_decode_char8(4, outp->data[_t136_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(1247);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct sLCs arrays_test_sLCs(arrays _obj, struct sLCs *inp, struct sLCs *iop, struct sLCs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sLCs _return;

  memset(&_return, 0, sizeof(struct sLCs ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t151_array_iter;
    flick_unsigned8_t _t152_array_iter;

    flick_iiop_encode_new_glob(830);
    flick_iiop_encode_new_chunk(22);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 's');
    flick_cdr_encode_char8(10, 'L');
    flick_cdr_encode_char8(11, 'C');
    flick_cdr_encode_char8(12, 's');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(20, inp->first);
    flick_iiop_encode_end_chunk(22);
    for (_t151_array_iter = 0; _t151_array_iter < 50; _t151_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
        flick_cdr_encode_signed32(0, inp->data[_t151_array_iter].elem1);
        flick_cdr_encode_char8(4, inp->data[_t151_array_iter].elem2);
        flick_iiop_encode_end_chunk(5);
      }
    flick_iiop_encode_new_chunk(5);
    flick_cdr_encode_signed16(1, inp->last);
    flick_cdr_encode_signed16(3, iop->first);
    flick_iiop_encode_end_chunk(5);
    for (_t152_array_iter = 0; _t152_array_iter < 50; _t152_array_iter++)
      {
        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
        flick_cdr_encode_signed32(0, iop->data[_t152_array_iter].elem1);
        flick_cdr_encode_char8(4, iop->data[_t152_array_iter].elem2);
        flick_iiop_encode_end_chunk(5);
      }
    flick_iiop_encode_new_chunk(3);
    flick_cdr_encode_signed16(1, iop->last);
    flick_iiop_encode_end_chunk(3);
    flick_iiop_encode_end_glob(830);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1219);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t171_array_length;
            flick_unsigned8_t _t172_array_iter;
            flick_unsigned8_t _t173_array_length;
            flick_unsigned8_t _t174_array_iter;
            flick_unsigned8_t _t175_array_length;
            flick_unsigned8_t _t176_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return.first);
            _t171_array_length = 50;
            flick_iiop_decode_end_chunk(2);
            for (_t172_array_iter = 0; _t172_array_iter < _t171_array_length; _t172_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _return.data[_t172_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, _return.data[_t172_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(5);
            flick_cdr_swap_decode_signed16(1, _return.last);
            flick_cdr_swap_decode_signed16(3, iop->first);
            _t173_array_length = 50;
            flick_iiop_decode_end_chunk(5);
            for (_t174_array_iter = 0; _t174_array_iter < _t173_array_length; _t174_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, iop->data[_t174_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, iop->data[_t174_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(5);
            flick_cdr_swap_decode_signed16(1, iop->last);
            flick_cdr_swap_decode_signed16(3, outp->first);
            _t175_array_length = 50;
            flick_iiop_decode_end_chunk(5);
            for (_t176_array_iter = 0; _t176_array_iter < _t175_array_length; _t176_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, outp->data[_t176_array_iter].elem1);
                flick_cdr_swap_decode_char8(4, outp->data[_t176_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(3);
            flick_cdr_swap_decode_signed16(1, outp->last);
            flick_iiop_decode_end_chunk(3);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(1219);
    }
  } else {
    {
      flick_iiop_decode_new_glob(1219);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t159_array_length;
            flick_unsigned8_t _t160_array_iter;
            flick_unsigned8_t _t161_array_length;
            flick_unsigned8_t _t162_array_iter;
            flick_unsigned8_t _t163_array_length;
            flick_unsigned8_t _t164_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return.first);
            _t159_array_length = 50;
            flick_iiop_decode_end_chunk(2);
            for (_t160_array_iter = 0; _t160_array_iter < _t159_array_length; _t160_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, _return.data[_t160_array_iter].elem1);
                flick_cdr_decode_char8(4, _return.data[_t160_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(5);
            flick_cdr_decode_signed16(1, _return.last);
            flick_cdr_decode_signed16(3, iop->first);
            _t161_array_length = 50;
            flick_iiop_decode_end_chunk(5);
            for (_t162_array_iter = 0; _t162_array_iter < _t161_array_length; _t162_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, iop->data[_t162_array_iter].elem1);
                flick_cdr_decode_char8(4, iop->data[_t162_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(5);
            flick_cdr_decode_signed16(1, iop->last);
            flick_cdr_decode_signed16(3, outp->first);
            _t163_array_length = 50;
            flick_iiop_decode_end_chunk(5);
            for (_t164_array_iter = 0; _t164_array_iter < _t163_array_length; _t164_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                flick_cdr_decode_signed32(0, outp->data[_t164_array_iter].elem1);
                flick_cdr_decode_char8(4, outp->data[_t164_array_iter].elem2);
                flick_iiop_decode_end_chunk(5);
              }
            flick_iiop_decode_new_chunk(3);
            flick_cdr_decode_signed16(1, outp->last);
            flick_iiop_decode_end_chunk(3);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(1219);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct cCLd arrays_test_cCLd(arrays _obj, struct cCLd *inp, struct cCLd *iop, struct cCLd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cCLd _return;

  memset(&_return, 0, sizeof(struct cCLd ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t179_array_iter;
    flick_unsigned8_t _t180_array_iter;

    flick_iiop_encode_new_glob(846);
    flick_iiop_encode_new_chunk(21);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'c');
    flick_cdr_encode_char8(10, 'C');
    flick_cdr_encode_char8(11, 'L');
    flick_cdr_encode_char8(12, 'd');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(20, inp->first);
    flick_iiop_encode_end_chunk(21);
    for (_t179_array_iter = 0; _t179_array_iter < 50; _t179_array_iter++)
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, inp->data[_t179_array_iter].elem1);
        flick_iiop_encode_end_chunk(1);
        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_signed32(0, inp->data[_t179_array_iter].elem2);
        flick_iiop_encode_end_chunk(4);
      }
    flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->last);
    flick_cdr_encode_char8(8, iop->first);
    flick_iiop_encode_end_chunk(9);
    for (_t180_array_iter = 0; _t180_array_iter < 50; _t180_array_iter++)
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, iop->data[_t180_array_iter].elem1);
        flick_iiop_encode_end_chunk(1);
        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_signed32(0, iop->data[_t180_array_iter].elem2);
        flick_iiop_encode_end_chunk(4);
      }
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, iop->last);
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(846);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1243);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t199_array_length;
            flick_unsigned8_t _t200_array_iter;
            flick_unsigned8_t _t201_array_length;
            flick_unsigned8_t _t202_array_iter;
            flick_unsigned8_t _t203_array_length;
            flick_unsigned8_t _t204_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, _return.first);
            _t199_array_length = 50;
            flick_iiop_decode_end_chunk(1);
            for (_t200_array_iter = 0; _t200_array_iter < _t199_array_length; _t200_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _return.data[_t200_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _return.data[_t200_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _return.last);
            flick_cdr_swap_decode_char8(8, iop->first);
            _t201_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t202_array_iter = 0; _t202_array_iter < _t201_array_length; _t202_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, iop->data[_t202_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, iop->data[_t202_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, iop->last);
            flick_cdr_swap_decode_char8(8, outp->first);
            _t203_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t204_array_iter = 0; _t204_array_iter < _t203_array_length; _t204_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, outp->data[_t204_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, outp->data[_t204_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, outp->last);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(1243);
    }
  } else {
    {
      flick_iiop_decode_new_glob(1243);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t187_array_length;
            flick_unsigned8_t _t188_array_iter;
            flick_unsigned8_t _t189_array_length;
            flick_unsigned8_t _t190_array_iter;
            flick_unsigned8_t _t191_array_length;
            flick_unsigned8_t _t192_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, _return.first);
            _t187_array_length = 50;
            flick_iiop_decode_end_chunk(1);
            for (_t188_array_iter = 0; _t188_array_iter < _t187_array_length; _t188_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _return.data[_t188_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_decode_signed32(0, _return.data[_t188_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.last);
            flick_cdr_decode_char8(8, iop->first);
            _t189_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t190_array_iter = 0; _t190_array_iter < _t189_array_length; _t190_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, iop->data[_t190_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_decode_signed32(0, iop->data[_t190_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
            flick_cdr_decode_float64(0, iop->last);
            flick_cdr_decode_char8(8, outp->first);
            _t191_array_length = 50;
            flick_iiop_decode_end_chunk(9);
            for (_t192_array_iter = 0; _t192_array_iter < _t191_array_length; _t192_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, outp->data[_t192_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_decode_signed32(0, outp->data[_t192_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, outp->last);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(1243);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct dCLc arrays_test_dCLc(arrays _obj, struct dCLc *inp, struct dCLc *iop, struct dCLc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dCLc _return;

  memset(&_return, 0, sizeof(struct dCLc ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t207_array_iter;
    flick_unsigned8_t _t208_array_iter;

    flick_iiop_encode_new_glob(849);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'd');
    flick_cdr_encode_char8(10, 'C');
    flick_cdr_encode_char8(11, 'L');
    flick_cdr_encode_char8(12, 'c');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
    flick_cdr_encode_float64(0, inp->first);
    flick_iiop_encode_end_chunk(8);
    for (_t207_array_iter = 0; _t207_array_iter < 50; _t207_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_char8(0, inp->data[_t207_array_iter].elem1);
        flick_cdr_encode_signed32(4, inp->data[_t207_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_char8(0, inp->last);
    flick_cdr_encode_float64(8, iop->first);
    flick_iiop_encode_end_chunk(16);
    for (_t208_array_iter = 0; _t208_array_iter < 50; _t208_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_char8(0, iop->data[_t208_array_iter].elem1);
        flick_cdr_encode_signed32(4, iop->data[_t208_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk(1);
    flick_cdr_encode_char8(0, iop->last);
    flick_iiop_encode_end_chunk(1);
    flick_iiop_encode_end_glob(849);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1249);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t227_array_length;
            flick_unsigned8_t _t228_array_iter;
            flick_unsigned8_t _t229_array_length;
            flick_unsigned8_t _t230_array_iter;
            flick_unsigned8_t _t231_array_length;
            flick_unsigned8_t _t232_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _return.first);
            _t227_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t228_array_iter = 0; _t228_array_iter < _t227_array_length; _t228_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, _return.data[_t228_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, _return.data[_t228_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(16);
            flick_cdr_swap_decode_char8(0, _return.last);
            flick_cdr_swap_decode_float64(8, iop->first);
            _t229_array_length = 50;
            flick_iiop_decode_end_chunk(16);
            for (_t230_array_iter = 0; _t230_array_iter < _t229_array_length; _t230_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, iop->data[_t230_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, iop->data[_t230_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(16);
            flick_cdr_swap_decode_char8(0, iop->last);
            flick_cdr_swap_decode_float64(8, outp->first);
            _t231_array_length = 50;
            flick_iiop_decode_end_chunk(16);
            for (_t232_array_iter = 0; _t232_array_iter < _t231_array_length; _t232_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, outp->data[_t232_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, outp->data[_t232_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(1249);
    }
  } else {
    {
      flick_iiop_decode_new_glob(1249);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t215_array_length;
            flick_unsigned8_t _t216_array_iter;
            flick_unsigned8_t _t217_array_length;
            flick_unsigned8_t _t218_array_iter;
            flick_unsigned8_t _t219_array_length;
            flick_unsigned8_t _t220_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, _return.first);
            _t215_array_length = 50;
            flick_iiop_decode_end_chunk(8);
            for (_t216_array_iter = 0; _t216_array_iter < _t215_array_length; _t216_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, _return.data[_t216_array_iter].elem1);
                flick_cdr_decode_signed32(4, _return.data[_t216_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(16);
            flick_cdr_decode_char8(0, _return.last);
            flick_cdr_decode_float64(8, iop->first);
            _t217_array_length = 50;
            flick_iiop_decode_end_chunk(16);
            for (_t218_array_iter = 0; _t218_array_iter < _t217_array_length; _t218_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, iop->data[_t218_array_iter].elem1);
                flick_cdr_decode_signed32(4, iop->data[_t218_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(16);
            flick_cdr_decode_char8(0, iop->last);
            flick_cdr_decode_float64(8, outp->first);
            _t219_array_length = 50;
            flick_iiop_decode_end_chunk(16);
            for (_t220_array_iter = 0; _t220_array_iter < _t219_array_length; _t220_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, outp->data[_t220_array_iter].elem1);
                flick_cdr_decode_signed32(4, outp->data[_t220_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, outp->last);
            flick_iiop_decode_end_chunk(1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(1249);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

struct sCLs arrays_test_sCLs(arrays _obj, struct sCLs *inp, struct sCLs *iop, struct sCLs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sCLs _return;

  memset(&_return, 0, sizeof(struct sCLs ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_unsigned8_t _t235_array_iter;
    flick_unsigned8_t _t236_array_iter;

    flick_iiop_encode_new_glob(828);
    flick_iiop_encode_new_chunk(22);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 's');
    flick_cdr_encode_char8(10, 'C');
    flick_cdr_encode_char8(11, 'L');
    flick_cdr_encode_char8(12, 's');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(20, inp->first);
    flick_iiop_encode_end_chunk(22);
    for (_t235_array_iter = 0; _t235_array_iter < 50; _t235_array_iter++)
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, inp->data[_t235_array_iter].elem1);
        flick_iiop_encode_end_chunk(1);
        flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
        flick_cdr_encode_signed32(0, inp->data[_t235_array_iter].elem2);
        flick_iiop_encode_end_chunk(4);
      }
    flick_iiop_encode_new_chunk(4);
    flick_cdr_encode_signed16(0, inp->last);
    flick_cdr_encode_signed16(2, iop->first);
    flick_iiop_encode_end_chunk(4);
    for (_t236_array_iter = 0; _t236_array_iter < 50; _t236_array_iter++)
      {
        flick_iiop_encode_new_chunk(8);
        flick_cdr_encode_char8(0, iop->data[_t236_array_iter].elem1);
        flick_cdr_encode_signed32(4, iop->data[_t236_array_iter].elem2);
        flick_iiop_encode_end_chunk(8);
      }
    flick_iiop_encode_new_chunk(2);
    flick_cdr_encode_signed16(0, iop->last);
    flick_iiop_encode_end_chunk(2);
    flick_iiop_encode_end_glob(828);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(1216);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t255_array_length;
            flick_unsigned8_t _t256_array_iter;
            flick_unsigned8_t _t257_array_length;
            flick_unsigned8_t _t258_array_iter;
            flick_unsigned8_t _t259_array_length;
            flick_unsigned8_t _t260_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return.first);
            _t255_array_length = 50;
            flick_iiop_decode_end_chunk(2);
            for (_t256_array_iter = 0; _t256_array_iter < _t255_array_length; _t256_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _return.data[_t256_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
                flick_cdr_swap_decode_signed32(0, _return.data[_t256_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed16(0, _return.last);
            flick_cdr_swap_decode_signed16(2, iop->first);
            _t257_array_length = 50;
            flick_iiop_decode_end_chunk(4);
            for (_t258_array_iter = 0; _t258_array_iter < _t257_array_length; _t258_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, iop->data[_t258_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, iop->data[_t258_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed16(0, iop->last);
            flick_cdr_swap_decode_signed16(2, outp->first);
            _t259_array_length = 50;
            flick_iiop_decode_end_chunk(4);
            for (_t260_array_iter = 0; _t260_array_iter < _t259_array_length; _t260_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_swap_decode_char8(0, outp->data[_t260_array_iter].elem1);
                flick_cdr_swap_decode_signed32(4, outp->data[_t260_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, outp->last);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(1216);
    }
  } else {
    {
      flick_iiop_decode_new_glob(1216);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t243_array_length;
            flick_unsigned8_t _t244_array_iter;
            flick_unsigned8_t _t245_array_length;
            flick_unsigned8_t _t246_array_iter;
            flick_unsigned8_t _t247_array_length;
            flick_unsigned8_t _t248_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return.first);
            _t243_array_length = 50;
            flick_iiop_decode_end_chunk(2);
            for (_t244_array_iter = 0; _t244_array_iter < _t243_array_length; _t244_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _return.data[_t244_array_iter].elem1);
                flick_iiop_decode_end_chunk(1);
                flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
                flick_cdr_decode_signed32(0, _return.data[_t244_array_iter].elem2);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed16(0, _return.last);
            flick_cdr_decode_signed16(2, iop->first);
            _t245_array_length = 50;
            flick_iiop_decode_end_chunk(4);
            for (_t246_array_iter = 0; _t246_array_iter < _t245_array_length; _t246_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, iop->data[_t246_array_iter].elem1);
                flick_cdr_decode_signed32(4, iop->data[_t246_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed16(0, iop->last);
            flick_cdr_decode_signed16(2, outp->first);
            _t247_array_length = 50;
            flick_iiop_decode_end_chunk(4);
            for (_t248_array_iter = 0; _t248_array_iter < _t247_array_length; _t248_array_iter++)
              {
                flick_iiop_decode_new_chunk(8);
                flick_cdr_decode_char8(0, outp->data[_t248_array_iter].elem1);
                flick_cdr_decode_signed32(4, outp->data[_t248_array_iter].elem2);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, outp->last);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(1216);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

