#include "arrays-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(5);
  flick_cdr_encode_signed32(0, _data->elem1);
  flick_cdr_encode_char8(4, _data->elem2);
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(5);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_decode_signed32(0, _data->elem1);
  flick_cdr_decode_char8(4, _data->elem2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_unmarshal_stub_end_swap(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_swap_decode_signed32(0, _data->elem1);
  flick_cdr_swap_decode_char8(4, _data->elem2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->elem1);
  flick_cdr_encode_signed32(4, _data->elem2);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->elem1);
  flick_cdr_decode_signed32(4, _data->elem2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_begin_swap(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->elem1);
  flick_cdr_swap_decode_signed32(4, _data->elem2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
  flick_iiop_encode_new_glob(216);
  flick_iiop_encode_new_chunk(204);
  flick_cdr_encode_char8(0, _data->first);
  flick_cdr_encode_bcopy(4, _data->data, 4 * 50);
  flick_iiop_encode_end_chunk(204);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(216);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t0_array_length;

  flick_iiop_decode_new_glob(216);
  flick_iiop_decode_new_chunk(204);
  flick_cdr_decode_char8(0, _data->first);
  _t0_array_length = 50;
  flick_cdr_decode_bcopy(4, _data->data, 4 * _t0_array_length);
  flick_iiop_decode_end_chunk(204);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(216);
}

void flick_unmarshal_stub_cLd_swap(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t1_array_length;
  flick_unsigned8_t _t2_array_iter;

  flick_iiop_decode_new_glob(363);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  _t1_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t2_array_iter = 0; _t2_array_iter < _t1_array_length; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t2_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(363);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
  flick_iiop_encode_new_glob(213);
  flick_iiop_encode_new_chunk_align(209, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  flick_cdr_encode_bcopy(8, _data->data, 4 * 50);
  flick_cdr_encode_char8(208, _data->last);
  flick_iiop_encode_end_chunk(209);
  flick_iiop_encode_end_glob(213);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t3_array_length;

  flick_iiop_decode_new_glob(213);
  flick_iiop_decode_new_chunk_align(209, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  _t3_array_length = 50;
  flick_cdr_decode_bcopy(8, _data->data, 4 * _t3_array_length);
  flick_cdr_decode_char8(208, _data->last);
  flick_iiop_decode_end_chunk(209);
  flick_iiop_decode_end_glob(213);
}

void flick_unmarshal_stub_dLc_swap(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t4_array_length;
  flick_unsigned8_t _t5_array_iter;

  flick_iiop_decode_new_glob(213);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  _t4_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t5_array_iter = 0; _t5_array_iter < _t4_array_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->data[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(213);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
  flick_iiop_encode_new_glob(206);
  flick_iiop_encode_new_chunk(206);
  flick_cdr_encode_signed16(0, _data->first);
  flick_cdr_encode_bcopy(4, _data->data, 4 * 50);
  flick_cdr_encode_signed16(204, _data->last);
  flick_iiop_encode_end_chunk(206);
  flick_iiop_encode_end_glob(206);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t6_array_length;

  flick_iiop_decode_new_glob(206);
  flick_iiop_decode_new_chunk(206);
  flick_cdr_decode_signed16(0, _data->first);
  _t6_array_length = 50;
  flick_cdr_decode_bcopy(4, _data->data, 4 * _t6_array_length);
  flick_cdr_decode_signed16(204, _data->last);
  flick_iiop_decode_end_chunk(206);
  flick_iiop_decode_end_glob(206);
}

void flick_unmarshal_stub_sLs_swap(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t7_array_length;
  flick_unsigned8_t _t8_array_iter;

  flick_iiop_decode_new_glob(304);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  _t7_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t8_array_iter = 0; _t8_array_iter < _t7_array_length; _t8_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t8_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(304);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t9_array_iter;

  flick_iiop_encode_new_glob(416);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first);
  flick_iiop_encode_end_chunk(1);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_iiop_encode_new_chunk(8);
      flick_cdr_encode_signed32(3, _data->data[_t9_array_iter].elem1);
      flick_cdr_encode_char8(7, _data->data[_t9_array_iter].elem2);
      flick_iiop_encode_end_chunk(8);
    }
  flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(416);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t10_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_iiop_decode_new_glob(416);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first);
  _t10_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t11_array_iter = 0; _t11_array_iter < _t10_array_length; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_decode_signed32(3, _data->data[_t11_array_iter].elem1);
      flick_cdr_decode_char8(7, _data->data[_t11_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(416);
}

void flick_unmarshal_stub_cLCd_swap(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t13_array_iter;

  flick_iiop_decode_new_glob(416);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  _t12_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t13_array_iter = 0; _t13_array_iter < _t12_array_length; _t13_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_swap_decode_signed32(3, _data->data[_t13_array_iter].elem1);
      flick_cdr_swap_decode_char8(7, _data->data[_t13_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(416);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t14_array_iter;

  flick_iiop_encode_new_glob(413);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  flick_iiop_encode_end_chunk(8);
  for (_t14_array_iter = 0; _t14_array_iter < 50; _t14_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t14_array_iter].elem1);
      flick_cdr_encode_char8(4, _data->data[_t14_array_iter].elem2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(413);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t16_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  _t15_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t16_array_iter = 0; _t16_array_iter < _t15_array_length; _t16_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t16_array_iter].elem1);
      flick_cdr_decode_char8(4, _data->data[_t16_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_unmarshal_stub_dLCc_swap(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t17_array_length;
  flick_unsigned8_t _t18_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  _t17_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t18_array_iter = 0; _t18_array_iter < _t17_array_length; _t18_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t18_array_iter].elem1);
      flick_cdr_swap_decode_char8(4, _data->data[_t18_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t19_array_iter;

  flick_iiop_encode_new_glob(405);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first);
  flick_iiop_encode_end_chunk(2);
  for (_t19_array_iter = 0; _t19_array_iter < 50; _t19_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t19_array_iter].elem1);
      flick_cdr_encode_char8(4, _data->data[_t19_array_iter].elem2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_new_chunk(3);
  flick_cdr_encode_signed16(1, _data->last);
  flick_iiop_encode_end_chunk(3);
  flick_iiop_encode_end_glob(405);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t20_array_length;
  flick_unsigned8_t _t21_array_iter;

  flick_iiop_decode_new_glob(405);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first);
  _t20_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t21_array_iter = 0; _t21_array_iter < _t20_array_length; _t21_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t21_array_iter].elem1);
      flick_cdr_decode_char8(4, _data->data[_t21_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(3);
  flick_cdr_decode_signed16(1, _data->last);
  flick_iiop_decode_end_chunk(3);
  flick_iiop_decode_end_glob(405);
}

void flick_unmarshal_stub_sLCs_swap(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t22_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_iiop_decode_new_glob(405);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  _t22_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t23_array_iter = 0; _t23_array_iter < _t22_array_length; _t23_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t23_array_iter].elem1);
      flick_cdr_swap_decode_char8(4, _data->data[_t23_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(3);
  flick_cdr_swap_decode_signed16(1, _data->last);
  flick_iiop_decode_end_chunk(3);
  flick_iiop_decode_end_glob(405);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t24_array_iter;

  flick_iiop_encode_new_glob(413);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first);
  flick_iiop_encode_end_chunk(1);
  for (_t24_array_iter = 0; _t24_array_iter < 50; _t24_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t24_array_iter].elem1);
      flick_iiop_encode_end_chunk(1);
      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t24_array_iter].elem2);
      flick_iiop_encode_end_chunk(4);
    }
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(413);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t25_array_length;
  flick_unsigned8_t _t26_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first);
  _t25_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t26_array_iter = 0; _t26_array_iter < _t25_array_length; _t26_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t26_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t26_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(413);
}

void flick_unmarshal_stub_cCLd_swap(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t28_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  _t27_array_length = 50;
  flick_iiop_decode_end_chunk(1);
  for (_t28_array_iter = 0; _t28_array_iter < _t27_array_length; _t28_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t28_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t28_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(413);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t29_array_iter;

  flick_iiop_encode_new_glob(413);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  flick_iiop_encode_end_chunk(8);
  for (_t29_array_iter = 0; _t29_array_iter < 50; _t29_array_iter++)
    {
      flick_iiop_encode_new_chunk(8);
      flick_cdr_encode_char8(0, _data->data[_t29_array_iter].elem1);
      flick_cdr_encode_signed32(4, _data->data[_t29_array_iter].elem2);
      flick_iiop_encode_end_chunk(8);
    }
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(413);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t30_array_length;
  flick_unsigned8_t _t31_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  _t30_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t31_array_iter = 0; _t31_array_iter < _t30_array_length; _t31_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_decode_char8(0, _data->data[_t31_array_iter].elem1);
      flick_cdr_decode_signed32(4, _data->data[_t31_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_unmarshal_stub_dCLc_swap(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t32_array_length;
  flick_unsigned8_t _t33_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  _t32_array_length = 50;
  flick_iiop_decode_end_chunk(8);
  for (_t33_array_iter = 0; _t33_array_iter < _t32_array_length; _t33_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_swap_decode_char8(0, _data->data[_t33_array_iter].elem1);
      flick_cdr_swap_decode_signed32(4, _data->data[_t33_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t34_array_iter;

  flick_iiop_encode_new_glob(404);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first);
  flick_iiop_encode_end_chunk(2);
  for (_t34_array_iter = 0; _t34_array_iter < 50; _t34_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t34_array_iter].elem1);
      flick_iiop_encode_end_chunk(1);
      flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_encode_signed32(0, _data->data[_t34_array_iter].elem2);
      flick_iiop_encode_end_chunk(4);
    }
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->last);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(404);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t35_array_length;
  flick_unsigned8_t _t36_array_iter;

  flick_iiop_decode_new_glob(404);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first);
  _t35_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t36_array_iter = 0; _t36_array_iter < _t35_array_length; _t36_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t36_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_decode_signed32(0, _data->data[_t36_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(404);
}

void flick_unmarshal_stub_sCLs_swap(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t37_array_length;
  flick_unsigned8_t _t38_array_iter;

  flick_iiop_decode_new_glob(404);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  _t37_array_length = 50;
  flick_iiop_decode_end_chunk(2);
  for (_t38_array_iter = 0; _t38_array_iter < _t37_array_length; _t38_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t38_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_swap_decode_signed32(0, _data->data[_t38_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(404);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t420_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t420_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t420_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t421_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t421_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t421_switch_tag)
            {
            case /* test */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t422_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t422_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t422_switch_tag)
                  {
                  case /* _cLd */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600343140):
                    {
                      char _t423_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t423_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t423_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              struct cLd *_local_inp;
                              struct cLd *_local_iop;
                              struct cLd *_local_outp;
                              CORBA_Environment *_ev;
                              struct cLd _return;
                              unsigned int _t424_principal_len;
                              struct cLd _t425_storage;
                              flick_unsigned8_t _t426_array_length;
                              flick_unsigned8_t _t427_array_iter;
                              struct cLd _t428_storage;
                              flick_unsigned8_t _t429_array_length;
                              flick_unsigned8_t _t430_array_iter;
                              struct cLd _t431_storage;
                              CORBA_Environment _t432_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t424_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t424_principal_len);
                              flick_iiop_decode_new_chunk(_t424_principal_len);
                              flick_iiop_decode_end_chunk(_t424_principal_len);
                              flick_iiop_decode_end_glob(_t424_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t425_storage;
                              flick_iiop_decode_new_glob(726);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->first);
                              _t426_array_length = 50;
                              flick_iiop_decode_end_chunk(1);
                              for (_t427_array_iter = 0; _t427_array_iter < _t426_array_length; _t427_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t427_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
                              flick_cdr_swap_decode_float64(0, _local_inp->last);
                              _local_iop = &_t428_storage;
                              flick_cdr_swap_decode_char8(8, _local_iop->first);
                              _t429_array_length = 50;
                              flick_iiop_decode_end_chunk(9);
                              for (_t430_array_iter = 0; _t430_array_iter < _t429_array_length; _t430_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t430_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                              flick_cdr_swap_decode_float64(0, _local_iop->last);
                              _local_outp = &_t431_storage;
                              _ev = &_t432_storage;
                              flick_iiop_decode_end_chunk(8);
                              flick_iiop_decode_end_glob(726);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(652);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(204);
                                    flick_cdr_encode_char8(0, _return.first);
                                    flick_cdr_encode_bcopy(4, _return.data, 4 * 50);
                                    flick_iiop_encode_end_chunk(204);
                                    flick_iiop_encode_new_chunk_align(440, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.last);
                                    flick_cdr_encode_char8(8, _local_iop->first);
                                    flick_cdr_encode_bcopy(12, _local_iop->data, 4 * 50);
                                    flick_cdr_encode_float64(216, _local_iop->last);
                                    flick_cdr_encode_char8(224, _local_outp->first);
                                    flick_cdr_encode_bcopy(228, _local_outp->data, 4 * 50);
                                    flick_cdr_encode_float64(432, _local_outp->last);
                                    flick_iiop_encode_end_chunk(440);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(652);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLc */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600408675):
                    {
                      char _t433_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t433_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t433_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              struct dLc *_local_inp;
                              struct dLc *_local_iop;
                              struct dLc *_local_outp;
                              CORBA_Environment *_ev;
                              struct dLc _return;
                              unsigned int _t434_principal_len;
                              struct dLc _t435_storage;
                              flick_unsigned8_t _t436_array_length;
                              flick_unsigned8_t _t437_array_iter;
                              struct dLc _t438_storage;
                              flick_unsigned8_t _t439_array_length;
                              flick_unsigned8_t _t440_array_iter;
                              struct dLc _t441_storage;
                              CORBA_Environment _t442_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t434_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t434_principal_len);
                              flick_iiop_decode_new_chunk(_t434_principal_len);
                              flick_iiop_decode_end_chunk(_t434_principal_len);
                              flick_iiop_decode_end_glob(_t434_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t435_storage;
                              flick_iiop_decode_new_glob(432);
                              flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
                              flick_cdr_swap_decode_float64(0, _local_inp->first);
                              _t436_array_length = 50;
                              flick_iiop_decode_end_chunk(8);
                              for (_t437_array_iter = 0; _t437_array_iter < _t436_array_length; _t437_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t437_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->last);
                              _local_iop = &_t438_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
                              flick_cdr_swap_decode_float64(0, _local_iop->first);
                              _t439_array_length = 50;
                              flick_iiop_decode_end_chunk(8);
                              for (_t440_array_iter = 0; _t440_array_iter < _t439_array_length; _t440_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t440_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop->last);
                              _local_outp = &_t441_storage;
                              _ev = &_t442_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_end_glob(432);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(649);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(641, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.first);
                                    flick_cdr_encode_bcopy(8, _return.data, 4 * 50);
                                    flick_cdr_encode_char8(208, _return.last);
                                    flick_cdr_encode_float64(216, _local_iop->first);
                                    flick_cdr_encode_bcopy(224, _local_iop->data, 4 * 50);
                                    flick_cdr_encode_char8(424, _local_iop->last);
                                    flick_cdr_encode_float64(432, _local_outp->first);
                                    flick_cdr_encode_bcopy(440, _local_outp->data, 4 * 50);
                                    flick_cdr_encode_char8(640, _local_outp->last);
                                    flick_iiop_encode_end_chunk(641);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(649);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLs */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1601391731):
                    {
                      char _t443_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t443_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t443_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              struct sLs *_local_inp;
                              struct sLs *_local_iop;
                              struct sLs *_local_outp;
                              CORBA_Environment *_ev;
                              struct sLs _return;
                              unsigned int _t444_principal_len;
                              struct sLs _t445_storage;
                              flick_unsigned8_t _t446_array_length;
                              flick_unsigned8_t _t447_array_iter;
                              struct sLs _t448_storage;
                              flick_unsigned8_t _t449_array_length;
                              flick_unsigned8_t _t450_array_iter;
                              struct sLs _t451_storage;
                              CORBA_Environment _t452_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t444_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t444_principal_len);
                              flick_iiop_decode_new_chunk(_t444_principal_len);
                              flick_iiop_decode_end_chunk(_t444_principal_len);
                              flick_iiop_decode_end_glob(_t444_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t445_storage;
                              flick_iiop_decode_new_glob(509);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_swap_decode_signed16(0, _local_inp->first);
                              _t446_array_length = 50;
                              flick_iiop_decode_end_chunk(2);
                              for (_t447_array_iter = 0; _t447_array_iter < _t446_array_length; _t447_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t447_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed16(0, _local_inp->last);
                              _local_iop = &_t448_storage;
                              flick_cdr_swap_decode_signed16(2, _local_iop->first);
                              _t449_array_length = 50;
                              flick_iiop_decode_end_chunk(4);
                              for (_t450_array_iter = 0; _t450_array_iter < _t449_array_length; _t450_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t450_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk(2);
                              flick_cdr_swap_decode_signed16(0, _local_iop->last);
                              _local_outp = &_t451_storage;
                              _ev = &_t452_storage;
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_end_glob(509);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(618);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(614);
                                    flick_cdr_encode_signed16(0, _return.first);
                                    flick_cdr_encode_bcopy(4, _return.data, 4 * 50);
                                    flick_cdr_encode_signed16(204, _return.last);
                                    flick_cdr_encode_signed16(206, _local_iop->first);
                                    flick_cdr_encode_bcopy(208, _local_iop->data, 4 * 50);
                                    flick_cdr_encode_signed16(408, _local_iop->last);
                                    flick_cdr_encode_signed16(410, _local_outp->first);
                                    flick_cdr_encode_bcopy(412, _local_outp->data, 4 * 50);
                                    flick_cdr_encode_signed16(612, _local_outp->last);
                                    flick_iiop_encode_end_chunk(614);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(618);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t453_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t453_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t453_switch_tag)
            {
            case /* test */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t454_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t454_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t454_switch_tag)
                  {
                  case /* _cLC */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600343107):
                    {
                      unsigned short int _t455_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t455_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t455_switch_tag)
                        {
                        case /* d */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              struct cLCd *_local_inp;
                              struct cLCd *_local_iop;
                              struct cLCd *_local_outp;
                              CORBA_Environment *_ev;
                              struct cLCd _return;
                              unsigned int _t456_principal_len;
                              struct cLCd _t457_storage;
                              flick_unsigned8_t _t458_array_length;
                              flick_unsigned8_t _t459_array_iter;
                              struct cLCd _t460_storage;
                              flick_unsigned8_t _t461_array_length;
                              flick_unsigned8_t _t462_array_iter;
                              struct cLCd _t463_storage;
                              CORBA_Environment _t464_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t456_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t456_principal_len);
                              flick_iiop_decode_new_chunk(_t456_principal_len);
                              flick_iiop_decode_end_chunk(_t456_principal_len);
                              flick_iiop_decode_end_glob(_t456_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t457_storage;
                              flick_iiop_decode_new_glob(832);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->first);
                              _t458_array_length = 50;
                              flick_iiop_decode_end_chunk(1);
                              for (_t459_array_iter = 0; _t459_array_iter < _t458_array_length; _t459_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t459_array_iter].elem1);
                                  flick_cdr_swap_decode_char8(4, _local_inp->data[_t459_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk_align(9, 3, 2, 1);
                              flick_cdr_swap_decode_float64(0, _local_inp->last);
                              _local_iop = &_t460_storage;
                              flick_cdr_swap_decode_char8(8, _local_iop->first);
                              _t461_array_length = 50;
                              flick_iiop_decode_end_chunk(9);
                              for (_t462_array_iter = 0; _t462_array_iter < _t461_array_length; _t462_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_swap_decode_signed32(3, _local_iop->data[_t462_array_iter].elem1);
                                  flick_cdr_swap_decode_char8(7, _local_iop->data[_t462_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(15);
                              flick_cdr_swap_decode_float64(7, _local_iop->last);
                              _local_outp = &_t463_storage;
                              _ev = &_t464_storage;
                              flick_iiop_decode_end_chunk(15);
                              flick_iiop_decode_end_glob(832);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1252);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t468_array_iter;
                                    flick_unsigned8_t _t469_array_iter;
                                    flick_unsigned8_t _t470_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _return.first);
                                    flick_iiop_encode_end_chunk(1);
                                    for (_t468_array_iter = 0; _t468_array_iter < 50; _t468_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_signed32(3, _return.data[_t468_array_iter].elem1);
                                        flick_cdr_encode_char8(7, _return.data[_t468_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk_align(9, 3, 2, 1);
                                    flick_cdr_encode_float64(0, _return.last);
                                    flick_cdr_encode_char8(8, _local_iop->first);
                                    flick_iiop_encode_end_chunk(9);
                                    for (_t469_array_iter = 0; _t469_array_iter < 50; _t469_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_signed32(3, _local_iop->data[_t469_array_iter].elem1);
                                        flick_cdr_encode_char8(7, _local_iop->data[_t469_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(16);
                                    flick_cdr_encode_float64(7, _local_iop->last);
                                    flick_cdr_encode_char8(15, _local_outp->first);
                                    flick_iiop_encode_end_chunk(16);
                                    for (_t470_array_iter = 0; _t470_array_iter < 50; _t470_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_signed32(3, _local_outp->data[_t470_array_iter].elem1);
                                        flick_cdr_encode_char8(7, _local_outp->data[_t470_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(15);
                                    flick_cdr_encode_float64(7, _local_outp->last);
                                    flick_iiop_encode_end_chunk(15);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(1252);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLC */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600408643):
                    {
                      unsigned short int _t471_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t471_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t471_switch_tag)
                        {
                        case /* c */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              struct dLCc *_local_inp;
                              struct dLCc *_local_iop;
                              struct dLCc *_local_outp;
                              CORBA_Environment *_ev;
                              struct dLCc _return;
                              unsigned int _t472_principal_len;
                              struct dLCc _t473_storage;
                              flick_unsigned8_t _t474_array_length;
                              flick_unsigned8_t _t475_array_iter;
                              struct dLCc _t476_storage;
                              flick_unsigned8_t _t477_array_length;
                              flick_unsigned8_t _t478_array_iter;
                              struct dLCc _t479_storage;
                              CORBA_Environment _t480_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t472_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t472_principal_len);
                              flick_iiop_decode_new_chunk(_t472_principal_len);
                              flick_iiop_decode_end_chunk(_t472_principal_len);
                              flick_iiop_decode_end_glob(_t472_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t473_storage;
                              flick_iiop_decode_new_glob(831);
                              flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
                              flick_cdr_swap_decode_float64(0, _local_inp->first);
                              _t474_array_length = 50;
                              flick_iiop_decode_end_chunk(8);
                              for (_t475_array_iter = 0; _t475_array_iter < _t474_array_length; _t475_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t475_array_iter].elem1);
                                  flick_cdr_swap_decode_char8(4, _local_inp->data[_t475_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->last);
                              _local_iop = &_t476_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
                              flick_cdr_swap_decode_float64(0, _local_iop->first);
                              _t477_array_length = 50;
                              flick_iiop_decode_end_chunk(8);
                              for (_t478_array_iter = 0; _t478_array_iter < _t477_array_length; _t478_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t478_array_iter].elem1);
                                  flick_cdr_swap_decode_char8(4, _local_iop->data[_t478_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop->last);
                              _local_outp = &_t479_storage;
                              _ev = &_t480_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_end_glob(831);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1247);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t484_array_iter;
                                    flick_unsigned8_t _t485_array_iter;
                                    flick_unsigned8_t _t486_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t484_array_iter = 0; _t484_array_iter < 50; _t484_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _return.data[_t484_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _return.data[_t484_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _return.last);
                                    flick_iiop_encode_end_chunk(1);
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                    flick_cdr_encode_float64(0, _local_iop->first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t485_array_iter = 0; _t485_array_iter < 50; _t485_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_iop->data[_t485_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_iop->data[_t485_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _local_iop->last);
                                    flick_iiop_encode_end_chunk(1);
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                    flick_cdr_encode_float64(0, _local_outp->first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t486_array_iter = 0; _t486_array_iter < 50; _t486_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_outp->data[_t486_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_outp->data[_t486_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(1);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(1247);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLC */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1601391683):
                    {
                      unsigned short int _t487_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t487_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t487_switch_tag)
                        {
                        case /* s */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              struct sLCs *_local_inp;
                              struct sLCs *_local_iop;
                              struct sLCs *_local_outp;
                              CORBA_Environment *_ev;
                              struct sLCs _return;
                              unsigned int _t488_principal_len;
                              struct sLCs _t489_storage;
                              flick_unsigned8_t _t490_array_length;
                              flick_unsigned8_t _t491_array_iter;
                              struct sLCs _t492_storage;
                              flick_unsigned8_t _t493_array_length;
                              flick_unsigned8_t _t494_array_iter;
                              struct sLCs _t495_storage;
                              CORBA_Environment _t496_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t488_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t488_principal_len);
                              flick_iiop_decode_new_chunk(_t488_principal_len);
                              flick_iiop_decode_end_chunk(_t488_principal_len);
                              flick_iiop_decode_end_glob(_t488_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t489_storage;
                              flick_iiop_decode_new_glob(811);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_swap_decode_signed16(0, _local_inp->first);
                              _t490_array_length = 50;
                              flick_iiop_decode_end_chunk(2);
                              for (_t491_array_iter = 0; _t491_array_iter < _t490_array_length; _t491_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t491_array_iter].elem1);
                                  flick_cdr_swap_decode_char8(4, _local_inp->data[_t491_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_signed16(1, _local_inp->last);
                              _local_iop = &_t492_storage;
                              flick_cdr_swap_decode_signed16(3, _local_iop->first);
                              _t493_array_length = 50;
                              flick_iiop_decode_end_chunk(5);
                              for (_t494_array_iter = 0; _t494_array_iter < _t493_array_length; _t494_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t494_array_iter].elem1);
                                  flick_cdr_swap_decode_char8(4, _local_iop->data[_t494_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(3);
                              flick_cdr_swap_decode_signed16(1, _local_iop->last);
                              _local_outp = &_t495_storage;
                              _ev = &_t496_storage;
                              flick_iiop_decode_end_chunk(3);
                              flick_iiop_decode_end_glob(811);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1219);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t500_array_iter;
                                    flick_unsigned8_t _t501_array_iter;
                                    flick_unsigned8_t _t502_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return.first);
                                    flick_iiop_encode_end_chunk(2);
                                    for (_t500_array_iter = 0; _t500_array_iter < 50; _t500_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _return.data[_t500_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _return.data[_t500_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(5);
                                    flick_cdr_encode_signed16(1, _return.last);
                                    flick_cdr_encode_signed16(3, _local_iop->first);
                                    flick_iiop_encode_end_chunk(5);
                                    for (_t501_array_iter = 0; _t501_array_iter < 50; _t501_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_iop->data[_t501_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_iop->data[_t501_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(5);
                                    flick_cdr_encode_signed16(1, _local_iop->last);
                                    flick_cdr_encode_signed16(3, _local_outp->first);
                                    flick_iiop_encode_end_chunk(5);
                                    for (_t502_array_iter = 0; _t502_array_iter < 50; _t502_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_outp->data[_t502_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_outp->data[_t502_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(3);
                                    flick_cdr_encode_signed16(1, _local_outp->last);
                                    flick_iiop_encode_end_chunk(3);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(1219);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cCL */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600340812):
                    {
                      unsigned short int _t503_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t503_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t503_switch_tag)
                        {
                        case /* d */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              struct cCLd *_local_inp;
                              struct cCLd *_local_iop;
                              struct cCLd *_local_outp;
                              CORBA_Environment *_ev;
                              struct cCLd _return;
                              unsigned int _t504_principal_len;
                              struct cCLd _t505_storage;
                              flick_unsigned8_t _t506_array_length;
                              flick_unsigned8_t _t507_array_iter;
                              struct cCLd _t508_storage;
                              flick_unsigned8_t _t509_array_length;
                              flick_unsigned8_t _t510_array_iter;
                              struct cCLd _t511_storage;
                              CORBA_Environment _t512_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t504_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t504_principal_len);
                              flick_iiop_decode_new_chunk(_t504_principal_len);
                              flick_iiop_decode_end_chunk(_t504_principal_len);
                              flick_iiop_decode_end_glob(_t504_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t505_storage;
                              flick_iiop_decode_new_glob(826);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->first);
                              _t506_array_length = 50;
                              flick_iiop_decode_end_chunk(1);
                              for (_t507_array_iter = 0; _t507_array_iter < _t506_array_length; _t507_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_inp->data[_t507_array_iter].elem1);
                                  flick_iiop_decode_end_chunk(1);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t507_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
                              flick_cdr_swap_decode_float64(0, _local_inp->last);
                              _local_iop = &_t508_storage;
                              flick_cdr_swap_decode_char8(8, _local_iop->first);
                              _t509_array_length = 50;
                              flick_iiop_decode_end_chunk(9);
                              for (_t510_array_iter = 0; _t510_array_iter < _t509_array_length; _t510_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_iop->data[_t510_array_iter].elem1);
                                  flick_iiop_decode_end_chunk(1);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t510_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                              flick_cdr_swap_decode_float64(0, _local_iop->last);
                              _local_outp = &_t511_storage;
                              _ev = &_t512_storage;
                              flick_iiop_decode_end_chunk(8);
                              flick_iiop_decode_end_glob(826);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1243);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t516_array_iter;
                                    flick_unsigned8_t _t517_array_iter;
                                    flick_unsigned8_t _t518_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _return.first);
                                    flick_iiop_encode_end_chunk(1);
                                    for (_t516_array_iter = 0; _t516_array_iter < 50; _t516_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _return.data[_t516_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _return.data[_t516_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.last);
                                    flick_cdr_encode_char8(8, _local_iop->first);
                                    flick_iiop_encode_end_chunk(9);
                                    for (_t517_array_iter = 0; _t517_array_iter < 50; _t517_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _local_iop->data[_t517_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_iop->data[_t517_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _local_iop->last);
                                    flick_cdr_encode_char8(8, _local_outp->first);
                                    flick_iiop_encode_end_chunk(9);
                                    for (_t518_array_iter = 0; _t518_array_iter < 50; _t518_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _local_outp->data[_t518_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_outp->data[_t518_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(1243);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dCL */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600406348):
                    {
                      unsigned short int _t519_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t519_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t519_switch_tag)
                        {
                        case /* c */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              struct dCLc *_local_inp;
                              struct dCLc *_local_iop;
                              struct dCLc *_local_outp;
                              CORBA_Environment *_ev;
                              struct dCLc _return;
                              unsigned int _t520_principal_len;
                              struct dCLc _t521_storage;
                              flick_unsigned8_t _t522_array_length;
                              flick_unsigned8_t _t523_array_iter;
                              struct dCLc _t524_storage;
                              flick_unsigned8_t _t525_array_length;
                              flick_unsigned8_t _t526_array_iter;
                              struct dCLc _t527_storage;
                              CORBA_Environment _t528_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t520_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t520_principal_len);
                              flick_iiop_decode_new_chunk(_t520_principal_len);
                              flick_iiop_decode_end_chunk(_t520_principal_len);
                              flick_iiop_decode_end_glob(_t520_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t521_storage;
                              flick_iiop_decode_new_glob(832);
                              flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
                              flick_cdr_swap_decode_float64(0, _local_inp->first);
                              _t522_array_length = 50;
                              flick_iiop_decode_end_chunk(8);
                              for (_t523_array_iter = 0; _t523_array_iter < _t522_array_length; _t523_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_inp->data[_t523_array_iter].elem1);
                                  flick_cdr_swap_decode_signed32(4, _local_inp->data[_t523_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(16);
                              flick_cdr_swap_decode_char8(0, _local_inp->last);
                              _local_iop = &_t524_storage;
                              flick_cdr_swap_decode_float64(8, _local_iop->first);
                              _t525_array_length = 50;
                              flick_iiop_decode_end_chunk(16);
                              for (_t526_array_iter = 0; _t526_array_iter < _t525_array_length; _t526_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_iop->data[_t526_array_iter].elem1);
                                  flick_cdr_swap_decode_signed32(4, _local_iop->data[_t526_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop->last);
                              _local_outp = &_t527_storage;
                              _ev = &_t528_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_end_glob(832);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1249);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t532_array_iter;
                                    flick_unsigned8_t _t533_array_iter;
                                    flick_unsigned8_t _t534_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t532_array_iter = 0; _t532_array_iter < 50; _t532_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _return.data[_t532_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _return.data[_t532_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(16);
                                    flick_cdr_encode_char8(0, _return.last);
                                    flick_cdr_encode_float64(8, _local_iop->first);
                                    flick_iiop_encode_end_chunk(16);
                                    for (_t533_array_iter = 0; _t533_array_iter < 50; _t533_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_iop->data[_t533_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_iop->data[_t533_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(16);
                                    flick_cdr_encode_char8(0, _local_iop->last);
                                    flick_cdr_encode_float64(8, _local_outp->first);
                                    flick_iiop_encode_end_chunk(16);
                                    for (_t534_array_iter = 0; _t534_array_iter < 50; _t534_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_outp->data[_t534_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_outp->data[_t534_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(1);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(1249);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sCL */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1601389388):
                    {
                      unsigned short int _t535_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t535_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t535_switch_tag)
                        {
                        case /* s */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              struct sCLs *_local_inp;
                              struct sCLs *_local_iop;
                              struct sCLs *_local_outp;
                              CORBA_Environment *_ev;
                              struct sCLs _return;
                              unsigned int _t536_principal_len;
                              struct sCLs _t537_storage;
                              flick_unsigned8_t _t538_array_length;
                              flick_unsigned8_t _t539_array_iter;
                              struct sCLs _t540_storage;
                              flick_unsigned8_t _t541_array_length;
                              flick_unsigned8_t _t542_array_iter;
                              struct sCLs _t543_storage;
                              CORBA_Environment _t544_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t536_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t536_principal_len);
                              flick_iiop_decode_new_chunk(_t536_principal_len);
                              flick_iiop_decode_end_chunk(_t536_principal_len);
                              flick_iiop_decode_end_glob(_t536_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t537_storage;
                              flick_iiop_decode_new_glob(809);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_swap_decode_signed16(0, _local_inp->first);
                              _t538_array_length = 50;
                              flick_iiop_decode_end_chunk(2);
                              for (_t539_array_iter = 0; _t539_array_iter < _t538_array_length; _t539_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_inp->data[_t539_array_iter].elem1);
                                  flick_iiop_decode_end_chunk(1);
                                  flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t539_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed16(0, _local_inp->last);
                              _local_iop = &_t540_storage;
                              flick_cdr_swap_decode_signed16(2, _local_iop->first);
                              _t541_array_length = 50;
                              flick_iiop_decode_end_chunk(4);
                              for (_t542_array_iter = 0; _t542_array_iter < _t541_array_length; _t542_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_iop->data[_t542_array_iter].elem1);
                                  flick_cdr_swap_decode_signed32(4, _local_iop->data[_t542_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(2);
                              flick_cdr_swap_decode_signed16(0, _local_iop->last);
                              _local_outp = &_t543_storage;
                              _ev = &_t544_storage;
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_end_glob(809);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1216);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t548_array_iter;
                                    flick_unsigned8_t _t549_array_iter;
                                    flick_unsigned8_t _t550_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return.first);
                                    flick_iiop_encode_end_chunk(2);
                                    for (_t548_array_iter = 0; _t548_array_iter < 50; _t548_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _return.data[_t548_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
                                        flick_cdr_encode_signed32(0, _return.data[_t548_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed16(0, _return.last);
                                    flick_cdr_encode_signed16(2, _local_iop->first);
                                    flick_iiop_encode_end_chunk(4);
                                    for (_t549_array_iter = 0; _t549_array_iter < 50; _t549_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_iop->data[_t549_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_iop->data[_t549_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed16(0, _local_iop->last);
                                    flick_cdr_encode_signed16(2, _local_outp->first);
                                    flick_iiop_encode_end_chunk(4);
                                    for (_t550_array_iter = 0; _t550_array_iter < 50; _t550_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_outp->data[_t550_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_outp->data[_t550_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(2);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(1216);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t164_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t164_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t164_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t165_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t165_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t165_switch_tag)
            {
            case /* test */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t166_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t166_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t166_switch_tag)
                  {
                  case /* _cLd */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600343140):
                    {
                      char _t167_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t167_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t167_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              struct cLd *_local_inp;
                              struct cLd *_local_iop;
                              struct cLd *_local_outp;
                              CORBA_Environment *_ev;
                              struct cLd _return;
                              unsigned int _t168_principal_len;
                              struct cLd _t169_storage;
                              flick_unsigned8_t _t170_array_length;
                              struct cLd _t171_storage;
                              flick_unsigned8_t _t172_array_length;
                              struct cLd _t173_storage;
                              CORBA_Environment _t174_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t168_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t168_principal_len);
                              flick_iiop_decode_new_chunk(_t168_principal_len);
                              flick_iiop_decode_end_chunk(_t168_principal_len);
                              flick_iiop_decode_end_glob(_t168_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t169_storage;
                              flick_iiop_decode_new_glob(432);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->first);
                              _t170_array_length = 50;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_new_chunk_align(200, 2, 0, 0);
                              flick_cdr_decode_bcopy(0, _local_inp->data, 4 * _t170_array_length);
                              flick_iiop_decode_end_chunk(200);
                              flick_iiop_decode_new_chunk_align(224, 3, 2, 0);
                              flick_cdr_decode_float64(0, _local_inp->last);
                              _local_iop = &_t171_storage;
                              flick_cdr_decode_char8(8, _local_iop->first);
                              _t172_array_length = 50;
                              flick_cdr_decode_bcopy(12, _local_iop->data, 4 * _t172_array_length);
                              flick_cdr_decode_float64(216, _local_iop->last);
                              _local_outp = &_t173_storage;
                              _ev = &_t174_storage;
                              flick_iiop_decode_end_chunk(224);
                              flick_iiop_decode_end_glob(432);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(652);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(204);
                                    flick_cdr_encode_char8(0, _return.first);
                                    flick_cdr_encode_bcopy(4, _return.data, 4 * 50);
                                    flick_iiop_encode_end_chunk(204);
                                    flick_iiop_encode_new_chunk_align(440, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.last);
                                    flick_cdr_encode_char8(8, _local_iop->first);
                                    flick_cdr_encode_bcopy(12, _local_iop->data, 4 * 50);
                                    flick_cdr_encode_float64(216, _local_iop->last);
                                    flick_cdr_encode_char8(224, _local_outp->first);
                                    flick_cdr_encode_bcopy(228, _local_outp->data, 4 * 50);
                                    flick_cdr_encode_float64(432, _local_outp->last);
                                    flick_iiop_encode_end_chunk(440);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(652);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLc */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600408675):
                    {
                      char _t175_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t175_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t175_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              struct dLc *_local_inp;
                              struct dLc *_local_iop;
                              struct dLc *_local_outp;
                              CORBA_Environment *_ev;
                              struct dLc _return;
                              unsigned int _t176_principal_len;
                              struct dLc _t177_storage;
                              flick_unsigned8_t _t178_array_length;
                              struct dLc _t179_storage;
                              flick_unsigned8_t _t180_array_length;
                              struct dLc _t181_storage;
                              CORBA_Environment _t182_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t176_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t176_principal_len);
                              flick_iiop_decode_new_chunk(_t176_principal_len);
                              flick_iiop_decode_end_chunk(_t176_principal_len);
                              flick_iiop_decode_end_glob(_t176_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t177_storage;
                              flick_iiop_decode_new_glob(432);
                              flick_iiop_decode_new_chunk_align(425, 3, 0, 0);
                              flick_cdr_decode_float64(0, _local_inp->first);
                              _t178_array_length = 50;
                              flick_cdr_decode_bcopy(8, _local_inp->data, 4 * _t178_array_length);
                              flick_cdr_decode_char8(208, _local_inp->last);
                              _local_iop = &_t179_storage;
                              flick_cdr_decode_float64(216, _local_iop->first);
                              _t180_array_length = 50;
                              flick_cdr_decode_bcopy(224, _local_iop->data, 4 * _t180_array_length);
                              flick_cdr_decode_char8(424, _local_iop->last);
                              _local_outp = &_t181_storage;
                              _ev = &_t182_storage;
                              flick_iiop_decode_end_chunk(425);
                              flick_iiop_decode_end_glob(432);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(649);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(641, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.first);
                                    flick_cdr_encode_bcopy(8, _return.data, 4 * 50);
                                    flick_cdr_encode_char8(208, _return.last);
                                    flick_cdr_encode_float64(216, _local_iop->first);
                                    flick_cdr_encode_bcopy(224, _local_iop->data, 4 * 50);
                                    flick_cdr_encode_char8(424, _local_iop->last);
                                    flick_cdr_encode_float64(432, _local_outp->first);
                                    flick_cdr_encode_bcopy(440, _local_outp->data, 4 * 50);
                                    flick_cdr_encode_char8(640, _local_outp->last);
                                    flick_iiop_encode_end_chunk(641);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(649);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLs */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1601391731):
                    {
                      char _t183_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t183_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t183_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              struct sLs *_local_inp;
                              struct sLs *_local_iop;
                              struct sLs *_local_outp;
                              CORBA_Environment *_ev;
                              struct sLs _return;
                              unsigned int _t184_principal_len;
                              struct sLs _t185_storage;
                              flick_unsigned8_t _t186_array_length;
                              struct sLs _t187_storage;
                              flick_unsigned8_t _t188_array_length;
                              struct sLs _t189_storage;
                              CORBA_Environment _t190_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t184_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t184_principal_len);
                              flick_iiop_decode_new_chunk(_t184_principal_len);
                              flick_iiop_decode_end_chunk(_t184_principal_len);
                              flick_iiop_decode_end_glob(_t184_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t185_storage;
                              flick_iiop_decode_new_glob(411);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_decode_signed16(0, _local_inp->first);
                              _t186_array_length = 50;
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_new_chunk_align(406, 2, 1, 0);
                              flick_cdr_decode_bcopy(0, _local_inp->data, 4 * _t186_array_length);
                              flick_cdr_decode_signed16(200, _local_inp->last);
                              _local_iop = &_t187_storage;
                              flick_cdr_decode_signed16(202, _local_iop->first);
                              _t188_array_length = 50;
                              flick_cdr_decode_bcopy(204, _local_iop->data, 4 * _t188_array_length);
                              flick_cdr_decode_signed16(404, _local_iop->last);
                              _local_outp = &_t189_storage;
                              _ev = &_t190_storage;
                              flick_iiop_decode_end_chunk(406);
                              flick_iiop_decode_end_glob(411);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(618);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(614);
                                    flick_cdr_encode_signed16(0, _return.first);
                                    flick_cdr_encode_bcopy(4, _return.data, 4 * 50);
                                    flick_cdr_encode_signed16(204, _return.last);
                                    flick_cdr_encode_signed16(206, _local_iop->first);
                                    flick_cdr_encode_bcopy(208, _local_iop->data, 4 * 50);
                                    flick_cdr_encode_signed16(408, _local_iop->last);
                                    flick_cdr_encode_signed16(410, _local_outp->first);
                                    flick_cdr_encode_bcopy(412, _local_outp->data, 4 * 50);
                                    flick_cdr_encode_signed16(612, _local_outp->last);
                                    flick_iiop_encode_end_chunk(614);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(618);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t191_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t191_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t191_switch_tag)
            {
            case /* test */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t192_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t192_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t192_switch_tag)
                  {
                  case /* _cLC */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600343107):
                    {
                      unsigned short int _t193_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t193_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t193_switch_tag)
                        {
                        case /* d */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              struct cLCd *_local_inp;
                              struct cLCd *_local_iop;
                              struct cLCd *_local_outp;
                              CORBA_Environment *_ev;
                              struct cLCd _return;
                              unsigned int _t194_principal_len;
                              struct cLCd _t195_storage;
                              flick_unsigned8_t _t196_array_length;
                              flick_unsigned8_t _t197_array_iter;
                              struct cLCd _t198_storage;
                              flick_unsigned8_t _t199_array_length;
                              flick_unsigned8_t _t200_array_iter;
                              struct cLCd _t201_storage;
                              CORBA_Environment _t202_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t194_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t194_principal_len);
                              flick_iiop_decode_new_chunk(_t194_principal_len);
                              flick_iiop_decode_end_chunk(_t194_principal_len);
                              flick_iiop_decode_end_glob(_t194_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t195_storage;
                              flick_iiop_decode_new_glob(832);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->first);
                              _t196_array_length = 50;
                              flick_iiop_decode_end_chunk(1);
                              for (_t197_array_iter = 0; _t197_array_iter < _t196_array_length; _t197_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t197_array_iter].elem1);
                                  flick_cdr_decode_char8(4, _local_inp->data[_t197_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk_align(9, 3, 2, 1);
                              flick_cdr_decode_float64(0, _local_inp->last);
                              _local_iop = &_t198_storage;
                              flick_cdr_decode_char8(8, _local_iop->first);
                              _t199_array_length = 50;
                              flick_iiop_decode_end_chunk(9);
                              for (_t200_array_iter = 0; _t200_array_iter < _t199_array_length; _t200_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_decode_signed32(3, _local_iop->data[_t200_array_iter].elem1);
                                  flick_cdr_decode_char8(7, _local_iop->data[_t200_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(15);
                              flick_cdr_decode_float64(7, _local_iop->last);
                              _local_outp = &_t201_storage;
                              _ev = &_t202_storage;
                              flick_iiop_decode_end_chunk(15);
                              flick_iiop_decode_end_glob(832);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1252);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t206_array_iter;
                                    flick_unsigned8_t _t207_array_iter;
                                    flick_unsigned8_t _t208_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _return.first);
                                    flick_iiop_encode_end_chunk(1);
                                    for (_t206_array_iter = 0; _t206_array_iter < 50; _t206_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_signed32(3, _return.data[_t206_array_iter].elem1);
                                        flick_cdr_encode_char8(7, _return.data[_t206_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk_align(9, 3, 2, 1);
                                    flick_cdr_encode_float64(0, _return.last);
                                    flick_cdr_encode_char8(8, _local_iop->first);
                                    flick_iiop_encode_end_chunk(9);
                                    for (_t207_array_iter = 0; _t207_array_iter < 50; _t207_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_signed32(3, _local_iop->data[_t207_array_iter].elem1);
                                        flick_cdr_encode_char8(7, _local_iop->data[_t207_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(16);
                                    flick_cdr_encode_float64(7, _local_iop->last);
                                    flick_cdr_encode_char8(15, _local_outp->first);
                                    flick_iiop_encode_end_chunk(16);
                                    for (_t208_array_iter = 0; _t208_array_iter < 50; _t208_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_signed32(3, _local_outp->data[_t208_array_iter].elem1);
                                        flick_cdr_encode_char8(7, _local_outp->data[_t208_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(15);
                                    flick_cdr_encode_float64(7, _local_outp->last);
                                    flick_iiop_encode_end_chunk(15);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(1252);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLC */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600408643):
                    {
                      unsigned short int _t209_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t209_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t209_switch_tag)
                        {
                        case /* c */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              struct dLCc *_local_inp;
                              struct dLCc *_local_iop;
                              struct dLCc *_local_outp;
                              CORBA_Environment *_ev;
                              struct dLCc _return;
                              unsigned int _t210_principal_len;
                              struct dLCc _t211_storage;
                              flick_unsigned8_t _t212_array_length;
                              flick_unsigned8_t _t213_array_iter;
                              struct dLCc _t214_storage;
                              flick_unsigned8_t _t215_array_length;
                              flick_unsigned8_t _t216_array_iter;
                              struct dLCc _t217_storage;
                              CORBA_Environment _t218_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t210_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t210_principal_len);
                              flick_iiop_decode_new_chunk(_t210_principal_len);
                              flick_iiop_decode_end_chunk(_t210_principal_len);
                              flick_iiop_decode_end_glob(_t210_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t211_storage;
                              flick_iiop_decode_new_glob(831);
                              flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
                              flick_cdr_decode_float64(0, _local_inp->first);
                              _t212_array_length = 50;
                              flick_iiop_decode_end_chunk(8);
                              for (_t213_array_iter = 0; _t213_array_iter < _t212_array_length; _t213_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t213_array_iter].elem1);
                                  flick_cdr_decode_char8(4, _local_inp->data[_t213_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->last);
                              _local_iop = &_t214_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
                              flick_cdr_decode_float64(0, _local_iop->first);
                              _t215_array_length = 50;
                              flick_iiop_decode_end_chunk(8);
                              for (_t216_array_iter = 0; _t216_array_iter < _t215_array_length; _t216_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_decode_signed32(0, _local_iop->data[_t216_array_iter].elem1);
                                  flick_cdr_decode_char8(4, _local_iop->data[_t216_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_iop->last);
                              _local_outp = &_t217_storage;
                              _ev = &_t218_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_end_glob(831);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1247);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t222_array_iter;
                                    flick_unsigned8_t _t223_array_iter;
                                    flick_unsigned8_t _t224_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t222_array_iter = 0; _t222_array_iter < 50; _t222_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _return.data[_t222_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _return.data[_t222_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _return.last);
                                    flick_iiop_encode_end_chunk(1);
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                    flick_cdr_encode_float64(0, _local_iop->first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t223_array_iter = 0; _t223_array_iter < 50; _t223_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_iop->data[_t223_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_iop->data[_t223_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _local_iop->last);
                                    flick_iiop_encode_end_chunk(1);
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                    flick_cdr_encode_float64(0, _local_outp->first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t224_array_iter = 0; _t224_array_iter < 50; _t224_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_outp->data[_t224_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_outp->data[_t224_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(1);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(1247);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLC */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1601391683):
                    {
                      unsigned short int _t225_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t225_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t225_switch_tag)
                        {
                        case /* s */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              struct sLCs *_local_inp;
                              struct sLCs *_local_iop;
                              struct sLCs *_local_outp;
                              CORBA_Environment *_ev;
                              struct sLCs _return;
                              unsigned int _t226_principal_len;
                              struct sLCs _t227_storage;
                              flick_unsigned8_t _t228_array_length;
                              flick_unsigned8_t _t229_array_iter;
                              struct sLCs _t230_storage;
                              flick_unsigned8_t _t231_array_length;
                              flick_unsigned8_t _t232_array_iter;
                              struct sLCs _t233_storage;
                              CORBA_Environment _t234_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t226_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t226_principal_len);
                              flick_iiop_decode_new_chunk(_t226_principal_len);
                              flick_iiop_decode_end_chunk(_t226_principal_len);
                              flick_iiop_decode_end_glob(_t226_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t227_storage;
                              flick_iiop_decode_new_glob(811);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_decode_signed16(0, _local_inp->first);
                              _t228_array_length = 50;
                              flick_iiop_decode_end_chunk(2);
                              for (_t229_array_iter = 0; _t229_array_iter < _t228_array_length; _t229_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t229_array_iter].elem1);
                                  flick_cdr_decode_char8(4, _local_inp->data[_t229_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_signed16(1, _local_inp->last);
                              _local_iop = &_t230_storage;
                              flick_cdr_decode_signed16(3, _local_iop->first);
                              _t231_array_length = 50;
                              flick_iiop_decode_end_chunk(5);
                              for (_t232_array_iter = 0; _t232_array_iter < _t231_array_length; _t232_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_decode_signed32(0, _local_iop->data[_t232_array_iter].elem1);
                                  flick_cdr_decode_char8(4, _local_iop->data[_t232_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(3);
                              flick_cdr_decode_signed16(1, _local_iop->last);
                              _local_outp = &_t233_storage;
                              _ev = &_t234_storage;
                              flick_iiop_decode_end_chunk(3);
                              flick_iiop_decode_end_glob(811);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1219);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t238_array_iter;
                                    flick_unsigned8_t _t239_array_iter;
                                    flick_unsigned8_t _t240_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return.first);
                                    flick_iiop_encode_end_chunk(2);
                                    for (_t238_array_iter = 0; _t238_array_iter < 50; _t238_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _return.data[_t238_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _return.data[_t238_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(5);
                                    flick_cdr_encode_signed16(1, _return.last);
                                    flick_cdr_encode_signed16(3, _local_iop->first);
                                    flick_iiop_encode_end_chunk(5);
                                    for (_t239_array_iter = 0; _t239_array_iter < 50; _t239_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_iop->data[_t239_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_iop->data[_t239_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(5);
                                    flick_cdr_encode_signed16(1, _local_iop->last);
                                    flick_cdr_encode_signed16(3, _local_outp->first);
                                    flick_iiop_encode_end_chunk(5);
                                    for (_t240_array_iter = 0; _t240_array_iter < 50; _t240_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_outp->data[_t240_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_outp->data[_t240_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(3);
                                    flick_cdr_encode_signed16(1, _local_outp->last);
                                    flick_iiop_encode_end_chunk(3);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(1219);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cCL */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600340812):
                    {
                      unsigned short int _t241_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t241_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t241_switch_tag)
                        {
                        case /* d */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              struct cCLd *_local_inp;
                              struct cCLd *_local_iop;
                              struct cCLd *_local_outp;
                              CORBA_Environment *_ev;
                              struct cCLd _return;
                              unsigned int _t242_principal_len;
                              struct cCLd _t243_storage;
                              flick_unsigned8_t _t244_array_length;
                              flick_unsigned8_t _t245_array_iter;
                              struct cCLd _t246_storage;
                              flick_unsigned8_t _t247_array_length;
                              flick_unsigned8_t _t248_array_iter;
                              struct cCLd _t249_storage;
                              CORBA_Environment _t250_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t242_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t242_principal_len);
                              flick_iiop_decode_new_chunk(_t242_principal_len);
                              flick_iiop_decode_end_chunk(_t242_principal_len);
                              flick_iiop_decode_end_glob(_t242_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t243_storage;
                              flick_iiop_decode_new_glob(826);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->first);
                              _t244_array_length = 50;
                              flick_iiop_decode_end_chunk(1);
                              for (_t245_array_iter = 0; _t245_array_iter < _t244_array_length; _t245_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_inp->data[_t245_array_iter].elem1);
                                  flick_iiop_decode_end_chunk(1);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t245_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
                              flick_cdr_decode_float64(0, _local_inp->last);
                              _local_iop = &_t246_storage;
                              flick_cdr_decode_char8(8, _local_iop->first);
                              _t247_array_length = 50;
                              flick_iiop_decode_end_chunk(9);
                              for (_t248_array_iter = 0; _t248_array_iter < _t247_array_length; _t248_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_iop->data[_t248_array_iter].elem1);
                                  flick_iiop_decode_end_chunk(1);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_decode_signed32(0, _local_iop->data[_t248_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                              flick_cdr_decode_float64(0, _local_iop->last);
                              _local_outp = &_t249_storage;
                              _ev = &_t250_storage;
                              flick_iiop_decode_end_chunk(8);
                              flick_iiop_decode_end_glob(826);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1243);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t254_array_iter;
                                    flick_unsigned8_t _t255_array_iter;
                                    flick_unsigned8_t _t256_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _return.first);
                                    flick_iiop_encode_end_chunk(1);
                                    for (_t254_array_iter = 0; _t254_array_iter < 50; _t254_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _return.data[_t254_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _return.data[_t254_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.last);
                                    flick_cdr_encode_char8(8, _local_iop->first);
                                    flick_iiop_encode_end_chunk(9);
                                    for (_t255_array_iter = 0; _t255_array_iter < 50; _t255_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _local_iop->data[_t255_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_iop->data[_t255_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _local_iop->last);
                                    flick_cdr_encode_char8(8, _local_outp->first);
                                    flick_iiop_encode_end_chunk(9);
                                    for (_t256_array_iter = 0; _t256_array_iter < 50; _t256_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _local_outp->data[_t256_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_outp->data[_t256_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(1243);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dCL */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600406348):
                    {
                      unsigned short int _t257_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t257_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t257_switch_tag)
                        {
                        case /* c */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              struct dCLc *_local_inp;
                              struct dCLc *_local_iop;
                              struct dCLc *_local_outp;
                              CORBA_Environment *_ev;
                              struct dCLc _return;
                              unsigned int _t258_principal_len;
                              struct dCLc _t259_storage;
                              flick_unsigned8_t _t260_array_length;
                              flick_unsigned8_t _t261_array_iter;
                              struct dCLc _t262_storage;
                              flick_unsigned8_t _t263_array_length;
                              flick_unsigned8_t _t264_array_iter;
                              struct dCLc _t265_storage;
                              CORBA_Environment _t266_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t258_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t258_principal_len);
                              flick_iiop_decode_new_chunk(_t258_principal_len);
                              flick_iiop_decode_end_chunk(_t258_principal_len);
                              flick_iiop_decode_end_glob(_t258_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t259_storage;
                              flick_iiop_decode_new_glob(832);
                              flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
                              flick_cdr_decode_float64(0, _local_inp->first);
                              _t260_array_length = 50;
                              flick_iiop_decode_end_chunk(8);
                              for (_t261_array_iter = 0; _t261_array_iter < _t260_array_length; _t261_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_inp->data[_t261_array_iter].elem1);
                                  flick_cdr_decode_signed32(4, _local_inp->data[_t261_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(16);
                              flick_cdr_decode_char8(0, _local_inp->last);
                              _local_iop = &_t262_storage;
                              flick_cdr_decode_float64(8, _local_iop->first);
                              _t263_array_length = 50;
                              flick_iiop_decode_end_chunk(16);
                              for (_t264_array_iter = 0; _t264_array_iter < _t263_array_length; _t264_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_iop->data[_t264_array_iter].elem1);
                                  flick_cdr_decode_signed32(4, _local_iop->data[_t264_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_iop->last);
                              _local_outp = &_t265_storage;
                              _ev = &_t266_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_end_glob(832);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1249);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t270_array_iter;
                                    flick_unsigned8_t _t271_array_iter;
                                    flick_unsigned8_t _t272_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t270_array_iter = 0; _t270_array_iter < 50; _t270_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _return.data[_t270_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _return.data[_t270_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(16);
                                    flick_cdr_encode_char8(0, _return.last);
                                    flick_cdr_encode_float64(8, _local_iop->first);
                                    flick_iiop_encode_end_chunk(16);
                                    for (_t271_array_iter = 0; _t271_array_iter < 50; _t271_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_iop->data[_t271_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_iop->data[_t271_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(16);
                                    flick_cdr_encode_char8(0, _local_iop->last);
                                    flick_cdr_encode_float64(8, _local_outp->first);
                                    flick_iiop_encode_end_chunk(16);
                                    for (_t272_array_iter = 0; _t272_array_iter < 50; _t272_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_outp->data[_t272_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_outp->data[_t272_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(1);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(1249);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sCL */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1601389388):
                    {
                      unsigned short int _t273_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t273_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t273_switch_tag)
                        {
                        case /* s */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              struct sCLs *_local_inp;
                              struct sCLs *_local_iop;
                              struct sCLs *_local_outp;
                              CORBA_Environment *_ev;
                              struct sCLs _return;
                              unsigned int _t274_principal_len;
                              struct sCLs _t275_storage;
                              flick_unsigned8_t _t276_array_length;
                              flick_unsigned8_t _t277_array_iter;
                              struct sCLs _t278_storage;
                              flick_unsigned8_t _t279_array_length;
                              flick_unsigned8_t _t280_array_iter;
                              struct sCLs _t281_storage;
                              CORBA_Environment _t282_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t274_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t274_principal_len);
                              flick_iiop_decode_new_chunk(_t274_principal_len);
                              flick_iiop_decode_end_chunk(_t274_principal_len);
                              flick_iiop_decode_end_glob(_t274_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t275_storage;
                              flick_iiop_decode_new_glob(809);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_decode_signed16(0, _local_inp->first);
                              _t276_array_length = 50;
                              flick_iiop_decode_end_chunk(2);
                              for (_t277_array_iter = 0; _t277_array_iter < _t276_array_length; _t277_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_inp->data[_t277_array_iter].elem1);
                                  flick_iiop_decode_end_chunk(1);
                                  flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t277_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_signed16(0, _local_inp->last);
                              _local_iop = &_t278_storage;
                              flick_cdr_decode_signed16(2, _local_iop->first);
                              _t279_array_length = 50;
                              flick_iiop_decode_end_chunk(4);
                              for (_t280_array_iter = 0; _t280_array_iter < _t279_array_length; _t280_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_iop->data[_t280_array_iter].elem1);
                                  flick_cdr_decode_signed32(4, _local_iop->data[_t280_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(2);
                              flick_cdr_decode_signed16(0, _local_iop->last);
                              _local_outp = &_t281_storage;
                              _ev = &_t282_storage;
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_end_glob(809);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1216);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t286_array_iter;
                                    flick_unsigned8_t _t287_array_iter;
                                    flick_unsigned8_t _t288_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return.first);
                                    flick_iiop_encode_end_chunk(2);
                                    for (_t286_array_iter = 0; _t286_array_iter < 50; _t286_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _return.data[_t286_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
                                        flick_cdr_encode_signed32(0, _return.data[_t286_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed16(0, _return.last);
                                    flick_cdr_encode_signed16(2, _local_iop->first);
                                    flick_iiop_encode_end_chunk(4);
                                    for (_t287_array_iter = 0; _t287_array_iter < 50; _t287_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_iop->data[_t287_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_iop->data[_t287_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed16(0, _local_iop->last);
                                    flick_cdr_encode_signed16(2, _local_outp->first);
                                    flick_iiop_encode_end_chunk(4);
                                    for (_t288_array_iter = 0; _t288_array_iter < 50; _t288_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_outp->data[_t288_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_outp->data[_t288_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(2);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(1216);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
