#include "complex-1-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_sexnage(flick_marshal_stream_t _stream, const struct sexnage *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->sex);
  flick_cdr_encode_float32(4, _data->age);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_sexnage(flick_marshal_stream_t _stream, struct sexnage *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->sex);
  flick_cdr_decode_float32(4, _data->age);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_sexnage_swap(flick_marshal_stream_t _stream, struct sexnage *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->sex);
  flick_cdr_swap_decode_float32(4, _data->age);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_person(flick_marshal_stream_t _stream, const struct person *_data)
{
  flick_cdr_encode_string(_data->name, null_flick_free, iiop, 50);
  flick_iiop_encode_new_glob(23);
  flick_iiop_encode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->zip);
  flick_cdr_encode_char8(4, _data->a);
  flick_cdr_encode_signed32(8, _data->ssn);
  flick_cdr_encode_char8(12, _data->sa.sex);
  flick_cdr_encode_float32(16, _data->sa.age);
  flick_iiop_encode_end_chunk(20);
  flick_iiop_encode_end_glob(23);
}

void flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_cdr_decode_string(_data->name, sun_flick_alloc, iiop, 50);
  flick_iiop_decode_new_glob(23);
  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->zip);
  flick_cdr_decode_char8(4, _data->a);
  flick_cdr_decode_signed32(8, _data->ssn);
  flick_cdr_decode_char8(12, _data->sa.sex);
  flick_cdr_decode_float32(16, _data->sa.age);
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(23);
}

void flick_unmarshal_stub_person_swap(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_cdr_swap_decode_string(_data->name, sun_flick_alloc, iiop, 50);
  flick_iiop_decode_new_glob(23);
  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->zip);
  flick_cdr_swap_decode_char8(4, _data->a);
  flick_cdr_swap_decode_signed32(8, _data->ssn);
  flick_cdr_swap_decode_char8(12, _data->sa.sex);
  flick_cdr_swap_decode_float32(16, _data->sa.age);
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(23);
}

void flick_marshal_stub_people(flick_marshal_stream_t _stream, const people *_data)
{
  unsigned long int _t0_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->people_len);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->people_len; _t0_array_iter++)
    {
      flick_cdr_encode_string(_data->people_val[_t0_array_iter].name, null_flick_free, iiop, 50);
      flick_iiop_encode_new_glob(23);
      flick_iiop_encode_new_chunk_align(20, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->people_val[_t0_array_iter].zip);
      flick_cdr_encode_char8(4, _data->people_val[_t0_array_iter].a);
      flick_cdr_encode_signed32(8, _data->people_val[_t0_array_iter].ssn);
      flick_cdr_encode_char8(12, _data->people_val[_t0_array_iter].sa.sex);
      flick_cdr_encode_float32(16, _data->people_val[_t0_array_iter].sa.age);
      flick_iiop_encode_end_chunk(20);
      flick_iiop_encode_end_glob(23);
    }
}

void flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->people_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->people_val = sun_flick_alloc(_data->people_len * sizeof(struct person ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->people_len; _t1_array_iter++)
    {
      flick_cdr_decode_string(_data->people_val[_t1_array_iter].name, sun_flick_alloc, iiop, 50);
      flick_iiop_decode_new_glob(23);
      flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->people_val[_t1_array_iter].zip);
      flick_cdr_decode_char8(4, _data->people_val[_t1_array_iter].a);
      flick_cdr_decode_signed32(8, _data->people_val[_t1_array_iter].ssn);
      flick_cdr_decode_char8(12, _data->people_val[_t1_array_iter].sa.sex);
      flick_cdr_decode_float32(16, _data->people_val[_t1_array_iter].sa.age);
      flick_iiop_decode_end_chunk(20);
      flick_iiop_decode_end_glob(23);
    }
}

void flick_unmarshal_stub_people_swap(flick_marshal_stream_t _stream, people *_data)
{
  unsigned long int _t2_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->people_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->people_val = sun_flick_alloc(_data->people_len * sizeof(struct person ));
  for (_t2_array_iter = 0; _t2_array_iter < _data->people_len; _t2_array_iter++)
    {
      flick_cdr_swap_decode_string(_data->people_val[_t2_array_iter].name, sun_flick_alloc, iiop, 50);
      flick_iiop_decode_new_glob(23);
      flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->people_val[_t2_array_iter].zip);
      flick_cdr_swap_decode_char8(4, _data->people_val[_t2_array_iter].a);
      flick_cdr_swap_decode_signed32(8, _data->people_val[_t2_array_iter].ssn);
      flick_cdr_swap_decode_char8(12, _data->people_val[_t2_array_iter].sa.sex);
      flick_cdr_swap_decode_float32(16, _data->people_val[_t2_array_iter].sa.age);
      flick_iiop_decode_end_chunk(20);
      flick_iiop_decode_end_glob(23);
    }
}

flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t15_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t15_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t15_switch_tag)
      {
      case (signed int) 1:
        {
          {
            people *_local_arg;
            struct svc_req *_obj;
            double *_return = 0;
            unsigned int _t16_principal_len;
            people _t17_storage;
            unsigned long int _t18_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t16_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t16_principal_len);
            flick_iiop_decode_new_chunk(_t16_principal_len);
            flick_iiop_decode_end_chunk(_t16_principal_len);
            flick_iiop_decode_end_glob(_t16_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t17_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->people_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            _local_arg->people_val = auto_flick_alloc(_local_arg->people_len * sizeof(struct person ));
            for (_t18_array_iter = 0; _t18_array_iter < _local_arg->people_len; _t18_array_iter++)
              {
                flick_cdr_swap_decode_auto_string(_local_arg->people_val[_t18_array_iter].name, auto_flick_alloc, iiop);
                flick_iiop_decode_new_glob(23);
                flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_arg->people_val[_t18_array_iter].zip);
                flick_cdr_swap_decode_char8(4, _local_arg->people_val[_t18_array_iter].a);
                flick_cdr_swap_decode_signed32(8, _local_arg->people_val[_t18_array_iter].ssn);
                flick_cdr_swap_decode_char8(12, _local_arg->people_val[_t18_array_iter].sa.sex);
                flick_cdr_swap_decode_float32(16, _local_arg->people_val[_t18_array_iter].sa.age);
                flick_iiop_decode_end_chunk(20);
                flick_iiop_decode_end_glob(23);
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(16);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_return);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(16);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t7_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t7_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t7_switch_tag)
      {
      case (signed int) 1:
        {
          {
            people *_local_arg;
            struct svc_req *_obj;
            double *_return = 0;
            unsigned int _t8_principal_len;
            people _t9_storage;
            unsigned long int _t10_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t8_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t8_principal_len);
            flick_iiop_decode_new_chunk(_t8_principal_len);
            flick_iiop_decode_end_chunk(_t8_principal_len);
            flick_iiop_decode_end_glob(_t8_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t9_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_arg->people_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            _local_arg->people_val = auto_flick_alloc(_local_arg->people_len * sizeof(struct person ));
            for (_t10_array_iter = 0; _t10_array_iter < _local_arg->people_len; _t10_array_iter++)
              {
                flick_cdr_decode_auto_string(_local_arg->people_val[_t10_array_iter].name, auto_flick_alloc, iiop);
                flick_iiop_decode_new_glob(23);
                flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
                flick_cdr_decode_signed32(0, _local_arg->people_val[_t10_array_iter].zip);
                flick_cdr_decode_char8(4, _local_arg->people_val[_t10_array_iter].a);
                flick_cdr_decode_signed32(8, _local_arg->people_val[_t10_array_iter].ssn);
                flick_cdr_decode_char8(12, _local_arg->people_val[_t10_array_iter].sa.sex);
                flick_cdr_decode_float32(16, _local_arg->people_val[_t10_array_iter].sa.age);
                flick_iiop_decode_end_chunk(20);
                flick_iiop_decode_end_glob(23);
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(16);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_return);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(16);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
