#include "corbastat-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_my_ulong_t(flick_marshal_stream_t _stream, const my_ulong_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_ulong_t_swap(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_dev_t(flick_marshal_stream_t _stream, const my_dev_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_dev_t_swap(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_ino_t(flick_marshal_stream_t _stream, const my_ino_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_ino_t_swap(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_mode_t(flick_marshal_stream_t _stream, const my_mode_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_mode_t_swap(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_nlink_t(flick_marshal_stream_t _stream, const my_nlink_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_nlink_t_swap(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_uid_t(flick_marshal_stream_t _stream, const my_uid_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_uid_t_swap(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_gid_t(flick_marshal_stream_t _stream, const my_gid_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_gid_t_swap(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_off_t(flick_marshal_stream_t _stream, const my_off_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_off_t_swap(flick_marshal_stream_t _stream, my_off_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_time_t(flick_marshal_stream_t _stream, const my_time_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_time_t_swap(flick_marshal_stream_t _stream, my_time_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_timespec(flick_marshal_stream_t _stream, const struct my_timespec *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->my_tv_sec);
  flick_cdr_encode_signed32(4, _data->my_tv_nsec);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->my_tv_sec);
  flick_cdr_decode_signed32(4, _data->my_tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_my_timespec_swap(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->my_tv_sec);
  flick_cdr_swap_decode_signed32(4, _data->my_tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, const my_timestruc_t *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->my_tv_sec);
  flick_cdr_encode_signed32(4, _data->my_tv_nsec);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->my_tv_sec);
  flick_cdr_decode_signed32(4, _data->my_tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_my_timestruc_t_swap(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->my_tv_sec);
  flick_cdr_swap_decode_signed32(4, _data->my_tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_test_my_stat(flick_marshal_stream_t _stream, const struct test_my_stat *_data)
{
  flick_iiop_encode_new_glob(136);
  flick_iiop_encode_new_chunk(136);
  flick_cdr_encode_unsigned32(0, _data->st_dev);
  flick_cdr_encode_bcopy(4, _data->st_pad1, 4 * 3);
  flick_cdr_encode_unsigned32(16, _data->st_ino);
  flick_cdr_encode_unsigned32(20, _data->st_mode);
  flick_cdr_encode_unsigned32(24, _data->st_nlink);
  flick_cdr_encode_signed32(28, _data->st_uid);
  flick_cdr_encode_signed32(32, _data->st_gid);
  flick_cdr_encode_unsigned32(36, _data->st_rdev);
  flick_cdr_encode_bcopy(40, _data->st_pad2, 4 * 2);
  flick_cdr_encode_signed32(48, _data->st_size);
  flick_cdr_encode_signed32(52, _data->st_pad3);
  flick_cdr_encode_signed32(56, _data->st_atime.my_tv_sec);
  flick_cdr_encode_signed32(60, _data->st_atime.my_tv_nsec);
  flick_cdr_encode_signed32(64, _data->st_mtime.my_tv_sec);
  flick_cdr_encode_signed32(68, _data->st_mtime.my_tv_nsec);
  flick_cdr_encode_signed32(72, _data->st_ctime.my_tv_sec);
  flick_cdr_encode_signed32(76, _data->st_ctime.my_tv_nsec);
  flick_cdr_encode_signed32(80, _data->st_blksize);
  flick_cdr_encode_signed32(84, _data->st_blocks);
  flick_cdr_encode_bcopy(88, _data->st_fstype, 1 * 16);
  flick_cdr_encode_bcopy(104, _data->st_pad4, 4 * 8);
  flick_iiop_encode_end_chunk(136);
  flick_iiop_encode_end_glob(136);
}

void flick_unmarshal_stub_test_my_stat(flick_marshal_stream_t _stream, struct test_my_stat *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t1_array_length;
  flick_unsigned8_t _t2_array_length;
  flick_unsigned8_t _t3_array_length;

  flick_iiop_decode_new_glob(136);
  flick_iiop_decode_new_chunk(136);
  flick_cdr_decode_unsigned32(0, _data->st_dev);
  _t0_array_length = 3;
  flick_cdr_decode_bcopy(4, _data->st_pad1, 4 * _t0_array_length);
  flick_cdr_decode_unsigned32(16, _data->st_ino);
  flick_cdr_decode_unsigned32(20, _data->st_mode);
  flick_cdr_decode_unsigned32(24, _data->st_nlink);
  flick_cdr_decode_signed32(28, _data->st_uid);
  flick_cdr_decode_signed32(32, _data->st_gid);
  flick_cdr_decode_unsigned32(36, _data->st_rdev);
  _t1_array_length = 2;
  flick_cdr_decode_bcopy(40, _data->st_pad2, 4 * _t1_array_length);
  flick_cdr_decode_signed32(48, _data->st_size);
  flick_cdr_decode_signed32(52, _data->st_pad3);
  flick_cdr_decode_signed32(56, _data->st_atime.my_tv_sec);
  flick_cdr_decode_signed32(60, _data->st_atime.my_tv_nsec);
  flick_cdr_decode_signed32(64, _data->st_mtime.my_tv_sec);
  flick_cdr_decode_signed32(68, _data->st_mtime.my_tv_nsec);
  flick_cdr_decode_signed32(72, _data->st_ctime.my_tv_sec);
  flick_cdr_decode_signed32(76, _data->st_ctime.my_tv_nsec);
  flick_cdr_decode_signed32(80, _data->st_blksize);
  flick_cdr_decode_signed32(84, _data->st_blocks);
  _t2_array_length = 16;
  flick_cdr_decode_bcopy(88, _data->st_fstype, 1 * _t2_array_length);
  _t3_array_length = 8;
  flick_cdr_decode_bcopy(104, _data->st_pad4, 4 * _t3_array_length);
  flick_iiop_decode_end_chunk(136);
  flick_iiop_decode_end_glob(136);
}

void flick_unmarshal_stub_test_my_stat_swap(flick_marshal_stream_t _stream, struct test_my_stat *_data)
{
  flick_unsigned8_t _t4_array_length;
  flick_unsigned8_t _t5_array_iter;
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t7_array_iter;
  flick_unsigned8_t _t8_array_length;
  flick_unsigned8_t _t9_array_iter;
  flick_unsigned8_t _t10_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_iiop_decode_new_glob(160);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->st_dev);
  _t4_array_length = 3;
  flick_iiop_decode_end_chunk(4);
  for (_t5_array_iter = 0; _t5_array_iter < _t4_array_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->st_pad1[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(24);
  flick_cdr_swap_decode_unsigned32(0, _data->st_ino);
  flick_cdr_swap_decode_unsigned32(4, _data->st_mode);
  flick_cdr_swap_decode_unsigned32(8, _data->st_nlink);
  flick_cdr_swap_decode_signed32(12, _data->st_uid);
  flick_cdr_swap_decode_signed32(16, _data->st_gid);
  flick_cdr_swap_decode_unsigned32(20, _data->st_rdev);
  _t6_array_length = 2;
  flick_iiop_decode_end_chunk(24);
  for (_t7_array_iter = 0; _t7_array_iter < _t6_array_length; _t7_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->st_pad2[_t7_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(40);
  flick_cdr_swap_decode_signed32(0, _data->st_size);
  flick_cdr_swap_decode_signed32(4, _data->st_pad3);
  flick_cdr_swap_decode_signed32(8, _data->st_atime.my_tv_sec);
  flick_cdr_swap_decode_signed32(12, _data->st_atime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(16, _data->st_mtime.my_tv_sec);
  flick_cdr_swap_decode_signed32(20, _data->st_mtime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(24, _data->st_ctime.my_tv_sec);
  flick_cdr_swap_decode_signed32(28, _data->st_ctime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(32, _data->st_blksize);
  flick_cdr_swap_decode_signed32(36, _data->st_blocks);
  _t8_array_length = 16;
  flick_iiop_decode_end_chunk(40);
  for (_t9_array_iter = 0; _t9_array_iter < _t8_array_length; _t9_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->st_fstype[_t9_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  _t10_array_length = 8;
  for (_t11_array_iter = 0; _t11_array_iter < _t10_array_length; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->st_pad4[_t11_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(160);
}

void flick_marshal_stub_test_entry(flick_marshal_stream_t _stream, const struct test_entry *_data)
{
  flick_cdr_encode_string(_data->filename, CORBA_flick_free, iiop, 255);
  flick_iiop_encode_new_glob(139);
  flick_iiop_encode_new_chunk_align(136, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->info.st_dev);
  flick_cdr_encode_bcopy(4, _data->info.st_pad1, 4 * 3);
  flick_cdr_encode_unsigned32(16, _data->info.st_ino);
  flick_cdr_encode_unsigned32(20, _data->info.st_mode);
  flick_cdr_encode_unsigned32(24, _data->info.st_nlink);
  flick_cdr_encode_signed32(28, _data->info.st_uid);
  flick_cdr_encode_signed32(32, _data->info.st_gid);
  flick_cdr_encode_unsigned32(36, _data->info.st_rdev);
  flick_cdr_encode_bcopy(40, _data->info.st_pad2, 4 * 2);
  flick_cdr_encode_signed32(48, _data->info.st_size);
  flick_cdr_encode_signed32(52, _data->info.st_pad3);
  flick_cdr_encode_signed32(56, _data->info.st_atime.my_tv_sec);
  flick_cdr_encode_signed32(60, _data->info.st_atime.my_tv_nsec);
  flick_cdr_encode_signed32(64, _data->info.st_mtime.my_tv_sec);
  flick_cdr_encode_signed32(68, _data->info.st_mtime.my_tv_nsec);
  flick_cdr_encode_signed32(72, _data->info.st_ctime.my_tv_sec);
  flick_cdr_encode_signed32(76, _data->info.st_ctime.my_tv_nsec);
  flick_cdr_encode_signed32(80, _data->info.st_blksize);
  flick_cdr_encode_signed32(84, _data->info.st_blocks);
  flick_cdr_encode_bcopy(88, _data->info.st_fstype, 1 * 16);
  flick_cdr_encode_bcopy(104, _data->info.st_pad4, 4 * 8);
  flick_iiop_encode_end_chunk(136);
  flick_iiop_encode_end_glob(139);
}

void flick_unmarshal_stub_test_entry(flick_marshal_stream_t _stream, struct test_entry *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t13_array_length;
  flick_unsigned8_t _t14_array_length;
  flick_unsigned8_t _t15_array_length;

  flick_cdr_decode_string(_data->filename, CORBA_flick_alloc, iiop, 255);
  flick_iiop_decode_new_glob(139);
  flick_iiop_decode_new_chunk_align(136, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->info.st_dev);
  _t12_array_length = 3;
  flick_cdr_decode_bcopy(4, _data->info.st_pad1, 4 * _t12_array_length);
  flick_cdr_decode_unsigned32(16, _data->info.st_ino);
  flick_cdr_decode_unsigned32(20, _data->info.st_mode);
  flick_cdr_decode_unsigned32(24, _data->info.st_nlink);
  flick_cdr_decode_signed32(28, _data->info.st_uid);
  flick_cdr_decode_signed32(32, _data->info.st_gid);
  flick_cdr_decode_unsigned32(36, _data->info.st_rdev);
  _t13_array_length = 2;
  flick_cdr_decode_bcopy(40, _data->info.st_pad2, 4 * _t13_array_length);
  flick_cdr_decode_signed32(48, _data->info.st_size);
  flick_cdr_decode_signed32(52, _data->info.st_pad3);
  flick_cdr_decode_signed32(56, _data->info.st_atime.my_tv_sec);
  flick_cdr_decode_signed32(60, _data->info.st_atime.my_tv_nsec);
  flick_cdr_decode_signed32(64, _data->info.st_mtime.my_tv_sec);
  flick_cdr_decode_signed32(68, _data->info.st_mtime.my_tv_nsec);
  flick_cdr_decode_signed32(72, _data->info.st_ctime.my_tv_sec);
  flick_cdr_decode_signed32(76, _data->info.st_ctime.my_tv_nsec);
  flick_cdr_decode_signed32(80, _data->info.st_blksize);
  flick_cdr_decode_signed32(84, _data->info.st_blocks);
  _t14_array_length = 16;
  flick_cdr_decode_bcopy(88, _data->info.st_fstype, 1 * _t14_array_length);
  _t15_array_length = 8;
  flick_cdr_decode_bcopy(104, _data->info.st_pad4, 4 * _t15_array_length);
  flick_iiop_decode_end_chunk(136);
  flick_iiop_decode_end_glob(139);
}

void flick_unmarshal_stub_test_entry_swap(flick_marshal_stream_t _stream, struct test_entry *_data)
{
  flick_unsigned8_t _t16_array_length;
  flick_unsigned8_t _t17_array_iter;
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t19_array_iter;
  flick_unsigned8_t _t20_array_length;
  flick_unsigned8_t _t21_array_iter;
  flick_unsigned8_t _t22_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_cdr_swap_decode_string(_data->filename, CORBA_flick_alloc, iiop, 255);
  flick_iiop_decode_new_glob(163);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->info.st_dev);
  _t16_array_length = 3;
  flick_iiop_decode_end_chunk(4);
  for (_t17_array_iter = 0; _t17_array_iter < _t16_array_length; _t17_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad1[_t17_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(24);
  flick_cdr_swap_decode_unsigned32(0, _data->info.st_ino);
  flick_cdr_swap_decode_unsigned32(4, _data->info.st_mode);
  flick_cdr_swap_decode_unsigned32(8, _data->info.st_nlink);
  flick_cdr_swap_decode_signed32(12, _data->info.st_uid);
  flick_cdr_swap_decode_signed32(16, _data->info.st_gid);
  flick_cdr_swap_decode_unsigned32(20, _data->info.st_rdev);
  _t18_array_length = 2;
  flick_iiop_decode_end_chunk(24);
  for (_t19_array_iter = 0; _t19_array_iter < _t18_array_length; _t19_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad2[_t19_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(40);
  flick_cdr_swap_decode_signed32(0, _data->info.st_size);
  flick_cdr_swap_decode_signed32(4, _data->info.st_pad3);
  flick_cdr_swap_decode_signed32(8, _data->info.st_atime.my_tv_sec);
  flick_cdr_swap_decode_signed32(12, _data->info.st_atime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(16, _data->info.st_mtime.my_tv_sec);
  flick_cdr_swap_decode_signed32(20, _data->info.st_mtime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(24, _data->info.st_ctime.my_tv_sec);
  flick_cdr_swap_decode_signed32(28, _data->info.st_ctime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(32, _data->info.st_blksize);
  flick_cdr_swap_decode_signed32(36, _data->info.st_blocks);
  _t20_array_length = 16;
  flick_iiop_decode_end_chunk(40);
  for (_t21_array_iter = 0; _t21_array_iter < _t20_array_length; _t21_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->info.st_fstype[_t21_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  _t22_array_length = 8;
  for (_t23_array_iter = 0; _t23_array_iter < _t22_array_length; _t23_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad4[_t23_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(163);
}

void flick_marshal_stub_test_inner(flick_marshal_stream_t _stream, const struct test_inner *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->a);
  flick_cdr_encode_signed32(4, _data->b);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_test_inner(flick_marshal_stream_t _stream, struct test_inner *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->a);
  flick_cdr_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_test_inner_swap(flick_marshal_stream_t _stream, struct test_inner *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->a);
  flick_cdr_swap_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_test_outer(flick_marshal_stream_t _stream, const struct test_outer *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->a.a);
  flick_cdr_encode_signed32(4, _data->a.b);
  flick_cdr_encode_signed32(8, _data->b.a);
  flick_cdr_encode_signed32(12, _data->b.b);
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_test_outer(flick_marshal_stream_t _stream, struct test_outer *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->a.a);
  flick_cdr_decode_signed32(4, _data->a.b);
  flick_cdr_decode_signed32(8, _data->b.a);
  flick_cdr_decode_signed32(12, _data->b.b);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_test_outer_swap(flick_marshal_stream_t _stream, struct test_outer *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->a.a);
  flick_cdr_swap_decode_signed32(4, _data->a.b);
  flick_cdr_swap_decode_signed32(8, _data->b.a);
  flick_cdr_swap_decode_signed32(12, _data->b.b);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_test_directory(flick_marshal_stream_t _stream, const test_directory *_data)
{
  unsigned long int _t24_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t24_array_iter = 0; _t24_array_iter < _data->_length; _t24_array_iter++)
    {
      flick_cdr_encode_string(_data->_buffer[_t24_array_iter].filename, CORBA_flick_free, iiop, 255);
      flick_iiop_encode_new_glob(139);
      flick_iiop_encode_new_chunk_align(136, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->_buffer[_t24_array_iter].info.st_dev);
      flick_cdr_encode_bcopy(4, _data->_buffer[_t24_array_iter].info.st_pad1, 4 * 3);
      flick_cdr_encode_unsigned32(16, _data->_buffer[_t24_array_iter].info.st_ino);
      flick_cdr_encode_unsigned32(20, _data->_buffer[_t24_array_iter].info.st_mode);
      flick_cdr_encode_unsigned32(24, _data->_buffer[_t24_array_iter].info.st_nlink);
      flick_cdr_encode_signed32(28, _data->_buffer[_t24_array_iter].info.st_uid);
      flick_cdr_encode_signed32(32, _data->_buffer[_t24_array_iter].info.st_gid);
      flick_cdr_encode_unsigned32(36, _data->_buffer[_t24_array_iter].info.st_rdev);
      flick_cdr_encode_bcopy(40, _data->_buffer[_t24_array_iter].info.st_pad2, 4 * 2);
      flick_cdr_encode_signed32(48, _data->_buffer[_t24_array_iter].info.st_size);
      flick_cdr_encode_signed32(52, _data->_buffer[_t24_array_iter].info.st_pad3);
      flick_cdr_encode_signed32(56, _data->_buffer[_t24_array_iter].info.st_atime.my_tv_sec);
      flick_cdr_encode_signed32(60, _data->_buffer[_t24_array_iter].info.st_atime.my_tv_nsec);
      flick_cdr_encode_signed32(64, _data->_buffer[_t24_array_iter].info.st_mtime.my_tv_sec);
      flick_cdr_encode_signed32(68, _data->_buffer[_t24_array_iter].info.st_mtime.my_tv_nsec);
      flick_cdr_encode_signed32(72, _data->_buffer[_t24_array_iter].info.st_ctime.my_tv_sec);
      flick_cdr_encode_signed32(76, _data->_buffer[_t24_array_iter].info.st_ctime.my_tv_nsec);
      flick_cdr_encode_signed32(80, _data->_buffer[_t24_array_iter].info.st_blksize);
      flick_cdr_encode_signed32(84, _data->_buffer[_t24_array_iter].info.st_blocks);
      flick_cdr_encode_bcopy(88, _data->_buffer[_t24_array_iter].info.st_fstype, 1 * 16);
      flick_cdr_encode_bcopy(104, _data->_buffer[_t24_array_iter].info.st_pad4, 4 * 8);
      flick_iiop_encode_end_chunk(136);
      flick_iiop_encode_end_glob(139);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_test_directory(flick_marshal_stream_t _stream, test_directory *_data)
{
  unsigned long int _t33_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_entry ));
  for (_t33_array_iter = 0; _t33_array_iter < _data->_length; _t33_array_iter++)
    {
      flick_unsigned8_t _t38_array_length;
      flick_unsigned8_t _t39_array_length;
      flick_unsigned8_t _t40_array_length;
      flick_unsigned8_t _t41_array_length;

      flick_cdr_decode_string(_data->_buffer[_t33_array_iter].filename, CORBA_flick_alloc, iiop, 255);
      flick_iiop_decode_new_glob(139);
      flick_iiop_decode_new_chunk_align(136, 2, 0, 0);
      flick_cdr_decode_unsigned32(0, _data->_buffer[_t33_array_iter].info.st_dev);
      _t38_array_length = 3;
      flick_cdr_decode_bcopy(4, _data->_buffer[_t33_array_iter].info.st_pad1, 4 * _t38_array_length);
      flick_cdr_decode_unsigned32(16, _data->_buffer[_t33_array_iter].info.st_ino);
      flick_cdr_decode_unsigned32(20, _data->_buffer[_t33_array_iter].info.st_mode);
      flick_cdr_decode_unsigned32(24, _data->_buffer[_t33_array_iter].info.st_nlink);
      flick_cdr_decode_signed32(28, _data->_buffer[_t33_array_iter].info.st_uid);
      flick_cdr_decode_signed32(32, _data->_buffer[_t33_array_iter].info.st_gid);
      flick_cdr_decode_unsigned32(36, _data->_buffer[_t33_array_iter].info.st_rdev);
      _t39_array_length = 2;
      flick_cdr_decode_bcopy(40, _data->_buffer[_t33_array_iter].info.st_pad2, 4 * _t39_array_length);
      flick_cdr_decode_signed32(48, _data->_buffer[_t33_array_iter].info.st_size);
      flick_cdr_decode_signed32(52, _data->_buffer[_t33_array_iter].info.st_pad3);
      flick_cdr_decode_signed32(56, _data->_buffer[_t33_array_iter].info.st_atime.my_tv_sec);
      flick_cdr_decode_signed32(60, _data->_buffer[_t33_array_iter].info.st_atime.my_tv_nsec);
      flick_cdr_decode_signed32(64, _data->_buffer[_t33_array_iter].info.st_mtime.my_tv_sec);
      flick_cdr_decode_signed32(68, _data->_buffer[_t33_array_iter].info.st_mtime.my_tv_nsec);
      flick_cdr_decode_signed32(72, _data->_buffer[_t33_array_iter].info.st_ctime.my_tv_sec);
      flick_cdr_decode_signed32(76, _data->_buffer[_t33_array_iter].info.st_ctime.my_tv_nsec);
      flick_cdr_decode_signed32(80, _data->_buffer[_t33_array_iter].info.st_blksize);
      flick_cdr_decode_signed32(84, _data->_buffer[_t33_array_iter].info.st_blocks);
      _t40_array_length = 16;
      flick_cdr_decode_bcopy(88, _data->_buffer[_t33_array_iter].info.st_fstype, 1 * _t40_array_length);
      _t41_array_length = 8;
      flick_cdr_decode_bcopy(104, _data->_buffer[_t33_array_iter].info.st_pad4, 4 * _t41_array_length);
      flick_iiop_decode_end_chunk(136);
      flick_iiop_decode_end_glob(139);
    }
}

void flick_unmarshal_stub_test_directory_swap(flick_marshal_stream_t _stream, test_directory *_data)
{
  unsigned long int _t58_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_entry ));
  for (_t58_array_iter = 0; _t58_array_iter < _data->_length; _t58_array_iter++)
    {
      flick_unsigned8_t _t67_array_length;
      flick_unsigned8_t _t68_array_iter;
      flick_unsigned8_t _t69_array_length;
      flick_unsigned8_t _t70_array_iter;
      flick_unsigned8_t _t71_array_length;
      flick_unsigned8_t _t72_array_iter;
      flick_unsigned8_t _t73_array_length;
      flick_unsigned8_t _t74_array_iter;

      flick_cdr_swap_decode_string(_data->_buffer[_t58_array_iter].filename, CORBA_flick_alloc, iiop, 255);
      flick_iiop_decode_new_glob(163);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t58_array_iter].info.st_dev);
      _t67_array_length = 3;
      flick_iiop_decode_end_chunk(4);
      for (_t68_array_iter = 0; _t68_array_iter < _t67_array_length; _t68_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t58_array_iter].info.st_pad1[_t68_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
      flick_iiop_decode_new_chunk(24);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t58_array_iter].info.st_ino);
      flick_cdr_swap_decode_unsigned32(4, _data->_buffer[_t58_array_iter].info.st_mode);
      flick_cdr_swap_decode_unsigned32(8, _data->_buffer[_t58_array_iter].info.st_nlink);
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t58_array_iter].info.st_uid);
      flick_cdr_swap_decode_signed32(16, _data->_buffer[_t58_array_iter].info.st_gid);
      flick_cdr_swap_decode_unsigned32(20, _data->_buffer[_t58_array_iter].info.st_rdev);
      _t69_array_length = 2;
      flick_iiop_decode_end_chunk(24);
      for (_t70_array_iter = 0; _t70_array_iter < _t69_array_length; _t70_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t58_array_iter].info.st_pad2[_t70_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
      flick_iiop_decode_new_chunk(40);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t58_array_iter].info.st_size);
      flick_cdr_swap_decode_signed32(4, _data->_buffer[_t58_array_iter].info.st_pad3);
      flick_cdr_swap_decode_signed32(8, _data->_buffer[_t58_array_iter].info.st_atime.my_tv_sec);
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t58_array_iter].info.st_atime.my_tv_nsec);
      flick_cdr_swap_decode_signed32(16, _data->_buffer[_t58_array_iter].info.st_mtime.my_tv_sec);
      flick_cdr_swap_decode_signed32(20, _data->_buffer[_t58_array_iter].info.st_mtime.my_tv_nsec);
      flick_cdr_swap_decode_signed32(24, _data->_buffer[_t58_array_iter].info.st_ctime.my_tv_sec);
      flick_cdr_swap_decode_signed32(28, _data->_buffer[_t58_array_iter].info.st_ctime.my_tv_nsec);
      flick_cdr_swap_decode_signed32(32, _data->_buffer[_t58_array_iter].info.st_blksize);
      flick_cdr_swap_decode_signed32(36, _data->_buffer[_t58_array_iter].info.st_blocks);
      _t71_array_length = 16;
      flick_iiop_decode_end_chunk(40);
      for (_t72_array_iter = 0; _t72_array_iter < _t71_array_length; _t72_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _data->_buffer[_t58_array_iter].info.st_fstype[_t72_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
      _t73_array_length = 8;
      for (_t74_array_iter = 0; _t74_array_iter < _t73_array_length; _t74_array_iter++)
        {
          flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t58_array_iter].info.st_pad4[_t74_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
      flick_iiop_decode_end_glob(163);
    }
}

void flick_marshal_stub_test_longlist(flick_marshal_stream_t _stream, const test_longlist *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->_length);
  flick_iiop_encode_new_chunk(4 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_chunk(4 * _data->_length);
  flick_iiop_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_test_longlist(flick_marshal_stream_t _stream, test_longlist *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_test_longlist_swap(flick_marshal_stream_t _stream, test_longlist *_data)
{
  unsigned long int _t75_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t75_array_iter = 0; _t75_array_iter < _data->_length; _t75_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t75_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_test_structlist(flick_marshal_stream_t _stream, const test_structlist *_data)
{
  unsigned long int _t76_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(16 * _data->_length);
  for (_t76_array_iter = 0; _t76_array_iter < _data->_length; _t76_array_iter++)
    {
      flick_iiop_encode_new_chunk(16);
      flick_cdr_encode_signed32(0, _data->_buffer[_t76_array_iter].a.a);
      flick_cdr_encode_signed32(4, _data->_buffer[_t76_array_iter].a.b);
      flick_cdr_encode_signed32(8, _data->_buffer[_t76_array_iter].b.a);
      flick_cdr_encode_signed32(12, _data->_buffer[_t76_array_iter].b.b);
      flick_iiop_encode_end_chunk(16);
    }
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_test_structlist(flick_marshal_stream_t _stream, test_structlist *_data)
{
  unsigned long int _t77_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_outer ));
  for (_t77_array_iter = 0; _t77_array_iter < _data->_length; _t77_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_decode_signed32(0, _data->_buffer[_t77_array_iter].a.a);
      flick_cdr_decode_signed32(4, _data->_buffer[_t77_array_iter].a.b);
      flick_cdr_decode_signed32(8, _data->_buffer[_t77_array_iter].b.a);
      flick_cdr_decode_signed32(12, _data->_buffer[_t77_array_iter].b.b);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_test_structlist_swap(flick_marshal_stream_t _stream, test_structlist *_data)
{
  unsigned long int _t78_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_outer ));
  for (_t78_array_iter = 0; _t78_array_iter < _data->_length; _t78_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t78_array_iter].a.a);
      flick_cdr_swap_decode_signed32(4, _data->_buffer[_t78_array_iter].a.b);
      flick_cdr_swap_decode_signed32(8, _data->_buffer[_t78_array_iter].b.a);
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t78_array_iter].b.b);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t189_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t189_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t189_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t190_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t190_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t190_switch_tag)
            {
            case /* dir */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1684632064):
              {
                {
                  test _obj;
                  test_directory *_local_entries;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t191_principal_len;
                  test_directory _t192_storage;
                  unsigned long int _t209_array_iter;
                  CORBA_Environment _t226_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t191_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t191_principal_len);
                  flick_iiop_decode_new_chunk(_t191_principal_len);
                  flick_iiop_decode_end_chunk(_t191_principal_len);
                  flick_iiop_decode_end_glob(_t191_principal_len);
                  /* Begin decode phase on parameters */
                  _local_entries = &_t192_storage;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_swap_decode_unsigned32(0, _local_entries->_length);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_entry ));
                  for (_t209_array_iter = 0; _t209_array_iter < _local_entries->_length; _t209_array_iter++)
                    {
                      flick_unsigned8_t _t218_array_length;
                      flick_unsigned8_t _t219_array_iter;
                      flick_unsigned8_t _t220_array_length;
                      flick_unsigned8_t _t221_array_iter;
                      flick_unsigned8_t _t222_array_length;
                      flick_unsigned8_t _t223_array_iter;
                      flick_unsigned8_t _t224_array_length;
                      flick_unsigned8_t _t225_array_iter;

                      flick_cdr_swap_decode_auto_string(_local_entries->_buffer[_t209_array_iter].filename, auto_flick_alloc, iiop);
                      flick_iiop_decode_new_glob(163);
                      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                      flick_cdr_swap_decode_unsigned32(0, _local_entries->_buffer[_t209_array_iter].info.st_dev);
                      _t218_array_length = 3;
                      flick_iiop_decode_end_chunk(4);
                      for (_t219_array_iter = 0; _t219_array_iter < _t218_array_length; _t219_array_iter++)
                        {
                          flick_iiop_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t209_array_iter].info.st_pad1[_t219_array_iter]);
                          flick_iiop_decode_end_chunk(4);
                        }
                      flick_iiop_decode_new_chunk(24);
                      flick_cdr_swap_decode_unsigned32(0, _local_entries->_buffer[_t209_array_iter].info.st_ino);
                      flick_cdr_swap_decode_unsigned32(4, _local_entries->_buffer[_t209_array_iter].info.st_mode);
                      flick_cdr_swap_decode_unsigned32(8, _local_entries->_buffer[_t209_array_iter].info.st_nlink);
                      flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t209_array_iter].info.st_uid);
                      flick_cdr_swap_decode_signed32(16, _local_entries->_buffer[_t209_array_iter].info.st_gid);
                      flick_cdr_swap_decode_unsigned32(20, _local_entries->_buffer[_t209_array_iter].info.st_rdev);
                      _t220_array_length = 2;
                      flick_iiop_decode_end_chunk(24);
                      for (_t221_array_iter = 0; _t221_array_iter < _t220_array_length; _t221_array_iter++)
                        {
                          flick_iiop_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t209_array_iter].info.st_pad2[_t221_array_iter]);
                          flick_iiop_decode_end_chunk(4);
                        }
                      flick_iiop_decode_new_chunk(40);
                      flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t209_array_iter].info.st_size);
                      flick_cdr_swap_decode_signed32(4, _local_entries->_buffer[_t209_array_iter].info.st_pad3);
                      flick_cdr_swap_decode_signed32(8, _local_entries->_buffer[_t209_array_iter].info.st_atime.my_tv_sec);
                      flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t209_array_iter].info.st_atime.my_tv_nsec);
                      flick_cdr_swap_decode_signed32(16, _local_entries->_buffer[_t209_array_iter].info.st_mtime.my_tv_sec);
                      flick_cdr_swap_decode_signed32(20, _local_entries->_buffer[_t209_array_iter].info.st_mtime.my_tv_nsec);
                      flick_cdr_swap_decode_signed32(24, _local_entries->_buffer[_t209_array_iter].info.st_ctime.my_tv_sec);
                      flick_cdr_swap_decode_signed32(28, _local_entries->_buffer[_t209_array_iter].info.st_ctime.my_tv_nsec);
                      flick_cdr_swap_decode_signed32(32, _local_entries->_buffer[_t209_array_iter].info.st_blksize);
                      flick_cdr_swap_decode_signed32(36, _local_entries->_buffer[_t209_array_iter].info.st_blocks);
                      _t222_array_length = 16;
                      flick_iiop_decode_end_chunk(40);
                      for (_t223_array_iter = 0; _t223_array_iter < _t222_array_length; _t223_array_iter++)
                        {
                          flick_iiop_decode_new_chunk(1);
                          flick_cdr_swap_decode_char8(0, _local_entries->_buffer[_t209_array_iter].info.st_fstype[_t223_array_iter]);
                          flick_iiop_decode_end_chunk(1);
                        }
                      _t224_array_length = 8;
                      for (_t225_array_iter = 0; _t225_array_iter < _t224_array_length; _t225_array_iter++)
                        {
                          flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t209_array_iter].info.st_pad4[_t225_array_iter]);
                          flick_iiop_decode_end_chunk(4);
                        }
                      flick_iiop_decode_end_glob(163);
                    }
                  _ev = &_t226_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = test_dir(_obj, _local_entries, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(8);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                      }
                    }
                  flick_iiop_encode_end_glob(8);
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* lng */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1819174656):
              {
                {
                  test _obj;
                  test_longlist *_local_entries;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t227_principal_len;
                  test_longlist _t228_storage;
                  unsigned long int _t229_array_iter;
                  CORBA_Environment _t230_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t227_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t227_principal_len);
                  flick_iiop_decode_new_chunk(_t227_principal_len);
                  flick_iiop_decode_end_chunk(_t227_principal_len);
                  flick_iiop_decode_end_glob(_t227_principal_len);
                  /* Begin decode phase on parameters */
                  _local_entries = &_t228_storage;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_swap_decode_unsigned32(0, _local_entries->_length);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_decode_new_glob(4 * _local_entries->_length);
                  _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(CORBA_long ));
                  for (_t229_array_iter = 0; _t229_array_iter < _local_entries->_length; _t229_array_iter++)
                    {
                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t229_array_iter]);
                      flick_iiop_decode_end_chunk(4);
                    }
                  flick_iiop_decode_end_glob(4 * _local_entries->_length);
                  _ev = &_t230_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = test_lng(_obj, _local_entries, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(8);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                      }
                    }
                  flick_iiop_encode_end_glob(8);
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t231_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t231_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t231_switch_tag)
            {
            case /* strc */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1937011299):
              {
                unsigned short int _t232_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t232_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t232_switch_tag)
                  {
                  case /* t */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        test_structlist *_local_entries;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t233_principal_len;
                        test_structlist _t234_storage;
                        unsigned long int _t235_array_iter;
                        CORBA_Environment _t236_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t233_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t233_principal_len);
                        flick_iiop_decode_new_chunk(_t233_principal_len);
                        flick_iiop_decode_end_chunk(_t233_principal_len);
                        flick_iiop_decode_end_glob(_t233_principal_len);
                        /* Begin decode phase on parameters */
                        _local_entries = &_t234_storage;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_unsigned32(0, _local_entries->_length);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(16 * _local_entries->_length);
                        _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_outer ));
                        for (_t235_array_iter = 0; _t235_array_iter < _local_entries->_length; _t235_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(16);
                            flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t235_array_iter].a.a);
                            flick_cdr_swap_decode_signed32(4, _local_entries->_buffer[_t235_array_iter].a.b);
                            flick_cdr_swap_decode_signed32(8, _local_entries->_buffer[_t235_array_iter].b.a);
                            flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t235_array_iter].b.b);
                            flick_iiop_decode_end_chunk(16);
                          }
                        flick_iiop_decode_end_glob(16 * _local_entries->_length);
                        _ev = &_t236_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_strct(_obj, _local_entries, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t110_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t110_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t110_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t111_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t111_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t111_switch_tag)
            {
            case /* dir */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1684632064):
              {
                {
                  test _obj;
                  test_directory *_local_entries;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t112_principal_len;
                  test_directory _t113_storage;
                  unsigned long int _t122_array_iter;
                  CORBA_Environment _t131_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t112_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t112_principal_len);
                  flick_iiop_decode_new_chunk(_t112_principal_len);
                  flick_iiop_decode_end_chunk(_t112_principal_len);
                  flick_iiop_decode_end_glob(_t112_principal_len);
                  /* Begin decode phase on parameters */
                  _local_entries = &_t113_storage;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_decode_unsigned32(0, _local_entries->_length);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_entry ));
                  for (_t122_array_iter = 0; _t122_array_iter < _local_entries->_length; _t122_array_iter++)
                    {
                      flick_unsigned8_t _t127_array_length;
                      flick_unsigned8_t _t128_array_length;
                      flick_unsigned8_t _t129_array_length;
                      flick_unsigned8_t _t130_array_length;

                      flick_cdr_decode_auto_string(_local_entries->_buffer[_t122_array_iter].filename, auto_flick_alloc, iiop);
                      flick_iiop_decode_new_glob(139);
                      flick_iiop_decode_new_chunk_align(136, 2, 0, 0);
                      flick_cdr_decode_unsigned32(0, _local_entries->_buffer[_t122_array_iter].info.st_dev);
                      _t127_array_length = 3;
                      flick_cdr_decode_bcopy(4, _local_entries->_buffer[_t122_array_iter].info.st_pad1, 4 * _t127_array_length);
                      flick_cdr_decode_unsigned32(16, _local_entries->_buffer[_t122_array_iter].info.st_ino);
                      flick_cdr_decode_unsigned32(20, _local_entries->_buffer[_t122_array_iter].info.st_mode);
                      flick_cdr_decode_unsigned32(24, _local_entries->_buffer[_t122_array_iter].info.st_nlink);
                      flick_cdr_decode_signed32(28, _local_entries->_buffer[_t122_array_iter].info.st_uid);
                      flick_cdr_decode_signed32(32, _local_entries->_buffer[_t122_array_iter].info.st_gid);
                      flick_cdr_decode_unsigned32(36, _local_entries->_buffer[_t122_array_iter].info.st_rdev);
                      _t128_array_length = 2;
                      flick_cdr_decode_bcopy(40, _local_entries->_buffer[_t122_array_iter].info.st_pad2, 4 * _t128_array_length);
                      flick_cdr_decode_signed32(48, _local_entries->_buffer[_t122_array_iter].info.st_size);
                      flick_cdr_decode_signed32(52, _local_entries->_buffer[_t122_array_iter].info.st_pad3);
                      flick_cdr_decode_signed32(56, _local_entries->_buffer[_t122_array_iter].info.st_atime.my_tv_sec);
                      flick_cdr_decode_signed32(60, _local_entries->_buffer[_t122_array_iter].info.st_atime.my_tv_nsec);
                      flick_cdr_decode_signed32(64, _local_entries->_buffer[_t122_array_iter].info.st_mtime.my_tv_sec);
                      flick_cdr_decode_signed32(68, _local_entries->_buffer[_t122_array_iter].info.st_mtime.my_tv_nsec);
                      flick_cdr_decode_signed32(72, _local_entries->_buffer[_t122_array_iter].info.st_ctime.my_tv_sec);
                      flick_cdr_decode_signed32(76, _local_entries->_buffer[_t122_array_iter].info.st_ctime.my_tv_nsec);
                      flick_cdr_decode_signed32(80, _local_entries->_buffer[_t122_array_iter].info.st_blksize);
                      flick_cdr_decode_signed32(84, _local_entries->_buffer[_t122_array_iter].info.st_blocks);
                      _t129_array_length = 16;
                      flick_cdr_decode_bcopy(88, _local_entries->_buffer[_t122_array_iter].info.st_fstype, 1 * _t129_array_length);
                      _t130_array_length = 8;
                      flick_cdr_decode_bcopy(104, _local_entries->_buffer[_t122_array_iter].info.st_pad4, 4 * _t130_array_length);
                      flick_iiop_decode_end_chunk(136);
                      flick_iiop_decode_end_glob(139);
                    }
                  _ev = &_t131_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = test_dir(_obj, _local_entries, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(8);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                      }
                    }
                  flick_iiop_encode_end_glob(8);
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* lng */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1819174656):
              {
                {
                  test _obj;
                  test_longlist *_local_entries;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t132_principal_len;
                  test_longlist _t133_storage;
                  CORBA_Environment _t134_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t132_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t132_principal_len);
                  flick_iiop_decode_new_chunk(_t132_principal_len);
                  flick_iiop_decode_end_chunk(_t132_principal_len);
                  flick_iiop_decode_end_glob(_t132_principal_len);
                  /* Begin decode phase on parameters */
                  _local_entries = &_t133_storage;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_decode_unsigned32(0, _local_entries->_length);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_decode_new_glob(4 * _local_entries->_length);
                  flick_iiop_decode_new_chunk(4 * _local_entries->_length);
                  flick_cdr_decode_msgptr(0, _local_entries->_buffer);
                  flick_iiop_decode_end_chunk(4 * _local_entries->_length);
                  flick_iiop_decode_end_glob(4 * _local_entries->_length);
                  _ev = &_t134_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = test_lng(_obj, _local_entries, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(8);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                      }
                    }
                  flick_iiop_encode_end_glob(8);
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t135_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t135_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t135_switch_tag)
            {
            case /* strc */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1937011299):
              {
                unsigned short int _t136_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t136_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t136_switch_tag)
                  {
                  case /* t */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        test_structlist *_local_entries;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t137_principal_len;
                        test_structlist _t138_storage;
                        unsigned long int _t139_array_iter;
                        CORBA_Environment _t140_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t137_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t137_principal_len);
                        flick_iiop_decode_new_chunk(_t137_principal_len);
                        flick_iiop_decode_end_chunk(_t137_principal_len);
                        flick_iiop_decode_end_glob(_t137_principal_len);
                        /* Begin decode phase on parameters */
                        _local_entries = &_t138_storage;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_unsigned32(0, _local_entries->_length);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(16 * _local_entries->_length);
                        _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_outer ));
                        for (_t139_array_iter = 0; _t139_array_iter < _local_entries->_length; _t139_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(16);
                            flick_cdr_decode_signed32(0, _local_entries->_buffer[_t139_array_iter].a.a);
                            flick_cdr_decode_signed32(4, _local_entries->_buffer[_t139_array_iter].a.b);
                            flick_cdr_decode_signed32(8, _local_entries->_buffer[_t139_array_iter].b.a);
                            flick_cdr_decode_signed32(12, _local_entries->_buffer[_t139_array_iter].b.b);
                            flick_iiop_decode_end_chunk(16);
                          }
                        flick_iiop_decode_end_glob(16 * _local_entries->_length);
                        _ev = &_t140_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_strct(_obj, _local_entries, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
