#include "enum_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_types(flick_marshal_stream_t _stream, const types *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_types(flick_marshal_stream_t _stream, types *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_types_swap(flick_marshal_stream_t _stream, types *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_Test(flick_marshal_stream_t _stream, const Test *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_Test(flick_marshal_stream_t _stream, Test *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_Test_swap(flick_marshal_stream_t _stream, Test *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t Test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t21_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t21_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t21_switch_tag)
      {
      case (unsigned int) 5:
        {
          unsigned int _t22_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t22_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t22_switch_tag)
            {
            case /* Enum */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1164866925):
              {
                char _t23_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t23_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t23_switch_tag)
                  {
                  case 0:
                    {
                      {
                        Test _obj;
                        types _local_a;
                        types *_local_b;
                        types *_local_c;
                        CORBA_Environment *_ev;
                        types _return;
                        unsigned int _t24_principal_len;
                        types _t25_storage;
                        types _t26_storage;
                        CORBA_Environment _t27_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t24_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t24_principal_len);
                        flick_iiop_decode_new_chunk(_t24_principal_len);
                        flick_iiop_decode_end_chunk(_t24_principal_len);
                        flick_iiop_decode_end_glob(_t24_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_unsigned32(0, _local_a);
                        _local_b = &_t25_storage;
                        flick_cdr_swap_decode_unsigned32(4, *_local_b);
                        _local_c = &_t26_storage;
                        _ev = &_t27_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_unsigned32(0, _return);
                              flick_cdr_encode_unsigned32(4, *_local_b);
                              flick_cdr_encode_unsigned32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t7_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t7_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t7_switch_tag)
      {
      case (unsigned int) 5:
        {
          unsigned int _t8_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t8_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t8_switch_tag)
            {
            case /* Enum */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1164866925):
              {
                char _t9_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t9_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t9_switch_tag)
                  {
                  case 0:
                    {
                      {
                        Test _obj;
                        types _local_a;
                        types *_local_b;
                        types *_local_c;
                        CORBA_Environment *_ev;
                        types _return;
                        unsigned int _t10_principal_len;
                        types _t11_storage;
                        types _t12_storage;
                        CORBA_Environment _t13_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t10_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t10_principal_len);
                        flick_iiop_decode_new_chunk(_t10_principal_len);
                        flick_iiop_decode_end_chunk(_t10_principal_len);
                        flick_iiop_decode_end_glob(_t10_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_unsigned32(0, _local_a);
                        _local_b = &_t11_storage;
                        flick_cdr_decode_unsigned32(4, *_local_b);
                        _local_c = &_t12_storage;
                        _ev = &_t13_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = Test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_unsigned32(0, _return);
                              flick_cdr_encode_unsigned32(4, *_local_b);
                              flick_cdr_encode_unsigned32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
