#include "ex-client.h"

void flick_marshal_stub_A_B(flick_marshal_stream_t _stream, const A_B *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_A_B(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_A_B_swap(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_A(flick_marshal_stream_t _stream, const A *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_A(flick_marshal_stream_t _stream, A *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_A_swap(flick_marshal_stream_t _stream, A *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

CORBA_short A_op(A _obj, CORBA_short b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(14);
    flick_iiop_encode_new_chunk(14);
    flick_cdr_encode_unsigned32(0, 3);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(12, b);
    flick_iiop_encode_end_chunk(14);
    flick_iiop_encode_end_glob(14);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, _return);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _ev->_atomic_user_id);
            flick_iiop_decode_end_chunk(4);
            switch (_ev->_atomic_user_id)
              {
              case 0:
                {
                  (A_B *)(_ev->_except) = CORBA_flick_alloc(sizeof(A_B ));
                  flick_iiop_decode_new_chunk(2);
                  flick_cdr_swap_decode_signed16(0, ((A_B *)(_ev->_except))->a);
                  flick_iiop_decode_end_chunk(2);
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                  break;
                }
              }
          }
        }
      flick_iiop_decode_end_glob(10);
    }
  } else {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _ev->_atomic_user_id);
            flick_iiop_decode_end_chunk(4);
            switch (_ev->_atomic_user_id)
              {
              case 0:
                {
                  (A_B *)(_ev->_except) = CORBA_flick_alloc(sizeof(A_B ));
                  flick_iiop_decode_new_chunk(2);
                  flick_cdr_decode_signed16(0, ((A_B *)(_ev->_except))->a);
                  flick_iiop_decode_end_chunk(2);
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                  break;
                }
              }
          }
        }
      flick_iiop_decode_end_glob(10);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

