#include "inherit-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_one(flick_marshal_stream_t _stream, const one *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_one(flick_marshal_stream_t _stream, one *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_one_swap(flick_marshal_stream_t _stream, one *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t one_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t18_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t18_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t18_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t19_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t19_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t19_switch_tag)
            {
            case /* op_o */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t20_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t20_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t20_switch_tag)
                  {
                  case /* ne */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28261):
                    {
                      char _t21_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t21_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t21_switch_tag)
                        {
                        case 0:
                          {
                            {
                              one _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t22_principal_len;
                              CORBA_Environment _t23_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t22_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t22_principal_len);
                              flick_iiop_decode_new_chunk(_t22_principal_len);
                              flick_iiop_decode_end_chunk(_t22_principal_len);
                              flick_iiop_decode_end_glob(_t22_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t23_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              one_op_one(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t6_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t6_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t6_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t7_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t7_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t7_switch_tag)
            {
            case /* op_o */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t8_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t8_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t8_switch_tag)
                  {
                  case /* ne */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28261):
                    {
                      char _t9_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t9_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t9_switch_tag)
                        {
                        case 0:
                          {
                            {
                              one _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t10_principal_len;
                              CORBA_Environment _t11_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t10_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t10_principal_len);
                              flick_iiop_decode_new_chunk(_t10_principal_len);
                              flick_iiop_decode_end_chunk(_t10_principal_len);
                              flick_iiop_decode_end_glob(_t10_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t11_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              one_op_one(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_two(flick_marshal_stream_t _stream, const two *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_two(flick_marshal_stream_t _stream, two *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_two_swap(flick_marshal_stream_t _stream, two *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t two_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t54_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t54_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t54_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t55_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t55_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t55_switch_tag)
            {
            case /* op_t */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t56_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t56_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t56_switch_tag)
                  {
                  case /* wo */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 30575):
                    {
                      char _t57_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t57_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t57_switch_tag)
                        {
                        case 0:
                          {
                            {
                              two _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t58_principal_len;
                              CORBA_Environment _t59_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t58_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t58_principal_len);
                              flick_iiop_decode_new_chunk(_t58_principal_len);
                              flick_iiop_decode_end_chunk(_t58_principal_len);
                              flick_iiop_decode_end_glob(_t58_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t59_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              two_op_two(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t60_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t60_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t60_switch_tag)
                  {
                  case /* ne */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28261):
                    {
                      char _t61_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t61_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t61_switch_tag)
                        {
                        case 0:
                          {
                            {
                              two _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t62_principal_len;
                              CORBA_Environment _t63_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t62_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t62_principal_len);
                              flick_iiop_decode_new_chunk(_t62_principal_len);
                              flick_iiop_decode_end_chunk(_t62_principal_len);
                              flick_iiop_decode_end_glob(_t62_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t63_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              two_op_one(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t34_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t34_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t34_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t35_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t35_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t35_switch_tag)
            {
            case /* op_t */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t36_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t36_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t36_switch_tag)
                  {
                  case /* wo */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 30575):
                    {
                      char _t37_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t37_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t37_switch_tag)
                        {
                        case 0:
                          {
                            {
                              two _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t38_principal_len;
                              CORBA_Environment _t39_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t38_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t38_principal_len);
                              flick_iiop_decode_new_chunk(_t38_principal_len);
                              flick_iiop_decode_end_chunk(_t38_principal_len);
                              flick_iiop_decode_end_glob(_t38_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t39_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              two_op_two(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t40_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t40_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t40_switch_tag)
                  {
                  case /* ne */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28261):
                    {
                      char _t41_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t41_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t41_switch_tag)
                        {
                        case 0:
                          {
                            {
                              two _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t42_principal_len;
                              CORBA_Environment _t43_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t42_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t42_principal_len);
                              flick_iiop_decode_new_chunk(_t42_principal_len);
                              flick_iiop_decode_end_chunk(_t42_principal_len);
                              flick_iiop_decode_end_glob(_t42_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t43_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              two_op_one(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_three(flick_marshal_stream_t _stream, const three *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_three(flick_marshal_stream_t _stream, three *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_three_swap(flick_marshal_stream_t _stream, three *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t three_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t97_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t97_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t97_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t98_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t98_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t98_switch_tag)
            {
            case /* op_t */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t99_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t99_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t99_switch_tag)
                  {
                  case /* hree */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1752327525):
                    {
                      char _t100_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t100_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t100_switch_tag)
                        {
                        case 0:
                          {
                            {
                              three _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t101_principal_len;
                              CORBA_Environment _t102_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t101_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t101_principal_len);
                              flick_iiop_decode_new_chunk(_t101_principal_len);
                              flick_iiop_decode_end_chunk(_t101_principal_len);
                              flick_iiop_decode_end_glob(_t101_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t102_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              three_op_three(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t103_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t103_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t103_switch_tag)
            {
            case /* op_o */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t104_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t104_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t104_switch_tag)
                  {
                  case /* ne */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28261):
                    {
                      char _t105_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t105_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t105_switch_tag)
                        {
                        case 0:
                          {
                            {
                              three _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t106_principal_len;
                              CORBA_Environment _t107_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t106_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t106_principal_len);
                              flick_iiop_decode_new_chunk(_t106_principal_len);
                              flick_iiop_decode_end_chunk(_t106_principal_len);
                              flick_iiop_decode_end_glob(_t106_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t107_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              three_op_one(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t75_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t75_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t75_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t76_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t76_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t76_switch_tag)
            {
            case /* op_t */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t77_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t77_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t77_switch_tag)
                  {
                  case /* hree */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1752327525):
                    {
                      char _t78_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t78_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t78_switch_tag)
                        {
                        case 0:
                          {
                            {
                              three _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t79_principal_len;
                              CORBA_Environment _t80_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t79_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t79_principal_len);
                              flick_iiop_decode_new_chunk(_t79_principal_len);
                              flick_iiop_decode_end_chunk(_t79_principal_len);
                              flick_iiop_decode_end_glob(_t79_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t80_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              three_op_three(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t81_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t81_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t81_switch_tag)
            {
            case /* op_o */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t82_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t82_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t82_switch_tag)
                  {
                  case /* ne */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28261):
                    {
                      char _t83_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t83_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t83_switch_tag)
                        {
                        case 0:
                          {
                            {
                              three _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t84_principal_len;
                              CORBA_Environment _t85_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t84_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t84_principal_len);
                              flick_iiop_decode_new_chunk(_t84_principal_len);
                              flick_iiop_decode_end_chunk(_t84_principal_len);
                              flick_iiop_decode_end_glob(_t84_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t85_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              three_op_one(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_four(flick_marshal_stream_t _stream, const four *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_four(flick_marshal_stream_t _stream, four *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_four_swap(flick_marshal_stream_t _stream, four *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t four_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t165_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t165_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t165_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t166_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t166_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t166_switch_tag)
            {
            case /* op_f */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869635430):
              {
                unsigned int _t167_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t167_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t167_switch_tag)
                  {
                  case /* our */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869967872):
                    {
                      {
                        four _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t168_principal_len;
                        CORBA_Environment _t169_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t168_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t168_principal_len);
                        flick_iiop_decode_new_chunk(_t168_principal_len);
                        flick_iiop_decode_end_chunk(_t168_principal_len);
                        flick_iiop_decode_end_glob(_t168_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t169_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        four_op_four(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t170_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t170_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t170_switch_tag)
            {
            case /* op_t */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t171_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t171_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t171_switch_tag)
                  {
                  case /* wo */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 30575):
                    {
                      char _t172_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t172_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t172_switch_tag)
                        {
                        case 0:
                          {
                            {
                              four _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t173_principal_len;
                              CORBA_Environment _t174_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t173_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t173_principal_len);
                              flick_iiop_decode_new_chunk(_t173_principal_len);
                              flick_iiop_decode_end_chunk(_t173_principal_len);
                              flick_iiop_decode_end_glob(_t173_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t174_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              four_op_two(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t175_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t175_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t175_switch_tag)
                  {
                  case /* ne */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28261):
                    {
                      char _t176_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t176_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t176_switch_tag)
                        {
                        case 0:
                          {
                            {
                              four _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t177_principal_len;
                              CORBA_Environment _t178_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t177_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t177_principal_len);
                              flick_iiop_decode_new_chunk(_t177_principal_len);
                              flick_iiop_decode_end_chunk(_t177_principal_len);
                              flick_iiop_decode_end_glob(_t177_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t178_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              four_op_one(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t179_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t179_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t179_switch_tag)
            {
            case /* op_t */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t180_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t180_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t180_switch_tag)
                  {
                  case /* hree */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1752327525):
                    {
                      char _t181_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t181_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t181_switch_tag)
                        {
                        case 0:
                          {
                            {
                              four _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t182_principal_len;
                              CORBA_Environment _t183_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t182_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t182_principal_len);
                              flick_iiop_decode_new_chunk(_t182_principal_len);
                              flick_iiop_decode_end_chunk(_t182_principal_len);
                              flick_iiop_decode_end_glob(_t182_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t183_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              four_op_three(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t127_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t127_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t127_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t128_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t128_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t128_switch_tag)
            {
            case /* op_f */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869635430):
              {
                unsigned int _t129_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t129_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t129_switch_tag)
                  {
                  case /* our */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869967872):
                    {
                      {
                        four _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t130_principal_len;
                        CORBA_Environment _t131_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t130_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t130_principal_len);
                        flick_iiop_decode_new_chunk(_t130_principal_len);
                        flick_iiop_decode_end_chunk(_t130_principal_len);
                        flick_iiop_decode_end_glob(_t130_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t131_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        four_op_four(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t132_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t132_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t132_switch_tag)
            {
            case /* op_t */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t133_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t133_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t133_switch_tag)
                  {
                  case /* wo */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 30575):
                    {
                      char _t134_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t134_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t134_switch_tag)
                        {
                        case 0:
                          {
                            {
                              four _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t135_principal_len;
                              CORBA_Environment _t136_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t135_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t135_principal_len);
                              flick_iiop_decode_new_chunk(_t135_principal_len);
                              flick_iiop_decode_end_chunk(_t135_principal_len);
                              flick_iiop_decode_end_glob(_t135_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t136_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              four_op_two(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t137_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t137_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t137_switch_tag)
                  {
                  case /* ne */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28261):
                    {
                      char _t138_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t138_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t138_switch_tag)
                        {
                        case 0:
                          {
                            {
                              four _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t139_principal_len;
                              CORBA_Environment _t140_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t139_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t139_principal_len);
                              flick_iiop_decode_new_chunk(_t139_principal_len);
                              flick_iiop_decode_end_chunk(_t139_principal_len);
                              flick_iiop_decode_end_glob(_t139_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t140_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              four_op_one(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t141_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t141_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t141_switch_tag)
            {
            case /* op_t */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t142_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t142_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t142_switch_tag)
                  {
                  case /* hree */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1752327525):
                    {
                      char _t143_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t143_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t143_switch_tag)
                        {
                        case 0:
                          {
                            {
                              four _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t144_principal_len;
                              CORBA_Environment _t145_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t144_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t144_principal_len);
                              flick_iiop_decode_new_chunk(_t144_principal_len);
                              flick_iiop_decode_end_chunk(_t144_principal_len);
                              flick_iiop_decode_end_glob(_t144_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t145_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              four_op_three(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_five(flick_marshal_stream_t _stream, const five *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_five(flick_marshal_stream_t _stream, five *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_five_swap(flick_marshal_stream_t _stream, five *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t five_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t247_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t247_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t247_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t248_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t248_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t248_switch_tag)
            {
            case /* op_f */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869635430):
              {
                unsigned int _t249_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t249_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t249_switch_tag)
                  {
                  case /* ive */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1769366784):
                    {
                      {
                        five _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t250_principal_len;
                        CORBA_Environment _t251_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t250_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t250_principal_len);
                        flick_iiop_decode_new_chunk(_t250_principal_len);
                        flick_iiop_decode_end_chunk(_t250_principal_len);
                        flick_iiop_decode_end_glob(_t250_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t251_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        five_op_five(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  case /* our */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869967872):
                    {
                      {
                        five _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t252_principal_len;
                        CORBA_Environment _t253_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t252_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t252_principal_len);
                        flick_iiop_decode_new_chunk(_t252_principal_len);
                        flick_iiop_decode_end_chunk(_t252_principal_len);
                        flick_iiop_decode_end_glob(_t252_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t253_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        five_op_four(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t254_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t254_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t254_switch_tag)
            {
            case /* op_t */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t255_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t255_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t255_switch_tag)
                  {
                  case /* wo */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 30575):
                    {
                      char _t256_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t256_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t256_switch_tag)
                        {
                        case 0:
                          {
                            {
                              five _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t257_principal_len;
                              CORBA_Environment _t258_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t257_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t257_principal_len);
                              flick_iiop_decode_new_chunk(_t257_principal_len);
                              flick_iiop_decode_end_chunk(_t257_principal_len);
                              flick_iiop_decode_end_glob(_t257_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t258_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              five_op_two(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t259_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t259_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t259_switch_tag)
                  {
                  case /* ne */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28261):
                    {
                      char _t260_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t260_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t260_switch_tag)
                        {
                        case 0:
                          {
                            {
                              five _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t261_principal_len;
                              CORBA_Environment _t262_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t261_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t261_principal_len);
                              flick_iiop_decode_new_chunk(_t261_principal_len);
                              flick_iiop_decode_end_chunk(_t261_principal_len);
                              flick_iiop_decode_end_glob(_t261_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t262_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              five_op_one(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t263_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t263_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t263_switch_tag)
            {
            case /* op_t */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t264_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t264_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t264_switch_tag)
                  {
                  case /* hree */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1752327525):
                    {
                      char _t265_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t265_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t265_switch_tag)
                        {
                        case 0:
                          {
                            {
                              five _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t266_principal_len;
                              CORBA_Environment _t267_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t266_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t266_principal_len);
                              flick_iiop_decode_new_chunk(_t266_principal_len);
                              flick_iiop_decode_end_chunk(_t266_principal_len);
                              flick_iiop_decode_end_glob(_t266_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t267_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              five_op_three(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t205_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t205_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t205_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t206_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t206_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t206_switch_tag)
            {
            case /* op_f */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869635430):
              {
                unsigned int _t207_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t207_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t207_switch_tag)
                  {
                  case /* ive */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1769366784):
                    {
                      {
                        five _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t208_principal_len;
                        CORBA_Environment _t209_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t208_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t208_principal_len);
                        flick_iiop_decode_new_chunk(_t208_principal_len);
                        flick_iiop_decode_end_chunk(_t208_principal_len);
                        flick_iiop_decode_end_glob(_t208_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t209_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        five_op_five(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  case /* our */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869967872):
                    {
                      {
                        five _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t210_principal_len;
                        CORBA_Environment _t211_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t210_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t210_principal_len);
                        flick_iiop_decode_new_chunk(_t210_principal_len);
                        flick_iiop_decode_end_chunk(_t210_principal_len);
                        flick_iiop_decode_end_glob(_t210_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t211_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        five_op_four(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t212_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t212_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t212_switch_tag)
            {
            case /* op_t */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t213_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t213_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t213_switch_tag)
                  {
                  case /* wo */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 30575):
                    {
                      char _t214_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t214_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t214_switch_tag)
                        {
                        case 0:
                          {
                            {
                              five _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t215_principal_len;
                              CORBA_Environment _t216_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t215_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t215_principal_len);
                              flick_iiop_decode_new_chunk(_t215_principal_len);
                              flick_iiop_decode_end_chunk(_t215_principal_len);
                              flick_iiop_decode_end_glob(_t215_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t216_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              five_op_two(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t217_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t217_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t217_switch_tag)
                  {
                  case /* ne */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28261):
                    {
                      char _t218_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t218_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t218_switch_tag)
                        {
                        case 0:
                          {
                            {
                              five _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t219_principal_len;
                              CORBA_Environment _t220_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t219_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t219_principal_len);
                              flick_iiop_decode_new_chunk(_t219_principal_len);
                              flick_iiop_decode_end_chunk(_t219_principal_len);
                              flick_iiop_decode_end_glob(_t219_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t220_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              five_op_one(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t221_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t221_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t221_switch_tag)
            {
            case /* op_t */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t222_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t222_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t222_switch_tag)
                  {
                  case /* hree */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1752327525):
                    {
                      char _t223_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t223_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t223_switch_tag)
                        {
                        case 0:
                          {
                            {
                              five _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t224_principal_len;
                              CORBA_Environment _t225_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t224_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t224_principal_len);
                              flick_iiop_decode_new_chunk(_t224_principal_len);
                              flick_iiop_decode_end_chunk(_t224_principal_len);
                              flick_iiop_decode_end_glob(_t224_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t225_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              five_op_three(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
