#include "mig-arrays-client.h"

kern_return_t rpc_64_in(mach_port_t target, t64B foo)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t1_internal;

    flick_iiop_encode_new_glob(72);
    flick_iiop_encode_new_chunk(72);
    flick_cdr_encode_signed32(0, 123002);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t1_internal = (unsigned *)foo;
    flick_cdr_encode_bcopy(8, _t1_internal, 4 * 16);
    flick_iiop_encode_end_chunk(72);
    flick_iiop_encode_end_glob(72);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t rpc_128_in(mach_port_t target, t128B foo)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t3_internal;

    flick_iiop_encode_new_glob(136);
    flick_iiop_encode_new_chunk(136);
    flick_cdr_encode_signed32(0, 123003);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t3_internal = (unsigned *)foo;
    flick_cdr_encode_bcopy(8, _t3_internal, 4 * 32);
    flick_iiop_encode_end_chunk(136);
    flick_iiop_encode_end_glob(136);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t rpc_256_in(mach_port_t target, t256B foo)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t5_internal;

    flick_iiop_encode_new_glob(264);
    flick_iiop_encode_new_chunk(264);
    flick_cdr_encode_signed32(0, 123004);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t5_internal = (unsigned *)foo;
    flick_cdr_encode_bcopy(8, _t5_internal, 4 * 64);
    flick_iiop_encode_end_chunk(264);
    flick_iiop_encode_end_glob(264);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t rpc_512_in(mach_port_t target, t512B foo)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t7_internal;

    flick_iiop_encode_new_glob(520);
    flick_iiop_encode_new_chunk(520);
    flick_cdr_encode_signed32(0, 123005);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t7_internal = (unsigned *)foo;
    flick_cdr_encode_bcopy(8, _t7_internal, 4 * 128);
    flick_iiop_encode_end_chunk(520);
    flick_iiop_encode_end_glob(520);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t rpc_1K_in(mach_port_t target, t1K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t9_internal;

    flick_iiop_encode_new_glob(1032);
    flick_iiop_encode_new_chunk(1032);
    flick_cdr_encode_signed32(0, 123006);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t9_internal = (unsigned *)data;
    flick_cdr_encode_bcopy(8, _t9_internal, 4 * 256);
    flick_iiop_encode_end_chunk(1032);
    flick_iiop_encode_end_glob(1032);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t rpc_2K_in(mach_port_t target, t2K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t11_internal;

    flick_iiop_encode_new_glob(2056);
    flick_iiop_encode_new_chunk(2056);
    flick_cdr_encode_signed32(0, 123007);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t11_internal = (unsigned *)data;
    flick_cdr_encode_bcopy(8, _t11_internal, 4 * 512);
    flick_iiop_encode_end_chunk(2056);
    flick_iiop_encode_end_glob(2056);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t rpc_4K_in(mach_port_t target, t4K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t13_internal;

    flick_iiop_encode_new_glob(4104);
    flick_iiop_encode_new_chunk(4104);
    flick_cdr_encode_signed32(0, 123008);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t13_internal = (unsigned *)data;
    flick_cdr_encode_bcopy(8, _t13_internal, 4 * 1024);
    flick_iiop_encode_end_chunk(4104);
    flick_iiop_encode_end_glob(4104);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t rpc_8K_in(mach_port_t target, t8K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t15_internal;

    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123009);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t15_internal = (unsigned *)data;
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_iiop_encode_new_glob(8192);
    flick_iiop_encode_new_chunk(8192);
    flick_cdr_encode_bcopy(0, _t15_internal, 4 * 2048);
    flick_iiop_encode_end_chunk(8192);
    flick_iiop_encode_end_glob(8192);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t rpc_16K_in(mach_port_t target, t16K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t17_internal;

    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123010);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t17_internal = (unsigned *)data;
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_iiop_encode_new_glob(4 * 4096);
    flick_iiop_encode_new_chunk(16384);
    flick_cdr_encode_bcopy(0, _t17_internal, 4 * 4096);
    flick_iiop_encode_end_chunk(16384);
    flick_iiop_encode_end_glob(4 * 4096);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t rpc_32K_in(mach_port_t target, t32K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t19_internal;

    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123011);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t19_internal = (unsigned *)data;
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_iiop_encode_new_glob(4 * 8192);
    flick_iiop_encode_new_chunk(32768);
    flick_cdr_encode_bcopy(0, _t19_internal, 4 * 8192);
    flick_iiop_encode_end_chunk(32768);
    flick_iiop_encode_end_glob(4 * 8192);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t rpc_64K_in(mach_port_t target, t64K data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t21_internal;

    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 123012);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t21_internal = (unsigned *)data;
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_iiop_encode_new_glob(4 * 16384);
    flick_iiop_encode_new_chunk(65536);
    flick_cdr_encode_bcopy(0, _t21_internal, 4 * 16384);
    flick_iiop_encode_end_chunk(65536);
    flick_iiop_encode_end_glob(4 * 16384);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(4);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

