#include "mig-arrays-ool-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t69_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t69_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t69_switch_tag)
      {
      case (signed int) 234002:
        {
          {
            mach_port_t _local_target;
            t64B _local_foo;
            kern_return_t _return;
            unsigned int _t70_principal_len;
            flick_unsigned8_t _t71_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t70_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t70_principal_len);
            flick_iiop_decode_new_chunk(_t70_principal_len);
            flick_iiop_decode_end_chunk(_t70_principal_len);
            flick_iiop_decode_end_glob(_t70_principal_len);
            /* Begin decode phase on parameters */
            _t71_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234003:
        {
          {
            mach_port_t _local_target;
            t128B _local_foo;
            kern_return_t _return;
            unsigned int _t72_principal_len;
            flick_unsigned8_t _t73_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t72_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t72_principal_len);
            flick_iiop_decode_new_chunk(_t72_principal_len);
            flick_iiop_decode_end_chunk(_t72_principal_len);
            flick_iiop_decode_end_glob(_t72_principal_len);
            /* Begin decode phase on parameters */
            _t73_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234004:
        {
          {
            mach_port_t _local_target;
            t256B _local_foo;
            kern_return_t _return;
            unsigned int _t74_principal_len;
            flick_unsigned8_t _t75_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t74_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t74_principal_len);
            flick_iiop_decode_new_chunk(_t74_principal_len);
            flick_iiop_decode_end_chunk(_t74_principal_len);
            flick_iiop_decode_end_glob(_t74_principal_len);
            /* Begin decode phase on parameters */
            _t75_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234005:
        {
          {
            mach_port_t _local_target;
            t512B _local_foo;
            kern_return_t _return;
            unsigned int _t76_principal_len;
            flick_unsigned8_t _t77_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t76_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t76_principal_len);
            flick_iiop_decode_new_chunk(_t76_principal_len);
            flick_iiop_decode_end_chunk(_t76_principal_len);
            flick_iiop_decode_end_glob(_t76_principal_len);
            /* Begin decode phase on parameters */
            _t77_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234006:
        {
          {
            mach_port_t _local_target;
            t1K _local_data;
            kern_return_t _return;
            unsigned int _t78_principal_len;
            flick_unsigned8_t _t79_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t78_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t78_principal_len);
            flick_iiop_decode_new_chunk(_t78_principal_len);
            flick_iiop_decode_end_chunk(_t78_principal_len);
            flick_iiop_decode_end_glob(_t78_principal_len);
            /* Begin decode phase on parameters */
            _t79_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234007:
        {
          {
            mach_port_t _local_target;
            t2K _local_data;
            kern_return_t _return;
            unsigned int _t80_principal_len;
            flick_unsigned8_t _t81_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t80_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t80_principal_len);
            flick_iiop_decode_new_chunk(_t80_principal_len);
            flick_iiop_decode_end_chunk(_t80_principal_len);
            flick_iiop_decode_end_glob(_t80_principal_len);
            /* Begin decode phase on parameters */
            _t81_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_2K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234008:
        {
          {
            mach_port_t _local_target;
            t4K _local_data;
            kern_return_t _return;
            unsigned int _t82_principal_len;
            flick_unsigned8_t _t83_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t82_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t82_principal_len);
            flick_iiop_decode_new_chunk(_t82_principal_len);
            flick_iiop_decode_end_chunk(_t82_principal_len);
            flick_iiop_decode_end_glob(_t82_principal_len);
            /* Begin decode phase on parameters */
            _t83_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_4K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234009:
        {
          {
            mach_port_t _local_target;
            t8K _local_data;
            kern_return_t _return;
            unsigned int _t84_principal_len;
            flick_unsigned8_t _t85_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t84_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t84_principal_len);
            flick_iiop_decode_new_chunk(_t84_principal_len);
            flick_iiop_decode_end_chunk(_t84_principal_len);
            flick_iiop_decode_end_glob(_t84_principal_len);
            /* Begin decode phase on parameters */
            _t85_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_8K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234010:
        {
          {
            mach_port_t _local_target;
            t16K _local_data;
            kern_return_t _return;
            unsigned int _t86_principal_len;
            flick_unsigned8_t _t87_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t86_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t86_principal_len);
            flick_iiop_decode_new_chunk(_t86_principal_len);
            flick_iiop_decode_end_chunk(_t86_principal_len);
            flick_iiop_decode_end_glob(_t86_principal_len);
            /* Begin decode phase on parameters */
            _t87_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_16K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234011:
        {
          {
            mach_port_t _local_target;
            t32K _local_data;
            kern_return_t _return;
            unsigned int _t88_principal_len;
            flick_unsigned8_t _t89_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t88_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t88_principal_len);
            flick_iiop_decode_new_chunk(_t88_principal_len);
            flick_iiop_decode_end_chunk(_t88_principal_len);
            flick_iiop_decode_end_glob(_t88_principal_len);
            /* Begin decode phase on parameters */
            _t89_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_32K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234012:
        {
          {
            mach_port_t _local_target;
            t64K _local_data;
            kern_return_t _return;
            unsigned int _t90_principal_len;
            flick_unsigned8_t _t91_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t90_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t90_principal_len);
            flick_iiop_decode_new_chunk(_t90_principal_len);
            flick_iiop_decode_end_chunk(_t90_principal_len);
            flick_iiop_decode_end_glob(_t90_principal_len);
            /* Begin decode phase on parameters */
            _t91_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t23_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t23_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t23_switch_tag)
      {
      case (signed int) 234002:
        {
          {
            mach_port_t _local_target;
            t64B _local_foo;
            kern_return_t _return;
            unsigned int _t24_principal_len;
            flick_unsigned8_t _t25_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t24_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t24_principal_len);
            flick_iiop_decode_new_chunk(_t24_principal_len);
            flick_iiop_decode_end_chunk(_t24_principal_len);
            flick_iiop_decode_end_glob(_t24_principal_len);
            /* Begin decode phase on parameters */
            _t25_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234003:
        {
          {
            mach_port_t _local_target;
            t128B _local_foo;
            kern_return_t _return;
            unsigned int _t26_principal_len;
            flick_unsigned8_t _t27_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t26_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t26_principal_len);
            flick_iiop_decode_new_chunk(_t26_principal_len);
            flick_iiop_decode_end_chunk(_t26_principal_len);
            flick_iiop_decode_end_glob(_t26_principal_len);
            /* Begin decode phase on parameters */
            _t27_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234004:
        {
          {
            mach_port_t _local_target;
            t256B _local_foo;
            kern_return_t _return;
            unsigned int _t28_principal_len;
            flick_unsigned8_t _t29_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t28_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t28_principal_len);
            flick_iiop_decode_new_chunk(_t28_principal_len);
            flick_iiop_decode_end_chunk(_t28_principal_len);
            flick_iiop_decode_end_glob(_t28_principal_len);
            /* Begin decode phase on parameters */
            _t29_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234005:
        {
          {
            mach_port_t _local_target;
            t512B _local_foo;
            kern_return_t _return;
            unsigned int _t30_principal_len;
            flick_unsigned8_t _t31_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t30_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t30_principal_len);
            flick_iiop_decode_new_chunk(_t30_principal_len);
            flick_iiop_decode_end_chunk(_t30_principal_len);
            flick_iiop_decode_end_glob(_t30_principal_len);
            /* Begin decode phase on parameters */
            _t31_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234006:
        {
          {
            mach_port_t _local_target;
            t1K _local_data;
            kern_return_t _return;
            unsigned int _t32_principal_len;
            flick_unsigned8_t _t33_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t32_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t32_principal_len);
            flick_iiop_decode_new_chunk(_t32_principal_len);
            flick_iiop_decode_end_chunk(_t32_principal_len);
            flick_iiop_decode_end_glob(_t32_principal_len);
            /* Begin decode phase on parameters */
            _t33_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234007:
        {
          {
            mach_port_t _local_target;
            t2K _local_data;
            kern_return_t _return;
            unsigned int _t34_principal_len;
            flick_unsigned8_t _t35_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t34_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t34_principal_len);
            flick_iiop_decode_new_chunk(_t34_principal_len);
            flick_iiop_decode_end_chunk(_t34_principal_len);
            flick_iiop_decode_end_glob(_t34_principal_len);
            /* Begin decode phase on parameters */
            _t35_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_2K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234008:
        {
          {
            mach_port_t _local_target;
            t4K _local_data;
            kern_return_t _return;
            unsigned int _t36_principal_len;
            flick_unsigned8_t _t37_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t36_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t36_principal_len);
            flick_iiop_decode_new_chunk(_t36_principal_len);
            flick_iiop_decode_end_chunk(_t36_principal_len);
            flick_iiop_decode_end_glob(_t36_principal_len);
            /* Begin decode phase on parameters */
            _t37_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_4K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234009:
        {
          {
            mach_port_t _local_target;
            t8K _local_data;
            kern_return_t _return;
            unsigned int _t38_principal_len;
            flick_unsigned8_t _t39_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t38_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t38_principal_len);
            flick_iiop_decode_new_chunk(_t38_principal_len);
            flick_iiop_decode_end_chunk(_t38_principal_len);
            flick_iiop_decode_end_glob(_t38_principal_len);
            /* Begin decode phase on parameters */
            _t39_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_8K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234010:
        {
          {
            mach_port_t _local_target;
            t16K _local_data;
            kern_return_t _return;
            unsigned int _t40_principal_len;
            flick_unsigned8_t _t41_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t40_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t40_principal_len);
            flick_iiop_decode_new_chunk(_t40_principal_len);
            flick_iiop_decode_end_chunk(_t40_principal_len);
            flick_iiop_decode_end_glob(_t40_principal_len);
            /* Begin decode phase on parameters */
            _t41_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_16K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234011:
        {
          {
            mach_port_t _local_target;
            t32K _local_data;
            kern_return_t _return;
            unsigned int _t42_principal_len;
            flick_unsigned8_t _t43_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t42_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t42_principal_len);
            flick_iiop_decode_new_chunk(_t42_principal_len);
            flick_iiop_decode_end_chunk(_t42_principal_len);
            flick_iiop_decode_end_glob(_t42_principal_len);
            /* Begin decode phase on parameters */
            _t43_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_32K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234012:
        {
          {
            mach_port_t _local_target;
            t64K _local_data;
            kern_return_t _return;
            unsigned int _t44_principal_len;
            flick_unsigned8_t _t45_array_length;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t44_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t44_principal_len);
            flick_iiop_decode_new_chunk(_t44_principal_len);
            flick_iiop_decode_end_chunk(_t44_principal_len);
            flick_iiop_decode_end_glob(_t44_principal_len);
            /* Begin decode phase on parameters */
            _t45_array_length = 1;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
