#include "module-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_mod1_mod2_ex1(flick_marshal_stream_t _stream, const mod1_mod2_ex1 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_mod1_mod2_ex1(flick_marshal_stream_t _stream, mod1_mod2_ex1 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_mod1_mod2_ex1_swap(flick_marshal_stream_t _stream, mod1_mod2_ex1 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t mod1_mod2_ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t42_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t42_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t42_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t43_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_swap_decode_unsigned16(0, _t43_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch (_t43_switch_tag)
            {
            case /* m1 */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 27953):
              {
                char _t44_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t44_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t44_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t45_principal_len;
                        CORBA_Environment _t46_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t45_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t45_principal_len);
                        flick_iiop_decode_new_chunk(_t45_principal_len);
                        flick_iiop_decode_end_chunk(_t45_principal_len);
                        flick_iiop_decode_end_glob(_t45_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a);
                        _ev = &_t46_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex1_m1(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t47_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t47_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t47_switch_tag)
            {
            case /* _get */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t48_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t48_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t48_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t49_principal_len;
                        CORBA_Environment _t50_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t49_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t49_principal_len);
                        flick_iiop_decode_new_chunk(_t49_principal_len);
                        flick_iiop_decode_end_chunk(_t49_principal_len);
                        flick_iiop_decode_end_glob(_t49_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t50_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex1__get_l1(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  case /* _l2 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t51_principal_len;
                        CORBA_Environment _t52_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t51_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t51_principal_len);
                        flick_iiop_decode_new_chunk(_t51_principal_len);
                        flick_iiop_decode_end_chunk(_t51_principal_len);
                        flick_iiop_decode_end_glob(_t51_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t52_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex1__get_l2(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t53_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t53_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t53_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        unsigned int _t54_principal_len;
                        CORBA_Environment _t55_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t54_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t54_principal_len);
                        flick_iiop_decode_new_chunk(_t54_principal_len);
                        flick_iiop_decode_end_chunk(_t54_principal_len);
                        flick_iiop_decode_end_glob(_t54_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_l1);
                        _ev = &_t55_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        mod1_mod2_ex1__set_l1(_obj, _local_l1, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t14_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t14_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t14_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t15_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t15_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch (_t15_switch_tag)
            {
            case /* m1 */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 27953):
              {
                char _t16_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t16_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t16_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t17_principal_len;
                        CORBA_Environment _t18_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t17_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t17_principal_len);
                        flick_iiop_decode_new_chunk(_t17_principal_len);
                        flick_iiop_decode_end_chunk(_t17_principal_len);
                        flick_iiop_decode_end_glob(_t17_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a);
                        _ev = &_t18_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex1_m1(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t19_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t19_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t19_switch_tag)
            {
            case /* _get */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t20_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t20_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t20_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t21_principal_len;
                        CORBA_Environment _t22_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t21_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t21_principal_len);
                        flick_iiop_decode_new_chunk(_t21_principal_len);
                        flick_iiop_decode_end_chunk(_t21_principal_len);
                        flick_iiop_decode_end_glob(_t21_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t22_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex1__get_l1(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  case /* _l2 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t23_principal_len;
                        CORBA_Environment _t24_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t23_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t23_principal_len);
                        flick_iiop_decode_new_chunk(_t23_principal_len);
                        flick_iiop_decode_end_chunk(_t23_principal_len);
                        flick_iiop_decode_end_glob(_t23_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t24_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex1__get_l2(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t25_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t25_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t25_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        unsigned int _t26_principal_len;
                        CORBA_Environment _t27_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t26_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t26_principal_len);
                        flick_iiop_decode_new_chunk(_t26_principal_len);
                        flick_iiop_decode_end_chunk(_t26_principal_len);
                        flick_iiop_decode_end_glob(_t26_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_l1);
                        _ev = &_t27_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        mod1_mod2_ex1__set_l1(_obj, _local_l1, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_mod1_mod2_ex2(flick_marshal_stream_t _stream, const mod1_mod2_ex2 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_mod1_mod2_ex2(flick_marshal_stream_t _stream, mod1_mod2_ex2 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_mod1_mod2_ex2_swap(flick_marshal_stream_t _stream, mod1_mod2_ex2 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t mod1_mod2_ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t122_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t122_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t122_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t123_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_swap_decode_unsigned16(0, _t123_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch (_t123_switch_tag)
            {
            case /* m2 */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 27954):
              {
                char _t124_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t124_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t124_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t125_principal_len;
                        CORBA_long _t126_storage;
                        CORBA_Environment _t127_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t125_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t125_principal_len);
                        flick_iiop_decode_new_chunk(_t125_principal_len);
                        flick_iiop_decode_end_chunk(_t125_principal_len);
                        flick_iiop_decode_end_glob(_t125_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a);
                        _local_b = &_t126_storage;
                        _ev = &_t127_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex2_m2(_obj, _local_a, _local_b, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(12);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(8);
                              flick_cdr_encode_signed32(0, _return);
                              flick_cdr_encode_signed32(4, *_local_b);
                              flick_iiop_encode_end_chunk(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(12);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 27953):
              {
                char _t128_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t128_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t128_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t129_principal_len;
                        CORBA_Environment _t130_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t129_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t129_principal_len);
                        flick_iiop_decode_new_chunk(_t129_principal_len);
                        flick_iiop_decode_end_chunk(_t129_principal_len);
                        flick_iiop_decode_end_glob(_t129_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a);
                        _ev = &_t130_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex2_m1(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t131_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t131_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t131_switch_tag)
            {
            case /* _get */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t132_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t132_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t132_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t133_principal_len;
                        CORBA_Environment _t134_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t133_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t133_principal_len);
                        flick_iiop_decode_new_chunk(_t133_principal_len);
                        flick_iiop_decode_end_chunk(_t133_principal_len);
                        flick_iiop_decode_end_glob(_t133_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t134_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex2__get_l3(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  case /* _l1 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t135_principal_len;
                        CORBA_Environment _t136_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t135_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t135_principal_len);
                        flick_iiop_decode_new_chunk(_t135_principal_len);
                        flick_iiop_decode_end_chunk(_t135_principal_len);
                        flick_iiop_decode_end_glob(_t135_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t136_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex2__get_l1(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  case /* _l2 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t137_principal_len;
                        CORBA_Environment _t138_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t137_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t137_principal_len);
                        flick_iiop_decode_new_chunk(_t137_principal_len);
                        flick_iiop_decode_end_chunk(_t137_principal_len);
                        flick_iiop_decode_end_glob(_t137_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t138_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex2__get_l2(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t139_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t139_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t139_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        CORBA_long _local_l3;
                        CORBA_Environment *_ev;
                        unsigned int _t140_principal_len;
                        CORBA_Environment _t141_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t140_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t140_principal_len);
                        flick_iiop_decode_new_chunk(_t140_principal_len);
                        flick_iiop_decode_end_chunk(_t140_principal_len);
                        flick_iiop_decode_end_glob(_t140_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_l3);
                        _ev = &_t141_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        mod1_mod2_ex2__set_l3(_obj, _local_l3, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  case /* _l1 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        unsigned int _t142_principal_len;
                        CORBA_Environment _t143_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t142_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t142_principal_len);
                        flick_iiop_decode_new_chunk(_t142_principal_len);
                        flick_iiop_decode_end_chunk(_t142_principal_len);
                        flick_iiop_decode_end_glob(_t142_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_l1);
                        _ev = &_t143_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        mod1_mod2_ex2__set_l1(_obj, _local_l1, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t78_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t78_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t78_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t79_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t79_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch (_t79_switch_tag)
            {
            case /* m2 */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 27954):
              {
                char _t80_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t80_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t80_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t81_principal_len;
                        CORBA_long _t82_storage;
                        CORBA_Environment _t83_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t81_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t81_principal_len);
                        flick_iiop_decode_new_chunk(_t81_principal_len);
                        flick_iiop_decode_end_chunk(_t81_principal_len);
                        flick_iiop_decode_end_glob(_t81_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a);
                        _local_b = &_t82_storage;
                        _ev = &_t83_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex2_m2(_obj, _local_a, _local_b, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(12);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(8);
                              flick_cdr_encode_signed32(0, _return);
                              flick_cdr_encode_signed32(4, *_local_b);
                              flick_iiop_encode_end_chunk(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(12);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 27953):
              {
                char _t84_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t84_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t84_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t85_principal_len;
                        CORBA_Environment _t86_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t85_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t85_principal_len);
                        flick_iiop_decode_new_chunk(_t85_principal_len);
                        flick_iiop_decode_end_chunk(_t85_principal_len);
                        flick_iiop_decode_end_glob(_t85_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a);
                        _ev = &_t86_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex2_m1(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t87_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t87_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t87_switch_tag)
            {
            case /* _get */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t88_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t88_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t88_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t89_principal_len;
                        CORBA_Environment _t90_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t89_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t89_principal_len);
                        flick_iiop_decode_new_chunk(_t89_principal_len);
                        flick_iiop_decode_end_chunk(_t89_principal_len);
                        flick_iiop_decode_end_glob(_t89_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t90_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex2__get_l3(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  case /* _l1 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t91_principal_len;
                        CORBA_Environment _t92_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t91_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t91_principal_len);
                        flick_iiop_decode_new_chunk(_t91_principal_len);
                        flick_iiop_decode_end_chunk(_t91_principal_len);
                        flick_iiop_decode_end_glob(_t91_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t92_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex2__get_l1(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  case /* _l2 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t93_principal_len;
                        CORBA_Environment _t94_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t93_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t93_principal_len);
                        flick_iiop_decode_new_chunk(_t93_principal_len);
                        flick_iiop_decode_end_chunk(_t93_principal_len);
                        flick_iiop_decode_end_glob(_t93_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t94_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = mod1_mod2_ex2__get_l2(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t95_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t95_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t95_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        CORBA_long _local_l3;
                        CORBA_Environment *_ev;
                        unsigned int _t96_principal_len;
                        CORBA_Environment _t97_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t96_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t96_principal_len);
                        flick_iiop_decode_new_chunk(_t96_principal_len);
                        flick_iiop_decode_end_chunk(_t96_principal_len);
                        flick_iiop_decode_end_glob(_t96_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_l3);
                        _ev = &_t97_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        mod1_mod2_ex2__set_l3(_obj, _local_l3, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  case /* _l1 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        unsigned int _t98_principal_len;
                        CORBA_Environment _t99_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t98_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t98_principal_len);
                        flick_iiop_decode_new_chunk(_t98_principal_len);
                        flick_iiop_decode_end_chunk(_t98_principal_len);
                        flick_iiop_decode_end_glob(_t98_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_l1);
                        _ev = &_t99_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        mod1_mod2_ex2__set_l1(_obj, _local_l1, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
