#include "oneway-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_onewaytest(flick_marshal_stream_t _stream, const onewaytest *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_onewaytest_swap(flick_marshal_stream_t _stream, onewaytest *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t onewaytest_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t123_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t123_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t123_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t124_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t124_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t124_switch_tag)
            {
            case /* shor */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1936224114):
              {
                unsigned int _t125_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t125_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t125_switch_tag)
                  {
                  case /* tlon */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1953263470):
                    {
                      unsigned short int _t126_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t126_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t126_switch_tag)
                        {
                        case /* g */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 26368):
                          {
                            {
                              onewaytest _obj;
                              CORBA_long *_local_x;
                              CORBA_Environment *_ev;
                              CORBA_short _return = 0;
                              unsigned int _t127_principal_len;
                              CORBA_long _t128_storage;
                              CORBA_Environment _t129_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t127_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t127_principal_len);
                              flick_iiop_decode_new_chunk(_t127_principal_len);
                              flick_iiop_decode_end_chunk(_t127_principal_len);
                              flick_iiop_decode_end_glob(_t127_principal_len);
                              /* Begin decode phase on parameters */
                              _local_x = &_t128_storage;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_signed32(0, *_local_x);
                              _ev = &_t129_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = onewaytest_shortlong(_obj, _local_x, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(12);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(8);
                                    flick_cdr_encode_signed16(0, _return);
                                    flick_cdr_encode_signed32(4, *_local_x);
                                    flick_iiop_encode_end_chunk(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(12);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t130_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t130_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t130_switch_tag)
            {
            case /* void */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1987012964):
              {
                unsigned int _t131_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t131_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t131_switch_tag)
                  {
                  case /* long */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1819242087):
                    {
                      char _t132_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t132_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t132_switch_tag)
                        {
                        case 0:
                          {
                            {
                              onewaytest _obj;
                              CORBA_long _local_x;
                              CORBA_Environment *_ev;
                              unsigned int _t133_principal_len;
                              CORBA_Environment _t134_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t133_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t133_principal_len);
                              flick_iiop_decode_new_chunk(_t133_principal_len);
                              flick_iiop_decode_end_chunk(_t133_principal_len);
                              flick_iiop_decode_end_glob(_t133_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_signed32(0, _local_x);
                              _ev = &_t134_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              onewaytest_voidlong(_obj, _local_x, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t135_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t135_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t135_switch_tag)
            {
            case /* onew */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869505911):
              {
                unsigned int _t136_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t136_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t136_switch_tag)
                  {
                  case /* aylo */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1635347567):
                    {
                      unsigned short int _t137_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t137_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t137_switch_tag)
                        {
                        case /* ng */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28263):
                          {
                            char _t138_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t138_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t138_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    CORBA_long _local_x;
                                    CORBA_Environment *_ev;
                                    unsigned int _t139_principal_len;
                                    CORBA_Environment _t140_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t139_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t139_principal_len);
                                    flick_iiop_decode_new_chunk(_t139_principal_len);
                                    flick_iiop_decode_end_chunk(_t139_principal_len);
                                    flick_iiop_decode_end_glob(_t139_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_swap_decode_signed32(0, _local_x);
                                    _ev = &_t140_storage;
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    onewaytest_onewaylong(_obj, _local_x, _ev);
                                    return FLICK_OPERATION_SUCCESS_NOREPLY;
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* long */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1819242087):
              {
                unsigned int _t141_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t141_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t141_switch_tag)
                  {
                  case /* stri */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1937011305):
                    {
                      unsigned short int _t142_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t142_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t142_switch_tag)
                        {
                        case /* ng */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28263):
                          {
                            char _t143_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t143_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t143_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    CORBA_char **_local_x;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t144_principal_len;
                                    CORBA_char *_t145_storage;
                                    CORBA_Environment _t146_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t144_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t144_principal_len);
                                    flick_iiop_decode_new_chunk(_t144_principal_len);
                                    flick_iiop_decode_end_chunk(_t144_principal_len);
                                    flick_iiop_decode_end_glob(_t144_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_x = &_t145_storage;
                                    flick_cdr_swap_decode_longstring(*_local_x, CORBA_flick_alloc, iiop);
                                    _ev = &_t146_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = onewaytest_longstring(_obj, _local_x, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return);
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(8);
                                          flick_cdr_encode_longstring(*_local_x, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          flick_iiop_encode_end_glob(8);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(8);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* stri */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1937011305):
              {
                unsigned int _t147_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t147_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t147_switch_tag)
                  {
                  case /* nglo */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1852271727):
                    {
                      unsigned short int _t148_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t148_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t148_switch_tag)
                        {
                        case /* ng */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28263):
                          {
                            char _t149_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t149_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t149_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    CORBA_long *_local_x;
                                    CORBA_Environment *_ev;
                                    CORBA_char *_return = 0;
                                    unsigned int _t150_principal_len;
                                    CORBA_long _t151_storage;
                                    CORBA_Environment _t152_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t150_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t150_principal_len);
                                    flick_iiop_decode_new_chunk(_t150_principal_len);
                                    flick_iiop_decode_end_chunk(_t150_principal_len);
                                    flick_iiop_decode_end_glob(_t150_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_x = &_t151_storage;
                                    _ev = &_t152_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = onewaytest_stringlong(_obj, _local_x, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_end_glob(4);
                                          flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                          flick_iiop_encode_new_glob(7);
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, *_local_x);
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(7);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          flick_iiop_encode_end_glob(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(4);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t153_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t153_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t153_switch_tag)
            {
            case /* onew */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869505911):
              {
                unsigned int _t154_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t154_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t154_switch_tag)
                  {
                  case /* ayst */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1635349364):
                    {
                      unsigned int _t155_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_unsigned32(0, _t155_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t155_switch_tag)
                        {
                        case /* ring */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1919512167):
                          {
                            char _t156_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t156_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t156_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    CORBA_char *_local_x;
                                    CORBA_Environment *_ev;
                                    unsigned int _t157_principal_len;
                                    CORBA_Environment _t158_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t157_principal_len);
                                    flick_iiop_decode_end_chunk(7);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t157_principal_len);
                                    flick_iiop_decode_new_chunk(_t157_principal_len);
                                    flick_iiop_decode_end_chunk(_t157_principal_len);
                                    flick_iiop_decode_end_glob(_t157_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_cdr_swap_decode_auto_string(_local_x, auto_flick_alloc, iiop);
                                    _ev = &_t158_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    onewaytest_onewaystring(_obj, _local_x, _ev);
                                    return FLICK_OPERATION_SUCCESS_NOREPLY;
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* stri */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1937011305):
              {
                unsigned int _t159_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t159_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t159_switch_tag)
                  {
                  case /* ngre */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1852273253):
                    {
                      unsigned int _t160_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_unsigned32(0, _t160_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t160_switch_tag)
                        {
                        case /* turn */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1953854062):
                          {
                            char _t161_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t161_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t161_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    CORBA_Environment *_ev;
                                    CORBA_char *_return = 0;
                                    unsigned int _t162_principal_len;
                                    CORBA_Environment _t163_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t162_principal_len);
                                    flick_iiop_decode_end_chunk(7);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t162_principal_len);
                                    flick_iiop_decode_new_chunk(_t162_principal_len);
                                    flick_iiop_decode_end_chunk(_t162_principal_len);
                                    flick_iiop_decode_end_glob(_t162_principal_len);
                                    /* Begin decode phase on parameters */
                                    _ev = &_t163_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = onewaytest_stringreturn(_obj, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_end_glob(4);
                                          flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          flick_iiop_encode_end_glob(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(4);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t41_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t41_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t41_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t42_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t42_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t42_switch_tag)
            {
            case /* shor */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1936224114):
              {
                unsigned int _t43_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t43_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t43_switch_tag)
                  {
                  case /* tlon */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1953263470):
                    {
                      unsigned short int _t44_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t44_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t44_switch_tag)
                        {
                        case /* g */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 26368):
                          {
                            {
                              onewaytest _obj;
                              CORBA_long *_local_x;
                              CORBA_Environment *_ev;
                              CORBA_short _return = 0;
                              unsigned int _t45_principal_len;
                              CORBA_long _t46_storage;
                              CORBA_Environment _t47_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t45_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t45_principal_len);
                              flick_iiop_decode_new_chunk(_t45_principal_len);
                              flick_iiop_decode_end_chunk(_t45_principal_len);
                              flick_iiop_decode_end_glob(_t45_principal_len);
                              /* Begin decode phase on parameters */
                              _local_x = &_t46_storage;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_signed32(0, *_local_x);
                              _ev = &_t47_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = onewaytest_shortlong(_obj, _local_x, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(12);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(8);
                                    flick_cdr_encode_signed16(0, _return);
                                    flick_cdr_encode_signed32(4, *_local_x);
                                    flick_iiop_encode_end_chunk(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(12);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t48_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t48_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t48_switch_tag)
            {
            case /* void */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1987012964):
              {
                unsigned int _t49_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t49_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t49_switch_tag)
                  {
                  case /* long */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1819242087):
                    {
                      char _t50_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t50_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t50_switch_tag)
                        {
                        case 0:
                          {
                            {
                              onewaytest _obj;
                              CORBA_long _local_x;
                              CORBA_Environment *_ev;
                              unsigned int _t51_principal_len;
                              CORBA_Environment _t52_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t51_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(24);
                              flick_iiop_decode_new_glob(_t51_principal_len);
                              flick_iiop_decode_new_chunk(_t51_principal_len);
                              flick_iiop_decode_end_chunk(_t51_principal_len);
                              flick_iiop_decode_end_glob(_t51_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_signed32(0, _local_x);
                              _ev = &_t52_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              onewaytest_voidlong(_obj, _local_x, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(4);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t53_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t53_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t53_switch_tag)
            {
            case /* onew */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869505911):
              {
                unsigned int _t54_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t54_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t54_switch_tag)
                  {
                  case /* aylo */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1635347567):
                    {
                      unsigned short int _t55_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t55_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t55_switch_tag)
                        {
                        case /* ng */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28263):
                          {
                            char _t56_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t56_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t56_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    CORBA_long _local_x;
                                    CORBA_Environment *_ev;
                                    unsigned int _t57_principal_len;
                                    CORBA_Environment _t58_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t57_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t57_principal_len);
                                    flick_iiop_decode_new_chunk(_t57_principal_len);
                                    flick_iiop_decode_end_chunk(_t57_principal_len);
                                    flick_iiop_decode_end_glob(_t57_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_decode_signed32(0, _local_x);
                                    _ev = &_t58_storage;
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    onewaytest_onewaylong(_obj, _local_x, _ev);
                                    return FLICK_OPERATION_SUCCESS_NOREPLY;
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* long */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1819242087):
              {
                unsigned int _t59_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t59_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t59_switch_tag)
                  {
                  case /* stri */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1937011305):
                    {
                      unsigned short int _t60_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t60_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t60_switch_tag)
                        {
                        case /* ng */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28263):
                          {
                            char _t61_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t61_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t61_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    CORBA_char **_local_x;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t62_principal_len;
                                    CORBA_char *_t63_storage;
                                    CORBA_Environment _t64_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t62_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t62_principal_len);
                                    flick_iiop_decode_new_chunk(_t62_principal_len);
                                    flick_iiop_decode_end_chunk(_t62_principal_len);
                                    flick_iiop_decode_end_glob(_t62_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_x = &_t63_storage;
                                    flick_cdr_decode_longstring(*_local_x, CORBA_flick_alloc, iiop);
                                    _ev = &_t64_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = onewaytest_longstring(_obj, _local_x, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return);
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(8);
                                          flick_cdr_encode_longstring(*_local_x, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          flick_iiop_encode_end_glob(8);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(8);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* stri */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1937011305):
              {
                unsigned int _t65_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t65_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t65_switch_tag)
                  {
                  case /* nglo */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1852271727):
                    {
                      unsigned short int _t66_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t66_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t66_switch_tag)
                        {
                        case /* ng */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28263):
                          {
                            char _t67_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t67_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t67_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    CORBA_long *_local_x;
                                    CORBA_Environment *_ev;
                                    CORBA_char *_return = 0;
                                    unsigned int _t68_principal_len;
                                    CORBA_long _t69_storage;
                                    CORBA_Environment _t70_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t68_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t68_principal_len);
                                    flick_iiop_decode_new_chunk(_t68_principal_len);
                                    flick_iiop_decode_end_chunk(_t68_principal_len);
                                    flick_iiop_decode_end_glob(_t68_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_x = &_t69_storage;
                                    _ev = &_t70_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = onewaytest_stringlong(_obj, _local_x, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_end_glob(4);
                                          flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                          flick_iiop_encode_new_glob(7);
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, *_local_x);
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(7);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          flick_iiop_encode_end_glob(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(4);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t71_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t71_switch_tag)
            {
            case /* onew */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869505911):
              {
                unsigned int _t72_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t72_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t72_switch_tag)
                  {
                  case /* ayst */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1635349364):
                    {
                      unsigned int _t73_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t73_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t73_switch_tag)
                        {
                        case /* ring */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1919512167):
                          {
                            char _t74_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t74_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t74_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    CORBA_char *_local_x;
                                    CORBA_Environment *_ev;
                                    unsigned int _t75_principal_len;
                                    CORBA_Environment _t76_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t75_principal_len);
                                    flick_iiop_decode_end_chunk(7);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t75_principal_len);
                                    flick_iiop_decode_new_chunk(_t75_principal_len);
                                    flick_iiop_decode_end_chunk(_t75_principal_len);
                                    flick_iiop_decode_end_glob(_t75_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_cdr_decode_auto_string(_local_x, auto_flick_alloc, iiop);
                                    _ev = &_t76_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    onewaytest_onewaystring(_obj, _local_x, _ev);
                                    return FLICK_OPERATION_SUCCESS_NOREPLY;
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* stri */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1937011305):
              {
                unsigned int _t77_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t77_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t77_switch_tag)
                  {
                  case /* ngre */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1852273253):
                    {
                      unsigned int _t78_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t78_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t78_switch_tag)
                        {
                        case /* turn */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1953854062):
                          {
                            char _t79_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t79_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t79_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    CORBA_Environment *_ev;
                                    CORBA_char *_return = 0;
                                    unsigned int _t80_principal_len;
                                    CORBA_Environment _t81_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t80_principal_len);
                                    flick_iiop_decode_end_chunk(7);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_decode_new_glob(_t80_principal_len);
                                    flick_iiop_decode_new_chunk(_t80_principal_len);
                                    flick_iiop_decode_end_chunk(_t80_principal_len);
                                    flick_iiop_decode_end_glob(_t80_principal_len);
                                    /* Begin decode phase on parameters */
                                    _ev = &_t81_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = onewaytest_stringreturn(_obj, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_end_glob(4);
                                          flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          flick_iiop_encode_end_glob(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(4);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
