#include "parm_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration_swap(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const struct FStruct *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_FStruct_swap(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const struct VStruct *_data)
{
  flick_cdr_encode_longstring(_data->a, CORBA_flick_free, iiop);
}

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_cdr_decode_longstring(_data->a, CORBA_flick_alloc, iiop);
}

void flick_unmarshal_stub_VStruct_swap(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_cdr_swap_decode_longstring(_data->a, CORBA_flick_alloc, iiop);
}

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const struct FUnion *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_FUnion_swap(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const struct VUnion *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d);
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_end_glob(5);
        flick_cdr_encode_longstring(_data->_u.a, CORBA_flick_free, iiop);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z);
        flick_iiop_encode_end_chunk(1);
        flick_iiop_encode_end_glob(5);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_end_glob(5);
        flick_cdr_decode_longstring(_data->_u.a, CORBA_flick_alloc, iiop);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        flick_iiop_decode_end_glob(5);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion_swap(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d);
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_decode_end_glob(5);
        flick_cdr_swap_decode_longstring(_data->_u.a, CORBA_flick_alloc, iiop);
        break;
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z);
        flick_iiop_decode_end_chunk(1);
        flick_iiop_decode_end_glob(5);
        break;
      }
    }
}

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data)
{
  flick_iiop_encode_new_glob(40);
  flick_iiop_encode_new_chunk(40);
  flick_cdr_encode_bcopy(0, *_data, 4 * 10);
  flick_iiop_encode_end_chunk(40);
  flick_iiop_encode_end_glob(40);
}

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned8_t _t0_array_length;

  _t0_array_length = 10;
  flick_iiop_decode_new_glob(40);
  flick_iiop_decode_new_chunk(40);
  flick_cdr_decode_bcopy(0, *_data, 4 * _t0_array_length);
  flick_iiop_decode_end_chunk(40);
  flick_iiop_decode_end_glob(40);
}

void flick_unmarshal_stub_test_arr_swap(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned8_t _t1_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t1_array_length = 10;
  flick_iiop_decode_new_glob(40);
  for (_t2_array_iter = 0; _t2_array_iter < _t1_array_length; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t2_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(40);
}

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_test_seq_swap(flick_marshal_stream_t _stream, test_seq *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t338_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t338_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t338_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t339_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t339_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t339_switch_tag)
            {
            case /* Shor */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t340_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t340_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t340_switch_tag)
                  {
                  case /* t */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        CORBA_short _local_a;
                        CORBA_short *_local_b;
                        CORBA_short *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_short _return = 0;
                        unsigned int _t341_principal_len;
                        CORBA_short _t342_storage;
                        CORBA_short _t343_storage;
                        CORBA_Environment _t344_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t341_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t341_principal_len);
                        flick_iiop_decode_new_chunk(_t341_principal_len);
                        flick_iiop_decode_end_chunk(_t341_principal_len);
                        flick_iiop_decode_end_glob(_t341_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(5);
                        flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                        flick_cdr_swap_decode_signed16(0, _local_a);
                        _local_b = &_t342_storage;
                        flick_cdr_swap_decode_signed16(2, *_local_b);
                        _local_c = &_t343_storage;
                        _ev = &_t344_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(5);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(10);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(6);
                              flick_cdr_encode_signed16(0, _return);
                              flick_cdr_encode_signed16(2, *_local_b);
                              flick_cdr_encode_signed16(4, *_local_c);
                              flick_iiop_encode_end_chunk(6);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(10);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t345_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t345_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t345_switch_tag)
                  {
                  case /* g */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 26368):
                    {
                      {
                        test _obj;
                        CORBA_unsigned_long _local_a;
                        CORBA_unsigned_long *_local_b;
                        CORBA_unsigned_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_unsigned_long _return = 0;
                        unsigned int _t346_principal_len;
                        CORBA_unsigned_long _t347_storage;
                        CORBA_unsigned_long _t348_storage;
                        CORBA_Environment _t349_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t346_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t346_principal_len);
                        flick_iiop_decode_new_chunk(_t346_principal_len);
                        flick_iiop_decode_end_chunk(_t346_principal_len);
                        flick_iiop_decode_end_glob(_t346_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_unsigned32(0, _local_a);
                        _local_b = &_t347_storage;
                        flick_cdr_swap_decode_unsigned32(4, *_local_b);
                        _local_c = &_t348_storage;
                        _ev = &_t349_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_unsigned32(0, _return);
                              flick_cdr_encode_unsigned32(4, *_local_b);
                              flick_cdr_encode_unsigned32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t350_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t350_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t350_switch_tag)
                  {
                  case /* t */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        CORBA_float _local_a;
                        CORBA_float *_local_b;
                        CORBA_float *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_float _return = 0.000000;
                        unsigned int _t351_principal_len;
                        CORBA_float _t352_storage;
                        CORBA_float _t353_storage;
                        CORBA_Environment _t354_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t351_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t351_principal_len);
                        flick_iiop_decode_new_chunk(_t351_principal_len);
                        flick_iiop_decode_end_chunk(_t351_principal_len);
                        flick_iiop_decode_end_glob(_t351_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_float32(0, _local_a);
                        _local_b = &_t352_storage;
                        flick_cdr_swap_decode_float32(4, *_local_b);
                        _local_c = &_t353_storage;
                        _ev = &_t354_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_float32(0, _return);
                              flick_cdr_encode_float32(4, *_local_b);
                              flick_cdr_encode_float32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t355_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t355_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t355_switch_tag)
                  {
                  case /* t */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        CORBA_octet _local_a;
                        CORBA_octet *_local_b;
                        CORBA_octet *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_octet _return = 0;
                        unsigned int _t356_principal_len;
                        CORBA_octet _t357_storage;
                        CORBA_octet _t358_storage;
                        CORBA_Environment _t359_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t356_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t356_principal_len);
                        flick_iiop_decode_new_chunk(_t356_principal_len);
                        flick_iiop_decode_end_chunk(_t356_principal_len);
                        flick_iiop_decode_end_glob(_t356_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a);
                        _local_b = &_t357_storage;
                        flick_cdr_swap_decode_unsigned8(1, *_local_b);
                        _local_c = &_t358_storage;
                        _ev = &_t359_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_unsigned8(0, _return);
                              flick_cdr_encode_unsigned8(1, *_local_b);
                              flick_cdr_encode_unsigned8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(7);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Arra */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1098019425):
              {
                unsigned short int _t360_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t360_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t360_switch_tag)
                  {
                  case /* y */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 30976):
                    {
                      {
                        test _obj;
                        CORBA_long *_local_a;
                        CORBA_long *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        test_arr_slice *_return = 0;
                        unsigned int _t361_principal_len;
                        flick_unsigned8_t _t362_array_length;
                        flick_unsigned8_t _t363_array_iter;
                        flick_unsigned8_t _t364_array_length;
                        flick_unsigned8_t _t365_array_iter;
                        CORBA_long _t367_storage[10];
                        CORBA_Environment _t368_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t361_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t361_principal_len);
                        flick_iiop_decode_new_chunk(_t361_principal_len);
                        flick_iiop_decode_end_chunk(_t361_principal_len);
                        flick_iiop_decode_end_glob(_t361_principal_len);
                        /* Begin decode phase on parameters */
                        _t362_array_length = 10;
                        flick_iiop_decode_new_glob(110);
                        _local_a = auto_flick_alloc(_t362_array_length * sizeof(CORBA_long ));
                        for (_t363_array_iter = 0; _t363_array_iter < _t362_array_length; _t363_array_iter++)
                          {
                            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t363_array_iter]);
                            flick_iiop_decode_end_chunk(4);
                          }
                        _t364_array_length = 10;
                        _local_b = auto_flick_alloc(_t364_array_length * sizeof(CORBA_long ));
                        for (_t365_array_iter = 0; _t365_array_iter < _t364_array_length; _t365_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_b[_t365_array_iter]);
                            flick_iiop_decode_end_chunk(4);
                          }
                        _local_c = _t367_storage;
                        _ev = &_t368_storage;
                        flick_iiop_decode_end_glob(110);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Array(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(124);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(120);
                              flick_cdr_encode_bcopy(0, _return, 4 * 10);
                              CORBA_flick_free(_return);
                              flick_cdr_encode_bcopy(40, _local_b, 4 * 10);
                              flick_cdr_encode_bcopy(80, _local_c, 4 * 10);
                              flick_iiop_encode_end_chunk(120);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(124);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t369_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t369_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t369_switch_tag)
            {
            case /* Long */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1282371175):
              {
                char _t370_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t370_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t370_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t371_principal_len;
                        CORBA_long _t372_storage;
                        CORBA_long _t373_storage;
                        CORBA_Environment _t374_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t371_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t371_principal_len);
                        flick_iiop_decode_new_chunk(_t371_principal_len);
                        flick_iiop_decode_end_chunk(_t371_principal_len);
                        flick_iiop_decode_end_glob(_t371_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a);
                        _local_b = &_t372_storage;
                        flick_cdr_swap_decode_signed32(4, *_local_b);
                        _local_c = &_t373_storage;
                        _ev = &_t374_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_signed32(0, _return);
                              flick_cdr_encode_signed32(4, *_local_b);
                              flick_cdr_encode_signed32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1130914162):
              {
                char _t375_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t375_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t375_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        CORBA_char _local_a;
                        CORBA_char *_local_b;
                        CORBA_char *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_char _return = 0;
                        unsigned int _t376_principal_len;
                        CORBA_char _t377_storage;
                        CORBA_char _t378_storage;
                        CORBA_Environment _t379_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t376_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t376_principal_len);
                        flick_iiop_decode_new_chunk(_t376_principal_len);
                        flick_iiop_decode_end_chunk(_t376_principal_len);
                        flick_iiop_decode_end_glob(_t376_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_char8(0, _local_a);
                        _local_b = &_t377_storage;
                        flick_cdr_swap_decode_char8(1, *_local_b);
                        _local_c = &_t378_storage;
                        _ev = &_t379_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_char8(0, _return);
                              flick_cdr_encode_char8(1, *_local_b);
                              flick_cdr_encode_char8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(7);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Enum */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1164866925):
              {
                char _t380_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t380_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t380_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        Enumeration _local_a;
                        Enumeration *_local_b;
                        Enumeration *_local_c;
                        CORBA_Environment *_ev;
                        Enumeration _return;
                        unsigned int _t381_principal_len;
                        Enumeration _t382_storage;
                        Enumeration _t383_storage;
                        CORBA_Environment _t384_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t381_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t381_principal_len);
                        flick_iiop_decode_new_chunk(_t381_principal_len);
                        flick_iiop_decode_end_chunk(_t381_principal_len);
                        flick_iiop_decode_end_glob(_t381_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_unsigned32(0, _local_a);
                        _local_b = &_t382_storage;
                        flick_cdr_swap_decode_unsigned32(4, *_local_b);
                        _local_c = &_t383_storage;
                        _ev = &_t384_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_unsigned32(0, _return);
                              flick_cdr_encode_unsigned32(4, *_local_b);
                              flick_cdr_encode_unsigned32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t385_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t385_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t385_switch_tag)
            {
            case /* USho */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t386_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t386_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t386_switch_tag)
                  {
                  case /* rt */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29300):
                    {
                      char _t387_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t387_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t387_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              CORBA_unsigned_short _local_a;
                              CORBA_unsigned_short *_local_b;
                              CORBA_unsigned_short *_local_c;
                              CORBA_Environment *_ev;
                              CORBA_unsigned_short _return = 0;
                              unsigned int _t388_principal_len;
                              CORBA_unsigned_short _t389_storage;
                              CORBA_unsigned_short _t390_storage;
                              CORBA_Environment _t391_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t388_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t388_principal_len);
                              flick_iiop_decode_new_chunk(_t388_principal_len);
                              flick_iiop_decode_end_chunk(_t388_principal_len);
                              flick_iiop_decode_end_glob(_t388_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_swap_decode_unsigned16(0, _local_a);
                              _local_b = &_t389_storage;
                              flick_cdr_swap_decode_unsigned16(2, *_local_b);
                              _local_c = &_t390_storage;
                              _ev = &_t391_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(10);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(6);
                                    flick_cdr_encode_unsigned16(0, _return);
                                    flick_cdr_encode_unsigned16(2, *_local_b);
                                    flick_cdr_encode_unsigned16(4, *_local_c);
                                    flick_iiop_encode_end_chunk(6);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(10);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Stri */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t392_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t392_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t392_switch_tag)
                  {
                  case /* ng */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28263):
                    {
                      char _t393_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t393_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t393_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              CORBA_char *_local_a;
                              CORBA_char **_local_b;
                              CORBA_char **_local_c;
                              CORBA_Environment *_ev;
                              CORBA_char *_return = 0;
                              unsigned int _t394_principal_len;
                              CORBA_char *_t395_storage;
                              CORBA_char *_t396_storage;
                              CORBA_Environment _t397_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t394_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t394_principal_len);
                              flick_iiop_decode_new_chunk(_t394_principal_len);
                              flick_iiop_decode_end_chunk(_t394_principal_len);
                              flick_iiop_decode_end_glob(_t394_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_swap_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                              _local_b = &_t395_storage;
                              flick_cdr_swap_decode_longstring(*_local_b, CORBA_flick_alloc, iiop);
                              _local_c = &_t396_storage;
                              _ev = &_t397_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_b, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_c, CORBA_flick_free, iiop);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t398_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t398_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t398_switch_tag)
            {
            case /* Bool */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t399_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t399_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t399_switch_tag)
                  {
                  case /* ean */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        test _obj;
                        CORBA_boolean _local_a;
                        CORBA_boolean *_local_b;
                        CORBA_boolean *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_boolean _return = 0;
                        unsigned int _t400_principal_len;
                        CORBA_boolean _t401_storage;
                        CORBA_boolean _t402_storage;
                        CORBA_Environment _t403_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t400_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t400_principal_len);
                        flick_iiop_decode_new_chunk(_t400_principal_len);
                        flick_iiop_decode_end_chunk(_t400_principal_len);
                        flick_iiop_decode_end_glob(_t400_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a);
                        _local_b = &_t401_storage;
                        flick_cdr_swap_decode_unsigned8(1, *_local_b);
                        _local_c = &_t402_storage;
                        _ev = &_t403_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_unsigned8(0, _return);
                              flick_cdr_encode_unsigned8(1, *_local_b);
                              flick_cdr_encode_unsigned8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(7);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t404_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t404_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t404_switch_tag)
            {
            case /* Fixe */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t405_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t405_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t405_switch_tag)
                  {
                  case /* dStr */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t406_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_unsigned32(0, _t406_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t406_switch_tag)
                        {
                        case /* uct */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1969452032):
                          {
                            {
                              test _obj;
                              struct FStruct *_local_a;
                              struct FStruct *_local_b;
                              struct FStruct *_local_c;
                              CORBA_Environment *_ev;
                              struct FStruct _return;
                              unsigned int _t407_principal_len;
                              struct FStruct _t408_storage;
                              struct FStruct _t409_storage;
                              struct FStruct _t410_storage;
                              CORBA_Environment _t411_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t407_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t407_principal_len);
                              flick_iiop_decode_new_chunk(_t407_principal_len);
                              flick_iiop_decode_end_chunk(_t407_principal_len);
                              flick_iiop_decode_end_glob(_t407_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t408_storage;
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_swap_decode_signed16(0, _local_a->a);
                              _local_b = &_t409_storage;
                              flick_cdr_swap_decode_signed16(2, _local_b->a);
                              _local_c = &_t410_storage;
                              _ev = &_t411_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(10);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(6);
                                    flick_cdr_encode_signed16(0, _return.a);
                                    flick_cdr_encode_signed16(2, _local_b->a);
                                    flick_cdr_encode_signed16(4, _local_c->a);
                                    flick_iiop_encode_end_chunk(6);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(10);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Boun */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1114600814):
              {
                unsigned int _t412_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t412_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t412_switch_tag)
                  {
                  case /* dStr */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t413_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_unsigned32(0, _t413_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t413_switch_tag)
                        {
                        case /* ing */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              test _obj;
                              CORBA_char *_local_a;
                              CORBA_char **_local_b;
                              CORBA_char **_local_c;
                              CORBA_Environment *_ev;
                              CORBA_char *_return = 0;
                              unsigned int _t414_principal_len;
                              CORBA_char *_t415_storage;
                              CORBA_char *_t416_storage;
                              CORBA_Environment _t417_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t414_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t414_principal_len);
                              flick_iiop_decode_new_chunk(_t414_principal_len);
                              flick_iiop_decode_end_chunk(_t414_principal_len);
                              flick_iiop_decode_end_glob(_t414_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_swap_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                              _local_b = &_t415_storage;
                              flick_cdr_swap_decode_string(*_local_b, CORBA_flick_alloc, iiop, 20);
                              _local_c = &_t416_storage;
                              _ev = &_t417_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 20);
                                    flick_cdr_encode_string(*_local_b, CORBA_flick_free, iiop, 20);
                                    flick_cdr_encode_string(*_local_c, CORBA_flick_free, iiop, 20);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t418_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t418_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t418_switch_tag)
            {
            case /* VarS */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1449226835):
              {
                unsigned int _t419_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t419_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t419_switch_tag)
                  {
                  case /* truc */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1953658211):
                    {
                      unsigned short int _t420_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t420_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t420_switch_tag)
                        {
                        case /* t */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29696):
                          {
                            {
                              test _obj;
                              struct VStruct *_local_a;
                              struct VStruct *_local_b;
                              struct VStruct **_local_c;
                              CORBA_Environment *_ev;
                              struct VStruct *_return = 0;
                              unsigned int _t421_principal_len;
                              struct VStruct _t422_storage;
                              struct VStruct _t423_storage;
                              struct VStruct *_t424_storage;
                              CORBA_Environment _t425_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t421_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t421_principal_len);
                              flick_iiop_decode_new_chunk(_t421_principal_len);
                              flick_iiop_decode_end_chunk(_t421_principal_len);
                              flick_iiop_decode_end_glob(_t421_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t422_storage;
                              flick_cdr_swap_decode_auto_string(_local_a->a, auto_flick_alloc, iiop);
                              _local_b = &_t423_storage;
                              flick_cdr_swap_decode_longstring(_local_b->a, CORBA_flick_alloc, iiop);
                              _local_c = &_t424_storage;
                              _ev = &_t425_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_longstring(_return->a, CORBA_flick_free, iiop);
                                    CORBA_flick_free(_return);
                                    flick_cdr_encode_longstring(_local_b->a, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring((*_local_c)->a, CORBA_flick_free, iiop);
                                    CORBA_flick_free(*_local_c);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t426_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t426_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t426_switch_tag)
            {
            case /* Fixe */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t427_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t427_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t427_switch_tag)
                  {
                  case /* dUni */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1683320425):
                    {
                      unsigned short int _t428_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t428_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t428_switch_tag)
                        {
                        case /* on */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28526):
                          {
                            char _t429_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t429_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t429_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    struct FUnion *_local_a;
                                    struct FUnion *_local_b;
                                    struct FUnion *_local_c;
                                    CORBA_Environment *_ev;
                                    struct FUnion _return;
                                    unsigned int _t430_principal_len;
                                    struct FUnion _t431_storage;
                                    struct FUnion _t432_storage;
                                    struct FUnion _t433_storage;
                                    CORBA_Environment _t434_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t430_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t430_principal_len);
                                    flick_iiop_decode_new_chunk(_t430_principal_len);
                                    flick_iiop_decode_end_chunk(_t430_principal_len);
                                    flick_iiop_decode_end_glob(_t430_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_a = &_t431_storage;
                                    flick_iiop_decode_new_glob(22);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_swap_decode_signed32(0, _local_a->_d);
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_a->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_a->_u.x);
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _local_a->_u.z);
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      }
                                    _local_b = &_t432_storage;
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_swap_decode_signed32(0, _local_b->_d);
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_b->_u.x);
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _local_b->_u.z);
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      }
                                    _local_c = &_t433_storage;
                                    _ev = &_t434_storage;
                                    flick_iiop_decode_end_glob(22);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(34);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return._d);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_return._d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return._u.x);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _return._u.z);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_b->_d);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_local_b->_d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _local_b->_u.x);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _local_b->_u.z);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_c->_d);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_local_c->_d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _local_c->_u.x);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _local_c->_u.z);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(34);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t435_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t435_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t435_switch_tag)
            {
            case /* VarU */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1449226837):
              {
                unsigned int _t436_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t436_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t436_switch_tag)
                  {
                  case /* nion */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1852403566):
                    {
                      char _t437_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t437_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t437_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              struct VUnion *_local_a;
                              struct VUnion *_local_b;
                              struct VUnion **_local_c;
                              CORBA_Environment *_ev;
                              struct VUnion *_return = 0;
                              unsigned int _t438_principal_len;
                              struct VUnion _t439_storage;
                              struct VUnion _t440_storage;
                              struct VUnion *_t441_storage;
                              CORBA_Environment _t442_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t438_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t438_principal_len);
                              flick_iiop_decode_new_chunk(_t438_principal_len);
                              flick_iiop_decode_end_chunk(_t438_principal_len);
                              flick_iiop_decode_end_glob(_t438_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t439_storage;
                              flick_iiop_decode_new_glob(8);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_signed32(0, _local_a->_d);
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_a->_d)
                                {
                                case 1:
                                  {
                                    flick_iiop_decode_end_glob(8);
                                    flick_cdr_swap_decode_auto_string(_local_a->_u.a, auto_flick_alloc, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _local_a->_u.z);
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(8);
                                    break;
                                  }
                                }
                              _local_b = &_t440_storage;
                              flick_iiop_decode_new_glob(8);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_signed32(0, _local_b->_d);
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_b->_d)
                                {
                                case 1:
                                  {
                                    flick_iiop_decode_end_glob(8);
                                    flick_cdr_swap_decode_longstring(_local_b->_u.a, CORBA_flick_alloc, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _local_b->_u.z);
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(8);
                                    break;
                                  }
                                }
                              _local_c = &_t441_storage;
                              _ev = &_t442_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(9);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return->_d);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_return->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_encode_end_glob(9);
                                          flick_cdr_encode_longstring(_return->_u.a, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return->_u.z);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(9);
                                          break;
                                        }
                                      }
                                    CORBA_flick_free(_return);
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, _local_b->_d);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_encode_end_glob(8);
                                          flick_cdr_encode_longstring(_local_b->_u.a, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_b->_u.z);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(8);
                                          break;
                                        }
                                      }
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, (*_local_c)->_d);
                                    flick_iiop_encode_end_chunk(4);
                                    switch ((*_local_c)->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_encode_end_glob(8);
                                          flick_cdr_encode_longstring((*_local_c)->_u.a, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, (*_local_c)->_u.z);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(8);
                                          break;
                                        }
                                      }
                                    CORBA_flick_free(*_local_c);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(9);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(9);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Sequ */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1399157109):
              {
                unsigned int _t443_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t443_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t443_switch_tag)
                  {
                  case /* ence */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1701733221):
                    {
                      char _t444_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t444_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t444_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              test_seq *_local_a;
                              test_seq *_local_b;
                              test_seq **_local_c;
                              CORBA_Environment *_ev;
                              test_seq *_return = 0;
                              unsigned int _t445_principal_len;
                              test_seq _t446_storage;
                              unsigned long int _t447_array_iter;
                              test_seq _t448_storage;
                              unsigned long int _t449_array_iter;
                              test_seq *_t450_storage;
                              CORBA_Environment _t451_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t445_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t445_principal_len);
                              flick_iiop_decode_new_chunk(_t445_principal_len);
                              flick_iiop_decode_end_chunk(_t445_principal_len);
                              flick_iiop_decode_end_glob(_t445_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t446_storage;
                              flick_iiop_decode_new_glob(91);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_unsigned32(0, _local_a->_length);
                              flick_iiop_decode_end_chunk(4);
                              _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                              for (_t447_array_iter = 0; _t447_array_iter < _local_a->_length; _t447_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t447_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              _local_b = &_t448_storage;
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _local_b->_length);
                              flick_iiop_decode_end_chunk(4);
                              _local_b->_buffer = CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_long ));
                              for (_t449_array_iter = 0; _t449_array_iter < _local_b->_length; _t449_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_b->_buffer[_t449_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              _local_c = &_t450_storage;
                              _ev = &_t451_storage;
                              flick_iiop_decode_end_glob(91);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(136);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4 + 4 * _return->_length);
                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                    flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                    CORBA_flick_free(_return->_buffer);
                                    flick_iiop_encode_end_chunk(4 + 4 * _return->_length);
                                    CORBA_flick_free(_return);
                                    flick_iiop_encode_new_chunk(4 + 4 * _local_b->_length);
                                    flick_cdr_encode_unsigned32(0, _local_b->_length);
                                    flick_cdr_encode_bcopy(4, _local_b->_buffer, 4 * _local_b->_length);
                                    CORBA_flick_free(_local_b->_buffer);
                                    flick_iiop_encode_end_chunk(4 + 4 * _local_b->_length);
                                    flick_iiop_encode_new_chunk(4 + 4 * (*_local_c)->_length);
                                    flick_cdr_encode_unsigned32(0, (*_local_c)->_length);
                                    flick_cdr_encode_bcopy(4, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                                    CORBA_flick_free((*_local_c)->_buffer);
                                    flick_iiop_encode_end_chunk(4 + 4 * (*_local_c)->_length);
                                    CORBA_flick_free(*_local_c);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(136);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t114_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t114_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t114_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t115_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t115_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t115_switch_tag)
            {
            case /* Shor */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t116_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t116_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t116_switch_tag)
                  {
                  case /* t */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        CORBA_short _local_a;
                        CORBA_short *_local_b;
                        CORBA_short *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_short _return = 0;
                        unsigned int _t117_principal_len;
                        CORBA_short _t118_storage;
                        CORBA_short _t119_storage;
                        CORBA_Environment _t120_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t117_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t117_principal_len);
                        flick_iiop_decode_new_chunk(_t117_principal_len);
                        flick_iiop_decode_end_chunk(_t117_principal_len);
                        flick_iiop_decode_end_glob(_t117_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(5);
                        flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                        flick_cdr_decode_signed16(0, _local_a);
                        _local_b = &_t118_storage;
                        flick_cdr_decode_signed16(2, *_local_b);
                        _local_c = &_t119_storage;
                        _ev = &_t120_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(5);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(10);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(6);
                              flick_cdr_encode_signed16(0, _return);
                              flick_cdr_encode_signed16(2, *_local_b);
                              flick_cdr_encode_signed16(4, *_local_c);
                              flick_iiop_encode_end_chunk(6);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(10);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t121_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t121_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t121_switch_tag)
                  {
                  case /* g */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 26368):
                    {
                      {
                        test _obj;
                        CORBA_unsigned_long _local_a;
                        CORBA_unsigned_long *_local_b;
                        CORBA_unsigned_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_unsigned_long _return = 0;
                        unsigned int _t122_principal_len;
                        CORBA_unsigned_long _t123_storage;
                        CORBA_unsigned_long _t124_storage;
                        CORBA_Environment _t125_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t122_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t122_principal_len);
                        flick_iiop_decode_new_chunk(_t122_principal_len);
                        flick_iiop_decode_end_chunk(_t122_principal_len);
                        flick_iiop_decode_end_glob(_t122_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_unsigned32(0, _local_a);
                        _local_b = &_t123_storage;
                        flick_cdr_decode_unsigned32(4, *_local_b);
                        _local_c = &_t124_storage;
                        _ev = &_t125_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_unsigned32(0, _return);
                              flick_cdr_encode_unsigned32(4, *_local_b);
                              flick_cdr_encode_unsigned32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t126_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t126_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t126_switch_tag)
                  {
                  case /* t */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        CORBA_float _local_a;
                        CORBA_float *_local_b;
                        CORBA_float *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_float _return = 0.000000;
                        unsigned int _t127_principal_len;
                        CORBA_float _t128_storage;
                        CORBA_float _t129_storage;
                        CORBA_Environment _t130_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t127_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t127_principal_len);
                        flick_iiop_decode_new_chunk(_t127_principal_len);
                        flick_iiop_decode_end_chunk(_t127_principal_len);
                        flick_iiop_decode_end_glob(_t127_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_float32(0, _local_a);
                        _local_b = &_t128_storage;
                        flick_cdr_decode_float32(4, *_local_b);
                        _local_c = &_t129_storage;
                        _ev = &_t130_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_float32(0, _return);
                              flick_cdr_encode_float32(4, *_local_b);
                              flick_cdr_encode_float32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t131_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t131_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t131_switch_tag)
                  {
                  case /* t */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        CORBA_octet _local_a;
                        CORBA_octet *_local_b;
                        CORBA_octet *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_octet _return = 0;
                        unsigned int _t132_principal_len;
                        CORBA_octet _t133_storage;
                        CORBA_octet _t134_storage;
                        CORBA_Environment _t135_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t132_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t132_principal_len);
                        flick_iiop_decode_new_chunk(_t132_principal_len);
                        flick_iiop_decode_end_chunk(_t132_principal_len);
                        flick_iiop_decode_end_glob(_t132_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a);
                        _local_b = &_t133_storage;
                        flick_cdr_decode_unsigned8(1, *_local_b);
                        _local_c = &_t134_storage;
                        _ev = &_t135_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_unsigned8(0, _return);
                              flick_cdr_encode_unsigned8(1, *_local_b);
                              flick_cdr_encode_unsigned8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(7);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Arra */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1098019425):
              {
                unsigned short int _t136_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t136_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t136_switch_tag)
                  {
                  case /* y */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 30976):
                    {
                      {
                        test _obj;
                        CORBA_long *_local_a;
                        CORBA_long *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        test_arr_slice *_return = 0;
                        unsigned int _t137_principal_len;
                        flick_unsigned8_t _t138_array_length;
                        flick_unsigned8_t _t139_array_length;
                        CORBA_long _t141_storage[10];
                        CORBA_Environment _t142_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t137_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t137_principal_len);
                        flick_iiop_decode_new_chunk(_t137_principal_len);
                        flick_iiop_decode_end_chunk(_t137_principal_len);
                        flick_iiop_decode_end_glob(_t137_principal_len);
                        /* Begin decode phase on parameters */
                        _t138_array_length = 10;
                        flick_iiop_decode_new_glob(83);
                        flick_iiop_decode_new_chunk_align(80, 2, 0, 0);
                        flick_cdr_decode_msgptr(0, _local_a);
                        _t139_array_length = 10;
                        _local_b = auto_flick_alloc(_t139_array_length * sizeof(CORBA_long ));
                        flick_cdr_decode_bcopy(40, _local_b, 4 * _t139_array_length);
                        _local_c = _t141_storage;
                        _ev = &_t142_storage;
                        flick_iiop_decode_end_chunk(80);
                        flick_iiop_decode_end_glob(83);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Array(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(124);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(120);
                              flick_cdr_encode_bcopy(0, _return, 4 * 10);
                              CORBA_flick_free(_return);
                              flick_cdr_encode_bcopy(40, _local_b, 4 * 10);
                              flick_cdr_encode_bcopy(80, _local_c, 4 * 10);
                              flick_iiop_encode_end_chunk(120);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(124);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t143_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t143_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t143_switch_tag)
            {
            case /* Long */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1282371175):
              {
                char _t144_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t144_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t144_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t145_principal_len;
                        CORBA_long _t146_storage;
                        CORBA_long _t147_storage;
                        CORBA_Environment _t148_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t145_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t145_principal_len);
                        flick_iiop_decode_new_chunk(_t145_principal_len);
                        flick_iiop_decode_end_chunk(_t145_principal_len);
                        flick_iiop_decode_end_glob(_t145_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a);
                        _local_b = &_t146_storage;
                        flick_cdr_decode_signed32(4, *_local_b);
                        _local_c = &_t147_storage;
                        _ev = &_t148_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_signed32(0, _return);
                              flick_cdr_encode_signed32(4, *_local_b);
                              flick_cdr_encode_signed32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1130914162):
              {
                char _t149_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t149_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t149_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        CORBA_char _local_a;
                        CORBA_char *_local_b;
                        CORBA_char *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_char _return = 0;
                        unsigned int _t150_principal_len;
                        CORBA_char _t151_storage;
                        CORBA_char _t152_storage;
                        CORBA_Environment _t153_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t150_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t150_principal_len);
                        flick_iiop_decode_new_chunk(_t150_principal_len);
                        flick_iiop_decode_end_chunk(_t150_principal_len);
                        flick_iiop_decode_end_glob(_t150_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_char8(0, _local_a);
                        _local_b = &_t151_storage;
                        flick_cdr_decode_char8(1, *_local_b);
                        _local_c = &_t152_storage;
                        _ev = &_t153_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_char8(0, _return);
                              flick_cdr_encode_char8(1, *_local_b);
                              flick_cdr_encode_char8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(7);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Enum */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1164866925):
              {
                char _t154_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t154_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t154_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        Enumeration _local_a;
                        Enumeration *_local_b;
                        Enumeration *_local_c;
                        CORBA_Environment *_ev;
                        Enumeration _return;
                        unsigned int _t155_principal_len;
                        Enumeration _t156_storage;
                        Enumeration _t157_storage;
                        CORBA_Environment _t158_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t155_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t155_principal_len);
                        flick_iiop_decode_new_chunk(_t155_principal_len);
                        flick_iiop_decode_end_chunk(_t155_principal_len);
                        flick_iiop_decode_end_glob(_t155_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_unsigned32(0, _local_a);
                        _local_b = &_t156_storage;
                        flick_cdr_decode_unsigned32(4, *_local_b);
                        _local_c = &_t157_storage;
                        _ev = &_t158_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(16);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(12);
                              flick_cdr_encode_unsigned32(0, _return);
                              flick_cdr_encode_unsigned32(4, *_local_b);
                              flick_cdr_encode_unsigned32(8, *_local_c);
                              flick_iiop_encode_end_chunk(12);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(16);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t159_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t159_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t159_switch_tag)
            {
            case /* USho */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t160_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t160_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t160_switch_tag)
                  {
                  case /* rt */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29300):
                    {
                      char _t161_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t161_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t161_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              CORBA_unsigned_short _local_a;
                              CORBA_unsigned_short *_local_b;
                              CORBA_unsigned_short *_local_c;
                              CORBA_Environment *_ev;
                              CORBA_unsigned_short _return = 0;
                              unsigned int _t162_principal_len;
                              CORBA_unsigned_short _t163_storage;
                              CORBA_unsigned_short _t164_storage;
                              CORBA_Environment _t165_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t162_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t162_principal_len);
                              flick_iiop_decode_new_chunk(_t162_principal_len);
                              flick_iiop_decode_end_chunk(_t162_principal_len);
                              flick_iiop_decode_end_glob(_t162_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_decode_unsigned16(0, _local_a);
                              _local_b = &_t163_storage;
                              flick_cdr_decode_unsigned16(2, *_local_b);
                              _local_c = &_t164_storage;
                              _ev = &_t165_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(10);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(6);
                                    flick_cdr_encode_unsigned16(0, _return);
                                    flick_cdr_encode_unsigned16(2, *_local_b);
                                    flick_cdr_encode_unsigned16(4, *_local_c);
                                    flick_iiop_encode_end_chunk(6);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(10);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Stri */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t166_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t166_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t166_switch_tag)
                  {
                  case /* ng */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28263):
                    {
                      char _t167_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t167_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t167_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              CORBA_char *_local_a;
                              CORBA_char **_local_b;
                              CORBA_char **_local_c;
                              CORBA_Environment *_ev;
                              CORBA_char *_return = 0;
                              unsigned int _t168_principal_len;
                              CORBA_char *_t169_storage;
                              CORBA_char *_t170_storage;
                              CORBA_Environment _t171_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t168_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t168_principal_len);
                              flick_iiop_decode_new_chunk(_t168_principal_len);
                              flick_iiop_decode_end_chunk(_t168_principal_len);
                              flick_iiop_decode_end_glob(_t168_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                              _local_b = &_t169_storage;
                              flick_cdr_decode_longstring(*_local_b, CORBA_flick_alloc, iiop);
                              _local_c = &_t170_storage;
                              _ev = &_t171_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_b, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_c, CORBA_flick_free, iiop);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t172_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t172_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t172_switch_tag)
            {
            case /* Bool */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t173_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t173_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t173_switch_tag)
                  {
                  case /* ean */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        test _obj;
                        CORBA_boolean _local_a;
                        CORBA_boolean *_local_b;
                        CORBA_boolean *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_boolean _return = 0;
                        unsigned int _t174_principal_len;
                        CORBA_boolean _t175_storage;
                        CORBA_boolean _t176_storage;
                        CORBA_Environment _t177_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t174_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t174_principal_len);
                        flick_iiop_decode_new_chunk(_t174_principal_len);
                        flick_iiop_decode_end_chunk(_t174_principal_len);
                        flick_iiop_decode_end_glob(_t174_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(2);
                        flick_iiop_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a);
                        _local_b = &_t175_storage;
                        flick_cdr_decode_unsigned8(1, *_local_b);
                        _local_c = &_t176_storage;
                        _ev = &_t177_storage;
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(2);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(7);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(3);
                              flick_cdr_encode_unsigned8(0, _return);
                              flick_cdr_encode_unsigned8(1, *_local_b);
                              flick_cdr_encode_unsigned8(2, *_local_c);
                              flick_iiop_encode_end_chunk(3);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(7);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t178_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t178_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t178_switch_tag)
            {
            case /* Fixe */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t179_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t179_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t179_switch_tag)
                  {
                  case /* dStr */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t180_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t180_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t180_switch_tag)
                        {
                        case /* uct */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1969452032):
                          {
                            {
                              test _obj;
                              struct FStruct *_local_a;
                              struct FStruct *_local_b;
                              struct FStruct *_local_c;
                              CORBA_Environment *_ev;
                              struct FStruct _return;
                              unsigned int _t181_principal_len;
                              struct FStruct _t182_storage;
                              struct FStruct _t183_storage;
                              struct FStruct _t184_storage;
                              CORBA_Environment _t185_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t181_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t181_principal_len);
                              flick_iiop_decode_new_chunk(_t181_principal_len);
                              flick_iiop_decode_end_chunk(_t181_principal_len);
                              flick_iiop_decode_end_glob(_t181_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t182_storage;
                              flick_iiop_decode_new_glob(5);
                              flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                              flick_cdr_decode_signed16(0, _local_a->a);
                              _local_b = &_t183_storage;
                              flick_cdr_decode_signed16(2, _local_b->a);
                              _local_c = &_t184_storage;
                              _ev = &_t185_storage;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(5);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(10);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(6);
                                    flick_cdr_encode_signed16(0, _return.a);
                                    flick_cdr_encode_signed16(2, _local_b->a);
                                    flick_cdr_encode_signed16(4, _local_c->a);
                                    flick_iiop_encode_end_chunk(6);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(10);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Boun */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1114600814):
              {
                unsigned int _t186_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t186_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t186_switch_tag)
                  {
                  case /* dStr */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t187_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t187_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch (_t187_switch_tag)
                        {
                        case /* ing */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              test _obj;
                              CORBA_char *_local_a;
                              CORBA_char **_local_b;
                              CORBA_char **_local_c;
                              CORBA_Environment *_ev;
                              CORBA_char *_return = 0;
                              unsigned int _t188_principal_len;
                              CORBA_char *_t189_storage;
                              CORBA_char *_t190_storage;
                              CORBA_Environment _t191_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t188_principal_len);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t188_principal_len);
                              flick_iiop_decode_new_chunk(_t188_principal_len);
                              flick_iiop_decode_end_chunk(_t188_principal_len);
                              flick_iiop_decode_end_glob(_t188_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                              _local_b = &_t189_storage;
                              flick_cdr_decode_string(*_local_b, CORBA_flick_alloc, iiop, 20);
                              _local_c = &_t190_storage;
                              _ev = &_t191_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_string(_return, CORBA_flick_free, iiop, 20);
                                    flick_cdr_encode_string(*_local_b, CORBA_flick_free, iiop, 20);
                                    flick_cdr_encode_string(*_local_c, CORBA_flick_free, iiop, 20);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t192_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t192_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t192_switch_tag)
            {
            case /* VarS */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1449226835):
              {
                unsigned int _t193_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t193_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t193_switch_tag)
                  {
                  case /* truc */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1953658211):
                    {
                      unsigned short int _t194_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t194_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t194_switch_tag)
                        {
                        case /* t */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29696):
                          {
                            {
                              test _obj;
                              struct VStruct *_local_a;
                              struct VStruct *_local_b;
                              struct VStruct **_local_c;
                              CORBA_Environment *_ev;
                              struct VStruct *_return = 0;
                              unsigned int _t195_principal_len;
                              struct VStruct _t196_storage;
                              struct VStruct _t197_storage;
                              struct VStruct *_t198_storage;
                              CORBA_Environment _t199_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t195_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t195_principal_len);
                              flick_iiop_decode_new_chunk(_t195_principal_len);
                              flick_iiop_decode_end_chunk(_t195_principal_len);
                              flick_iiop_decode_end_glob(_t195_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t196_storage;
                              flick_cdr_decode_auto_string(_local_a->a, auto_flick_alloc, iiop);
                              _local_b = &_t197_storage;
                              flick_cdr_decode_longstring(_local_b->a, CORBA_flick_alloc, iiop);
                              _local_c = &_t198_storage;
                              _ev = &_t199_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_longstring(_return->a, CORBA_flick_free, iiop);
                                    CORBA_flick_free(_return);
                                    flick_cdr_encode_longstring(_local_b->a, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring((*_local_c)->a, CORBA_flick_free, iiop);
                                    CORBA_flick_free(*_local_c);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t200_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t200_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t200_switch_tag)
            {
            case /* Fixe */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t201_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t201_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t201_switch_tag)
                  {
                  case /* dUni */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1683320425):
                    {
                      unsigned short int _t202_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t202_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t202_switch_tag)
                        {
                        case /* on */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28526):
                          {
                            char _t203_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t203_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t203_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    struct FUnion *_local_a;
                                    struct FUnion *_local_b;
                                    struct FUnion *_local_c;
                                    CORBA_Environment *_ev;
                                    struct FUnion _return;
                                    unsigned int _t204_principal_len;
                                    struct FUnion _t205_storage;
                                    struct FUnion _t206_storage;
                                    struct FUnion _t207_storage;
                                    CORBA_Environment _t208_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t204_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t204_principal_len);
                                    flick_iiop_decode_new_chunk(_t204_principal_len);
                                    flick_iiop_decode_end_chunk(_t204_principal_len);
                                    flick_iiop_decode_end_glob(_t204_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_a = &_t205_storage;
                                    flick_iiop_decode_new_glob(22);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_decode_signed32(0, _local_a->_d);
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_a->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_signed32(0, _local_a->_u.x);
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _local_a->_u.z);
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      }
                                    _local_b = &_t206_storage;
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_decode_signed32(0, _local_b->_d);
                                    flick_iiop_decode_end_chunk(4);
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_signed32(0, _local_b->_u.x);
                                          flick_iiop_decode_end_chunk(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _local_b->_u.z);
                                          flick_iiop_decode_end_chunk(1);
                                          break;
                                        }
                                      }
                                    _local_c = &_t207_storage;
                                    _ev = &_t208_storage;
                                    flick_iiop_decode_end_glob(22);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(34);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return._d);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_return._d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return._u.x);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _return._u.z);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_b->_d);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_local_b->_d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _local_b->_u.x);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _local_b->_u.z);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_c->_d);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_local_c->_d)
                                            {
                                            case 1:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _local_c->_u.x);
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_iiop_encode_new_chunk(1);
                                                flick_cdr_encode_char8(0, _local_c->_u.z);
                                                flick_iiop_encode_end_chunk(1);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                        }
                                      }
                                    flick_iiop_encode_end_glob(34);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t209_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t209_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t209_switch_tag)
            {
            case /* VarU */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1449226837):
              {
                unsigned int _t210_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t210_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t210_switch_tag)
                  {
                  case /* nion */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1852403566):
                    {
                      char _t211_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t211_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t211_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              struct VUnion *_local_a;
                              struct VUnion *_local_b;
                              struct VUnion **_local_c;
                              CORBA_Environment *_ev;
                              struct VUnion *_return = 0;
                              unsigned int _t212_principal_len;
                              struct VUnion _t213_storage;
                              struct VUnion _t214_storage;
                              struct VUnion *_t215_storage;
                              CORBA_Environment _t216_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t212_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t212_principal_len);
                              flick_iiop_decode_new_chunk(_t212_principal_len);
                              flick_iiop_decode_end_chunk(_t212_principal_len);
                              flick_iiop_decode_end_glob(_t212_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t213_storage;
                              flick_iiop_decode_new_glob(8);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_signed32(0, _local_a->_d);
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_a->_d)
                                {
                                case 1:
                                  {
                                    flick_iiop_decode_end_glob(8);
                                    flick_cdr_decode_auto_string(_local_a->_u.a, auto_flick_alloc, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _local_a->_u.z);
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(8);
                                    break;
                                  }
                                }
                              _local_b = &_t214_storage;
                              flick_iiop_decode_new_glob(8);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_signed32(0, _local_b->_d);
                              flick_iiop_decode_end_chunk(4);
                              switch (_local_b->_d)
                                {
                                case 1:
                                  {
                                    flick_iiop_decode_end_glob(8);
                                    flick_cdr_decode_longstring(_local_b->_u.a, CORBA_flick_alloc, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _local_b->_u.z);
                                    flick_iiop_decode_end_chunk(1);
                                    flick_iiop_decode_end_glob(8);
                                    break;
                                  }
                                }
                              _local_c = &_t215_storage;
                              _ev = &_t216_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(9);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return->_d);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_return->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_encode_end_glob(9);
                                          flick_cdr_encode_longstring(_return->_u.a, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return->_u.z);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(9);
                                          break;
                                        }
                                      }
                                    CORBA_flick_free(_return);
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, _local_b->_d);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_local_b->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_encode_end_glob(8);
                                          flick_cdr_encode_longstring(_local_b->_u.a, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_b->_u.z);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(8);
                                          break;
                                        }
                                      }
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, (*_local_c)->_d);
                                    flick_iiop_encode_end_chunk(4);
                                    switch ((*_local_c)->_d)
                                      {
                                      case 1:
                                        {
                                          flick_iiop_encode_end_glob(8);
                                          flick_cdr_encode_longstring((*_local_c)->_u.a, CORBA_flick_free, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, (*_local_c)->_u.z);
                                          flick_iiop_encode_end_chunk(1);
                                          flick_iiop_encode_end_glob(8);
                                          break;
                                        }
                                      }
                                    CORBA_flick_free(*_local_c);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(9);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(9);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Sequ */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1399157109):
              {
                unsigned int _t217_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t217_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t217_switch_tag)
                  {
                  case /* ence */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1701733221):
                    {
                      char _t218_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t218_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t218_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              test_seq *_local_a;
                              test_seq *_local_b;
                              test_seq **_local_c;
                              CORBA_Environment *_ev;
                              test_seq *_return = 0;
                              unsigned int _t219_principal_len;
                              test_seq _t220_storage;
                              test_seq _t221_storage;
                              test_seq *_t222_storage;
                              CORBA_Environment _t223_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t219_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t219_principal_len);
                              flick_iiop_decode_new_chunk(_t219_principal_len);
                              flick_iiop_decode_end_chunk(_t219_principal_len);
                              flick_iiop_decode_end_glob(_t219_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t220_storage;
                              flick_iiop_decode_new_glob(91);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_unsigned32(0, _local_a->_length);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_new_chunk(4 * _local_a->_length);
                              flick_cdr_decode_msgptr(0, _local_a->_buffer);
                              flick_iiop_decode_end_chunk(4 * _local_a->_length);
                              _local_b = &_t221_storage;
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _local_b->_length);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_new_chunk(4 * _local_b->_length);
                              _local_b->_buffer = CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_long ));
                              flick_cdr_decode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
                              flick_iiop_decode_end_chunk(4 * _local_b->_length);
                              _local_c = &_t222_storage;
                              _ev = &_t223_storage;
                              flick_iiop_decode_end_glob(91);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(136);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4 + 4 * _return->_length);
                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                    flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                    CORBA_flick_free(_return->_buffer);
                                    flick_iiop_encode_end_chunk(4 + 4 * _return->_length);
                                    CORBA_flick_free(_return);
                                    flick_iiop_encode_new_chunk(4 + 4 * _local_b->_length);
                                    flick_cdr_encode_unsigned32(0, _local_b->_length);
                                    flick_cdr_encode_bcopy(4, _local_b->_buffer, 4 * _local_b->_length);
                                    CORBA_flick_free(_local_b->_buffer);
                                    flick_iiop_encode_end_chunk(4 + 4 * _local_b->_length);
                                    flick_iiop_encode_new_chunk(4 + 4 * (*_local_c)->_length);
                                    flick_cdr_encode_unsigned32(0, (*_local_c)->_length);
                                    flick_cdr_encode_bcopy(4, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                                    CORBA_flick_free((*_local_c)->_buffer);
                                    flick_iiop_encode_end_chunk(4 + 4 * (*_local_c)->_length);
                                    CORBA_flick_free(*_local_c);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                  }
                                }
                              flick_iiop_encode_end_glob(136);
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
