#include "parms-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
flick_operation_success_t parm_2345(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t57_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t57_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t57_switch_tag)
      {
      case (signed int) 0:
        {
          {
            void *_local_arg;
            struct svc_req *_obj;
            void *_return = 0;
            unsigned int _t58_principal_len;
            char _t59_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t58_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t58_principal_len);
            flick_iiop_decode_new_chunk(_t58_principal_len);
            flick_iiop_decode_end_chunk(_t58_principal_len);
            flick_iiop_decode_end_glob(_t58_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t59_storage;
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = void_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            char *_local_arg;
            struct svc_req *_obj;
            char *_return = 0;
            unsigned int _t60_principal_len;
            char _t61_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t60_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t60_principal_len);
            flick_iiop_decode_new_chunk(_t60_principal_len);
            flick_iiop_decode_end_chunk(_t60_principal_len);
            flick_iiop_decode_end_glob(_t60_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t61_storage;
            flick_iiop_decode_new_glob(1);
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, *_local_arg);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(1);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = char_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(5);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(1);
                  flick_cdr_encode_char8(0, *_return);
                  flick_iiop_encode_end_chunk(1);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(5);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t62_principal_len;
            int _t63_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t62_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t62_principal_len);
            flick_iiop_decode_new_chunk(_t62_principal_len);
            flick_iiop_decode_end_chunk(_t62_principal_len);
            flick_iiop_decode_end_glob(_t62_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t63_storage;
            flick_iiop_decode_new_glob(1);
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_unsigned8(0, *_local_arg);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(1);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = bool_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(5);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(1);
                  flick_cdr_encode_unsigned8(0, *_return);
                  flick_iiop_encode_end_chunk(1);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(5);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            short int *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t64_principal_len;
            short int _t65_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t64_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t64_principal_len);
            flick_iiop_decode_new_chunk(_t64_principal_len);
            flick_iiop_decode_end_chunk(_t64_principal_len);
            flick_iiop_decode_end_glob(_t64_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t65_storage;
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_swap_decode_signed16(0, *_local_arg);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = short_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(6);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            unsigned short int *_local_arg;
            struct svc_req *_obj;
            unsigned short int *_return = 0;
            unsigned int _t66_principal_len;
            unsigned short int _t67_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t66_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t66_principal_len);
            flick_iiop_decode_new_chunk(_t66_principal_len);
            flick_iiop_decode_end_chunk(_t66_principal_len);
            flick_iiop_decode_end_glob(_t66_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t67_storage;
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_swap_decode_unsigned16(0, *_local_arg);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = ushort_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_unsigned16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(6);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t68_principal_len;
            int _t69_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t68_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t68_principal_len);
            flick_iiop_decode_new_chunk(_t68_principal_len);
            flick_iiop_decode_end_chunk(_t68_principal_len);
            flick_iiop_decode_end_glob(_t68_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t69_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, *_local_arg);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = long_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            unsigned int *_local_arg;
            struct svc_req *_obj;
            unsigned int *_return = 0;
            unsigned int _t70_principal_len;
            unsigned int _t71_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t70_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t70_principal_len);
            flick_iiop_decode_new_chunk(_t70_principal_len);
            flick_iiop_decode_end_chunk(_t70_principal_len);
            flick_iiop_decode_end_glob(_t70_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t71_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, *_local_arg);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = ulong_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            float *_local_arg;
            struct svc_req *_obj;
            float *_return = 0;
            unsigned int _t72_principal_len;
            float _t73_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t72_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t72_principal_len);
            flick_iiop_decode_new_chunk(_t72_principal_len);
            flick_iiop_decode_end_chunk(_t72_principal_len);
            flick_iiop_decode_end_glob(_t72_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t73_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_float32(0, *_local_arg);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = float_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_float32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            double *_local_arg;
            struct svc_req *_obj;
            double *_return = 0;
            unsigned int _t74_principal_len;
            double _t75_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t74_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t74_principal_len);
            flick_iiop_decode_new_chunk(_t74_principal_len);
            flick_iiop_decode_end_chunk(_t74_principal_len);
            flick_iiop_decode_end_glob(_t74_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t75_storage;
            flick_iiop_decode_new_glob(15);
            flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
            flick_cdr_swap_decode_float64(0, *_local_arg);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(15);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = double_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(16);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_return);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(16);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t19_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t19_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t19_switch_tag)
      {
      case (signed int) 0:
        {
          {
            void *_local_arg;
            struct svc_req *_obj;
            void *_return = 0;
            unsigned int _t20_principal_len;
            char _t21_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t20_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t20_principal_len);
            flick_iiop_decode_new_chunk(_t20_principal_len);
            flick_iiop_decode_end_chunk(_t20_principal_len);
            flick_iiop_decode_end_glob(_t20_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t21_storage;
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = void_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(4);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            char *_local_arg;
            struct svc_req *_obj;
            char *_return = 0;
            unsigned int _t22_principal_len;
            char _t23_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t22_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t22_principal_len);
            flick_iiop_decode_new_chunk(_t22_principal_len);
            flick_iiop_decode_end_chunk(_t22_principal_len);
            flick_iiop_decode_end_glob(_t22_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t23_storage;
            flick_iiop_decode_new_glob(1);
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, *_local_arg);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(1);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = char_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(5);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(1);
                  flick_cdr_encode_char8(0, *_return);
                  flick_iiop_encode_end_chunk(1);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(5);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t24_principal_len;
            int _t25_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t24_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t24_principal_len);
            flick_iiop_decode_new_chunk(_t24_principal_len);
            flick_iiop_decode_end_chunk(_t24_principal_len);
            flick_iiop_decode_end_glob(_t24_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t25_storage;
            flick_iiop_decode_new_glob(1);
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_unsigned8(0, *_local_arg);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(1);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = bool_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(5);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(1);
                  flick_cdr_encode_unsigned8(0, *_return);
                  flick_iiop_encode_end_chunk(1);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(5);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            short int *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t26_principal_len;
            short int _t27_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t26_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t26_principal_len);
            flick_iiop_decode_new_chunk(_t26_principal_len);
            flick_iiop_decode_end_chunk(_t26_principal_len);
            flick_iiop_decode_end_glob(_t26_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t27_storage;
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_decode_signed16(0, *_local_arg);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = short_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(6);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            unsigned short int *_local_arg;
            struct svc_req *_obj;
            unsigned short int *_return = 0;
            unsigned int _t28_principal_len;
            unsigned short int _t29_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t28_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t28_principal_len);
            flick_iiop_decode_new_chunk(_t28_principal_len);
            flick_iiop_decode_end_chunk(_t28_principal_len);
            flick_iiop_decode_end_glob(_t28_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t29_storage;
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_decode_unsigned16(0, *_local_arg);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = ushort_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_unsigned16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(6);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t30_principal_len;
            int _t31_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t30_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t30_principal_len);
            flick_iiop_decode_new_chunk(_t30_principal_len);
            flick_iiop_decode_end_chunk(_t30_principal_len);
            flick_iiop_decode_end_glob(_t30_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t31_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *_local_arg);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = long_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            unsigned int *_local_arg;
            struct svc_req *_obj;
            unsigned int *_return = 0;
            unsigned int _t32_principal_len;
            unsigned int _t33_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t32_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t32_principal_len);
            flick_iiop_decode_new_chunk(_t32_principal_len);
            flick_iiop_decode_end_chunk(_t32_principal_len);
            flick_iiop_decode_end_glob(_t32_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t33_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, *_local_arg);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = ulong_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            float *_local_arg;
            struct svc_req *_obj;
            float *_return = 0;
            unsigned int _t34_principal_len;
            float _t35_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t34_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t34_principal_len);
            flick_iiop_decode_new_chunk(_t34_principal_len);
            flick_iiop_decode_end_chunk(_t34_principal_len);
            flick_iiop_decode_end_glob(_t34_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t35_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_float32(0, *_local_arg);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = float_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_float32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(8);
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            double *_local_arg;
            struct svc_req *_obj;
            double *_return = 0;
            unsigned int _t36_principal_len;
            double _t37_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t36_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t36_principal_len);
            flick_iiop_decode_new_chunk(_t36_principal_len);
            flick_iiop_decode_end_chunk(_t36_principal_len);
            flick_iiop_decode_end_glob(_t36_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t37_storage;
            flick_iiop_decode_new_glob(15);
            flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
            flick_cdr_decode_float64(0, *_local_arg);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(15);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = double_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(16);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_return);
                  flick_iiop_encode_end_chunk(8);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                }
              }
            flick_iiop_encode_end_glob(16);
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
