#include "primtypes-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_ex1(flick_marshal_stream_t _stream, const ex1 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_ex1_swap(flick_marshal_stream_t _stream, ex1 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t93_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t93_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t93_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t94_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_swap_decode_unsigned16(0, _t94_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch (_t94_switch_tag)
            {
            case /* m1 */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 27953):
              {
                char _t95_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t95_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t95_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex1 _obj;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t96_principal_len;
                        CORBA_Environment _t97_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t96_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t96_principal_len);
                        flick_iiop_decode_new_chunk(_t96_principal_len);
                        flick_iiop_decode_end_chunk(_t96_principal_len);
                        flick_iiop_decode_end_glob(_t96_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a);
                        _ev = &_t97_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex1_m1(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t98_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t98_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t98_switch_tag)
            {
            case /* mtyp */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t99_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t99_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t99_switch_tag)
                  {
                  case /* es */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 25971):
                    {
                      char _t100_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t100_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t100_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex1 _obj;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long *_local_a3;
                              CORBA_unsigned_long _local_b1;
                              CORBA_unsigned_long *_local_b2;
                              CORBA_unsigned_long *_local_b3;
                              CORBA_short _local_c1;
                              CORBA_short *_local_c2;
                              CORBA_short *_local_c3;
                              CORBA_unsigned_short _local_d1;
                              CORBA_unsigned_short *_local_d2;
                              CORBA_unsigned_short *_local_d3;
                              CORBA_float _local_e1;
                              CORBA_float *_local_e2;
                              CORBA_float *_local_e3;
                              CORBA_double _local_f1;
                              CORBA_double *_local_f2;
                              CORBA_double *_local_f3;
                              CORBA_char _local_g1;
                              CORBA_char *_local_g2;
                              CORBA_char *_local_g3;
                              CORBA_Environment *_ev;
                              ex1 _return;
                              unsigned int _t101_principal_len;
                              CORBA_long _t102_storage;
                              CORBA_long _t103_storage;
                              CORBA_unsigned_long _t104_storage;
                              CORBA_unsigned_long _t105_storage;
                              CORBA_short _t106_storage;
                              CORBA_short _t107_storage;
                              CORBA_unsigned_short _t108_storage;
                              CORBA_unsigned_short _t109_storage;
                              CORBA_float _t110_storage;
                              CORBA_float _t111_storage;
                              CORBA_double _t112_storage;
                              CORBA_double _t113_storage;
                              CORBA_char _t114_storage;
                              CORBA_char _t115_storage;
                              CORBA_Environment _t116_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t101_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t101_principal_len);
                              flick_iiop_decode_new_chunk(_t101_principal_len);
                              flick_iiop_decode_end_chunk(_t101_principal_len);
                              flick_iiop_decode_end_glob(_t101_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(57);
                              flick_iiop_decode_new_chunk_align(32, 2, 0, 0);
                              flick_cdr_swap_decode_signed32(0, _local_a1);
                              _local_a2 = &_t102_storage;
                              flick_cdr_swap_decode_signed32(4, *_local_a2);
                              _local_a3 = &_t103_storage;
                              flick_cdr_swap_decode_unsigned32(8, _local_b1);
                              _local_b2 = &_t104_storage;
                              flick_cdr_swap_decode_unsigned32(12, *_local_b2);
                              _local_b3 = &_t105_storage;
                              flick_cdr_swap_decode_signed16(16, _local_c1);
                              _local_c2 = &_t106_storage;
                              flick_cdr_swap_decode_signed16(18, *_local_c2);
                              _local_c3 = &_t107_storage;
                              flick_cdr_swap_decode_unsigned16(20, _local_d1);
                              _local_d2 = &_t108_storage;
                              flick_cdr_swap_decode_unsigned16(22, *_local_d2);
                              _local_d3 = &_t109_storage;
                              flick_cdr_swap_decode_float32(24, _local_e1);
                              _local_e2 = &_t110_storage;
                              flick_cdr_swap_decode_float32(28, *_local_e2);
                              _local_e3 = &_t111_storage;
                              flick_iiop_decode_end_chunk(32);
                              flick_iiop_decode_new_chunk_align(18, 3, 2, 0);
                              flick_cdr_swap_decode_float64(0, _local_f1);
                              _local_f2 = &_t112_storage;
                              flick_cdr_swap_decode_float64(8, *_local_f2);
                              _local_f3 = &_t113_storage;
                              flick_cdr_swap_decode_char8(16, _local_g1);
                              _local_g2 = &_t114_storage;
                              flick_cdr_swap_decode_char8(17, *_local_g2);
                              _local_g3 = &_t115_storage;
                              _ev = &_t116_storage;
                              flick_iiop_decode_end_chunk(18);
                              flick_iiop_decode_end_glob(57);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = ex1_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_IOR(iiop, _return, 0);
                                    flick_iiop_encode_new_glob(57);
                                    flick_iiop_encode_new_chunk_align(32, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, *_local_a2);
                                    flick_cdr_encode_signed32(4, *_local_a3);
                                    flick_cdr_encode_unsigned32(8, *_local_b2);
                                    flick_cdr_encode_unsigned32(12, *_local_b3);
                                    flick_cdr_encode_signed16(16, *_local_c2);
                                    flick_cdr_encode_signed16(18, *_local_c3);
                                    flick_cdr_encode_unsigned16(20, *_local_d2);
                                    flick_cdr_encode_unsigned16(22, *_local_d3);
                                    flick_cdr_encode_float32(24, *_local_e2);
                                    flick_cdr_encode_float32(28, *_local_e3);
                                    flick_iiop_encode_end_chunk(32);
                                    flick_iiop_encode_new_chunk_align(18, 3, 2, 0);
                                    flick_cdr_encode_float64(0, *_local_f2);
                                    flick_cdr_encode_float64(8, *_local_f3);
                                    flick_cdr_encode_char8(16, *_local_g2);
                                    flick_cdr_encode_char8(17, *_local_g3);
                                    flick_iiop_encode_end_chunk(18);
                                    flick_iiop_encode_end_glob(57);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t117_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t117_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t117_switch_tag)
            {
            case /* _get */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t118_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t118_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t118_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex1 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t119_principal_len;
                        CORBA_Environment _t120_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t119_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t119_principal_len);
                        flick_iiop_decode_new_chunk(_t119_principal_len);
                        flick_iiop_decode_end_chunk(_t119_principal_len);
                        flick_iiop_decode_end_glob(_t119_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t120_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex1__get_l1(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t121_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t121_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t121_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex1 _obj;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        unsigned int _t122_principal_len;
                        CORBA_Environment _t123_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t122_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t122_principal_len);
                        flick_iiop_decode_new_chunk(_t122_principal_len);
                        flick_iiop_decode_end_chunk(_t122_principal_len);
                        flick_iiop_decode_end_glob(_t122_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_l1);
                        _ev = &_t123_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        ex1__set_l1(_obj, _local_l1, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t31_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t31_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t31_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t32_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t32_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch (_t32_switch_tag)
            {
            case /* m1 */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 27953):
              {
                char _t33_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t33_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t33_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex1 _obj;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t34_principal_len;
                        CORBA_Environment _t35_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t34_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t34_principal_len);
                        flick_iiop_decode_new_chunk(_t34_principal_len);
                        flick_iiop_decode_end_chunk(_t34_principal_len);
                        flick_iiop_decode_end_glob(_t34_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a);
                        _ev = &_t35_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex1_m1(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t36_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t36_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t36_switch_tag)
            {
            case /* mtyp */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t37_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t37_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t37_switch_tag)
                  {
                  case /* es */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 25971):
                    {
                      char _t38_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t38_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t38_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex1 _obj;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long *_local_a3;
                              CORBA_unsigned_long _local_b1;
                              CORBA_unsigned_long *_local_b2;
                              CORBA_unsigned_long *_local_b3;
                              CORBA_short _local_c1;
                              CORBA_short *_local_c2;
                              CORBA_short *_local_c3;
                              CORBA_unsigned_short _local_d1;
                              CORBA_unsigned_short *_local_d2;
                              CORBA_unsigned_short *_local_d3;
                              CORBA_float _local_e1;
                              CORBA_float *_local_e2;
                              CORBA_float *_local_e3;
                              CORBA_double _local_f1;
                              CORBA_double *_local_f2;
                              CORBA_double *_local_f3;
                              CORBA_char _local_g1;
                              CORBA_char *_local_g2;
                              CORBA_char *_local_g3;
                              CORBA_Environment *_ev;
                              ex1 _return;
                              unsigned int _t39_principal_len;
                              CORBA_long _t40_storage;
                              CORBA_long _t41_storage;
                              CORBA_unsigned_long _t42_storage;
                              CORBA_unsigned_long _t43_storage;
                              CORBA_short _t44_storage;
                              CORBA_short _t45_storage;
                              CORBA_unsigned_short _t46_storage;
                              CORBA_unsigned_short _t47_storage;
                              CORBA_float _t48_storage;
                              CORBA_float _t49_storage;
                              CORBA_double _t50_storage;
                              CORBA_double _t51_storage;
                              CORBA_char _t52_storage;
                              CORBA_char _t53_storage;
                              CORBA_Environment _t54_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t39_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t39_principal_len);
                              flick_iiop_decode_new_chunk(_t39_principal_len);
                              flick_iiop_decode_end_chunk(_t39_principal_len);
                              flick_iiop_decode_end_glob(_t39_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(57);
                              flick_iiop_decode_new_chunk_align(32, 2, 0, 0);
                              flick_cdr_decode_signed32(0, _local_a1);
                              _local_a2 = &_t40_storage;
                              flick_cdr_decode_signed32(4, *_local_a2);
                              _local_a3 = &_t41_storage;
                              flick_cdr_decode_unsigned32(8, _local_b1);
                              _local_b2 = &_t42_storage;
                              flick_cdr_decode_unsigned32(12, *_local_b2);
                              _local_b3 = &_t43_storage;
                              flick_cdr_decode_signed16(16, _local_c1);
                              _local_c2 = &_t44_storage;
                              flick_cdr_decode_signed16(18, *_local_c2);
                              _local_c3 = &_t45_storage;
                              flick_cdr_decode_unsigned16(20, _local_d1);
                              _local_d2 = &_t46_storage;
                              flick_cdr_decode_unsigned16(22, *_local_d2);
                              _local_d3 = &_t47_storage;
                              flick_cdr_decode_float32(24, _local_e1);
                              _local_e2 = &_t48_storage;
                              flick_cdr_decode_float32(28, *_local_e2);
                              _local_e3 = &_t49_storage;
                              flick_iiop_decode_end_chunk(32);
                              flick_iiop_decode_new_chunk_align(18, 3, 2, 0);
                              flick_cdr_decode_float64(0, _local_f1);
                              _local_f2 = &_t50_storage;
                              flick_cdr_decode_float64(8, *_local_f2);
                              _local_f3 = &_t51_storage;
                              flick_cdr_decode_char8(16, _local_g1);
                              _local_g2 = &_t52_storage;
                              flick_cdr_decode_char8(17, *_local_g2);
                              _local_g3 = &_t53_storage;
                              _ev = &_t54_storage;
                              flick_iiop_decode_end_chunk(18);
                              flick_iiop_decode_end_glob(57);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = ex1_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_IOR(iiop, _return, 0);
                                    flick_iiop_encode_new_glob(57);
                                    flick_iiop_encode_new_chunk_align(32, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, *_local_a2);
                                    flick_cdr_encode_signed32(4, *_local_a3);
                                    flick_cdr_encode_unsigned32(8, *_local_b2);
                                    flick_cdr_encode_unsigned32(12, *_local_b3);
                                    flick_cdr_encode_signed16(16, *_local_c2);
                                    flick_cdr_encode_signed16(18, *_local_c3);
                                    flick_cdr_encode_unsigned16(20, *_local_d2);
                                    flick_cdr_encode_unsigned16(22, *_local_d3);
                                    flick_cdr_encode_float32(24, *_local_e2);
                                    flick_cdr_encode_float32(28, *_local_e3);
                                    flick_iiop_encode_end_chunk(32);
                                    flick_iiop_encode_new_chunk_align(18, 3, 2, 0);
                                    flick_cdr_encode_float64(0, *_local_f2);
                                    flick_cdr_encode_float64(8, *_local_f3);
                                    flick_cdr_encode_char8(16, *_local_g2);
                                    flick_cdr_encode_char8(17, *_local_g3);
                                    flick_iiop_encode_end_chunk(18);
                                    flick_iiop_encode_end_glob(57);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t55_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t55_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t55_switch_tag)
            {
            case /* _get */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t56_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t56_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t56_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex1 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t57_principal_len;
                        CORBA_Environment _t58_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t57_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t57_principal_len);
                        flick_iiop_decode_new_chunk(_t57_principal_len);
                        flick_iiop_decode_end_chunk(_t57_principal_len);
                        flick_iiop_decode_end_glob(_t57_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t58_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex1__get_l1(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t59_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t59_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t59_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex1 _obj;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        unsigned int _t60_principal_len;
                        CORBA_Environment _t61_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t60_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t60_principal_len);
                        flick_iiop_decode_new_chunk(_t60_principal_len);
                        flick_iiop_decode_end_chunk(_t60_principal_len);
                        flick_iiop_decode_end_glob(_t60_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_l1);
                        _ev = &_t61_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        ex1__set_l1(_obj, _local_l1, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_ex2(flick_marshal_stream_t _stream, const ex2 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_ex2_swap(flick_marshal_stream_t _stream, ex2 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t244_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t244_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t244_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t245_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_swap_decode_unsigned16(0, _t245_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch (_t245_switch_tag)
            {
            case /* m2 */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 27954):
              {
                char _t246_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t246_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t246_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t247_principal_len;
                        CORBA_long _t248_storage;
                        CORBA_Environment _t249_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t247_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t247_principal_len);
                        flick_iiop_decode_new_chunk(_t247_principal_len);
                        flick_iiop_decode_end_chunk(_t247_principal_len);
                        flick_iiop_decode_end_glob(_t247_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a);
                        _local_b = &_t248_storage;
                        _ev = &_t249_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex2_m2(_obj, _local_a, _local_b, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(12);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(8);
                              flick_cdr_encode_signed32(0, _return);
                              flick_cdr_encode_signed32(4, *_local_b);
                              flick_iiop_encode_end_chunk(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(12);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* mv */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28022):
              {
                char _t250_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t250_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t250_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t251_principal_len;
                        CORBA_Environment _t252_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t251_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t251_principal_len);
                        flick_iiop_decode_new_chunk(_t251_principal_len);
                        flick_iiop_decode_end_chunk(_t251_principal_len);
                        flick_iiop_decode_end_glob(_t251_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t252_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        ex2_mv(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 27953):
              {
                char _t253_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t253_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t253_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t254_principal_len;
                        CORBA_Environment _t255_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t254_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t254_principal_len);
                        flick_iiop_decode_new_chunk(_t254_principal_len);
                        flick_iiop_decode_end_chunk(_t254_principal_len);
                        flick_iiop_decode_end_glob(_t254_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a);
                        _ev = &_t255_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex2_m1(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t256_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t256_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t256_switch_tag)
            {
            case /* _get */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t257_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t257_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t257_switch_tag)
                  {
                  case /* _l2 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        ex2 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t258_principal_len;
                        CORBA_Environment _t259_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t258_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t258_principal_len);
                        flick_iiop_decode_new_chunk(_t258_principal_len);
                        flick_iiop_decode_end_chunk(_t258_principal_len);
                        flick_iiop_decode_end_glob(_t258_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t259_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex2__get_l2(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  case /* _l1 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex2 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t260_principal_len;
                        CORBA_Environment _t261_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t260_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t260_principal_len);
                        flick_iiop_decode_new_chunk(_t260_principal_len);
                        flick_iiop_decode_end_chunk(_t260_principal_len);
                        flick_iiop_decode_end_glob(_t260_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t261_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex2__get_l1(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t262_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t262_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t262_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex2 _obj;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        unsigned int _t263_principal_len;
                        CORBA_Environment _t264_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t263_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t263_principal_len);
                        flick_iiop_decode_new_chunk(_t263_principal_len);
                        flick_iiop_decode_end_chunk(_t263_principal_len);
                        flick_iiop_decode_end_glob(_t263_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_l1);
                        _ev = &_t264_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        ex2__set_l1(_obj, _local_l1, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t265_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t265_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t265_switch_tag)
            {
            case /* mtyp */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t266_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t266_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t266_switch_tag)
                  {
                  case /* es */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 25971):
                    {
                      char _t267_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t267_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t267_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long *_local_a3;
                              CORBA_unsigned_long _local_b1;
                              CORBA_unsigned_long *_local_b2;
                              CORBA_unsigned_long *_local_b3;
                              CORBA_short _local_c1;
                              CORBA_short *_local_c2;
                              CORBA_short *_local_c3;
                              CORBA_unsigned_short _local_d1;
                              CORBA_unsigned_short *_local_d2;
                              CORBA_unsigned_short *_local_d3;
                              CORBA_float _local_e1;
                              CORBA_float *_local_e2;
                              CORBA_float *_local_e3;
                              CORBA_double _local_f1;
                              CORBA_double *_local_f2;
                              CORBA_double *_local_f3;
                              CORBA_char _local_g1;
                              CORBA_char *_local_g2;
                              CORBA_char *_local_g3;
                              CORBA_Environment *_ev;
                              ex1 _return;
                              unsigned int _t268_principal_len;
                              CORBA_long _t269_storage;
                              CORBA_long _t270_storage;
                              CORBA_unsigned_long _t271_storage;
                              CORBA_unsigned_long _t272_storage;
                              CORBA_short _t273_storage;
                              CORBA_short _t274_storage;
                              CORBA_unsigned_short _t275_storage;
                              CORBA_unsigned_short _t276_storage;
                              CORBA_float _t277_storage;
                              CORBA_float _t278_storage;
                              CORBA_double _t279_storage;
                              CORBA_double _t280_storage;
                              CORBA_char _t281_storage;
                              CORBA_char _t282_storage;
                              CORBA_Environment _t283_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t268_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t268_principal_len);
                              flick_iiop_decode_new_chunk(_t268_principal_len);
                              flick_iiop_decode_end_chunk(_t268_principal_len);
                              flick_iiop_decode_end_glob(_t268_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(57);
                              flick_iiop_decode_new_chunk_align(32, 2, 0, 0);
                              flick_cdr_swap_decode_signed32(0, _local_a1);
                              _local_a2 = &_t269_storage;
                              flick_cdr_swap_decode_signed32(4, *_local_a2);
                              _local_a3 = &_t270_storage;
                              flick_cdr_swap_decode_unsigned32(8, _local_b1);
                              _local_b2 = &_t271_storage;
                              flick_cdr_swap_decode_unsigned32(12, *_local_b2);
                              _local_b3 = &_t272_storage;
                              flick_cdr_swap_decode_signed16(16, _local_c1);
                              _local_c2 = &_t273_storage;
                              flick_cdr_swap_decode_signed16(18, *_local_c2);
                              _local_c3 = &_t274_storage;
                              flick_cdr_swap_decode_unsigned16(20, _local_d1);
                              _local_d2 = &_t275_storage;
                              flick_cdr_swap_decode_unsigned16(22, *_local_d2);
                              _local_d3 = &_t276_storage;
                              flick_cdr_swap_decode_float32(24, _local_e1);
                              _local_e2 = &_t277_storage;
                              flick_cdr_swap_decode_float32(28, *_local_e2);
                              _local_e3 = &_t278_storage;
                              flick_iiop_decode_end_chunk(32);
                              flick_iiop_decode_new_chunk_align(18, 3, 2, 0);
                              flick_cdr_swap_decode_float64(0, _local_f1);
                              _local_f2 = &_t279_storage;
                              flick_cdr_swap_decode_float64(8, *_local_f2);
                              _local_f3 = &_t280_storage;
                              flick_cdr_swap_decode_char8(16, _local_g1);
                              _local_g2 = &_t281_storage;
                              flick_cdr_swap_decode_char8(17, *_local_g2);
                              _local_g3 = &_t282_storage;
                              _ev = &_t283_storage;
                              flick_iiop_decode_end_chunk(18);
                              flick_iiop_decode_end_glob(57);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = ex2_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_IOR(iiop, _return, 0);
                                    flick_iiop_encode_new_glob(57);
                                    flick_iiop_encode_new_chunk_align(32, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, *_local_a2);
                                    flick_cdr_encode_signed32(4, *_local_a3);
                                    flick_cdr_encode_unsigned32(8, *_local_b2);
                                    flick_cdr_encode_unsigned32(12, *_local_b3);
                                    flick_cdr_encode_signed16(16, *_local_c2);
                                    flick_cdr_encode_signed16(18, *_local_c3);
                                    flick_cdr_encode_unsigned16(20, *_local_d2);
                                    flick_cdr_encode_unsigned16(22, *_local_d3);
                                    flick_cdr_encode_float32(24, *_local_e2);
                                    flick_cdr_encode_float32(28, *_local_e3);
                                    flick_iiop_encode_end_chunk(32);
                                    flick_iiop_encode_new_chunk_align(18, 3, 2, 0);
                                    flick_cdr_encode_float64(0, *_local_f2);
                                    flick_cdr_encode_float64(8, *_local_f3);
                                    flick_cdr_encode_char8(16, *_local_g2);
                                    flick_cdr_encode_char8(17, *_local_g3);
                                    flick_iiop_encode_end_chunk(18);
                                    flick_iiop_encode_end_glob(57);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t164_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t164_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t164_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t165_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t165_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch (_t165_switch_tag)
            {
            case /* m2 */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 27954):
              {
                char _t166_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t166_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t166_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t167_principal_len;
                        CORBA_long _t168_storage;
                        CORBA_Environment _t169_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t167_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t167_principal_len);
                        flick_iiop_decode_new_chunk(_t167_principal_len);
                        flick_iiop_decode_end_chunk(_t167_principal_len);
                        flick_iiop_decode_end_glob(_t167_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a);
                        _local_b = &_t168_storage;
                        _ev = &_t169_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex2_m2(_obj, _local_a, _local_b, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(12);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(8);
                              flick_cdr_encode_signed32(0, _return);
                              flick_cdr_encode_signed32(4, *_local_b);
                              flick_iiop_encode_end_chunk(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(12);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* mv */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28022):
              {
                char _t170_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t170_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t170_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t171_principal_len;
                        CORBA_Environment _t172_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t171_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t171_principal_len);
                        flick_iiop_decode_new_chunk(_t171_principal_len);
                        flick_iiop_decode_end_chunk(_t171_principal_len);
                        flick_iiop_decode_end_glob(_t171_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t172_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        ex2_mv(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 27953):
              {
                char _t173_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t173_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t173_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t174_principal_len;
                        CORBA_Environment _t175_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t174_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t174_principal_len);
                        flick_iiop_decode_new_chunk(_t174_principal_len);
                        flick_iiop_decode_end_chunk(_t174_principal_len);
                        flick_iiop_decode_end_glob(_t174_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a);
                        _ev = &_t175_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex2_m1(_obj, _local_a, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t176_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t176_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t176_switch_tag)
            {
            case /* _get */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t177_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t177_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t177_switch_tag)
                  {
                  case /* _l2 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        ex2 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t178_principal_len;
                        CORBA_Environment _t179_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t178_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t178_principal_len);
                        flick_iiop_decode_new_chunk(_t178_principal_len);
                        flick_iiop_decode_end_chunk(_t178_principal_len);
                        flick_iiop_decode_end_glob(_t178_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t179_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex2__get_l2(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  case /* _l1 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex2 _obj;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t180_principal_len;
                        CORBA_Environment _t181_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t180_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t180_principal_len);
                        flick_iiop_decode_new_chunk(_t180_principal_len);
                        flick_iiop_decode_end_chunk(_t180_principal_len);
                        flick_iiop_decode_end_glob(_t180_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t181_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ex2__get_l1(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(8);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t182_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t182_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t182_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        ex2 _obj;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        unsigned int _t183_principal_len;
                        CORBA_Environment _t184_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t183_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t183_principal_len);
                        flick_iiop_decode_new_chunk(_t183_principal_len);
                        flick_iiop_decode_end_chunk(_t183_principal_len);
                        flick_iiop_decode_end_glob(_t183_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_l1);
                        _ev = &_t184_storage;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        ex2__set_l1(_obj, _local_l1, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                            }
                          }
                        flick_iiop_encode_end_glob(4);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t185_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t185_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t185_switch_tag)
            {
            case /* mtyp */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t186_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t186_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t186_switch_tag)
                  {
                  case /* es */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 25971):
                    {
                      char _t187_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t187_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t187_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              CORBA_long _local_a1;
                              CORBA_long *_local_a2;
                              CORBA_long *_local_a3;
                              CORBA_unsigned_long _local_b1;
                              CORBA_unsigned_long *_local_b2;
                              CORBA_unsigned_long *_local_b3;
                              CORBA_short _local_c1;
                              CORBA_short *_local_c2;
                              CORBA_short *_local_c3;
                              CORBA_unsigned_short _local_d1;
                              CORBA_unsigned_short *_local_d2;
                              CORBA_unsigned_short *_local_d3;
                              CORBA_float _local_e1;
                              CORBA_float *_local_e2;
                              CORBA_float *_local_e3;
                              CORBA_double _local_f1;
                              CORBA_double *_local_f2;
                              CORBA_double *_local_f3;
                              CORBA_char _local_g1;
                              CORBA_char *_local_g2;
                              CORBA_char *_local_g3;
                              CORBA_Environment *_ev;
                              ex1 _return;
                              unsigned int _t188_principal_len;
                              CORBA_long _t189_storage;
                              CORBA_long _t190_storage;
                              CORBA_unsigned_long _t191_storage;
                              CORBA_unsigned_long _t192_storage;
                              CORBA_short _t193_storage;
                              CORBA_short _t194_storage;
                              CORBA_unsigned_short _t195_storage;
                              CORBA_unsigned_short _t196_storage;
                              CORBA_float _t197_storage;
                              CORBA_float _t198_storage;
                              CORBA_double _t199_storage;
                              CORBA_double _t200_storage;
                              CORBA_char _t201_storage;
                              CORBA_char _t202_storage;
                              CORBA_Environment _t203_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t188_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t188_principal_len);
                              flick_iiop_decode_new_chunk(_t188_principal_len);
                              flick_iiop_decode_end_chunk(_t188_principal_len);
                              flick_iiop_decode_end_glob(_t188_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(57);
                              flick_iiop_decode_new_chunk_align(32, 2, 0, 0);
                              flick_cdr_decode_signed32(0, _local_a1);
                              _local_a2 = &_t189_storage;
                              flick_cdr_decode_signed32(4, *_local_a2);
                              _local_a3 = &_t190_storage;
                              flick_cdr_decode_unsigned32(8, _local_b1);
                              _local_b2 = &_t191_storage;
                              flick_cdr_decode_unsigned32(12, *_local_b2);
                              _local_b3 = &_t192_storage;
                              flick_cdr_decode_signed16(16, _local_c1);
                              _local_c2 = &_t193_storage;
                              flick_cdr_decode_signed16(18, *_local_c2);
                              _local_c3 = &_t194_storage;
                              flick_cdr_decode_unsigned16(20, _local_d1);
                              _local_d2 = &_t195_storage;
                              flick_cdr_decode_unsigned16(22, *_local_d2);
                              _local_d3 = &_t196_storage;
                              flick_cdr_decode_float32(24, _local_e1);
                              _local_e2 = &_t197_storage;
                              flick_cdr_decode_float32(28, *_local_e2);
                              _local_e3 = &_t198_storage;
                              flick_iiop_decode_end_chunk(32);
                              flick_iiop_decode_new_chunk_align(18, 3, 2, 0);
                              flick_cdr_decode_float64(0, _local_f1);
                              _local_f2 = &_t199_storage;
                              flick_cdr_decode_float64(8, *_local_f2);
                              _local_f3 = &_t200_storage;
                              flick_cdr_decode_char8(16, _local_g1);
                              _local_g2 = &_t201_storage;
                              flick_cdr_decode_char8(17, *_local_g2);
                              _local_g3 = &_t202_storage;
                              _ev = &_t203_storage;
                              flick_iiop_decode_end_chunk(18);
                              flick_iiop_decode_end_glob(57);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = ex2_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_IOR(iiop, _return, 0);
                                    flick_iiop_encode_new_glob(57);
                                    flick_iiop_encode_new_chunk_align(32, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, *_local_a2);
                                    flick_cdr_encode_signed32(4, *_local_a3);
                                    flick_cdr_encode_unsigned32(8, *_local_b2);
                                    flick_cdr_encode_unsigned32(12, *_local_b3);
                                    flick_cdr_encode_signed16(16, *_local_c2);
                                    flick_cdr_encode_signed16(18, *_local_c3);
                                    flick_cdr_encode_unsigned16(20, *_local_d2);
                                    flick_cdr_encode_unsigned16(22, *_local_d3);
                                    flick_cdr_encode_float32(24, *_local_e2);
                                    flick_cdr_encode_float32(28, *_local_e3);
                                    flick_iiop_encode_end_chunk(32);
                                    flick_iiop_encode_new_chunk_align(18, 3, 2, 0);
                                    flick_cdr_encode_float64(0, *_local_f2);
                                    flick_cdr_encode_float64(8, *_local_f3);
                                    flick_cdr_encode_char8(16, *_local_g2);
                                    flick_cdr_encode_char8(17, *_local_g3);
                                    flick_iiop_encode_end_chunk(18);
                                    flick_iiop_encode_end_glob(57);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
