#include "program-4-client.h"

void flick_marshal_stub_short_short(flick_marshal_stream_t _stream, const struct short_short *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed16(0, _data->a);
  flick_cdr_encode_signed16(2, _data->b);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed16(0, _data->a);
  flick_cdr_decode_signed16(2, _data->b);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_short_short_swap(flick_marshal_stream_t _stream, struct short_short *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed16(0, _data->a);
  flick_cdr_swap_decode_signed16(2, _data->b);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_long_long(flick_marshal_stream_t _stream, const struct long_long *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->a);
  flick_cdr_encode_signed32(4, _data->b);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->a);
  flick_cdr_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_long_long_swap(flick_marshal_stream_t _stream, struct long_long *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->a);
  flick_cdr_swap_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->long_list_len);
  flick_cdr_encode_unsigned32(0, _data->long_list_len);
  flick_cdr_encode_bcopy(4, _data->long_list_val, 4 * _data->long_list_len);
  flick_iiop_encode_end_chunk(4 + 4 * _data->long_list_len);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->long_list_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_cdr_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_iiop_decode_end_chunk(4 * _data->long_list_len);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_long_list_swap(flick_marshal_stream_t _stream, long_list *_data)
{
  unsigned long int _t0_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->long_list_len);
  flick_iiop_decode_end_chunk(4);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_list_len; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->long_list_val[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

short int *addshort_1(struct short_short *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  short int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 1);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, arg->a);
    flick_cdr_encode_signed16(10, arg->b);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(6);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t4_storage;

            /* Begin decode phase on parameters */
            _return = &_t4_storage;
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, *_return);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(6);
    }
  } else {
    {
      flick_iiop_decode_new_glob(6);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t2_storage;

            /* Begin decode phase on parameters */
            _return = &_t2_storage;
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, *_return);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(6);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

short int *subshort_1(struct short_short *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  short int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 2);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, arg->a);
    flick_cdr_encode_signed16(10, arg->b);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(6);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t8_storage;

            /* Begin decode phase on parameters */
            _return = &_t8_storage;
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, *_return);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(6);
    }
  } else {
    {
      flick_iiop_decode_new_glob(6);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t6_storage;

            /* Begin decode phase on parameters */
            _return = &_t6_storage;
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, *_return);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(6);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

short int *multshort_1(struct short_short *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  short int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 3);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, arg->a);
    flick_cdr_encode_signed16(10, arg->b);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(6);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t12_storage;

            /* Begin decode phase on parameters */
            _return = &_t12_storage;
            flick_iiop_decode_new_chunk(2);
            flick_cdr_swap_decode_signed16(0, *_return);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(6);
    }
  } else {
    {
      flick_iiop_decode_new_glob(6);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t10_storage;

            /* Begin decode phase on parameters */
            _return = &_t10_storage;
            flick_iiop_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, *_return);
            flick_iiop_decode_end_chunk(2);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(6);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *addlong_1(struct long_long *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 4);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, arg->a);
    flick_cdr_encode_signed32(12, arg->b);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t16_storage;

            /* Begin decode phase on parameters */
            _return = &_t16_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t14_storage;

            /* Begin decode phase on parameters */
            _return = &_t14_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *sublong_1(struct long_long *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 5);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, arg->a);
    flick_cdr_encode_signed32(12, arg->b);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t20_storage;

            /* Begin decode phase on parameters */
            _return = &_t20_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t18_storage;

            /* Begin decode phase on parameters */
            _return = &_t18_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *multlong_1(struct long_long *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 6);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, arg->a);
    flick_cdr_encode_signed32(12, arg->b);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t24_storage;

            /* Begin decode phase on parameters */
            _return = &_t24_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t22_storage;

            /* Begin decode phase on parameters */
            _return = &_t22_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *addlonglist_1(long_list *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(52);
    flick_iiop_encode_new_chunk(12 + 4 * arg->long_list_len);
    flick_cdr_encode_unsigned32(0, 7);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, arg->long_list_len);
    flick_cdr_encode_bcopy(12, arg->long_list_val, 4 * arg->long_list_len);
    flick_iiop_encode_end_chunk(12 + 4 * arg->long_list_len);
    flick_iiop_encode_end_glob(52);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t28_storage;

            /* Begin decode phase on parameters */
            _return = &_t28_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t26_storage;

            /* Begin decode phase on parameters */
            _return = &_t26_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

int *multlonglist_1(long_list *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(52);
    flick_iiop_encode_new_chunk(12 + 4 * arg->long_list_len);
    flick_cdr_encode_unsigned32(0, 8);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, arg->long_list_len);
    flick_cdr_encode_bcopy(12, arg->long_list_val, 4 * arg->long_list_len);
    flick_iiop_encode_end_chunk(12 + 4 * arg->long_list_len);
    flick_iiop_encode_end_glob(52);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t32_storage;

            /* Begin decode phase on parameters */
            _return = &_t32_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t30_storage;

            /* Begin decode phase on parameters */
            _return = &_t30_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

