#include "sequence_-client.h"

void flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_iiop_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_seq_swap(flick_marshal_stream_t _stream, seq *_data)
{
  unsigned long int _t0_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_TestSeq_swap(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

CORBA_short TestSeq_Sequencer(TestSeq _obj, seq *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(64);
    flick_iiop_encode_new_chunk(24 + 4 * a->_length);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 'S');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 'q');
    flick_cdr_encode_char8(7, 'u');
    flick_cdr_encode_char8(8, 'e');
    flick_cdr_encode_char8(9, 'n');
    flick_cdr_encode_char8(10, 'c');
    flick_cdr_encode_char8(11, 'e');
    flick_cdr_encode_char8(12, 'r');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(20, a->_length);
    flick_cdr_encode_bcopy(24, a->_buffer, 4 * a->_length);
    flick_iiop_encode_end_chunk(24 + 4 * a->_length);
    flick_iiop_encode_end_glob(64);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(52);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t2_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_signed16(0, _return);
            flick_cdr_swap_decode_unsigned32(4, a->_length);
            flick_iiop_decode_end_chunk(8);
            a->_buffer = CORBA_flick_alloc(a->_length * sizeof(CORBA_long ));
            for (_t2_array_iter = 0; _t2_array_iter < a->_length; _t2_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, a->_buffer[_t2_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(52);
    }
  } else {
    {
      flick_iiop_decode_new_glob(52);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_signed16(0, _return);
            flick_cdr_decode_unsigned32(4, a->_length);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_new_chunk(4 * a->_length);
            a->_buffer = CORBA_flick_alloc(a->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, a->_buffer, 4 * a->_length);
            flick_iiop_decode_end_chunk(4 * a->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(52);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

