#include "simple2-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_vec10_swap(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t0_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_simple(flick_marshal_stream_t _stream, const simple *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_simple_swap(flick_marshal_stream_t _stream, simple *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t simple_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t22_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t22_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t22_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t23_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_swap_decode_unsigned16(0, _t23_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch (_t23_switch_tag)
            {
            case /* op */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28528):
              {
                char _t24_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t24_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t24_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple _obj;
                        CORBA_long _local_a;
                        simple *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t25_principal_len;
                        simple _t26_storage;
                        CORBA_long _t27_storage;
                        CORBA_Environment _t28_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t25_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(12);
                        flick_iiop_decode_new_glob(_t25_principal_len);
                        flick_iiop_decode_new_chunk(_t25_principal_len);
                        flick_iiop_decode_end_chunk(_t25_principal_len);
                        flick_iiop_decode_end_glob(_t25_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a);
                        _local_b = &_t26_storage;
                        _local_c = &_t27_storage;
                        flick_cdr_swap_decode_signed32(4, *_local_c);
                        _ev = &_t28_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              flick_cdr_encode_IOR(iiop, *_local_b, 0);
                              flick_iiop_encode_new_glob(7);
                              flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_encode_signed32(0, *_local_c);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(12);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t8_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t8_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t8_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t9_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t9_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch (_t9_switch_tag)
            {
            case /* op */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28528):
              {
                char _t10_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t10_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t10_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple _obj;
                        CORBA_long _local_a;
                        simple *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t11_principal_len;
                        simple _t12_storage;
                        CORBA_long _t13_storage;
                        CORBA_Environment _t14_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t11_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(12);
                        flick_iiop_decode_new_glob(_t11_principal_len);
                        flick_iiop_decode_new_chunk(_t11_principal_len);
                        flick_iiop_decode_end_chunk(_t11_principal_len);
                        flick_iiop_decode_end_glob(_t11_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a);
                        _local_b = &_t12_storage;
                        _local_c = &_t13_storage;
                        flick_cdr_decode_signed32(4, *_local_c);
                        _ev = &_t14_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              flick_cdr_encode_IOR(iiop, *_local_b, 0);
                              flick_iiop_encode_new_glob(7);
                              flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_encode_signed32(0, *_local_c);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(12);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_simple2(flick_marshal_stream_t _stream, const simple2 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_simple2_swap(flick_marshal_stream_t _stream, simple2 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t simple2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t62_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t62_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t62_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t63_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t63_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t63_switch_tag)
            {
            case /* op2 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple2 _obj;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t64_principal_len;
                  simple2 _t65_storage;
                  CORBA_Environment _t66_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t64_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t64_principal_len);
                  flick_iiop_decode_new_chunk(_t64_principal_len);
                  flick_iiop_decode_end_chunk(_t64_principal_len);
                  flick_iiop_decode_end_glob(_t64_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_swap_decode_signed32(0, _local_a);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_cdr_swap_decode_IOR(iiop, _local_b, 1);
                  flick_iiop_mark_port_for_cleanup(_local_b, 1);
                  _local_c = &_t65_storage;
                  _ev = &_t66_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(8);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(8);
                        flick_cdr_encode_IOR(iiop, *_local_c, 0);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        flick_iiop_encode_end_glob(8);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(8);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t67_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_swap_decode_unsigned16(0, _t67_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch (_t67_switch_tag)
            {
            case /* op */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28528):
              {
                char _t68_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t68_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t68_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple2 _obj;
                        CORBA_long _local_a;
                        simple *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t69_principal_len;
                        simple _t70_storage;
                        CORBA_long _t71_storage;
                        CORBA_Environment _t72_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t69_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(12);
                        flick_iiop_decode_new_glob(_t69_principal_len);
                        flick_iiop_decode_new_chunk(_t69_principal_len);
                        flick_iiop_decode_end_chunk(_t69_principal_len);
                        flick_iiop_decode_end_glob(_t69_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a);
                        _local_b = &_t70_storage;
                        _local_c = &_t71_storage;
                        flick_cdr_swap_decode_signed32(4, *_local_c);
                        _ev = &_t72_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              flick_cdr_encode_IOR(iiop, *_local_b, 0);
                              flick_iiop_encode_new_glob(7);
                              flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_encode_signed32(0, *_local_c);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(12);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t40_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t40_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t40_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t41_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t41_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t41_switch_tag)
            {
            case /* op2 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple2 _obj;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t42_principal_len;
                  simple2 _t43_storage;
                  CORBA_Environment _t44_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t42_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t42_principal_len);
                  flick_iiop_decode_new_chunk(_t42_principal_len);
                  flick_iiop_decode_end_chunk(_t42_principal_len);
                  flick_iiop_decode_end_glob(_t42_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_decode_signed32(0, _local_a);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_cdr_decode_IOR(iiop, _local_b, 1);
                  flick_iiop_mark_port_for_cleanup(_local_b, 1);
                  _local_c = &_t43_storage;
                  _ev = &_t44_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(8);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(8);
                        flick_cdr_encode_IOR(iiop, *_local_c, 0);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        flick_iiop_encode_end_glob(8);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(8);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t45_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t45_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch (_t45_switch_tag)
            {
            case /* op */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28528):
              {
                char _t46_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t46_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t46_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple2 _obj;
                        CORBA_long _local_a;
                        simple *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t47_principal_len;
                        simple _t48_storage;
                        CORBA_long _t49_storage;
                        CORBA_Environment _t50_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t47_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(12);
                        flick_iiop_decode_new_glob(_t47_principal_len);
                        flick_iiop_decode_new_chunk(_t47_principal_len);
                        flick_iiop_decode_end_chunk(_t47_principal_len);
                        flick_iiop_decode_end_glob(_t47_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a);
                        _local_b = &_t48_storage;
                        _local_c = &_t49_storage;
                        flick_cdr_decode_signed32(4, *_local_c);
                        _ev = &_t50_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              flick_cdr_encode_IOR(iiop, *_local_b, 0);
                              flick_iiop_encode_new_glob(7);
                              flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_encode_signed32(0, *_local_c);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(12);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, const simple3_OVERFLOW *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_cdr_encode_longstring(_data->msg, CORBA_flick_free, iiop);
}

void flick_unmarshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_decode_longstring(_data->msg, CORBA_flick_alloc, iiop);
}

void flick_unmarshal_stub_simple3_OVERFLOW_swap(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_swap_decode_longstring(_data->msg, CORBA_flick_alloc, iiop);
}

void flick_marshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, const simple3_UNDERFLOW *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->b);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_cdr_encode_longstring(_data->msg, CORBA_flick_free, iiop);
}

void flick_unmarshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->b);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_decode_longstring(_data->msg, CORBA_flick_alloc, iiop);
}

void flick_unmarshal_stub_simple3_UNDERFLOW_swap(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->b);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_swap_decode_longstring(_data->msg, CORBA_flick_alloc, iiop);
}

void flick_marshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, const simple3_BADNUM *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->c._length);
  flick_cdr_encode_unsigned32(0, _data->c._length);
  flick_cdr_encode_bcopy(4, _data->c._buffer, 4 * _data->c._length);
  CORBA_flick_free(_data->c._buffer);
  flick_iiop_encode_end_chunk(4 + 4 * _data->c._length);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->c._length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->c._length);
  _data->c._buffer = CORBA_flick_alloc(_data->c._length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->c._buffer, 4 * _data->c._length);
  flick_iiop_decode_end_chunk(4 * _data->c._length);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_simple3_BADNUM_swap(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
  unsigned long int _t73_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->c._length);
  flick_iiop_decode_end_chunk(4);
  _data->c._buffer = CORBA_flick_alloc(_data->c._length * sizeof(CORBA_long ));
  for (_t73_array_iter = 0; _t73_array_iter < _data->c._length; _t73_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->c._buffer[_t73_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, const simple3_USERERROR *_data)
{
  flick_cdr_encode_longstring(_data->reason, CORBA_flick_free, iiop);
}

void flick_unmarshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_cdr_decode_longstring(_data->reason, CORBA_flick_alloc, iiop);
}

void flick_unmarshal_stub_simple3_USERERROR_swap(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_cdr_swap_decode_longstring(_data->reason, CORBA_flick_alloc, iiop);
}

void flick_marshal_stub_simple3(flick_marshal_stream_t _stream, const simple3 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_simple3(flick_marshal_stream_t _stream, simple3 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_simple3_swap(flick_marshal_stream_t _stream, simple3 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t simple3_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t140_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t140_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t140_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t141_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t141_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t141_switch_tag)
            {
            case /* op3 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869624064):
              {
                {
                  simple3 _obj;
                  CORBA_long _local_a;
                  simple3 *_local_b;
                  simple2 *_local_c;
                  simple *_local_d;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t142_principal_len;
                  simple3 _t143_storage;
                  simple2 _t144_storage;
                  simple _t145_storage;
                  CORBA_Environment _t146_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t142_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t142_principal_len);
                  flick_iiop_decode_new_chunk(_t142_principal_len);
                  flick_iiop_decode_end_chunk(_t142_principal_len);
                  flick_iiop_decode_end_glob(_t142_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_swap_decode_signed32(0, _local_a);
                  _local_b = &_t143_storage;
                  _local_c = &_t144_storage;
                  _local_d = &_t145_storage;
                  _ev = &_t146_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = simple3_op3(_obj, _local_a, _local_b, _local_c, _local_d, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(52);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(52);
                        flick_cdr_encode_IOR(iiop, *_local_b, 0);
                        flick_cdr_encode_IOR(iiop, *_local_c, 0);
                        flick_cdr_encode_IOR(iiop, *_local_d, 0);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        flick_iiop_encode_end_glob(52);
                        break;
                      }
                    default:
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_atomic_user_id);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_atomic_user_id)
                          {
                          case 0:
                            {
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, ((simple3_OVERFLOW *)(_ev->_except))->a);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(52);
                              flick_cdr_encode_longstring(((simple3_OVERFLOW *)(_ev->_except))->msg, CORBA_flick_free, iiop);
                              CORBA_flick_free((simple3_OVERFLOW *)(_ev->_except));
                              break;
                            }
                          case 1:
                            {
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(52);
                              flick_cdr_encode_longstring(((simple3_UNDERFLOW *)(_ev->_except))->msg, CORBA_flick_free, iiop);
                              CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_except));
                              break;
                            }
                          case 2:
                            {
                              flick_iiop_encode_new_chunk(4 + 4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                              flick_cdr_encode_unsigned32(0, ((simple3_BADNUM *)(_ev->_except))->c._length);
                              flick_cdr_encode_bcopy(4, ((simple3_BADNUM *)(_ev->_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                              CORBA_flick_free(((simple3_BADNUM *)(_ev->_except))->c._buffer);
                              flick_iiop_encode_end_chunk(4 + 4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                              CORBA_flick_free((simple3_BADNUM *)(_ev->_except));
                              flick_iiop_encode_end_glob(52);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(52);
                              break;
                            }
                          }
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op4 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869624320):
              {
                {
                  simple3 _obj;
                  CORBA_char *_local_x;
                  CORBA_char **_local_y;
                  CORBA_char **_local_z;
                  CORBA_Environment *_ev;
                  CORBA_char *_return = 0;
                  unsigned int _t147_principal_len;
                  CORBA_char *_t148_storage;
                  CORBA_char *_t149_storage;
                  CORBA_Environment _t150_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t147_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t147_principal_len);
                  flick_iiop_decode_new_chunk(_t147_principal_len);
                  flick_iiop_decode_end_chunk(_t147_principal_len);
                  flick_iiop_decode_end_glob(_t147_principal_len);
                  /* Begin decode phase on parameters */
                  flick_cdr_swap_decode_auto_string(_local_x, auto_flick_alloc, iiop);
                  _local_y = &_t148_storage;
                  flick_cdr_swap_decode_longstring(*_local_y, CORBA_flick_alloc, iiop);
                  _local_z = &_t149_storage;
                  _ev = &_t150_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = simple3_op4(_obj, _local_x, _local_y, _local_z, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(12);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(12);
                        flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                        flick_cdr_encode_longstring(*_local_y, CORBA_flick_free, iiop);
                        flick_cdr_encode_longstring(*_local_z, CORBA_flick_free, iiop);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        flick_iiop_encode_end_glob(12);
                        break;
                      }
                    default:
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_atomic_user_id);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_atomic_user_id)
                          {
                          case 0:
                            {
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(12);
                              flick_cdr_encode_longstring(((simple3_UNDERFLOW *)(_ev->_except))->msg, CORBA_flick_free, iiop);
                              CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_except));
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(12);
                              break;
                            }
                          }
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op5 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869624576):
              {
                {
                  simple3 _obj;
                  CORBA_Environment *_ev;
                  unsigned int _t151_principal_len;
                  CORBA_Environment _t152_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t151_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t151_principal_len);
                  flick_iiop_decode_new_chunk(_t151_principal_len);
                  flick_iiop_decode_end_chunk(_t151_principal_len);
                  flick_iiop_decode_end_glob(_t151_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = &_t152_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  simple3_op5(_obj, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(8);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(8);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        flick_iiop_encode_end_glob(8);
                        break;
                      }
                    default:
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_atomic_user_id);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_atomic_user_id)
                          {
                          case 0:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_cdr_encode_longstring(((simple3_USERERROR *)(_ev->_except))->reason, CORBA_flick_free, iiop);
                              CORBA_flick_free((simple3_USERERROR *)(_ev->_except));
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          }
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op2 */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple3 _obj;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t153_principal_len;
                  simple2 _t154_storage;
                  CORBA_Environment _t155_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t153_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t153_principal_len);
                  flick_iiop_decode_new_chunk(_t153_principal_len);
                  flick_iiop_decode_end_chunk(_t153_principal_len);
                  flick_iiop_decode_end_glob(_t153_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_swap_decode_signed32(0, _local_a);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_cdr_swap_decode_IOR(iiop, _local_b, 1);
                  flick_iiop_mark_port_for_cleanup(_local_b, 1);
                  _local_c = &_t154_storage;
                  _ev = &_t155_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = simple3_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(8);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(8);
                        flick_cdr_encode_IOR(iiop, *_local_c, 0);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        flick_iiop_encode_end_glob(8);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(8);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t156_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_swap_decode_unsigned16(0, _t156_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch (_t156_switch_tag)
            {
            case /* op */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28528):
              {
                char _t157_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t157_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t157_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple3 _obj;
                        CORBA_long _local_a;
                        simple *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t158_principal_len;
                        simple _t159_storage;
                        CORBA_long _t160_storage;
                        CORBA_Environment _t161_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t158_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(12);
                        flick_iiop_decode_new_glob(_t158_principal_len);
                        flick_iiop_decode_new_chunk(_t158_principal_len);
                        flick_iiop_decode_end_chunk(_t158_principal_len);
                        flick_iiop_decode_end_glob(_t158_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a);
                        _local_b = &_t159_storage;
                        _local_c = &_t160_storage;
                        flick_cdr_swap_decode_signed32(4, *_local_c);
                        _ev = &_t161_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = simple3_op(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              flick_cdr_encode_IOR(iiop, *_local_b, 0);
                              flick_iiop_encode_new_glob(7);
                              flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_encode_signed32(0, *_local_c);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(12);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t96_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t96_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t96_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t97_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t97_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t97_switch_tag)
            {
            case /* op3 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869624064):
              {
                {
                  simple3 _obj;
                  CORBA_long _local_a;
                  simple3 *_local_b;
                  simple2 *_local_c;
                  simple *_local_d;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t98_principal_len;
                  simple3 _t99_storage;
                  simple2 _t100_storage;
                  simple _t101_storage;
                  CORBA_Environment _t102_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t98_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t98_principal_len);
                  flick_iiop_decode_new_chunk(_t98_principal_len);
                  flick_iiop_decode_end_chunk(_t98_principal_len);
                  flick_iiop_decode_end_glob(_t98_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_decode_signed32(0, _local_a);
                  _local_b = &_t99_storage;
                  _local_c = &_t100_storage;
                  _local_d = &_t101_storage;
                  _ev = &_t102_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = simple3_op3(_obj, _local_a, _local_b, _local_c, _local_d, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(52);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(52);
                        flick_cdr_encode_IOR(iiop, *_local_b, 0);
                        flick_cdr_encode_IOR(iiop, *_local_c, 0);
                        flick_cdr_encode_IOR(iiop, *_local_d, 0);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        flick_iiop_encode_end_glob(52);
                        break;
                      }
                    default:
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_atomic_user_id);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_atomic_user_id)
                          {
                          case 0:
                            {
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, ((simple3_OVERFLOW *)(_ev->_except))->a);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(52);
                              flick_cdr_encode_longstring(((simple3_OVERFLOW *)(_ev->_except))->msg, CORBA_flick_free, iiop);
                              CORBA_flick_free((simple3_OVERFLOW *)(_ev->_except));
                              break;
                            }
                          case 1:
                            {
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(52);
                              flick_cdr_encode_longstring(((simple3_UNDERFLOW *)(_ev->_except))->msg, CORBA_flick_free, iiop);
                              CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_except));
                              break;
                            }
                          case 2:
                            {
                              flick_iiop_encode_new_chunk(4 + 4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                              flick_cdr_encode_unsigned32(0, ((simple3_BADNUM *)(_ev->_except))->c._length);
                              flick_cdr_encode_bcopy(4, ((simple3_BADNUM *)(_ev->_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                              CORBA_flick_free(((simple3_BADNUM *)(_ev->_except))->c._buffer);
                              flick_iiop_encode_end_chunk(4 + 4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                              CORBA_flick_free((simple3_BADNUM *)(_ev->_except));
                              flick_iiop_encode_end_glob(52);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(52);
                              break;
                            }
                          }
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op4 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869624320):
              {
                {
                  simple3 _obj;
                  CORBA_char *_local_x;
                  CORBA_char **_local_y;
                  CORBA_char **_local_z;
                  CORBA_Environment *_ev;
                  CORBA_char *_return = 0;
                  unsigned int _t103_principal_len;
                  CORBA_char *_t104_storage;
                  CORBA_char *_t105_storage;
                  CORBA_Environment _t106_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t103_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t103_principal_len);
                  flick_iiop_decode_new_chunk(_t103_principal_len);
                  flick_iiop_decode_end_chunk(_t103_principal_len);
                  flick_iiop_decode_end_glob(_t103_principal_len);
                  /* Begin decode phase on parameters */
                  flick_cdr_decode_auto_string(_local_x, auto_flick_alloc, iiop);
                  _local_y = &_t104_storage;
                  flick_cdr_decode_longstring(*_local_y, CORBA_flick_alloc, iiop);
                  _local_z = &_t105_storage;
                  _ev = &_t106_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = simple3_op4(_obj, _local_x, _local_y, _local_z, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(12);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(12);
                        flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                        flick_cdr_encode_longstring(*_local_y, CORBA_flick_free, iiop);
                        flick_cdr_encode_longstring(*_local_z, CORBA_flick_free, iiop);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        flick_iiop_encode_end_glob(12);
                        break;
                      }
                    default:
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_atomic_user_id);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_atomic_user_id)
                          {
                          case 0:
                            {
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(12);
                              flick_cdr_encode_longstring(((simple3_UNDERFLOW *)(_ev->_except))->msg, CORBA_flick_free, iiop);
                              CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_except));
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(12);
                              break;
                            }
                          }
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op5 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869624576):
              {
                {
                  simple3 _obj;
                  CORBA_Environment *_ev;
                  unsigned int _t107_principal_len;
                  CORBA_Environment _t108_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t107_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t107_principal_len);
                  flick_iiop_decode_new_chunk(_t107_principal_len);
                  flick_iiop_decode_end_chunk(_t107_principal_len);
                  flick_iiop_decode_end_glob(_t107_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = &_t108_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  simple3_op5(_obj, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(8);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(8);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        flick_iiop_encode_end_glob(8);
                        break;
                      }
                    default:
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_atomic_user_id);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_atomic_user_id)
                          {
                          case 0:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_cdr_encode_longstring(((simple3_USERERROR *)(_ev->_except))->reason, CORBA_flick_free, iiop);
                              CORBA_flick_free((simple3_USERERROR *)(_ev->_except));
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          }
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op2 */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1869623808):
              {
                {
                  simple3 _obj;
                  CORBA_long _local_a;
                  simple _local_b;
                  simple2 *_local_c;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t109_principal_len;
                  simple2 _t110_storage;
                  CORBA_Environment _t111_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t109_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t109_principal_len);
                  flick_iiop_decode_new_chunk(_t109_principal_len);
                  flick_iiop_decode_end_chunk(_t109_principal_len);
                  flick_iiop_decode_end_glob(_t109_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_decode_signed32(0, _local_a);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_cdr_decode_IOR(iiop, _local_b, 1);
                  flick_iiop_mark_port_for_cleanup(_local_b, 1);
                  _local_c = &_t110_storage;
                  _ev = &_t111_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = simple3_op2(_obj, _local_a, _local_b, _local_c, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(8);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(8);
                        flick_cdr_encode_IOR(iiop, *_local_c, 0);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        flick_iiop_encode_end_glob(8);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(8);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t112_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t112_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch (_t112_switch_tag)
            {
            case /* op */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28528):
              {
                char _t113_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t113_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch (_t113_switch_tag)
                  {
                  case 0:
                    {
                      {
                        simple3 _obj;
                        CORBA_long _local_a;
                        simple *_local_b;
                        CORBA_long *_local_c;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t114_principal_len;
                        simple _t115_storage;
                        CORBA_long _t116_storage;
                        CORBA_Environment _t117_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t114_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(12);
                        flick_iiop_decode_new_glob(_t114_principal_len);
                        flick_iiop_decode_new_chunk(_t114_principal_len);
                        flick_iiop_decode_end_chunk(_t114_principal_len);
                        flick_iiop_decode_end_glob(_t114_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a);
                        _local_b = &_t115_storage;
                        _local_c = &_t116_storage;
                        flick_cdr_decode_signed32(4, *_local_c);
                        _ev = &_t117_storage;
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = simple3_op(_obj, _local_a, _local_b, _local_c, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              flick_cdr_encode_IOR(iiop, *_local_b, 0);
                              flick_iiop_encode_new_glob(7);
                              flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_encode_signed32(0, *_local_c);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(7);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(12);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
