#include "string_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_str(flick_marshal_stream_t _stream, const struct str *_data)
{
  flick_cdr_encode_string(_data->s10, CORBA_flick_free, iiop, 10);
  flick_iiop_encode_new_glob(7);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->a);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(7);
  flick_cdr_encode_longstring(_data->sx, CORBA_flick_free, iiop);
  flick_iiop_encode_new_glob(3);
  flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_encode_signed16(0, _data->b);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(3);
}

void flick_unmarshal_stub_str(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_cdr_decode_string(_data->s10, CORBA_flick_alloc, iiop, 10);
  flick_iiop_decode_new_glob(7);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->a);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(7);
  flick_cdr_decode_longstring(_data->sx, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(3);
  flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_decode_signed16(0, _data->b);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(3);
}

void flick_unmarshal_stub_str_swap(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_cdr_swap_decode_string(_data->s10, CORBA_flick_alloc, iiop, 10);
  flick_iiop_decode_new_glob(7);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->a);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(7);
  flick_cdr_swap_decode_longstring(_data->sx, CORBA_flick_alloc, iiop);
  flick_iiop_decode_new_glob(3);
  flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_swap_decode_signed16(0, _data->b);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(3);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t45_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t45_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t45_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t46_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t46_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t46_switch_tag)
            {
            case /* Stri */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t47_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t47_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t47_switch_tag)
                  {
                  case /* ng */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 28263):
                    {
                      char _t48_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t48_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t48_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              CORBA_char *_local_a;
                              CORBA_char **_local_b;
                              CORBA_char **_local_c;
                              CORBA_Environment *_ev;
                              CORBA_char *_return = 0;
                              unsigned int _t49_principal_len;
                              CORBA_char *_t50_storage;
                              CORBA_char *_t51_storage;
                              CORBA_Environment _t52_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t49_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t49_principal_len);
                              flick_iiop_decode_new_chunk(_t49_principal_len);
                              flick_iiop_decode_end_chunk(_t49_principal_len);
                              flick_iiop_decode_end_glob(_t49_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_swap_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                              _local_b = &_t50_storage;
                              flick_cdr_swap_decode_longstring(*_local_b, CORBA_flick_alloc, iiop);
                              _local_c = &_t51_storage;
                              _ev = &_t52_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_b, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_c, CORBA_flick_free, iiop);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Stru */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1400140405):
              {
                unsigned short int _t53_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_swap_decode_unsigned16(0, _t53_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t53_switch_tag)
                  {
                  case /* ct */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 25460):
                    {
                      char _t54_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t54_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t54_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              struct str *_local_a;
                              struct str *_local_b;
                              struct str **_local_c;
                              CORBA_Environment *_ev;
                              struct str *_return = 0;
                              unsigned int _t55_principal_len;
                              struct str _t56_storage;
                              struct str _t57_storage;
                              struct str *_t58_storage;
                              CORBA_Environment _t59_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t55_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t55_principal_len);
                              flick_iiop_decode_new_chunk(_t55_principal_len);
                              flick_iiop_decode_end_chunk(_t55_principal_len);
                              flick_iiop_decode_end_glob(_t55_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t56_storage;
                              flick_cdr_swap_decode_auto_string(_local_a->s10, auto_flick_alloc, iiop);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_signed32(0, _local_a->a);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_cdr_swap_decode_auto_string(_local_a->sx, auto_flick_alloc, iiop);
                              flick_iiop_decode_new_glob(3);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_swap_decode_signed16(0, _local_a->b);
                              _local_b = &_t57_storage;
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_end_glob(3);
                              flick_cdr_swap_decode_string(_local_b->s10, CORBA_flick_alloc, iiop, 10);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_signed32(0, _local_b->a);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_cdr_swap_decode_longstring(_local_b->sx, CORBA_flick_alloc, iiop);
                              flick_iiop_decode_new_glob(3);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_swap_decode_signed16(0, _local_b->b);
                              _local_c = &_t58_storage;
                              _ev = &_t59_storage;
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_end_glob(3);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_Struct(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_string(_return->s10, CORBA_flick_free, iiop, 10);
                                    flick_iiop_encode_new_glob(7);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, _return->a);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(7);
                                    flick_cdr_encode_longstring(_return->sx, CORBA_flick_free, iiop);
                                    flick_iiop_encode_new_glob(3);
                                    flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                    flick_cdr_encode_signed16(0, _return->b);
                                    CORBA_flick_free(_return);
                                    flick_iiop_encode_end_chunk(2);
                                    flick_iiop_encode_end_glob(3);
                                    flick_cdr_encode_string(_local_b->s10, CORBA_flick_free, iiop, 10);
                                    flick_iiop_encode_new_glob(7);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, _local_b->a);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(7);
                                    flick_cdr_encode_longstring(_local_b->sx, CORBA_flick_free, iiop);
                                    flick_iiop_encode_new_glob(3);
                                    flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                    flick_cdr_encode_signed16(0, _local_b->b);
                                    flick_iiop_encode_end_chunk(2);
                                    flick_iiop_encode_end_glob(3);
                                    flick_cdr_encode_string((*_local_c)->s10, CORBA_flick_free, iiop, 10);
                                    flick_iiop_encode_new_glob(7);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, (*_local_c)->a);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(7);
                                    flick_cdr_encode_longstring((*_local_c)->sx, CORBA_flick_free, iiop);
                                    flick_iiop_encode_new_glob(3);
                                    flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                    flick_cdr_encode_signed16(0, (*_local_c)->b);
                                    CORBA_flick_free(*_local_c);
                                    flick_iiop_encode_end_chunk(2);
                                    flick_iiop_encode_end_glob(3);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t15_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t15_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t15_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t16_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t16_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t16_switch_tag)
            {
            case /* Stri */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t17_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t17_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t17_switch_tag)
                  {
                  case /* ng */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 28263):
                    {
                      char _t18_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t18_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t18_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              CORBA_char *_local_a;
                              CORBA_char **_local_b;
                              CORBA_char **_local_c;
                              CORBA_Environment *_ev;
                              CORBA_char *_return = 0;
                              unsigned int _t19_principal_len;
                              CORBA_char *_t20_storage;
                              CORBA_char *_t21_storage;
                              CORBA_Environment _t22_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t19_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t19_principal_len);
                              flick_iiop_decode_new_chunk(_t19_principal_len);
                              flick_iiop_decode_end_chunk(_t19_principal_len);
                              flick_iiop_decode_end_glob(_t19_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_decode_auto_string(_local_a, auto_flick_alloc, iiop);
                              _local_b = &_t20_storage;
                              flick_cdr_decode_longstring(*_local_b, CORBA_flick_alloc, iiop);
                              _local_c = &_t21_storage;
                              _ev = &_t22_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_b, CORBA_flick_free, iiop);
                                    flick_cdr_encode_longstring(*_local_c, CORBA_flick_free, iiop);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Stru */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1400140405):
              {
                unsigned short int _t23_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t23_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch (_t23_switch_tag)
                  {
                  case /* ct */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 25460):
                    {
                      char _t24_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t24_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch (_t24_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              struct str *_local_a;
                              struct str *_local_b;
                              struct str **_local_c;
                              CORBA_Environment *_ev;
                              struct str *_return = 0;
                              unsigned int _t25_principal_len;
                              struct str _t26_storage;
                              struct str _t27_storage;
                              struct str *_t28_storage;
                              CORBA_Environment _t29_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t25_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(16);
                              flick_iiop_decode_new_glob(_t25_principal_len);
                              flick_iiop_decode_new_chunk(_t25_principal_len);
                              flick_iiop_decode_end_chunk(_t25_principal_len);
                              flick_iiop_decode_end_glob(_t25_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t26_storage;
                              flick_cdr_decode_auto_string(_local_a->s10, auto_flick_alloc, iiop);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_signed32(0, _local_a->a);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_cdr_decode_auto_string(_local_a->sx, auto_flick_alloc, iiop);
                              flick_iiop_decode_new_glob(3);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_decode_signed16(0, _local_a->b);
                              _local_b = &_t27_storage;
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_end_glob(3);
                              flick_cdr_decode_string(_local_b->s10, CORBA_flick_alloc, iiop, 10);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_signed32(0, _local_b->a);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_cdr_decode_longstring(_local_b->sx, CORBA_flick_alloc, iiop);
                              flick_iiop_decode_new_glob(3);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_decode_signed16(0, _local_b->b);
                              _local_c = &_t28_storage;
                              _ev = &_t29_storage;
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_end_glob(3);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = test_Struct(_obj, _local_a, _local_b, _local_c, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_string(_return->s10, CORBA_flick_free, iiop, 10);
                                    flick_iiop_encode_new_glob(7);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, _return->a);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(7);
                                    flick_cdr_encode_longstring(_return->sx, CORBA_flick_free, iiop);
                                    flick_iiop_encode_new_glob(3);
                                    flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                    flick_cdr_encode_signed16(0, _return->b);
                                    CORBA_flick_free(_return);
                                    flick_iiop_encode_end_chunk(2);
                                    flick_iiop_encode_end_glob(3);
                                    flick_cdr_encode_string(_local_b->s10, CORBA_flick_free, iiop, 10);
                                    flick_iiop_encode_new_glob(7);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, _local_b->a);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(7);
                                    flick_cdr_encode_longstring(_local_b->sx, CORBA_flick_free, iiop);
                                    flick_iiop_encode_new_glob(3);
                                    flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                    flick_cdr_encode_signed16(0, _local_b->b);
                                    flick_iiop_encode_end_chunk(2);
                                    flick_iiop_encode_end_glob(3);
                                    flick_cdr_encode_string((*_local_c)->s10, CORBA_flick_free, iiop, 10);
                                    flick_iiop_encode_new_glob(7);
                                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_encode_signed32(0, (*_local_c)->a);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(7);
                                    flick_cdr_encode_longstring((*_local_c)->sx, CORBA_flick_free, iiop);
                                    flick_iiop_encode_new_glob(3);
                                    flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                    flick_cdr_encode_signed16(0, (*_local_c)->b);
                                    CORBA_flick_free(*_local_c);
                                    flick_iiop_encode_end_chunk(2);
                                    flick_iiop_encode_end_glob(3);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
