#include "ttcp-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function (return 0 for success) */
int register_objects(CORBA_ORB, CORBA_BOA, int argc, char **argv);

int main(int argc, char **argv)
{
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(argc, argv);
	if (!orb) {
		fprintf(stderr, "Error: unable to initialize ORB.\n");
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, argc, argv);
	if (!boa) {
		fprintf(stderr, "Error: unable to initialize Object adapter.\n");
		exit(1);
	}
	if (!register_objects(orb, boa, argc, argv)) {

		CORBA_BOA_impl_is_ready(boa);
	} else {
		fprintf(stderr, "Error: unable to register object implementations.\n");
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->xx);
  flick_cdr_encode_signed32(4, _data->yy);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->xx);
  flick_cdr_decode_signed32(4, _data->yy);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->xx);
  flick_cdr_swap_decode_signed32(4, _data->yy);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->x.xx);
  flick_cdr_encode_signed32(4, _data->x.yy);
  flick_cdr_encode_signed32(8, _data->y.xx);
  flick_cdr_encode_signed32(12, _data->y.yy);
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->x.xx);
  flick_cdr_decode_signed32(4, _data->x.yy);
  flick_cdr_decode_signed32(8, _data->y.xx);
  flick_cdr_decode_signed32(12, _data->y.yy);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_b_swap(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->x.xx);
  flick_cdr_swap_decode_signed32(4, _data->x.yy);
  flick_cdr_swap_decode_signed32(8, _data->y.xx);
  flick_cdr_swap_decode_signed32(12, _data->y.yy);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_structBuffer(flick_marshal_stream_t _stream, const structBuffer *_data)
{
  unsigned long int _t0_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(16 * _data->_length);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_encode_new_chunk(16);
      flick_cdr_encode_signed32(0, _data->_buffer[_t0_array_iter].x.xx);
      flick_cdr_encode_signed32(4, _data->_buffer[_t0_array_iter].x.yy);
      flick_cdr_encode_signed32(8, _data->_buffer[_t0_array_iter].y.xx);
      flick_cdr_encode_signed32(12, _data->_buffer[_t0_array_iter].y.yy);
      flick_iiop_encode_end_chunk(16);
    }
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct b ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_decode_signed32(0, _data->_buffer[_t1_array_iter].x.xx);
      flick_cdr_decode_signed32(4, _data->_buffer[_t1_array_iter].x.yy);
      flick_cdr_decode_signed32(8, _data->_buffer[_t1_array_iter].y.xx);
      flick_cdr_decode_signed32(12, _data->_buffer[_t1_array_iter].y.yy);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_structBuffer_swap(flick_marshal_stream_t _stream, structBuffer *_data)
{
  unsigned long int _t2_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct b ));
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t2_array_iter].x.xx);
      flick_cdr_swap_decode_signed32(4, _data->_buffer[_t2_array_iter].x.yy);
      flick_cdr_swap_decode_signed32(8, _data->_buffer[_t2_array_iter].y.xx);
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t2_array_iter].y.yy);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->_length);
}

void flick_marshal_stub_intBuffer(flick_marshal_stream_t _stream, const intBuffer *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->_length);
  flick_iiop_encode_new_chunk(4 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_chunk(4 * _data->_length);
  flick_iiop_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_intBuffer_swap(flick_marshal_stream_t _stream, intBuffer *_data)
{
  unsigned long int _t3_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_useless(flick_marshal_stream_t _stream, const useless *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->baloney);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->baloney);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_useless_swap(flick_marshal_stream_t _stream, useless *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->baloney);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_ttcp(flick_marshal_stream_t _stream, const ttcp *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_ttcp_swap(flick_marshal_stream_t _stream, ttcp *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t ttcp_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, CORBA_Object _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t47_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t47_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t47_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t48_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t48_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t48_switch_tag)
            {
            case /* intt */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1768846452):
              {
                unsigned int _t49_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t49_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t49_switch_tag)
                  {
                  case /* est */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1702065152):
                    {
                      {
                        ttcp _obj;
                        intBuffer *_local_data;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t50_principal_len;
                        intBuffer _t51_storage;
                        unsigned long int _t52_array_iter;
                        CORBA_Environment _t53_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t50_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t50_principal_len);
                        flick_iiop_decode_new_chunk(_t50_principal_len);
                        flick_iiop_decode_end_chunk(_t50_principal_len);
                        flick_iiop_decode_end_glob(_t50_principal_len);
                        /* Begin decode phase on parameters */
                        _local_data = &_t51_storage;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_unsigned32(0, _local_data->_length);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(4 * _local_data->_length);
                        _local_data->_buffer = auto_flick_alloc(_local_data->_length * sizeof(CORBA_long ));
                        for (_t52_array_iter = 0; _t52_array_iter < _local_data->_length; _t52_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_data->_buffer[_t52_array_iter]);
                            flick_iiop_decode_end_chunk(4);
                          }
                        flick_iiop_decode_end_glob(4 * _local_data->_length);
                        _ev = &_t53_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ttcp_inttest(_obj, _local_data, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(12);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_atomic_user_id);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_atomic_user_id)
                                {
                                case 0:
                                  {
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, ((useless *)(_ev->_except))->baloney);
                                    CORBA_flick_free((useless *)(_ev->_except));
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    break;
                                  }
                                }
                            }
                          }
                        flick_iiop_encode_end_glob(12);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t54_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_unsigned32(0, _t54_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t54_switch_tag)
            {
            case /* stru */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1937011317):
              {
                unsigned int _t55_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t55_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t55_switch_tag)
                  {
                  case /* ctte */ flick_cdr_swap_make_big_endian_const_unsigned32((unsigned int) 1668576357):
                    {
                      unsigned short int _t56_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_swap_decode_unsigned16(0, _t56_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t56_switch_tag)
                        {
                        case /* st */ flick_cdr_swap_make_big_endian_const_unsigned16((unsigned short int) 29556):
                          {
                            char _t57_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t57_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t57_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ttcp _obj;
                                    structBuffer *_local_data;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t58_principal_len;
                                    structBuffer _t59_storage;
                                    unsigned long int _t60_array_iter;
                                    CORBA_Environment _t61_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t58_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t58_principal_len);
                                    flick_iiop_decode_new_chunk(_t58_principal_len);
                                    flick_iiop_decode_end_chunk(_t58_principal_len);
                                    flick_iiop_decode_end_glob(_t58_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_data = &_t59_storage;
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_swap_decode_unsigned32(0, _local_data->_length);
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_decode_new_glob(16 * _local_data->_length);
                                    _local_data->_buffer = auto_flick_alloc(_local_data->_length * sizeof(struct b ));
                                    for (_t60_array_iter = 0; _t60_array_iter < _local_data->_length; _t60_array_iter++)
                                      {
                                        flick_iiop_decode_new_chunk(16);
                                        flick_cdr_swap_decode_signed32(0, _local_data->_buffer[_t60_array_iter].x.xx);
                                        flick_cdr_swap_decode_signed32(4, _local_data->_buffer[_t60_array_iter].x.yy);
                                        flick_cdr_swap_decode_signed32(8, _local_data->_buffer[_t60_array_iter].y.xx);
                                        flick_cdr_swap_decode_signed32(12, _local_data->_buffer[_t60_array_iter].y.yy);
                                        flick_iiop_decode_end_chunk(16);
                                      }
                                    flick_iiop_decode_end_glob(16 * _local_data->_length);
                                    _ev = &_t61_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ttcp_structtest(_obj, _local_data, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return);
                                          flick_iiop_encode_end_chunk(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_atomic_user_id);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_atomic_user_id)
                                            {
                                            case 0:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, ((useless *)(_ev->_except))->baloney);
                                                CORBA_flick_free((useless *)(_ev->_except));
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                break;
                                              }
                                            }
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t18_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t18_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch (_t18_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t19_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t19_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t19_switch_tag)
            {
            case /* intt */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1768846452):
              {
                unsigned int _t20_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t20_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t20_switch_tag)
                  {
                  case /* est */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1702065152):
                    {
                      {
                        ttcp _obj;
                        intBuffer *_local_data;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t21_principal_len;
                        intBuffer _t22_storage;
                        CORBA_Environment _t23_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t21_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t21_principal_len);
                        flick_iiop_decode_new_chunk(_t21_principal_len);
                        flick_iiop_decode_end_chunk(_t21_principal_len);
                        flick_iiop_decode_end_glob(_t21_principal_len);
                        /* Begin decode phase on parameters */
                        _local_data = &_t22_storage;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_unsigned32(0, _local_data->_length);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(4 * _local_data->_length);
                        flick_iiop_decode_new_chunk(4 * _local_data->_length);
                        flick_cdr_decode_msgptr(0, _local_data->_buffer);
                        flick_iiop_decode_end_chunk(4 * _local_data->_length);
                        flick_iiop_decode_end_glob(4 * _local_data->_length);
                        _ev = &_t23_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = ttcp_inttest(_obj, _local_data, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(12);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_atomic_user_id);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_atomic_user_id)
                                {
                                case 0:
                                  {
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, ((useless *)(_ev->_except))->baloney);
                                    CORBA_flick_free((useless *)(_ev->_except));
                                    flick_iiop_encode_end_chunk(4);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    break;
                                  }
                                }
                            }
                          }
                        flick_iiop_encode_end_glob(12);
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t24_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t24_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch (_t24_switch_tag)
            {
            case /* stru */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1937011317):
              {
                unsigned int _t25_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t25_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch (_t25_switch_tag)
                  {
                  case /* ctte */ flick_cdr_make_big_endian_const_unsigned32((unsigned int) 1668576357):
                    {
                      unsigned short int _t26_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t26_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch (_t26_switch_tag)
                        {
                        case /* st */ flick_cdr_make_big_endian_const_unsigned16((unsigned short int) 29556):
                          {
                            char _t27_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t27_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch (_t27_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ttcp _obj;
                                    structBuffer *_local_data;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t28_principal_len;
                                    structBuffer _t29_storage;
                                    unsigned long int _t30_array_iter;
                                    CORBA_Environment _t31_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t28_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t28_principal_len);
                                    flick_iiop_decode_new_chunk(_t28_principal_len);
                                    flick_iiop_decode_end_chunk(_t28_principal_len);
                                    flick_iiop_decode_end_glob(_t28_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_data = &_t29_storage;
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_cdr_decode_unsigned32(0, _local_data->_length);
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_decode_new_glob(16 * _local_data->_length);
                                    _local_data->_buffer = auto_flick_alloc(_local_data->_length * sizeof(struct b ));
                                    for (_t30_array_iter = 0; _t30_array_iter < _local_data->_length; _t30_array_iter++)
                                      {
                                        flick_iiop_decode_new_chunk(16);
                                        flick_cdr_decode_signed32(0, _local_data->_buffer[_t30_array_iter].x.xx);
                                        flick_cdr_decode_signed32(4, _local_data->_buffer[_t30_array_iter].x.yy);
                                        flick_cdr_decode_signed32(8, _local_data->_buffer[_t30_array_iter].y.xx);
                                        flick_cdr_decode_signed32(12, _local_data->_buffer[_t30_array_iter].y.yy);
                                        flick_iiop_decode_end_chunk(16);
                                      }
                                    flick_iiop_decode_end_glob(16 * _local_data->_length);
                                    _ev = &_t31_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ttcp_structtest(_obj, _local_data, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(12);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return);
                                          flick_iiop_encode_end_chunk(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_atomic_user_id);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_atomic_user_id)
                                            {
                                            case 0:
                                              {
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, ((useless *)(_ev->_except))->baloney);
                                                CORBA_flick_free((useless *)(_ev->_except));
                                                flick_iiop_encode_end_chunk(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                break;
                                              }
                                            }
                                        }
                                      }
                                    flick_iiop_encode_end_glob(12);
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
