#include "mig-arrays-client.h"

kern_return_t rpc_64_in(mach_port_t target, t64B foo)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    unsigned *_t1_internal;

    flick_mach3mig_encode_new_glob(68);
    _stream->msg_buf->Head.msgh_id = 123002;
    /* Begin encode phase on parameters */
    _t1_internal = (unsigned *)foo;
    flick_mach3mig_array_encode_new_chunk(68);
    flick_mach3mig_array_encode_signed32_type(0, 16, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, _t1_internal, 4 * 16);
    flick_mach3mig_encode_end_chunk(68);
    flick_mach3mig_encode_end_glob(68);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t3_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t3_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t3_switch_tag)
      {
      case (signed int) 123102:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_128_in(mach_port_t target, t128B foo)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    unsigned *_t5_internal;

    flick_mach3mig_encode_new_glob(132);
    _stream->msg_buf->Head.msgh_id = 123003;
    /* Begin encode phase on parameters */
    _t5_internal = (unsigned *)foo;
    flick_mach3mig_array_encode_new_chunk(132);
    flick_mach3mig_array_encode_signed32_type(0, 32, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, _t5_internal, 4 * 32);
    flick_mach3mig_encode_end_chunk(132);
    flick_mach3mig_encode_end_glob(132);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t7_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t7_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t7_switch_tag)
      {
      case (signed int) 123103:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_256_in(mach_port_t target, t256B foo)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    unsigned *_t9_internal;

    flick_mach3mig_encode_new_glob(260);
    _stream->msg_buf->Head.msgh_id = 123004;
    /* Begin encode phase on parameters */
    _t9_internal = (unsigned *)foo;
    flick_mach3mig_array_encode_new_chunk(260);
    flick_mach3mig_array_encode_signed32_type(0, 64, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, _t9_internal, 4 * 64);
    flick_mach3mig_encode_end_chunk(260);
    flick_mach3mig_encode_end_glob(260);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t11_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t11_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t11_switch_tag)
      {
      case (signed int) 123104:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_512_in(mach_port_t target, t512B foo)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    unsigned *_t13_internal;

    flick_mach3mig_encode_new_glob(516);
    _stream->msg_buf->Head.msgh_id = 123005;
    /* Begin encode phase on parameters */
    _t13_internal = (unsigned *)foo;
    flick_mach3mig_array_encode_new_chunk(516);
    flick_mach3mig_array_encode_signed32_type(0, 128, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, _t13_internal, 4 * 128);
    flick_mach3mig_encode_end_chunk(516);
    flick_mach3mig_encode_end_glob(516);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t15_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t15_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t15_switch_tag)
      {
      case (signed int) 123105:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_1K_in(mach_port_t target, t1K data)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    unsigned *_t17_internal;

    flick_mach3mig_encode_new_glob(1028);
    _stream->msg_buf->Head.msgh_id = 123006;
    /* Begin encode phase on parameters */
    _t17_internal = (unsigned *)data;
    flick_mach3mig_array_encode_new_chunk(1028);
    flick_mach3mig_array_encode_signed32_type(0, 256, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, _t17_internal, 4 * 256);
    flick_mach3mig_encode_end_chunk(1028);
    flick_mach3mig_encode_end_glob(1028);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t19_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t19_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t19_switch_tag)
      {
      case (signed int) 123106:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_2K_in(mach_port_t target, t2K data)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    unsigned *_t21_internal;

    flick_mach3mig_encode_new_glob(2052);
    _stream->msg_buf->Head.msgh_id = 123007;
    /* Begin encode phase on parameters */
    _t21_internal = (unsigned *)data;
    flick_mach3mig_array_encode_new_chunk(2052);
    flick_mach3mig_array_encode_signed32_type(0, 512, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, _t21_internal, 4 * 512);
    flick_mach3mig_encode_end_chunk(2052);
    flick_mach3mig_encode_end_glob(2052);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t23_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t23_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t23_switch_tag)
      {
      case (signed int) 123107:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_4K_in(mach_port_t target, t4K data)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    unsigned *_t25_internal;

    flick_mach3mig_encode_new_glob(4100);
    _stream->msg_buf->Head.msgh_id = 123008;
    /* Begin encode phase on parameters */
    _t25_internal = (unsigned *)data;
    flick_mach3mig_array_encode_new_chunk(4100);
    flick_mach3mig_array_encode_signed32_type(0, 1024, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, _t25_internal, 4 * 1024);
    flick_mach3mig_encode_end_chunk(4100);
    flick_mach3mig_encode_end_glob(4100);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t27_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t27_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t27_switch_tag)
      {
      case (signed int) 123108:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_8K_in(mach_port_t target, t8K data)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    unsigned *_t29_internal;

    flick_mach3mig_encode_new_glob(8196);
    _stream->msg_buf->Head.msgh_id = 123009;
    /* Begin encode phase on parameters */
    _t29_internal = (unsigned *)data;
    flick_mach3mig_array_encode_new_chunk(8196);
    flick_mach3mig_array_encode_signed32_type(0, 2048, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, _t29_internal, 4 * 2048);
    flick_mach3mig_encode_end_chunk(8196);
    flick_mach3mig_encode_end_glob(8196);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t31_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t31_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t31_switch_tag)
      {
      case (signed int) 123109:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_16K_in(mach_port_t target, t16K data)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    unsigned *_t33_internal;

    flick_mach3mig_encode_new_glob(16396);
    _stream->msg_buf->Head.msgh_id = 123010;
    /* Begin encode phase on parameters */
    _t33_internal = (unsigned *)data;
    flick_mach3mig_array_encode_new_chunk(16396);
    flick_mach3mig_array_encode_signed32_type(0, 4096, 1, _long_type);
    flick_mach3mig_array_encode_bcopy(12, _t33_internal, 4 * 4096);
    flick_mach3mig_encode_end_chunk(16396);
    flick_mach3mig_encode_end_glob(16396);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t35_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t35_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t35_switch_tag)
      {
      case (signed int) 123110:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_32K_in(mach_port_t target, t32K data)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    unsigned *_t37_internal;

    flick_mach3mig_encode_new_glob(32780);
    _stream->msg_buf->Head.msgh_id = 123011;
    /* Begin encode phase on parameters */
    _t37_internal = (unsigned *)data;
    flick_mach3mig_array_encode_new_chunk(32780);
    flick_mach3mig_array_encode_signed32_type(0, 8192, 1, _long_type);
    flick_mach3mig_array_encode_bcopy(12, _t37_internal, 4 * 8192);
    flick_mach3mig_encode_end_chunk(32780);
    flick_mach3mig_encode_end_glob(32780);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t39_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t39_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t39_switch_tag)
      {
      case (signed int) 123111:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_64K_in(mach_port_t target, t64K data)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    unsigned *_t41_internal;

    flick_mach3mig_encode_new_glob(65548);
    _stream->msg_buf->Head.msgh_id = 123012;
    /* Begin encode phase on parameters */
    _t41_internal = (unsigned *)data;
    flick_mach3mig_array_encode_new_chunk(65548);
    flick_mach3mig_array_encode_signed32_type(0, 16384, 1, _long_type);
    flick_mach3mig_array_encode_bcopy(12, _t41_internal, 4 * 16384);
    flick_mach3mig_encode_end_chunk(65548);
    flick_mach3mig_encode_end_glob(65548);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t43_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t43_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t43_switch_tag)
      {
      case (signed int) 123112:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

