#include "mig-arrays-ool-client.h"

kern_return_t rpc_64_in(mach_port_t target, t64B foo)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 234002;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 16, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, foo);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t1_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t1_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t1_switch_tag)
      {
      case (signed int) 234102:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_128_in(mach_port_t target, t128B foo)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 234003;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 32, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, foo);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t3_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t3_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t3_switch_tag)
      {
      case (signed int) 234103:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_256_in(mach_port_t target, t256B foo)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 234004;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 64, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, foo);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t5_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t5_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t5_switch_tag)
      {
      case (signed int) 234104:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_512_in(mach_port_t target, t512B foo)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 234005;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 128, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, foo);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t7_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t7_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t7_switch_tag)
      {
      case (signed int) 234105:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_1K_in(mach_port_t target, t1K data)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 234006;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 256, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t9_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t9_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t9_switch_tag)
      {
      case (signed int) 234106:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_2K_in(mach_port_t target, t2K data)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 234007;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 512, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t11_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t11_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t11_switch_tag)
      {
      case (signed int) 234107:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_4K_in(mach_port_t target, t4K data)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 234008;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 1024, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t13_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t13_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t13_switch_tag)
      {
      case (signed int) 234108:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_8K_in(mach_port_t target, t8K data)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 234009;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 2048, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t15_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t15_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t15_switch_tag)
      {
      case (signed int) 234109:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_16K_in(mach_port_t target, t16K data)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 234010;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 4096, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t17_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t17_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t17_switch_tag)
      {
      case (signed int) 234110:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_32K_in(mach_port_t target, t32K data)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 234011;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 8192, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t19_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t19_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t19_switch_tag)
      {
      case (signed int) 234111:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rpc_64K_in(mach_port_t target, t64K data)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 234012;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 16384, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t21_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t21_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t21_switch_tag)
      {
      case (signed int) 234112:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

