#include "mig-simple-client.h"

kern_return_t get_time(mach_port_t server_port, int format, int *time)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(server_port, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 400;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, format);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t1_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t1_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t1_switch_tag)
      {
      case (signed int) 500:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *time);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t foo_time(mach_port_t server_port, foo_int format, foo_int *time)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(server_port, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _stream->msg_buf->Head.msgh_id = 401;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, format);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t3_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t3_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t3_switch_tag)
      {
      case (signed int) 501:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *time);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

