#include "oneway-client.h"

void flick_marshal_stub_onewaytest(flick_marshal_stream_t _stream, const onewaytest *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

CORBA_short onewaytest_shortlong(onewaytest _obj, CORBA_long *x, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_short _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(96);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 's');
    flick_mach3mig_encode_char8(16, 'h');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 'r');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, 'l');
    flick_mach3mig_encode_char8(56, 'o');
    flick_mach3mig_encode_char8(64, 'n');
    flick_mach3mig_encode_char8(72, 'g');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(88, *x);
    flick_mach3mig_encode_end_chunk(96);
    flick_mach3mig_encode_end_glob(96);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t12_switch_tag;

    flick_mach3mig_decode_new_glob(120);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t12_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t12_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t13_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t13_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t13_switch_tag)
            {
            case '$':
              {
                char _t14_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t14_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t14_switch_tag)
                  {
                  case 's':
                    {
                      char _t15_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t15_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t15_switch_tag)
                        {
                        case 'h':
                          {
                            char _t16_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t16_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t16_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t17_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t17_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t17_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t18_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t18_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t18_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t19_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t19_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t19_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t20_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t20_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t20_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t21_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t21_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t21_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t22_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t22_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t22_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t23_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t23_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t23_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_signed16(0, _return);
                                                                                  flick_mach3mig_decode_signed32(8, *x);
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(120);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

void onewaytest_voidlong(onewaytest _obj, CORBA_long x, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;

  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 'v');
    flick_mach3mig_encode_char8(16, 'o');
    flick_mach3mig_encode_char8(24, 'i');
    flick_mach3mig_encode_char8(32, 'd');
    flick_mach3mig_encode_char8(40, 'l');
    flick_mach3mig_encode_char8(48, 'o');
    flick_mach3mig_encode_char8(56, 'n');
    flick_mach3mig_encode_char8(64, 'g');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(80, x);
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t35_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t35_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t35_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t36_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t36_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t36_switch_tag)
            {
            case '$':
              {
                char _t37_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t37_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t37_switch_tag)
                  {
                  case 'v':
                    {
                      char _t38_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t38_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t38_switch_tag)
                        {
                        case 'o':
                          {
                            char _t39_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t39_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t39_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t40_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t40_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t40_switch_tag)
                                    {
                                    case 'd':
                                      {
                                        char _t41_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t41_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t41_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t42_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t42_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t42_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t43_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t43_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t43_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t44_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t44_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t44_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t45_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t45_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t45_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            /* Begin decode phase on parameters */
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
}

void onewaytest_onewaylong(onewaytest _obj, CORBA_long x, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;

  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 11);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'n');
    flick_mach3mig_encode_char8(24, 'e');
    flick_mach3mig_encode_char8(32, 'w');
    flick_mach3mig_encode_char8(40, 'a');
    flick_mach3mig_encode_char8(48, 'y');
    flick_mach3mig_encode_char8(56, 'l');
    flick_mach3mig_encode_char8(64, 'o');
    flick_mach3mig_encode_char8(72, 'n');
    flick_mach3mig_encode_char8(80, 'g');
    flick_mach3mig_encode_char8(88, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(96, x);
    flick_mach3mig_encode_end_chunk(104);
    flick_mach3mig_encode_end_glob(104);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_send(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
}

void onewaytest_onewaystring(onewaytest _obj, CORBA_char *x, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;

  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(112);
    flick_mach3mig_encode_new_chunk(112);
    flick_mach3mig_encode_unsigned32(0, 13);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'n');
    flick_mach3mig_encode_char8(24, 'e');
    flick_mach3mig_encode_char8(32, 'w');
    flick_mach3mig_encode_char8(40, 'a');
    flick_mach3mig_encode_char8(48, 'y');
    flick_mach3mig_encode_char8(56, 's');
    flick_mach3mig_encode_char8(64, 't');
    flick_mach3mig_encode_char8(72, 'r');
    flick_mach3mig_encode_char8(80, 'i');
    flick_mach3mig_encode_char8(88, 'n');
    flick_mach3mig_encode_char8(96, 'g');
    flick_mach3mig_encode_char8(104, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(112);
    flick_mach3mig_encode_end_glob(112);
    flick_mach3mig_encode_longstring(x, null_flick_free, mach3mig);
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_send(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
}

CORBA_char *onewaytest_stringreturn(onewaytest _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_char *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(112);
    flick_mach3mig_encode_new_chunk(112);
    flick_mach3mig_encode_unsigned32(0, 13);
    flick_mach3mig_encode_char8(8, 's');
    flick_mach3mig_encode_char8(16, 't');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 'i');
    flick_mach3mig_encode_char8(40, 'n');
    flick_mach3mig_encode_char8(48, 'g');
    flick_mach3mig_encode_char8(56, 'r');
    flick_mach3mig_encode_char8(64, 'e');
    flick_mach3mig_encode_char8(72, 't');
    flick_mach3mig_encode_char8(80, 'u');
    flick_mach3mig_encode_char8(88, 'r');
    flick_mach3mig_encode_char8(96, 'n');
    flick_mach3mig_encode_char8(104, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(112);
    flick_mach3mig_encode_end_glob(112);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t117_switch_tag;

    flick_mach3mig_decode_new_glob(128);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t117_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t117_switch_tag)
      {
      case (unsigned int) 14:
        {
          char _t118_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t118_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t118_switch_tag)
            {
            case '$':
              {
                char _t119_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t119_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t119_switch_tag)
                  {
                  case 's':
                    {
                      char _t120_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t120_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t120_switch_tag)
                        {
                        case 't':
                          {
                            char _t121_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t121_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t121_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t122_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t122_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t122_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t123_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t123_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t123_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t124_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t124_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t124_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t125_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t125_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t125_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t126_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t126_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t126_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t127_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t127_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t127_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t128_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t128_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t128_switch_tag)
                                                                        {
                                                                        case 'u':
                                                                          {
                                                                            char _t129_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t129_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t129_switch_tag)
                                                                              {
                                                                              case 'r':
                                                                                {
                                                                                  char _t130_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t130_switch_tag);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_t130_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t131_switch_tag;

                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_char8(0, _t131_switch_tag);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_t131_switch_tag)
                                                                                          {
                                                                                          case 0:
                                                                                            {
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              switch (_ev->_major)
                                                                                                {
                                                                                                case CORBA_NO_EXCEPTION:
                                                                                                  {
                                                                                                    /* Begin decode phase on parameters */
                                                                                                    flick_mach3mig_decode_end_glob(128);
                                                                                                    flick_mach3mig_decode_longstring(_return, CORBA_flick_alloc, mach3mig);
                                                                                                    break;
                                                                                                  }
                                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                                  {
                                                                                                    flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                                    flick_mach3mig_decode_end_glob(128);
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                                    flick_mach3mig_decode_end_glob(128);
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                              flick_mach3mig_decode_end_glob(128);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(128);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(128);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(128);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(128);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(128);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(128);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(128);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(128);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(128);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(128);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(128);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(128);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(128);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(128);
          break;
        }
      }
    flick_mach3mig_decode_new_glob(3);
    flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_decode_end_chunk(0);
    flick_mach3mig_decode_end_glob(3);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long onewaytest_longstring(onewaytest _obj, CORBA_char **x, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(96);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 11);
    flick_mach3mig_encode_char8(8, 'l');
    flick_mach3mig_encode_char8(16, 'o');
    flick_mach3mig_encode_char8(24, 'n');
    flick_mach3mig_encode_char8(32, 'g');
    flick_mach3mig_encode_char8(40, 's');
    flick_mach3mig_encode_char8(48, 't');
    flick_mach3mig_encode_char8(56, 'r');
    flick_mach3mig_encode_char8(64, 'i');
    flick_mach3mig_encode_char8(72, 'n');
    flick_mach3mig_encode_char8(80, 'g');
    flick_mach3mig_encode_char8(88, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(96);
    flick_mach3mig_encode_end_glob(96);
    flick_mach3mig_encode_longstring(*x, CORBA_flick_free, mach3mig);
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t145_switch_tag;

    flick_mach3mig_decode_new_glob(120);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t145_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t145_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t146_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t146_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t146_switch_tag)
            {
            case '$':
              {
                char _t147_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t147_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t147_switch_tag)
                  {
                  case 'l':
                    {
                      char _t148_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t148_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t148_switch_tag)
                        {
                        case 'o':
                          {
                            char _t149_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t149_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t149_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t150_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t150_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t150_switch_tag)
                                    {
                                    case 'g':
                                      {
                                        char _t151_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t151_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t151_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t152_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t152_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t152_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t153_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t153_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t153_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t154_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t154_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t154_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t155_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t155_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t155_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t156_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t156_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t156_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t157_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t157_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t157_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        /* Begin decode phase on parameters */
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _return);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        flick_mach3mig_decode_end_glob(120);
                                                                                        flick_mach3mig_decode_longstring(*x, CORBA_flick_alloc, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(120);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(120);
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(120);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(120);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(120);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(120);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(120);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(120);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(120);
          break;
        }
      }
    flick_mach3mig_decode_new_glob(3);
    flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_decode_end_chunk(0);
    flick_mach3mig_decode_end_glob(3);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_char *onewaytest_stringlong(onewaytest _obj, CORBA_long *x, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_char *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(96);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 11);
    flick_mach3mig_encode_char8(8, 's');
    flick_mach3mig_encode_char8(16, 't');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 'i');
    flick_mach3mig_encode_char8(40, 'n');
    flick_mach3mig_encode_char8(48, 'g');
    flick_mach3mig_encode_char8(56, 'l');
    flick_mach3mig_encode_char8(64, 'o');
    flick_mach3mig_encode_char8(72, 'n');
    flick_mach3mig_encode_char8(80, 'g');
    flick_mach3mig_encode_char8(88, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(96);
    flick_mach3mig_encode_end_glob(96);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t171_switch_tag;

    flick_mach3mig_decode_new_glob(112);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t171_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t171_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t172_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t172_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t172_switch_tag)
            {
            case '$':
              {
                char _t173_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t173_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t173_switch_tag)
                  {
                  case 's':
                    {
                      char _t174_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t174_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t174_switch_tag)
                        {
                        case 't':
                          {
                            char _t175_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t175_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t175_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t176_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t176_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t176_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t177_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t177_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t177_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t178_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t178_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t178_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t179_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t179_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t179_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t180_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t180_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t180_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t181_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t181_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t181_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t182_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t182_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t182_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t183_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t183_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t183_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        /* Begin decode phase on parameters */
                                                                                        flick_mach3mig_decode_end_glob(112);
                                                                                        flick_mach3mig_decode_longstring(_return, CORBA_flick_alloc, mach3mig);
                                                                                        flick_mach3mig_decode_new_glob(11);
                                                                                        flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
                                                                                        flick_mach3mig_decode_signed32(0, *x);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        flick_mach3mig_decode_end_glob(11);
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(112);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(112);
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(112);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(112);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(112);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(112);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(112);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

