#include "program-6-client.h"

void flick_marshal_stub_sa(flick_marshal_stream_t _stream, const struct sa *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed32(0, _data->a);
  flick_mach3mig_encode_signed32(8, _data->b);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_sa(flick_marshal_stream_t _stream, struct sa *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed32(0, _data->a);
  flick_mach3mig_decode_signed32(8, _data->b);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_sb(flick_marshal_stream_t _stream, const struct sb *_data)
{
  flick_mach3mig_encode_new_glob(32);
  flick_mach3mig_encode_new_chunk(32);
  flick_mach3mig_encode_signed32(0, _data->a.a);
  flick_mach3mig_encode_signed32(8, _data->a.b);
  flick_mach3mig_encode_signed32(16, _data->b.a);
  flick_mach3mig_encode_signed32(24, _data->b.b);
  flick_mach3mig_encode_end_chunk(32);
  flick_mach3mig_encode_end_glob(32);
}

void flick_unmarshal_stub_sb(flick_marshal_stream_t _stream, struct sb *_data)
{
  flick_mach3mig_decode_new_glob(32);
  flick_mach3mig_decode_new_chunk(32);
  flick_mach3mig_decode_signed32(0, _data->a.a);
  flick_mach3mig_decode_signed32(8, _data->a.b);
  flick_mach3mig_decode_signed32(16, _data->b.a);
  flick_mach3mig_decode_signed32(24, _data->b.b);
  flick_mach3mig_decode_end_chunk(32);
  flick_mach3mig_decode_end_glob(32);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  flick_mach3mig_encode_new_glob(20);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->long_list_len);
  flick_mach3mig_array_encode_signed32_type(8, _data->long_list_len, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
  flick_mach3mig_array_encode_end_glob(20);
  flick_mach3mig_array_encode_new_glob(4 * _data->long_list_len);
  flick_mach3mig_array_encode_new_chunk(4 * _data->long_list_len);
  flick_mach3mig_array_encode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_mach3mig_array_encode_end_chunk(4 * _data->long_list_len);
  flick_mach3mig_array_encode_end_glob(4 * _data->long_list_len);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  flick_mach3mig_decode_new_glob(20);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->long_list_len);
  flick_mach3mig_array_decode_signed32_type(8, _data->long_list_len, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
  flick_mach3mig_array_decode_end_glob(20);
  flick_mach3mig_array_decode_new_glob(4 * _data->long_list_len);
  flick_mach3mig_array_decode_new_chunk(4 * _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_mach3mig_array_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_mach3mig_array_decode_end_chunk(4 * _data->long_list_len);
  flick_mach3mig_array_decode_end_glob(4 * _data->long_list_len);
}

void flick_marshal_stub_sb_list(flick_marshal_stream_t _stream, const sb_list *_data)
{
  unsigned long int _t0_array_iter;

  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, _data->sb_list_len);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  flick_mach3mig_encode_new_glob(32 * _data->sb_list_len);
  for (_t0_array_iter = 0; _t0_array_iter < _data->sb_list_len; _t0_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(32);
      flick_mach3mig_encode_signed32(0, _data->sb_list_val[_t0_array_iter].a.a);
      flick_mach3mig_encode_signed32(8, _data->sb_list_val[_t0_array_iter].a.b);
      flick_mach3mig_encode_signed32(16, _data->sb_list_val[_t0_array_iter].b.a);
      flick_mach3mig_encode_signed32(24, _data->sb_list_val[_t0_array_iter].b.b);
      flick_mach3mig_encode_end_chunk(32);
    }
  flick_mach3mig_encode_end_glob(32 * _data->sb_list_len);
}

void flick_unmarshal_stub_sb_list(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned long int _t1_array_iter;

  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, _data->sb_list_len);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  flick_mach3mig_decode_new_glob(32 * _data->sb_list_len);
  _data->sb_list_val = sun_flick_alloc(_data->sb_list_len * sizeof(struct sb ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->sb_list_len; _t1_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(32);
      flick_mach3mig_decode_signed32(0, _data->sb_list_val[_t1_array_iter].a.a);
      flick_mach3mig_decode_signed32(8, _data->sb_list_val[_t1_array_iter].a.b);
      flick_mach3mig_decode_signed32(16, _data->sb_list_val[_t1_array_iter].b.a);
      flick_mach3mig_decode_signed32(24, _data->sb_list_val[_t1_array_iter].b.b);
      flick_mach3mig_decode_end_chunk(32);
    }
  flick_mach3mig_decode_end_glob(32 * _data->sb_list_len);
}

int *long_test_50(long_list *arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    _stream->msg_buf->Head.msgh_id = 7;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_glob(20);
    flick_mach3mig_encode_new_chunk(20);
    flick_mach3mig_encode_unsigned32(0, arg->long_list_len);
    flick_mach3mig_array_encode_signed32_type(8, arg->long_list_len, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(20);
    flick_mach3mig_array_encode_end_glob(20);
    flick_mach3mig_array_encode_new_glob(4 * arg->long_list_len);
    flick_mach3mig_array_encode_new_chunk(4 * arg->long_list_len);
    flick_mach3mig_array_encode_bcopy(0, arg->long_list_val, 4 * arg->long_list_len);
    flick_mach3mig_array_encode_end_chunk(4 * arg->long_list_len);
    flick_mach3mig_array_encode_end_glob(4 * arg->long_list_len);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t5_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t5_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t5_switch_tag)
      {
      case (signed int) 1031:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t7_storage;

                /* Begin decode phase on parameters */
                _return = &_t7_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *sb_test_50(sb_list *arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t9_array_iter;

    _stream->msg_buf->Head.msgh_id = 8;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_glob(8);
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_unsigned32(0, arg->sb_list_len);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
    flick_mach3mig_encode_new_glob(32 * arg->sb_list_len);
    for (_t9_array_iter = 0; _t9_array_iter < arg->sb_list_len; _t9_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(32);
        flick_mach3mig_encode_signed32(0, arg->sb_list_val[_t9_array_iter].a.a);
        flick_mach3mig_encode_signed32(8, arg->sb_list_val[_t9_array_iter].a.b);
        flick_mach3mig_encode_signed32(16, arg->sb_list_val[_t9_array_iter].b.a);
        flick_mach3mig_encode_signed32(24, arg->sb_list_val[_t9_array_iter].b.b);
        flick_mach3mig_encode_end_chunk(32);
      }
    flick_mach3mig_encode_end_glob(32 * arg->sb_list_len);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t13_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t13_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t13_switch_tag)
      {
      case (signed int) 1032:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t15_storage;

                /* Begin decode phase on parameters */
                _return = &_t15_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

