#include "turtle-client-client.h"

void flick_marshal_stub_Client(flick_marshal_stream_t _stream, const Client *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_Client(flick_marshal_stream_t _stream, Client *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

CORBA_long Client_SetLeft(Client _obj, CORBA_long speed, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(80);
    flick_mach3mig_encode_new_chunk(80);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 't');
    flick_mach3mig_encode_char8(32, 'L');
    flick_mach3mig_encode_char8(40, 'e');
    flick_mach3mig_encode_char8(48, 'f');
    flick_mach3mig_encode_char8(56, 't');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(72, speed);
    flick_mach3mig_encode_end_chunk(80);
    flick_mach3mig_encode_end_glob(80);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t10_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t10_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t10_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t11_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t11_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t11_switch_tag)
            {
            case '$':
              {
                char _t12_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t12_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t12_switch_tag)
                  {
                  case 'S':
                    {
                      char _t13_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t13_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t13_switch_tag)
                        {
                        case 'e':
                          {
                            char _t14_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t14_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t14_switch_tag)
                              {
                              case 't':
                                {
                                  char _t15_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t15_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t15_switch_tag)
                                    {
                                    case 'L':
                                      {
                                        char _t16_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t16_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t16_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t17_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t17_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t17_switch_tag)
                                                {
                                                case 'f':
                                                  {
                                                    char _t18_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t18_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t18_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t19_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t19_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t19_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _return);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long Client_SetRight(Client _obj, CORBA_long speed, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 't');
    flick_mach3mig_encode_char8(32, 'R');
    flick_mach3mig_encode_char8(40, 'i');
    flick_mach3mig_encode_char8(48, 'g');
    flick_mach3mig_encode_char8(56, 'h');
    flick_mach3mig_encode_char8(64, 't');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(80, speed);
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t31_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t31_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t31_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t32_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t32_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t32_switch_tag)
            {
            case '$':
              {
                char _t33_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t33_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t33_switch_tag)
                  {
                  case 'S':
                    {
                      char _t34_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t34_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t34_switch_tag)
                        {
                        case 'e':
                          {
                            char _t35_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t35_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t35_switch_tag)
                              {
                              case 't':
                                {
                                  char _t36_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t36_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t36_switch_tag)
                                    {
                                    case 'R':
                                      {
                                        char _t37_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t37_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t37_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t38_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t38_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t38_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t39_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t39_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t39_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t40_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t40_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t40_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t41_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t41_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t41_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            /* Begin decode phase on parameters */
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _return);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(104);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long Client_GetButton(Client _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 'G');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 't');
    flick_mach3mig_encode_char8(32, 'B');
    flick_mach3mig_encode_char8(40, 'u');
    flick_mach3mig_encode_char8(48, 't');
    flick_mach3mig_encode_char8(56, 't');
    flick_mach3mig_encode_char8(64, 'o');
    flick_mach3mig_encode_char8(72, 'n');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t54_switch_tag;

    flick_mach3mig_decode_new_glob(112);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t54_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t54_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t55_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t55_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t55_switch_tag)
            {
            case '$':
              {
                char _t56_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t56_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t56_switch_tag)
                  {
                  case 'G':
                    {
                      char _t57_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t57_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t57_switch_tag)
                        {
                        case 'e':
                          {
                            char _t58_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t58_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t58_switch_tag)
                              {
                              case 't':
                                {
                                  char _t59_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t59_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t59_switch_tag)
                                    {
                                    case 'B':
                                      {
                                        char _t60_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t60_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t60_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t61_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t61_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t61_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t62_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t62_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t62_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t63_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t63_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t63_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t64_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t64_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t64_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t65_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t65_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t65_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _return);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(112);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long Client_GetPhoto(Client _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(80);
    flick_mach3mig_encode_new_chunk(80);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 'G');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 't');
    flick_mach3mig_encode_char8(32, 'P');
    flick_mach3mig_encode_char8(40, 'h');
    flick_mach3mig_encode_char8(48, 'o');
    flick_mach3mig_encode_char8(56, 't');
    flick_mach3mig_encode_char8(64, 'o');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(80);
    flick_mach3mig_encode_end_glob(80);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t77_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t77_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t77_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t78_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t78_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t78_switch_tag)
            {
            case '$':
              {
                char _t79_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t79_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t79_switch_tag)
                  {
                  case 'G':
                    {
                      char _t80_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t80_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t80_switch_tag)
                        {
                        case 'e':
                          {
                            char _t81_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t81_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t81_switch_tag)
                              {
                              case 't':
                                {
                                  char _t82_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t82_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t82_switch_tag)
                                    {
                                    case 'P':
                                      {
                                        char _t83_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t83_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t83_switch_tag)
                                          {
                                          case 'h':
                                            {
                                              char _t84_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t84_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t84_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t85_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t85_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t85_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t86_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t86_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t86_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t87_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t87_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t87_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            /* Begin decode phase on parameters */
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _return);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(104);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

