#include "array-1-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = prog;
	s.vers_num = vers;

	reg_success = flick_server_register(s, &prog_1234);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data)
{
  flick_unsigned8_t _t0_array_iter;

  flick_suntcp_encode_new_glob(64);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 16; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(64);
  flick_xdr_encode_bcopy(0, *_data, 4 * 16);
  flick_suntcp_encode_end_chunk(64);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(64);
}

void flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned8_t _t1_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t1_array_length = 16;
  flick_suntcp_decode_new_glob(64);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _t1_array_length; _t2_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t2_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(64);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t1_array_length);
  flick_suntcp_decode_end_chunk(64);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(64);
}

void flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data)
{
  flick_unsigned8_t _t3_array_iter;

  flick_suntcp_encode_new_glob(128);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < 32; _t3_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t3_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(128);
  flick_xdr_encode_bcopy(0, *_data, 4 * 32);
  flick_suntcp_encode_end_chunk(128);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(128);
}

void flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned8_t _t4_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t4_array_length = 32;
  flick_suntcp_decode_new_glob(128);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _t4_array_length; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(128);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t4_array_length);
  flick_suntcp_decode_end_chunk(128);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(128);
}

void flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data)
{
  flick_unsigned8_t _t6_array_iter;

  flick_suntcp_encode_new_glob(256);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t6_array_iter = 0; _t6_array_iter < 64; _t6_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t6_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(256);
  flick_xdr_encode_bcopy(0, *_data, 4 * 64);
  flick_suntcp_encode_end_chunk(256);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(256);
}

void flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned8_t _t7_array_length;
  flick_unsigned8_t _t8_array_iter;

  _t7_array_length = 64;
  flick_suntcp_decode_new_glob(256);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t8_array_iter = 0; _t8_array_iter < _t7_array_length; _t8_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t8_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(256);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t7_array_length);
  flick_suntcp_decode_end_chunk(256);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(256);
}

void flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data)
{
  flick_unsigned8_t _t9_array_iter;

  flick_suntcp_encode_new_glob(512);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t9_array_iter = 0; _t9_array_iter < 128; _t9_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t9_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(512);
  flick_xdr_encode_bcopy(0, *_data, 4 * 128);
  flick_suntcp_encode_end_chunk(512);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(512);
}

void flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned8_t _t10_array_length;
  flick_unsigned8_t _t11_array_iter;

  _t10_array_length = 128;
  flick_suntcp_decode_new_glob(512);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t11_array_iter = 0; _t11_array_iter < _t10_array_length; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t11_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(512);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t10_array_length);
  flick_suntcp_decode_end_chunk(512);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(512);
}

void flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data)
{
  flick_unsigned16_t _t12_array_iter;

  flick_suntcp_encode_new_glob(1024);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t12_array_iter = 0; _t12_array_iter < 256; _t12_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t12_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(1024);
  flick_xdr_encode_bcopy(0, *_data, 4 * 256);
  flick_suntcp_encode_end_chunk(1024);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(1024);
}

void flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned16_t _t13_array_length;
  flick_unsigned16_t _t14_array_iter;

  _t13_array_length = 256;
  flick_suntcp_decode_new_glob(1024);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t14_array_iter = 0; _t14_array_iter < _t13_array_length; _t14_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t14_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(1024);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t13_array_length);
  flick_suntcp_decode_end_chunk(1024);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(1024);
}

void flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data)
{
  flick_unsigned16_t _t15_array_iter;

  flick_suntcp_encode_new_glob(2048);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t15_array_iter = 0; _t15_array_iter < 512; _t15_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t15_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(2048);
  flick_xdr_encode_bcopy(0, *_data, 4 * 512);
  flick_suntcp_encode_end_chunk(2048);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(2048);
}

void flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned16_t _t16_array_length;
  flick_unsigned16_t _t17_array_iter;

  _t16_array_length = 512;
  flick_suntcp_decode_new_glob(2048);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t17_array_iter = 0; _t17_array_iter < _t16_array_length; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t17_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(2048);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t16_array_length);
  flick_suntcp_decode_end_chunk(2048);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(2048);
}

void flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data)
{
  flick_unsigned16_t _t18_array_iter;

  flick_suntcp_encode_new_glob(4096);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t18_array_iter = 0; _t18_array_iter < 1024; _t18_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t18_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4096);
  flick_xdr_encode_bcopy(0, *_data, 4 * 1024);
  flick_suntcp_encode_end_chunk(4096);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4096);
}

void flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned16_t _t19_array_length;
  flick_unsigned16_t _t20_array_iter;

  _t19_array_length = 1024;
  flick_suntcp_decode_new_glob(4096);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t20_array_iter = 0; _t20_array_iter < _t19_array_length; _t20_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t20_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4096);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t19_array_length);
  flick_suntcp_decode_end_chunk(4096);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4096);
}

void flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data)
{
  flick_unsigned16_t _t21_array_iter;

  flick_suntcp_encode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t21_array_iter = 0; _t21_array_iter < 2048; _t21_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t21_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8192);
  flick_xdr_encode_bcopy(0, *_data, 4 * 2048);
  flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(8192);
}

void flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned16_t _t22_array_length;
  flick_unsigned16_t _t23_array_iter;

  _t22_array_length = 2048;
  flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t23_array_iter = 0; _t23_array_iter < _t22_array_length; _t23_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t23_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8192);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t22_array_length);
  flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(8192);
}

void flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data)
{
  flick_unsigned16_t _t24_array_iter;

  flick_suntcp_encode_new_glob(4 * 4096);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t24_array_iter = 0; _t24_array_iter < 4096; _t24_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t24_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(16384);
  flick_xdr_encode_bcopy(0, *_data, 4 * 4096);
  flick_suntcp_encode_end_chunk(16384);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * 4096);
}

void flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned16_t _t25_array_length;
  flick_unsigned16_t _t26_array_iter;

  _t25_array_length = 4096;
  flick_suntcp_decode_new_glob(4 * _t25_array_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t26_array_iter = 0; _t26_array_iter < _t25_array_length; _t26_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t26_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(16384);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t25_array_length);
  flick_suntcp_decode_end_chunk(16384);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _t25_array_length);
}

void flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data)
{
  flick_unsigned16_t _t27_array_iter;

  flick_suntcp_encode_new_glob(4 * 8192);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t27_array_iter = 0; _t27_array_iter < 8192; _t27_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t27_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32768);
  flick_xdr_encode_bcopy(0, *_data, 4 * 8192);
  flick_suntcp_encode_end_chunk(32768);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * 8192);
}

void flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned16_t _t28_array_length;
  flick_unsigned16_t _t29_array_iter;

  _t28_array_length = 8192;
  flick_suntcp_decode_new_glob(4 * _t28_array_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t29_array_iter = 0; _t29_array_iter < _t28_array_length; _t29_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t29_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32768);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t28_array_length);
  flick_suntcp_decode_end_chunk(32768);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _t28_array_length);
}

void flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data)
{
  flick_unsigned16_t _t30_array_iter;

  flick_suntcp_encode_new_glob(4 * 16384);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t30_array_iter = 0; _t30_array_iter < 16384; _t30_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t30_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(65536);
  flick_xdr_encode_bcopy(0, *_data, 4 * 16384);
  flick_suntcp_encode_end_chunk(65536);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * 16384);
}

void flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned16_t _t31_array_length;
  flick_unsigned16_t _t32_array_iter;

  _t31_array_length = 16384;
  flick_suntcp_decode_new_glob(4 * _t31_array_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t32_array_iter = 0; _t32_array_iter < _t31_array_length; _t32_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t32_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(65536);
  flick_xdr_decode_bcopy(0, *_data, 4 * _t31_array_length);
  flick_suntcp_decode_end_chunk(65536);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _t31_array_length);
}

flick_operation_success_t prog_1234(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t67_switch_tag;

    flick_suntcp_decode_new_glob(4116);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t67_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t67_switch_tag)
      {
      case (signed int) 1:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t68_ignore;
            flick_unsigned8_t _t69_array_length;
            flick_unsigned8_t _t70_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t68_ignore);
            flick_xdr_decode_unsigned32(4, _t68_ignore);
            flick_xdr_decode_unsigned32(8, _t68_ignore);
            flick_xdr_decode_unsigned32(12, _t68_ignore);
            _t69_array_length = 16;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = auto_flick_alloc(_t69_array_length * sizeof(int ));
            for (_t70_array_iter = 0; _t70_array_iter < _t69_array_length; _t70_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t70_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(64);
            flick_xdr_decode_msgptr(0, _local_arg);
            flick_suntcp_decode_end_chunk(64);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = op64_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t71_ignore;
            flick_unsigned8_t _t72_array_length;
            flick_unsigned8_t _t73_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t71_ignore);
            flick_xdr_decode_unsigned32(4, _t71_ignore);
            flick_xdr_decode_unsigned32(8, _t71_ignore);
            flick_xdr_decode_unsigned32(12, _t71_ignore);
            _t72_array_length = 32;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = auto_flick_alloc(_t72_array_length * sizeof(int ));
            for (_t73_array_iter = 0; _t73_array_iter < _t72_array_length; _t73_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t73_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(128);
            flick_xdr_decode_msgptr(0, _local_arg);
            flick_suntcp_decode_end_chunk(128);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = op128_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t74_ignore;
            flick_unsigned8_t _t75_array_length;
            flick_unsigned8_t _t76_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t74_ignore);
            flick_xdr_decode_unsigned32(4, _t74_ignore);
            flick_xdr_decode_unsigned32(8, _t74_ignore);
            flick_xdr_decode_unsigned32(12, _t74_ignore);
            _t75_array_length = 64;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = auto_flick_alloc(_t75_array_length * sizeof(int ));
            for (_t76_array_iter = 0; _t76_array_iter < _t75_array_length; _t76_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t76_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(256);
            flick_xdr_decode_msgptr(0, _local_arg);
            flick_suntcp_decode_end_chunk(256);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = op256_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t77_ignore;
            flick_unsigned8_t _t78_array_length;
            flick_unsigned8_t _t79_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t77_ignore);
            flick_xdr_decode_unsigned32(4, _t77_ignore);
            flick_xdr_decode_unsigned32(8, _t77_ignore);
            flick_xdr_decode_unsigned32(12, _t77_ignore);
            _t78_array_length = 128;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = auto_flick_alloc(_t78_array_length * sizeof(int ));
            for (_t79_array_iter = 0; _t79_array_iter < _t78_array_length; _t79_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t79_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(512);
            flick_xdr_decode_msgptr(0, _local_arg);
            flick_suntcp_decode_end_chunk(512);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = op512_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t80_ignore;
            flick_unsigned16_t _t81_array_length;
            flick_unsigned16_t _t82_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t80_ignore);
            flick_xdr_decode_unsigned32(4, _t80_ignore);
            flick_xdr_decode_unsigned32(8, _t80_ignore);
            flick_xdr_decode_unsigned32(12, _t80_ignore);
            _t81_array_length = 256;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = auto_flick_alloc(_t81_array_length * sizeof(int ));
            for (_t82_array_iter = 0; _t82_array_iter < _t81_array_length; _t82_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t82_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(1024);
            flick_xdr_decode_msgptr(0, _local_arg);
            flick_suntcp_decode_end_chunk(1024);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = op1k_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t83_ignore;
            flick_unsigned16_t _t84_array_length;
            flick_unsigned16_t _t85_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t83_ignore);
            flick_xdr_decode_unsigned32(4, _t83_ignore);
            flick_xdr_decode_unsigned32(8, _t83_ignore);
            flick_xdr_decode_unsigned32(12, _t83_ignore);
            _t84_array_length = 512;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = auto_flick_alloc(_t84_array_length * sizeof(int ));
            for (_t85_array_iter = 0; _t85_array_iter < _t84_array_length; _t85_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t85_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(2048);
            flick_xdr_decode_msgptr(0, _local_arg);
            flick_suntcp_decode_end_chunk(2048);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = op2k_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t86_ignore;
            flick_unsigned16_t _t87_array_length;
            flick_unsigned16_t _t88_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t86_ignore);
            flick_xdr_decode_unsigned32(4, _t86_ignore);
            flick_xdr_decode_unsigned32(8, _t86_ignore);
            flick_xdr_decode_unsigned32(12, _t86_ignore);
            _t87_array_length = 1024;
            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = auto_flick_alloc(_t87_array_length * sizeof(int ));
            for (_t88_array_iter = 0; _t88_array_iter < _t87_array_length; _t88_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t88_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(4096);
            flick_xdr_decode_msgptr(0, _local_arg);
            flick_suntcp_decode_end_chunk(4096);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = op4k_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t89_ignore;
            flick_unsigned16_t _t90_array_length;
            flick_unsigned16_t _t91_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t89_ignore);
            flick_xdr_decode_unsigned32(4, _t89_ignore);
            flick_xdr_decode_unsigned32(8, _t89_ignore);
            flick_xdr_decode_unsigned32(12, _t89_ignore);
            _t90_array_length = 2048;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = auto_flick_alloc(_t90_array_length * sizeof(int ));
            for (_t91_array_iter = 0; _t91_array_iter < _t90_array_length; _t91_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t91_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(8192);
            flick_xdr_decode_msgptr(0, _local_arg);
            flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(8192);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = op8k_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 9:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t92_ignore;
            flick_unsigned16_t _t93_array_length;
            flick_unsigned16_t _t94_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t92_ignore);
            flick_xdr_decode_unsigned32(4, _t92_ignore);
            flick_xdr_decode_unsigned32(8, _t92_ignore);
            flick_xdr_decode_unsigned32(12, _t92_ignore);
            _t93_array_length = 4096;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_decode_new_glob(4 * _t93_array_length);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = auto_flick_alloc(_t93_array_length * sizeof(int ));
            for (_t94_array_iter = 0; _t94_array_iter < _t93_array_length; _t94_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t94_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(16384);
            flick_xdr_decode_msgptr(0, _local_arg);
            flick_suntcp_decode_end_chunk(16384);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _t93_array_length);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = op16k_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 10:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t95_ignore;
            flick_unsigned16_t _t96_array_length;
            flick_unsigned16_t _t97_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t95_ignore);
            flick_xdr_decode_unsigned32(4, _t95_ignore);
            flick_xdr_decode_unsigned32(8, _t95_ignore);
            flick_xdr_decode_unsigned32(12, _t95_ignore);
            _t96_array_length = 8192;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_decode_new_glob(4 * _t96_array_length);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = auto_flick_alloc(_t96_array_length * sizeof(int ));
            for (_t97_array_iter = 0; _t97_array_iter < _t96_array_length; _t97_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t97_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(32768);
            flick_xdr_decode_msgptr(0, _local_arg);
            flick_suntcp_decode_end_chunk(32768);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _t96_array_length);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = op32k_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 11:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t98_ignore;
            flick_unsigned16_t _t99_array_length;
            flick_unsigned16_t _t100_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t98_ignore);
            flick_xdr_decode_unsigned32(4, _t98_ignore);
            flick_xdr_decode_unsigned32(8, _t98_ignore);
            flick_xdr_decode_unsigned32(12, _t98_ignore);
            _t99_array_length = 16384;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(4116);
            flick_suntcp_decode_new_glob(4 * _t99_array_length);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg = auto_flick_alloc(_t99_array_length * sizeof(int ));
            for (_t100_array_iter = 0; _t100_array_iter < _t99_array_length; _t100_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg[_t100_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(65536);
            flick_xdr_decode_msgptr(0, _local_arg);
            flick_suntcp_decode_end_chunk(65536);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _t99_array_length);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = op64k_1234(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(4116);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
