#include "arrays-client.h"

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->elem1);
  flick_xdr_encode_char8(4, _data->elem2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->elem1);
  flick_xdr_decode_char8(4, _data->elem2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_char8(0, _data->elem1);
  flick_xdr_encode_signed32(4, _data->elem2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_char8(0, _data->elem1);
  flick_xdr_decode_signed32(4, _data->elem2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
  flick_unsigned8_t _t0_array_iter;

  flick_suntcp_encode_new_glob(212);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 50; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 4 * 50);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(212);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t1_array_length;
  flick_unsigned8_t _t2_array_iter;

  flick_suntcp_decode_new_glob(212);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  _t1_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _t1_array_length; _t2_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t2_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 4 * _t1_array_length);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(212);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
  flick_unsigned8_t _t3_array_iter;

  flick_suntcp_encode_new_glob(212);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < 50; _t3_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t3_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 4 * 50);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(212);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t4_array_length;
  flick_unsigned8_t _t5_array_iter;

  flick_suntcp_decode_new_glob(212);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  _t4_array_length = 50;
  flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _t4_array_length; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 4 * _t4_array_length);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(212);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
  flick_unsigned8_t _t6_array_iter;

  flick_suntcp_encode_new_glob(208);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t6_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 4 * 50);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(208);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t7_array_length;
  flick_unsigned8_t _t8_array_iter;

  flick_suntcp_decode_new_glob(208);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  _t7_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t8_array_iter = 0; _t8_array_iter < _t7_array_length; _t8_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t8_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 4 * _t7_array_length);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(208);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t9_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t9_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t9_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t10_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  _t10_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
  for (_t11_array_iter = 0; _t11_array_iter < _t10_array_length; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t11_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t11_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t12_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  flick_suntcp_encode_end_chunk(8);
  for (_t12_array_iter = 0; _t12_array_iter < 50; _t12_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t12_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t12_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t13_array_length;
  flick_unsigned8_t _t14_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  _t13_array_length = 50;
  flick_suntcp_decode_end_chunk(8);
  for (_t14_array_iter = 0; _t14_array_iter < _t13_array_length; _t14_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t14_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t14_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t15_array_iter;

  flick_suntcp_encode_new_glob(408);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t15_array_iter = 0; _t15_array_iter < 50; _t15_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t15_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t15_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(408);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t16_array_length;
  flick_unsigned8_t _t17_array_iter;

  flick_suntcp_decode_new_glob(408);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  _t16_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
  for (_t17_array_iter = 0; _t17_array_iter < _t16_array_length; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t17_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t17_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(408);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t18_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t18_array_iter = 0; _t18_array_iter < 50; _t18_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t18_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t18_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t19_array_length;
  flick_unsigned8_t _t20_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  _t19_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
  for (_t20_array_iter = 0; _t20_array_iter < _t19_array_length; _t20_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t20_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t20_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t21_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  flick_suntcp_encode_end_chunk(8);
  for (_t21_array_iter = 0; _t21_array_iter < 50; _t21_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t21_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t21_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t22_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  _t22_array_length = 50;
  flick_suntcp_decode_end_chunk(8);
  for (_t23_array_iter = 0; _t23_array_iter < _t22_array_length; _t23_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t23_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t23_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t24_array_iter;

  flick_suntcp_encode_new_glob(408);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t24_array_iter = 0; _t24_array_iter < 50; _t24_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t24_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t24_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(408);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t25_array_length;
  flick_unsigned8_t _t26_array_iter;

  flick_suntcp_decode_new_glob(408);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  _t25_array_length = 50;
  flick_suntcp_decode_end_chunk(4);
  for (_t26_array_iter = 0; _t26_array_iter < _t25_array_length; _t26_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t26_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t26_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(408);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

struct cLd arrays_test_cLd(arrays _obj, struct cLd *inp, struct cLd *iop, struct cLd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cLd _return;

  memset(&_return, 0, sizeof(struct cLd ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t29_array_iter;
    flick_unsigned8_t _t30_array_iter;

    flick_suntcp_encode_new_glob(480);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'c');
    flick_xdr_encode_char8(28, 'L');
    flick_xdr_encode_char8(32, 'd');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_char8(56, inp->first);
    flick_suntcp_encode_end_chunk(60);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t29_array_iter = 0; _t29_array_iter < 50; _t29_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, inp->data[_t29_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(200);
    flick_xdr_encode_bcopy(0, inp->data, 4 * 50);
    flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(12);
    flick_xdr_encode_float64(0, inp->last);
    flick_xdr_encode_char8(8, iop->first);
    flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t30_array_iter = 0; _t30_array_iter < 50; _t30_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, iop->data[_t30_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(200);
    flick_xdr_encode_bcopy(0, iop->data, 4 * 50);
    flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(8);
    flick_xdr_encode_float64(0, iop->last);
    flick_suntcp_encode_end_chunk(8);
    flick_suntcp_encode_end_glob(480);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(640);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t37_array_length;
            flick_unsigned8_t _t38_array_iter;
            flick_unsigned8_t _t39_array_length;
            flick_unsigned8_t _t40_array_iter;
            flick_unsigned8_t _t41_array_length;
            flick_unsigned8_t _t42_array_iter;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, _return.first);
            _t37_array_length = 50;
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t38_array_iter = 0; _t38_array_iter < _t37_array_length; _t38_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _return.data[_t38_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, _return.data, 4 * _t37_array_length);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float64(0, _return.last);
            flick_xdr_decode_char8(8, iop->first);
            _t39_array_length = 50;
            flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t40_array_iter = 0; _t40_array_iter < _t39_array_length; _t40_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, iop->data[_t40_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, iop->data, 4 * _t39_array_length);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float64(0, iop->last);
            flick_xdr_decode_char8(8, outp->first);
            _t41_array_length = 50;
            flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t42_array_iter = 0; _t42_array_iter < _t41_array_length; _t42_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, outp->data[_t42_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, outp->data, 4 * _t41_array_length);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, outp->last);
            flick_suntcp_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(640);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct dLc arrays_test_dLc(arrays _obj, struct dLc *inp, struct dLc *iop, struct dLc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dLc _return;

  memset(&_return, 0, sizeof(struct dLc ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t45_array_iter;
    flick_unsigned8_t _t46_array_iter;

    flick_suntcp_encode_new_glob(480);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'd');
    flick_xdr_encode_char8(28, 'L');
    flick_xdr_encode_char8(32, 'c');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_float64(56, inp->first);
    flick_suntcp_encode_end_chunk(64);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t45_array_iter = 0; _t45_array_iter < 50; _t45_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, inp->data[_t45_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(200);
    flick_xdr_encode_bcopy(0, inp->data, 4 * 50);
    flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(12);
    flick_xdr_encode_char8(0, inp->last);
    flick_xdr_encode_float64(4, iop->first);
    flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t46_array_iter = 0; _t46_array_iter < 50; _t46_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, iop->data[_t46_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(200);
    flick_xdr_encode_bcopy(0, iop->data, 4 * 50);
    flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_char8(0, iop->last);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(480);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(640);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t53_array_length;
            flick_unsigned8_t _t54_array_iter;
            flick_unsigned8_t _t55_array_length;
            flick_unsigned8_t _t56_array_iter;
            flick_unsigned8_t _t57_array_length;
            flick_unsigned8_t _t58_array_iter;

            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, _return.first);
            _t53_array_length = 50;
            flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t54_array_iter = 0; _t54_array_iter < _t53_array_length; _t54_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _return.data[_t54_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, _return.data, 4 * _t53_array_length);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, _return.last);
            flick_xdr_decode_float64(4, iop->first);
            _t55_array_length = 50;
            flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t56_array_iter = 0; _t56_array_iter < _t55_array_length; _t56_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, iop->data[_t56_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, iop->data, 4 * _t55_array_length);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, iop->last);
            flick_xdr_decode_float64(4, outp->first);
            _t57_array_length = 50;
            flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t58_array_iter = 0; _t58_array_iter < _t57_array_length; _t58_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, outp->data[_t58_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, outp->data, 4 * _t57_array_length);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, outp->last);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(640);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct sLs arrays_test_sLs(arrays _obj, struct sLs *inp, struct sLs *iop, struct sLs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sLs _return;

  memset(&_return, 0, sizeof(struct sLs ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t61_array_iter;
    flick_unsigned8_t _t62_array_iter;

    flick_suntcp_encode_new_glob(472);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 'L');
    flick_xdr_encode_char8(32, 's');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_signed16(56, inp->first);
    flick_suntcp_encode_end_chunk(60);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t61_array_iter = 0; _t61_array_iter < 50; _t61_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, inp->data[_t61_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(200);
    flick_xdr_encode_bcopy(0, inp->data, 4 * 50);
    flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(8);
    flick_xdr_encode_signed16(0, inp->last);
    flick_xdr_encode_signed16(4, iop->first);
    flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t62_array_iter = 0; _t62_array_iter < 50; _t62_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, iop->data[_t62_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(200);
    flick_xdr_encode_bcopy(0, iop->data, 4 * 50);
    flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_signed16(0, iop->last);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(472);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(628);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t69_array_length;
            flick_unsigned8_t _t70_array_iter;
            flick_unsigned8_t _t71_array_length;
            flick_unsigned8_t _t72_array_iter;
            flick_unsigned8_t _t73_array_length;
            flick_unsigned8_t _t74_array_iter;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return.first);
            _t69_array_length = 50;
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t70_array_iter = 0; _t70_array_iter < _t69_array_length; _t70_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _return.data[_t70_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, _return.data, 4 * _t69_array_length);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed16(0, _return.last);
            flick_xdr_decode_signed16(4, iop->first);
            _t71_array_length = 50;
            flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t72_array_iter = 0; _t72_array_iter < _t71_array_length; _t72_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, iop->data[_t72_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, iop->data, 4 * _t71_array_length);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed16(0, iop->last);
            flick_xdr_decode_signed16(4, outp->first);
            _t73_array_length = 50;
            flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t74_array_iter = 0; _t74_array_iter < _t73_array_length; _t74_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, outp->data[_t74_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(200);
            flick_xdr_decode_bcopy(0, outp->data, 4 * _t73_array_length);
            flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, outp->last);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(628);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct cLCd arrays_test_cLCd(arrays _obj, struct cLCd *inp, struct cLCd *iop, struct cLCd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cLCd _return;

  memset(&_return, 0, sizeof(struct cLCd ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t77_array_iter;
    flick_unsigned8_t _t78_array_iter;

    flick_suntcp_encode_new_glob(884);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'c');
    flick_xdr_encode_char8(28, 'L');
    flick_xdr_encode_char8(32, 'C');
    flick_xdr_encode_char8(36, 'd');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_char8(60, inp->first);
    flick_suntcp_encode_end_chunk(64);
    for (_t77_array_iter = 0; _t77_array_iter < 50; _t77_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, inp->data[_t77_array_iter].elem1);
        flick_xdr_encode_char8(4, inp->data[_t77_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(12);
    flick_xdr_encode_float64(0, inp->last);
    flick_xdr_encode_char8(8, iop->first);
    flick_suntcp_encode_end_chunk(12);
    for (_t78_array_iter = 0; _t78_array_iter < 50; _t78_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, iop->data[_t78_array_iter].elem1);
        flick_xdr_encode_char8(4, iop->data[_t78_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(8);
    flick_xdr_encode_float64(0, iop->last);
    flick_suntcp_encode_end_chunk(8);
    flick_suntcp_encode_end_glob(884);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(1240);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t85_array_length;
            flick_unsigned8_t _t86_array_iter;
            flick_unsigned8_t _t87_array_length;
            flick_unsigned8_t _t88_array_iter;
            flick_unsigned8_t _t89_array_length;
            flick_unsigned8_t _t90_array_iter;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, _return.first);
            _t85_array_length = 50;
            flick_suntcp_decode_end_chunk(4);
            for (_t86_array_iter = 0; _t86_array_iter < _t85_array_length; _t86_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, _return.data[_t86_array_iter].elem1);
                flick_xdr_decode_char8(4, _return.data[_t86_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float64(0, _return.last);
            flick_xdr_decode_char8(8, iop->first);
            _t87_array_length = 50;
            flick_suntcp_decode_end_chunk(12);
            for (_t88_array_iter = 0; _t88_array_iter < _t87_array_length; _t88_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, iop->data[_t88_array_iter].elem1);
                flick_xdr_decode_char8(4, iop->data[_t88_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float64(0, iop->last);
            flick_xdr_decode_char8(8, outp->first);
            _t89_array_length = 50;
            flick_suntcp_decode_end_chunk(12);
            for (_t90_array_iter = 0; _t90_array_iter < _t89_array_length; _t90_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, outp->data[_t90_array_iter].elem1);
                flick_xdr_decode_char8(4, outp->data[_t90_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, outp->last);
            flick_suntcp_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(1240);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct dLCc arrays_test_dLCc(arrays _obj, struct dLCc *inp, struct dLCc *iop, struct dLCc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dLCc _return;

  memset(&_return, 0, sizeof(struct dLCc ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t93_array_iter;
    flick_unsigned8_t _t94_array_iter;

    flick_suntcp_encode_new_glob(884);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'd');
    flick_xdr_encode_char8(28, 'L');
    flick_xdr_encode_char8(32, 'C');
    flick_xdr_encode_char8(36, 'c');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_float64(60, inp->first);
    flick_suntcp_encode_end_chunk(68);
    for (_t93_array_iter = 0; _t93_array_iter < 50; _t93_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, inp->data[_t93_array_iter].elem1);
        flick_xdr_encode_char8(4, inp->data[_t93_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(12);
    flick_xdr_encode_char8(0, inp->last);
    flick_xdr_encode_float64(4, iop->first);
    flick_suntcp_encode_end_chunk(12);
    for (_t94_array_iter = 0; _t94_array_iter < 50; _t94_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, iop->data[_t94_array_iter].elem1);
        flick_xdr_encode_char8(4, iop->data[_t94_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_char8(0, iop->last);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(884);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(1240);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t101_array_length;
            flick_unsigned8_t _t102_array_iter;
            flick_unsigned8_t _t103_array_length;
            flick_unsigned8_t _t104_array_iter;
            flick_unsigned8_t _t105_array_length;
            flick_unsigned8_t _t106_array_iter;

            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, _return.first);
            _t101_array_length = 50;
            flick_suntcp_decode_end_chunk(8);
            for (_t102_array_iter = 0; _t102_array_iter < _t101_array_length; _t102_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, _return.data[_t102_array_iter].elem1);
                flick_xdr_decode_char8(4, _return.data[_t102_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, _return.last);
            flick_xdr_decode_float64(4, iop->first);
            _t103_array_length = 50;
            flick_suntcp_decode_end_chunk(12);
            for (_t104_array_iter = 0; _t104_array_iter < _t103_array_length; _t104_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, iop->data[_t104_array_iter].elem1);
                flick_xdr_decode_char8(4, iop->data[_t104_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, iop->last);
            flick_xdr_decode_float64(4, outp->first);
            _t105_array_length = 50;
            flick_suntcp_decode_end_chunk(12);
            for (_t106_array_iter = 0; _t106_array_iter < _t105_array_length; _t106_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, outp->data[_t106_array_iter].elem1);
                flick_xdr_decode_char8(4, outp->data[_t106_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, outp->last);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(1240);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct sLCs arrays_test_sLCs(arrays _obj, struct sLCs *inp, struct sLCs *iop, struct sLCs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sLCs _return;

  memset(&_return, 0, sizeof(struct sLCs ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t109_array_iter;
    flick_unsigned8_t _t110_array_iter;

    flick_suntcp_encode_new_glob(876);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 'L');
    flick_xdr_encode_char8(32, 'C');
    flick_xdr_encode_char8(36, 's');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_signed16(60, inp->first);
    flick_suntcp_encode_end_chunk(64);
    for (_t109_array_iter = 0; _t109_array_iter < 50; _t109_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, inp->data[_t109_array_iter].elem1);
        flick_xdr_encode_char8(4, inp->data[_t109_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(8);
    flick_xdr_encode_signed16(0, inp->last);
    flick_xdr_encode_signed16(4, iop->first);
    flick_suntcp_encode_end_chunk(8);
    for (_t110_array_iter = 0; _t110_array_iter < 50; _t110_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, iop->data[_t110_array_iter].elem1);
        flick_xdr_encode_char8(4, iop->data[_t110_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_signed16(0, iop->last);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(876);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(1228);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t117_array_length;
            flick_unsigned8_t _t118_array_iter;
            flick_unsigned8_t _t119_array_length;
            flick_unsigned8_t _t120_array_iter;
            flick_unsigned8_t _t121_array_length;
            flick_unsigned8_t _t122_array_iter;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return.first);
            _t117_array_length = 50;
            flick_suntcp_decode_end_chunk(4);
            for (_t118_array_iter = 0; _t118_array_iter < _t117_array_length; _t118_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, _return.data[_t118_array_iter].elem1);
                flick_xdr_decode_char8(4, _return.data[_t118_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed16(0, _return.last);
            flick_xdr_decode_signed16(4, iop->first);
            _t119_array_length = 50;
            flick_suntcp_decode_end_chunk(8);
            for (_t120_array_iter = 0; _t120_array_iter < _t119_array_length; _t120_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, iop->data[_t120_array_iter].elem1);
                flick_xdr_decode_char8(4, iop->data[_t120_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed16(0, iop->last);
            flick_xdr_decode_signed16(4, outp->first);
            _t121_array_length = 50;
            flick_suntcp_decode_end_chunk(8);
            for (_t122_array_iter = 0; _t122_array_iter < _t121_array_length; _t122_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_signed32(0, outp->data[_t122_array_iter].elem1);
                flick_xdr_decode_char8(4, outp->data[_t122_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, outp->last);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(1228);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct cCLd arrays_test_cCLd(arrays _obj, struct cCLd *inp, struct cCLd *iop, struct cCLd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct cCLd _return;

  memset(&_return, 0, sizeof(struct cCLd ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t125_array_iter;
    flick_unsigned8_t _t126_array_iter;

    flick_suntcp_encode_new_glob(884);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'c');
    flick_xdr_encode_char8(28, 'C');
    flick_xdr_encode_char8(32, 'L');
    flick_xdr_encode_char8(36, 'd');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_char8(60, inp->first);
    flick_suntcp_encode_end_chunk(64);
    for (_t125_array_iter = 0; _t125_array_iter < 50; _t125_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_char8(0, inp->data[_t125_array_iter].elem1);
        flick_xdr_encode_signed32(4, inp->data[_t125_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(12);
    flick_xdr_encode_float64(0, inp->last);
    flick_xdr_encode_char8(8, iop->first);
    flick_suntcp_encode_end_chunk(12);
    for (_t126_array_iter = 0; _t126_array_iter < 50; _t126_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_char8(0, iop->data[_t126_array_iter].elem1);
        flick_xdr_encode_signed32(4, iop->data[_t126_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(8);
    flick_xdr_encode_float64(0, iop->last);
    flick_suntcp_encode_end_chunk(8);
    flick_suntcp_encode_end_glob(884);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(1240);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t133_array_length;
            flick_unsigned8_t _t134_array_iter;
            flick_unsigned8_t _t135_array_length;
            flick_unsigned8_t _t136_array_iter;
            flick_unsigned8_t _t137_array_length;
            flick_unsigned8_t _t138_array_iter;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, _return.first);
            _t133_array_length = 50;
            flick_suntcp_decode_end_chunk(4);
            for (_t134_array_iter = 0; _t134_array_iter < _t133_array_length; _t134_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, _return.data[_t134_array_iter].elem1);
                flick_xdr_decode_signed32(4, _return.data[_t134_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float64(0, _return.last);
            flick_xdr_decode_char8(8, iop->first);
            _t135_array_length = 50;
            flick_suntcp_decode_end_chunk(12);
            for (_t136_array_iter = 0; _t136_array_iter < _t135_array_length; _t136_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, iop->data[_t136_array_iter].elem1);
                flick_xdr_decode_signed32(4, iop->data[_t136_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float64(0, iop->last);
            flick_xdr_decode_char8(8, outp->first);
            _t137_array_length = 50;
            flick_suntcp_decode_end_chunk(12);
            for (_t138_array_iter = 0; _t138_array_iter < _t137_array_length; _t138_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, outp->data[_t138_array_iter].elem1);
                flick_xdr_decode_signed32(4, outp->data[_t138_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, outp->last);
            flick_suntcp_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(1240);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct dCLc arrays_test_dCLc(arrays _obj, struct dCLc *inp, struct dCLc *iop, struct dCLc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct dCLc _return;

  memset(&_return, 0, sizeof(struct dCLc ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t141_array_iter;
    flick_unsigned8_t _t142_array_iter;

    flick_suntcp_encode_new_glob(884);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'd');
    flick_xdr_encode_char8(28, 'C');
    flick_xdr_encode_char8(32, 'L');
    flick_xdr_encode_char8(36, 'c');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_float64(60, inp->first);
    flick_suntcp_encode_end_chunk(68);
    for (_t141_array_iter = 0; _t141_array_iter < 50; _t141_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_char8(0, inp->data[_t141_array_iter].elem1);
        flick_xdr_encode_signed32(4, inp->data[_t141_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(12);
    flick_xdr_encode_char8(0, inp->last);
    flick_xdr_encode_float64(4, iop->first);
    flick_suntcp_encode_end_chunk(12);
    for (_t142_array_iter = 0; _t142_array_iter < 50; _t142_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_char8(0, iop->data[_t142_array_iter].elem1);
        flick_xdr_encode_signed32(4, iop->data[_t142_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_char8(0, iop->last);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(884);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(1240);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t149_array_length;
            flick_unsigned8_t _t150_array_iter;
            flick_unsigned8_t _t151_array_length;
            flick_unsigned8_t _t152_array_iter;
            flick_unsigned8_t _t153_array_length;
            flick_unsigned8_t _t154_array_iter;

            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, _return.first);
            _t149_array_length = 50;
            flick_suntcp_decode_end_chunk(8);
            for (_t150_array_iter = 0; _t150_array_iter < _t149_array_length; _t150_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, _return.data[_t150_array_iter].elem1);
                flick_xdr_decode_signed32(4, _return.data[_t150_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, _return.last);
            flick_xdr_decode_float64(4, iop->first);
            _t151_array_length = 50;
            flick_suntcp_decode_end_chunk(12);
            for (_t152_array_iter = 0; _t152_array_iter < _t151_array_length; _t152_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, iop->data[_t152_array_iter].elem1);
                flick_xdr_decode_signed32(4, iop->data[_t152_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, iop->last);
            flick_xdr_decode_float64(4, outp->first);
            _t153_array_length = 50;
            flick_suntcp_decode_end_chunk(12);
            for (_t154_array_iter = 0; _t154_array_iter < _t153_array_length; _t154_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, outp->data[_t154_array_iter].elem1);
                flick_xdr_decode_signed32(4, outp->data[_t154_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, outp->last);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(1240);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct sCLs arrays_test_sCLs(arrays _obj, struct sCLs *inp, struct sCLs *iop, struct sCLs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct sCLs _return;

  memset(&_return, 0, sizeof(struct sCLs ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t157_array_iter;
    flick_unsigned8_t _t158_array_iter;

    flick_suntcp_encode_new_glob(876);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 'C');
    flick_xdr_encode_char8(32, 'L');
    flick_xdr_encode_char8(36, 's');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_signed16(60, inp->first);
    flick_suntcp_encode_end_chunk(64);
    for (_t157_array_iter = 0; _t157_array_iter < 50; _t157_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_char8(0, inp->data[_t157_array_iter].elem1);
        flick_xdr_encode_signed32(4, inp->data[_t157_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(8);
    flick_xdr_encode_signed16(0, inp->last);
    flick_xdr_encode_signed16(4, iop->first);
    flick_suntcp_encode_end_chunk(8);
    for (_t158_array_iter = 0; _t158_array_iter < 50; _t158_array_iter++)
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_char8(0, iop->data[_t158_array_iter].elem1);
        flick_xdr_encode_signed32(4, iop->data[_t158_array_iter].elem2);
        flick_suntcp_encode_end_chunk(8);
      }
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_signed16(0, iop->last);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(876);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(1228);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t165_array_length;
            flick_unsigned8_t _t166_array_iter;
            flick_unsigned8_t _t167_array_length;
            flick_unsigned8_t _t168_array_iter;
            flick_unsigned8_t _t169_array_length;
            flick_unsigned8_t _t170_array_iter;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return.first);
            _t165_array_length = 50;
            flick_suntcp_decode_end_chunk(4);
            for (_t166_array_iter = 0; _t166_array_iter < _t165_array_length; _t166_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, _return.data[_t166_array_iter].elem1);
                flick_xdr_decode_signed32(4, _return.data[_t166_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed16(0, _return.last);
            flick_xdr_decode_signed16(4, iop->first);
            _t167_array_length = 50;
            flick_suntcp_decode_end_chunk(8);
            for (_t168_array_iter = 0; _t168_array_iter < _t167_array_length; _t168_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, iop->data[_t168_array_iter].elem1);
                flick_xdr_decode_signed32(4, iop->data[_t168_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed16(0, iop->last);
            flick_xdr_decode_signed16(4, outp->first);
            _t169_array_length = 50;
            flick_suntcp_decode_end_chunk(8);
            for (_t170_array_iter = 0; _t170_array_iter < _t169_array_length; _t170_array_iter++)
              {
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_char8(0, outp->data[_t170_array_iter].elem1);
                flick_xdr_decode_signed32(4, outp->data[_t170_array_iter].elem2);
                flick_suntcp_decode_end_chunk(8);
              }
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, outp->last);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(1228);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

