#include "atomic_-client.h"

void flick_marshal_stub_Atomic_test(flick_marshal_stream_t _stream, const Atomic_test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Atomic_test(flick_marshal_stream_t _stream, Atomic_test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

CORBA_short Atomic_test_Short(Atomic_test _obj, CORBA_short a, CORBA_short *b, CORBA_short *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(52);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 6);
    flick_xdr_encode_char8(4, 'S');
    flick_xdr_encode_char8(8, 'h');
    flick_xdr_encode_char8(12, 'o');
    flick_xdr_encode_char8(16, 'r');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_signed16(44, a);
    flick_xdr_encode_signed16(48, *b);
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed16(0, _return);
            flick_xdr_decode_signed16(4, *b);
            flick_xdr_decode_signed16(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long Atomic_test_Long(Atomic_test _obj, CORBA_long a, CORBA_long *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 5);
    flick_xdr_encode_char8(4, 'L');
    flick_xdr_encode_char8(8, 'o');
    flick_xdr_encode_char8(12, 'n');
    flick_xdr_encode_char8(16, 'g');
    flick_xdr_encode_char8(20, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_signed32(40, a);
    flick_xdr_encode_signed32(44, *b);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, _return);
            flick_xdr_decode_signed32(4, *b);
            flick_xdr_decode_signed32(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_unsigned_short Atomic_test_UShort(Atomic_test _obj, CORBA_unsigned_short a, CORBA_unsigned_short *b, CORBA_unsigned_short *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(56);
    flick_suntcp_encode_new_chunk(56);
    flick_xdr_encode_unsigned32(0, 7);
    flick_xdr_encode_char8(4, 'U');
    flick_xdr_encode_char8(8, 'S');
    flick_xdr_encode_char8(12, 'h');
    flick_xdr_encode_char8(16, 'o');
    flick_xdr_encode_char8(20, 'r');
    flick_xdr_encode_char8(24, 't');
    flick_xdr_encode_char8(28, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned16(48, a);
    flick_xdr_encode_unsigned16(52, *b);
    flick_suntcp_encode_end_chunk(56);
    flick_suntcp_encode_end_glob(56);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned16(0, _return);
            flick_xdr_decode_unsigned16(4, *b);
            flick_xdr_decode_unsigned16(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_unsigned_long Atomic_test_ULong(Atomic_test _obj, CORBA_unsigned_long a, CORBA_unsigned_long *b, CORBA_unsigned_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(52);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 6);
    flick_xdr_encode_char8(4, 'U');
    flick_xdr_encode_char8(8, 'L');
    flick_xdr_encode_char8(12, 'o');
    flick_xdr_encode_char8(16, 'n');
    flick_xdr_encode_char8(20, 'g');
    flick_xdr_encode_char8(24, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, a);
    flick_xdr_encode_unsigned32(48, *b);
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned32(0, _return);
            flick_xdr_decode_unsigned32(4, *b);
            flick_xdr_decode_unsigned32(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_float Atomic_test_Float(Atomic_test _obj, CORBA_float a, CORBA_float *b, CORBA_float *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_float _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(52);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 6);
    flick_xdr_encode_char8(4, 'F');
    flick_xdr_encode_char8(8, 'l');
    flick_xdr_encode_char8(12, 'o');
    flick_xdr_encode_char8(16, 'a');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_float32(44, a);
    flick_xdr_encode_float32(48, *b);
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float32(0, _return);
            flick_xdr_decode_float32(4, *b);
            flick_xdr_decode_float32(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_double Atomic_test_Double(Atomic_test _obj, CORBA_double a, CORBA_double *b, CORBA_double *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_double _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(64);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 7);
    flick_xdr_encode_char8(4, 'D');
    flick_xdr_encode_char8(8, 'o');
    flick_xdr_encode_char8(12, 'u');
    flick_xdr_encode_char8(16, 'b');
    flick_xdr_encode_char8(20, 'l');
    flick_xdr_encode_char8(24, 'e');
    flick_xdr_encode_char8(28, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_float64(48, a);
    flick_xdr_encode_float64(56, *b);
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(28);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_float64(0, _return);
            flick_xdr_decode_float64(8, *b);
            flick_xdr_decode_float64(16, *c);
            flick_suntcp_decode_end_chunk(24);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(28);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_boolean Atomic_test_Boolean(Atomic_test _obj, CORBA_boolean a, CORBA_boolean *b, CORBA_boolean *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_boolean _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 8);
    flick_xdr_encode_char8(4, 'B');
    flick_xdr_encode_char8(8, 'o');
    flick_xdr_encode_char8(12, 'o');
    flick_xdr_encode_char8(16, 'l');
    flick_xdr_encode_char8(20, 'e');
    flick_xdr_encode_char8(24, 'a');
    flick_xdr_encode_char8(28, 'n');
    flick_xdr_encode_char8(32, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned8(52, a);
    flick_xdr_encode_unsigned8(56, *b);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned8(0, _return);
            flick_xdr_decode_unsigned8(4, *b);
            flick_xdr_decode_unsigned8(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_char Atomic_test_Char(Atomic_test _obj, CORBA_char a, CORBA_char *b, CORBA_char *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 5);
    flick_xdr_encode_char8(4, 'C');
    flick_xdr_encode_char8(8, 'h');
    flick_xdr_encode_char8(12, 'a');
    flick_xdr_encode_char8(16, 'r');
    flick_xdr_encode_char8(20, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_char8(40, a);
    flick_xdr_encode_char8(44, *b);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, _return);
            flick_xdr_decode_char8(4, *b);
            flick_xdr_decode_char8(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_octet Atomic_test_Octet(Atomic_test _obj, CORBA_octet a, CORBA_octet *b, CORBA_octet *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_octet _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(52);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 6);
    flick_xdr_encode_char8(4, 'O');
    flick_xdr_encode_char8(8, 'c');
    flick_xdr_encode_char8(12, 't');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned8(44, a);
    flick_xdr_encode_unsigned8(48, *b);
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned8(0, _return);
            flick_xdr_decode_unsigned8(4, *b);
            flick_xdr_decode_unsigned8(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

