#include "complex-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = progname;
	s.vers_num = versname;

	reg_success = flick_server_register(s, &progname_2);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_person(flick_marshal_stream_t _stream, const struct person *_data)
{
  flick_xdr_encode_string(_data->name, null_flick_free, suntcp, 200);
}

void flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_xdr_decode_string(_data->name, sun_flick_alloc, suntcp, 200);
}

void flick_marshal_stub_people(flick_marshal_stream_t _stream, const people *_data)
{
  unsigned long int _t0_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->people_len);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->people_len; _t0_array_iter++)
    {
      flick_xdr_encode_string(_data->people_val[_t0_array_iter].name, null_flick_free, suntcp, 200);
    }
}

void flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->people_len);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  _data->people_val = sun_flick_alloc(_data->people_len * sizeof(struct person ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->people_len; _t1_array_iter++)
    {
      flick_xdr_decode_string(_data->people_val[_t1_array_iter].name, sun_flick_alloc, suntcp, 200);
    }
}

flick_operation_success_t progname_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t6_switch_tag;

    flick_suntcp_decode_new_glob(24);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t6_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t6_switch_tag)
      {
      case (signed int) 1:
        {
          {
            people *_local_arg;
            struct svc_req *_obj;
            void *_return = 0;
            unsigned int _t7_ignore;
            people _t8_storage;
            unsigned long int _t9_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t7_ignore);
            flick_xdr_decode_unsigned32(4, _t7_ignore);
            flick_xdr_decode_unsigned32(8, _t7_ignore);
            flick_xdr_decode_unsigned32(12, _t7_ignore);
            _local_arg = &_t8_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->people_len);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            _local_arg->people_val = auto_flick_alloc(_local_arg->people_len * sizeof(struct person ));
            for (_t9_array_iter = 0; _t9_array_iter < _local_arg->people_len; _t9_array_iter++)
              {
                flick_xdr_decode_auto_string(_local_arg->people_val[_t9_array_iter].name, auto_flick_alloc, suntcp);
              }
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(4);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(4);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(24);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
