#include "corbastat-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	reg_success = flick_server_register(s, &test_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_my_ulong_t(flick_marshal_stream_t _stream, const my_ulong_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_dev_t(flick_marshal_stream_t _stream, const my_dev_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_ino_t(flick_marshal_stream_t _stream, const my_ino_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_mode_t(flick_marshal_stream_t _stream, const my_mode_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_nlink_t(flick_marshal_stream_t _stream, const my_nlink_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_uid_t(flick_marshal_stream_t _stream, const my_uid_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_gid_t(flick_marshal_stream_t _stream, const my_gid_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_off_t(flick_marshal_stream_t _stream, const my_off_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_time_t(flick_marshal_stream_t _stream, const my_time_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_timespec(flick_marshal_stream_t _stream, const struct my_timespec *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->my_tv_sec);
  flick_xdr_encode_signed32(4, _data->my_tv_nsec);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->my_tv_sec);
  flick_xdr_decode_signed32(4, _data->my_tv_nsec);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, const my_timestruc_t *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->my_tv_sec);
  flick_xdr_encode_signed32(4, _data->my_tv_nsec);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->my_tv_sec);
  flick_xdr_decode_signed32(4, _data->my_tv_nsec);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_test_my_stat(flick_marshal_stream_t _stream, const struct test_my_stat *_data)
{
  flick_unsigned8_t _t0_array_iter;
  flick_unsigned8_t _t1_array_iter;
  flick_unsigned8_t _t2_array_iter;
  flick_unsigned8_t _t3_array_iter;

  flick_suntcp_encode_new_glob(139);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->st_dev);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 3; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad1[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_bcopy(0, _data->st_pad1, 4 * 3);
  flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_unsigned32(0, _data->st_ino);
  flick_xdr_encode_unsigned32(4, _data->st_mode);
  flick_xdr_encode_unsigned32(8, _data->st_nlink);
  flick_xdr_encode_signed32(12, _data->st_uid);
  flick_xdr_encode_signed32(16, _data->st_gid);
  flick_xdr_encode_unsigned32(20, _data->st_rdev);
  flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < 2; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad2[_t1_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_bcopy(0, _data->st_pad2, 4 * 2);
  flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_signed32(0, _data->st_size);
  flick_xdr_encode_signed32(4, _data->st_pad3);
  flick_xdr_encode_signed32(8, _data->st_atime.my_tv_sec);
  flick_xdr_encode_signed32(12, _data->st_atime.my_tv_nsec);
  flick_xdr_encode_signed32(16, _data->st_mtime.my_tv_sec);
  flick_xdr_encode_signed32(20, _data->st_mtime.my_tv_nsec);
  flick_xdr_encode_signed32(24, _data->st_ctime.my_tv_sec);
  flick_xdr_encode_signed32(28, _data->st_ctime.my_tv_nsec);
  flick_xdr_encode_signed32(32, _data->st_blksize);
  flick_xdr_encode_signed32(36, _data->st_blocks);
  flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < 16; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->st_fstype[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_bcopy(0, _data->st_fstype, 1 * 16);
  flick_suntcp_encode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < 8; _t3_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad4[_t3_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_bcopy(0, _data->st_pad4, 4 * 8);
  flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(139);
}

void flick_unmarshal_stub_test_my_stat(flick_marshal_stream_t _stream, struct test_my_stat *_data)
{
  flick_unsigned8_t _t4_array_length;
  flick_unsigned8_t _t5_array_iter;
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t7_array_iter;
  flick_unsigned8_t _t8_array_length;
  flick_unsigned8_t _t9_array_iter;
  flick_unsigned8_t _t10_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_suntcp_decode_new_glob(139);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->st_dev);
  _t4_array_length = 3;
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _t4_array_length; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad1[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_bcopy(0, _data->st_pad1, 4 * _t4_array_length);
  flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_unsigned32(0, _data->st_ino);
  flick_xdr_decode_unsigned32(4, _data->st_mode);
  flick_xdr_decode_unsigned32(8, _data->st_nlink);
  flick_xdr_decode_signed32(12, _data->st_uid);
  flick_xdr_decode_signed32(16, _data->st_gid);
  flick_xdr_decode_unsigned32(20, _data->st_rdev);
  _t6_array_length = 2;
  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < _t6_array_length; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad2[_t7_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_bcopy(0, _data->st_pad2, 4 * _t6_array_length);
  flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_signed32(0, _data->st_size);
  flick_xdr_decode_signed32(4, _data->st_pad3);
  flick_xdr_decode_signed32(8, _data->st_atime.my_tv_sec);
  flick_xdr_decode_signed32(12, _data->st_atime.my_tv_nsec);
  flick_xdr_decode_signed32(16, _data->st_mtime.my_tv_sec);
  flick_xdr_decode_signed32(20, _data->st_mtime.my_tv_nsec);
  flick_xdr_decode_signed32(24, _data->st_ctime.my_tv_sec);
  flick_xdr_decode_signed32(28, _data->st_ctime.my_tv_nsec);
  flick_xdr_decode_signed32(32, _data->st_blksize);
  flick_xdr_decode_signed32(36, _data->st_blocks);
  _t8_array_length = 16;
  flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t9_array_iter = 0; _t9_array_iter < _t8_array_length; _t9_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->st_fstype[_t9_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_bcopy(0, _data->st_fstype, 1 * _t8_array_length);
  flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  _t10_array_length = 8;
  flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t11_array_iter = 0; _t11_array_iter < _t10_array_length; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad4[_t11_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_bcopy(0, _data->st_pad4, 4 * _t10_array_length);
  flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(139);
}

void flick_marshal_stub_test_entry(flick_marshal_stream_t _stream, const struct test_entry *_data)
{
  flick_unsigned8_t _t12_array_iter;
  flick_unsigned8_t _t13_array_iter;
  flick_unsigned8_t _t14_array_iter;
  flick_unsigned8_t _t15_array_iter;

  flick_xdr_encode_string(_data->filename, CORBA_flick_free, suntcp, 255);
  flick_suntcp_encode_new_glob(142);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_unsigned32(0, _data->info.st_dev);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t12_array_iter = 0; _t12_array_iter < 3; _t12_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad1[_t12_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_bcopy(0, _data->info.st_pad1, 4 * 3);
  flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_unsigned32(0, _data->info.st_ino);
  flick_xdr_encode_unsigned32(4, _data->info.st_mode);
  flick_xdr_encode_unsigned32(8, _data->info.st_nlink);
  flick_xdr_encode_signed32(12, _data->info.st_uid);
  flick_xdr_encode_signed32(16, _data->info.st_gid);
  flick_xdr_encode_unsigned32(20, _data->info.st_rdev);
  flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t13_array_iter = 0; _t13_array_iter < 2; _t13_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad2[_t13_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_bcopy(0, _data->info.st_pad2, 4 * 2);
  flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_signed32(0, _data->info.st_size);
  flick_xdr_encode_signed32(4, _data->info.st_pad3);
  flick_xdr_encode_signed32(8, _data->info.st_atime.my_tv_sec);
  flick_xdr_encode_signed32(12, _data->info.st_atime.my_tv_nsec);
  flick_xdr_encode_signed32(16, _data->info.st_mtime.my_tv_sec);
  flick_xdr_encode_signed32(20, _data->info.st_mtime.my_tv_nsec);
  flick_xdr_encode_signed32(24, _data->info.st_ctime.my_tv_sec);
  flick_xdr_encode_signed32(28, _data->info.st_ctime.my_tv_nsec);
  flick_xdr_encode_signed32(32, _data->info.st_blksize);
  flick_xdr_encode_signed32(36, _data->info.st_blocks);
  flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t14_array_iter = 0; _t14_array_iter < 16; _t14_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->info.st_fstype[_t14_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_bcopy(0, _data->info.st_fstype, 1 * 16);
  flick_suntcp_encode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t15_array_iter = 0; _t15_array_iter < 8; _t15_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad4[_t15_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_bcopy(0, _data->info.st_pad4, 4 * 8);
  flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(142);
}

void flick_unmarshal_stub_test_entry(flick_marshal_stream_t _stream, struct test_entry *_data)
{
  flick_unsigned8_t _t16_array_length;
  flick_unsigned8_t _t17_array_iter;
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t19_array_iter;
  flick_unsigned8_t _t20_array_length;
  flick_unsigned8_t _t21_array_iter;
  flick_unsigned8_t _t22_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_xdr_decode_string(_data->filename, CORBA_flick_alloc, suntcp, 255);
  flick_suntcp_decode_new_glob(142);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_unsigned32(0, _data->info.st_dev);
  _t16_array_length = 3;
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t17_array_iter = 0; _t17_array_iter < _t16_array_length; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad1[_t17_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_bcopy(0, _data->info.st_pad1, 4 * _t16_array_length);
  flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_unsigned32(0, _data->info.st_ino);
  flick_xdr_decode_unsigned32(4, _data->info.st_mode);
  flick_xdr_decode_unsigned32(8, _data->info.st_nlink);
  flick_xdr_decode_signed32(12, _data->info.st_uid);
  flick_xdr_decode_signed32(16, _data->info.st_gid);
  flick_xdr_decode_unsigned32(20, _data->info.st_rdev);
  _t18_array_length = 2;
  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t19_array_iter = 0; _t19_array_iter < _t18_array_length; _t19_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad2[_t19_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_bcopy(0, _data->info.st_pad2, 4 * _t18_array_length);
  flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_signed32(0, _data->info.st_size);
  flick_xdr_decode_signed32(4, _data->info.st_pad3);
  flick_xdr_decode_signed32(8, _data->info.st_atime.my_tv_sec);
  flick_xdr_decode_signed32(12, _data->info.st_atime.my_tv_nsec);
  flick_xdr_decode_signed32(16, _data->info.st_mtime.my_tv_sec);
  flick_xdr_decode_signed32(20, _data->info.st_mtime.my_tv_nsec);
  flick_xdr_decode_signed32(24, _data->info.st_ctime.my_tv_sec);
  flick_xdr_decode_signed32(28, _data->info.st_ctime.my_tv_nsec);
  flick_xdr_decode_signed32(32, _data->info.st_blksize);
  flick_xdr_decode_signed32(36, _data->info.st_blocks);
  _t20_array_length = 16;
  flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t21_array_iter = 0; _t21_array_iter < _t20_array_length; _t21_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->info.st_fstype[_t21_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_bcopy(0, _data->info.st_fstype, 1 * _t20_array_length);
  flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  _t22_array_length = 8;
  flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t23_array_iter = 0; _t23_array_iter < _t22_array_length; _t23_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad4[_t23_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_bcopy(0, _data->info.st_pad4, 4 * _t22_array_length);
  flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(142);
}

void flick_marshal_stub_test_inner(flick_marshal_stream_t _stream, const struct test_inner *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a);
  flick_xdr_encode_signed32(4, _data->b);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_test_inner(flick_marshal_stream_t _stream, struct test_inner *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a);
  flick_xdr_decode_signed32(4, _data->b);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_test_outer(flick_marshal_stream_t _stream, const struct test_outer *_data)
{
  flick_suntcp_encode_new_glob(16);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->a.a);
  flick_xdr_encode_signed32(4, _data->a.b);
  flick_xdr_encode_signed32(8, _data->b.a);
  flick_xdr_encode_signed32(12, _data->b.b);
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
}

void flick_unmarshal_stub_test_outer(flick_marshal_stream_t _stream, struct test_outer *_data)
{
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->a.a);
  flick_xdr_decode_signed32(4, _data->a.b);
  flick_xdr_decode_signed32(8, _data->b.a);
  flick_xdr_decode_signed32(12, _data->b.b);
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
}

void flick_marshal_stub_test_directory(flick_marshal_stream_t _stream, const test_directory *_data)
{
  unsigned long int _t32_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t32_array_iter = 0; _t32_array_iter < _data->_length; _t32_array_iter++)
    {
      flick_unsigned8_t _t37_array_iter;
      flick_unsigned8_t _t38_array_iter;
      flick_unsigned8_t _t39_array_iter;
      flick_unsigned8_t _t40_array_iter;

      flick_xdr_encode_string(_data->_buffer[_t32_array_iter].filename, CORBA_flick_free, suntcp, 255);
      flick_suntcp_encode_new_glob(142);
      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_encode_unsigned32(0, _data->_buffer[_t32_array_iter].info.st_dev);
      flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t37_array_iter = 0; _t37_array_iter < 3; _t37_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->_buffer[_t32_array_iter].info.st_pad1[_t37_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(12);
      flick_xdr_encode_bcopy(0, _data->_buffer[_t32_array_iter].info.st_pad1, 4 * 3);
      flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk(24);
      flick_xdr_encode_unsigned32(0, _data->_buffer[_t32_array_iter].info.st_ino);
      flick_xdr_encode_unsigned32(4, _data->_buffer[_t32_array_iter].info.st_mode);
      flick_xdr_encode_unsigned32(8, _data->_buffer[_t32_array_iter].info.st_nlink);
      flick_xdr_encode_signed32(12, _data->_buffer[_t32_array_iter].info.st_uid);
      flick_xdr_encode_signed32(16, _data->_buffer[_t32_array_iter].info.st_gid);
      flick_xdr_encode_unsigned32(20, _data->_buffer[_t32_array_iter].info.st_rdev);
      flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t38_array_iter = 0; _t38_array_iter < 2; _t38_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->_buffer[_t32_array_iter].info.st_pad2[_t38_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_bcopy(0, _data->_buffer[_t32_array_iter].info.st_pad2, 4 * 2);
      flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk(40);
      flick_xdr_encode_signed32(0, _data->_buffer[_t32_array_iter].info.st_size);
      flick_xdr_encode_signed32(4, _data->_buffer[_t32_array_iter].info.st_pad3);
      flick_xdr_encode_signed32(8, _data->_buffer[_t32_array_iter].info.st_atime.my_tv_sec);
      flick_xdr_encode_signed32(12, _data->_buffer[_t32_array_iter].info.st_atime.my_tv_nsec);
      flick_xdr_encode_signed32(16, _data->_buffer[_t32_array_iter].info.st_mtime.my_tv_sec);
      flick_xdr_encode_signed32(20, _data->_buffer[_t32_array_iter].info.st_mtime.my_tv_nsec);
      flick_xdr_encode_signed32(24, _data->_buffer[_t32_array_iter].info.st_ctime.my_tv_sec);
      flick_xdr_encode_signed32(28, _data->_buffer[_t32_array_iter].info.st_ctime.my_tv_nsec);
      flick_xdr_encode_signed32(32, _data->_buffer[_t32_array_iter].info.st_blksize);
      flick_xdr_encode_signed32(36, _data->_buffer[_t32_array_iter].info.st_blocks);
      flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t39_array_iter = 0; _t39_array_iter < 16; _t39_array_iter++)
        {
          flick_suntcp_encode_new_chunk(1);
          flick_xdr_encode_char8_packed(0, _data->_buffer[_t32_array_iter].info.st_fstype[_t39_array_iter]);
          flick_suntcp_encode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_bcopy(0, _data->_buffer[_t32_array_iter].info.st_fstype, 1 * 16);
      flick_suntcp_encode_end_chunk(16);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_encode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t40_array_iter = 0; _t40_array_iter < 8; _t40_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->_buffer[_t32_array_iter].info.st_pad4[_t40_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(32);
      flick_xdr_encode_bcopy(0, _data->_buffer[_t32_array_iter].info.st_pad4, 4 * 8);
      flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
      flick_suntcp_encode_end_glob(142);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_test_directory(flick_marshal_stream_t _stream, test_directory *_data)
{
  unsigned long int _t57_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_entry ));
  for (_t57_array_iter = 0; _t57_array_iter < _data->_length; _t57_array_iter++)
    {
      flick_unsigned8_t _t66_array_length;
      flick_unsigned8_t _t67_array_iter;
      flick_unsigned8_t _t68_array_length;
      flick_unsigned8_t _t69_array_iter;
      flick_unsigned8_t _t70_array_length;
      flick_unsigned8_t _t71_array_iter;
      flick_unsigned8_t _t72_array_length;
      flick_unsigned8_t _t73_array_iter;

      flick_xdr_decode_string(_data->_buffer[_t57_array_iter].filename, CORBA_flick_alloc, suntcp, 255);
      flick_suntcp_decode_new_glob(142);
      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_decode_unsigned32(0, _data->_buffer[_t57_array_iter].info.st_dev);
      _t66_array_length = 3;
      flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t67_array_iter = 0; _t67_array_iter < _t66_array_length; _t67_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->_buffer[_t57_array_iter].info.st_pad1[_t67_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(12);
      flick_xdr_decode_bcopy(0, _data->_buffer[_t57_array_iter].info.st_pad1, 4 * _t66_array_length);
      flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk(24);
      flick_xdr_decode_unsigned32(0, _data->_buffer[_t57_array_iter].info.st_ino);
      flick_xdr_decode_unsigned32(4, _data->_buffer[_t57_array_iter].info.st_mode);
      flick_xdr_decode_unsigned32(8, _data->_buffer[_t57_array_iter].info.st_nlink);
      flick_xdr_decode_signed32(12, _data->_buffer[_t57_array_iter].info.st_uid);
      flick_xdr_decode_signed32(16, _data->_buffer[_t57_array_iter].info.st_gid);
      flick_xdr_decode_unsigned32(20, _data->_buffer[_t57_array_iter].info.st_rdev);
      _t68_array_length = 2;
      flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t69_array_iter = 0; _t69_array_iter < _t68_array_length; _t69_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->_buffer[_t57_array_iter].info.st_pad2[_t69_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_bcopy(0, _data->_buffer[_t57_array_iter].info.st_pad2, 4 * _t68_array_length);
      flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk(40);
      flick_xdr_decode_signed32(0, _data->_buffer[_t57_array_iter].info.st_size);
      flick_xdr_decode_signed32(4, _data->_buffer[_t57_array_iter].info.st_pad3);
      flick_xdr_decode_signed32(8, _data->_buffer[_t57_array_iter].info.st_atime.my_tv_sec);
      flick_xdr_decode_signed32(12, _data->_buffer[_t57_array_iter].info.st_atime.my_tv_nsec);
      flick_xdr_decode_signed32(16, _data->_buffer[_t57_array_iter].info.st_mtime.my_tv_sec);
      flick_xdr_decode_signed32(20, _data->_buffer[_t57_array_iter].info.st_mtime.my_tv_nsec);
      flick_xdr_decode_signed32(24, _data->_buffer[_t57_array_iter].info.st_ctime.my_tv_sec);
      flick_xdr_decode_signed32(28, _data->_buffer[_t57_array_iter].info.st_ctime.my_tv_nsec);
      flick_xdr_decode_signed32(32, _data->_buffer[_t57_array_iter].info.st_blksize);
      flick_xdr_decode_signed32(36, _data->_buffer[_t57_array_iter].info.st_blocks);
      _t70_array_length = 16;
      flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t71_array_iter = 0; _t71_array_iter < _t70_array_length; _t71_array_iter++)
        {
          flick_suntcp_decode_new_chunk(1);
          flick_xdr_decode_char8_packed(0, _data->_buffer[_t57_array_iter].info.st_fstype[_t71_array_iter]);
          flick_suntcp_decode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_bcopy(0, _data->_buffer[_t57_array_iter].info.st_fstype, 1 * _t70_array_length);
      flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
      _t72_array_length = 8;
      flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t73_array_iter = 0; _t73_array_iter < _t72_array_length; _t73_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->_buffer[_t57_array_iter].info.st_pad4[_t73_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(32);
      flick_xdr_decode_bcopy(0, _data->_buffer[_t57_array_iter].info.st_pad4, 4 * _t72_array_length);
      flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
      flick_suntcp_decode_end_glob(142);
    }
}

void flick_marshal_stub_test_longlist(flick_marshal_stream_t _stream, const test_longlist *_data)
{
  unsigned long int _t74_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t74_array_iter = 0; _t74_array_iter < _data->_length; _t74_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t74_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  CORBA_flick_free(_data->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_test_longlist(flick_marshal_stream_t _stream, test_longlist *_data)
{
  unsigned long int _t75_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t75_array_iter = 0; _t75_array_iter < _data->_length; _t75_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t75_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_test_structlist(flick_marshal_stream_t _stream, const test_structlist *_data)
{
  unsigned long int _t76_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(16 * _data->_length);
  for (_t76_array_iter = 0; _t76_array_iter < _data->_length; _t76_array_iter++)
    {
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_signed32(0, _data->_buffer[_t76_array_iter].a.a);
      flick_xdr_encode_signed32(4, _data->_buffer[_t76_array_iter].a.b);
      flick_xdr_encode_signed32(8, _data->_buffer[_t76_array_iter].b.a);
      flick_xdr_encode_signed32(12, _data->_buffer[_t76_array_iter].b.b);
      flick_suntcp_encode_end_chunk(16);
    }
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_test_structlist(flick_marshal_stream_t _stream, test_structlist *_data)
{
  unsigned long int _t77_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(16 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_outer ));
  for (_t77_array_iter = 0; _t77_array_iter < _data->_length; _t77_array_iter++)
    {
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_signed32(0, _data->_buffer[_t77_array_iter].a.a);
      flick_xdr_decode_signed32(4, _data->_buffer[_t77_array_iter].a.b);
      flick_xdr_decode_signed32(8, _data->_buffer[_t77_array_iter].b.a);
      flick_xdr_decode_signed32(12, _data->_buffer[_t77_array_iter].b.b);
      flick_suntcp_decode_end_chunk(16);
    }
  flick_suntcp_decode_end_glob(16 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t136_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t136_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t136_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t137_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t137_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t137_switch_tag)
            {
            case 'd':
              {
                char _t138_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t138_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t138_switch_tag)
                  {
                  case 'i':
                    {
                      char _t139_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t139_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t139_switch_tag)
                        {
                        case 'r':
                          {
                            char _t140_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t140_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t140_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    test_directory *_local_entries;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t141_ignore;
                                    test_directory _t142_storage;
                                    unsigned long int _t159_array_iter;
                                    CORBA_Environment _t176_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t141_ignore);
                                    flick_xdr_decode_unsigned32(4, _t141_ignore);
                                    flick_xdr_decode_unsigned32(8, _t141_ignore);
                                    flick_xdr_decode_unsigned32(12, _t141_ignore);
                                    _local_entries = &_t142_storage;
                                    flick_xdr_decode_unsigned32(16, _local_entries->_length);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_entry ));
                                    for (_t159_array_iter = 0; _t159_array_iter < _local_entries->_length; _t159_array_iter++)
                                      {
                                        flick_unsigned8_t _t168_array_length;
                                        flick_unsigned8_t _t169_array_iter;
                                        flick_unsigned8_t _t170_array_length;
                                        flick_unsigned8_t _t171_array_iter;
                                        flick_unsigned8_t _t172_array_length;
                                        flick_unsigned8_t _t173_array_iter;
                                        flick_unsigned8_t _t174_array_length;
                                        flick_unsigned8_t _t175_array_iter;

                                        flick_xdr_decode_auto_string(_local_entries->_buffer[_t159_array_iter].filename, auto_flick_alloc, suntcp);
                                        flick_suntcp_decode_new_glob(142);
                                        flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                        flick_xdr_decode_unsigned32(0, _local_entries->_buffer[_t159_array_iter].info.st_dev);
                                        _t168_array_length = 3;
                                        flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                        for (_t169_array_iter = 0; _t169_array_iter < _t168_array_length; _t169_array_iter++)
                                          {
                                            flick_suntcp_decode_new_chunk(4);
                                            flick_xdr_decode_signed32(0, _local_entries->_buffer[_t159_array_iter].info.st_pad1[_t169_array_iter]);
                                            flick_suntcp_decode_end_chunk(4);
                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                        flick_suntcp_decode_new_chunk(12);
                                        flick_xdr_decode_bcopy(0, _local_entries->_buffer[_t159_array_iter].info.st_pad1, 4 * _t168_array_length);
                                        flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
                                        flick_suntcp_decode_new_chunk(24);
                                        flick_xdr_decode_unsigned32(0, _local_entries->_buffer[_t159_array_iter].info.st_ino);
                                        flick_xdr_decode_unsigned32(4, _local_entries->_buffer[_t159_array_iter].info.st_mode);
                                        flick_xdr_decode_unsigned32(8, _local_entries->_buffer[_t159_array_iter].info.st_nlink);
                                        flick_xdr_decode_signed32(12, _local_entries->_buffer[_t159_array_iter].info.st_uid);
                                        flick_xdr_decode_signed32(16, _local_entries->_buffer[_t159_array_iter].info.st_gid);
                                        flick_xdr_decode_unsigned32(20, _local_entries->_buffer[_t159_array_iter].info.st_rdev);
                                        _t170_array_length = 2;
                                        flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
                                        for (_t171_array_iter = 0; _t171_array_iter < _t170_array_length; _t171_array_iter++)
                                          {
                                            flick_suntcp_decode_new_chunk(4);
                                            flick_xdr_decode_signed32(0, _local_entries->_buffer[_t159_array_iter].info.st_pad2[_t171_array_iter]);
                                            flick_suntcp_decode_end_chunk(4);
                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                        flick_suntcp_decode_new_chunk(8);
                                        flick_xdr_decode_bcopy(0, _local_entries->_buffer[_t159_array_iter].info.st_pad2, 4 * _t170_array_length);
                                        flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
                                        flick_suntcp_decode_new_chunk(40);
                                        flick_xdr_decode_signed32(0, _local_entries->_buffer[_t159_array_iter].info.st_size);
                                        flick_xdr_decode_signed32(4, _local_entries->_buffer[_t159_array_iter].info.st_pad3);
                                        flick_xdr_decode_signed32(8, _local_entries->_buffer[_t159_array_iter].info.st_atime.my_tv_sec);
                                        flick_xdr_decode_signed32(12, _local_entries->_buffer[_t159_array_iter].info.st_atime.my_tv_nsec);
                                        flick_xdr_decode_signed32(16, _local_entries->_buffer[_t159_array_iter].info.st_mtime.my_tv_sec);
                                        flick_xdr_decode_signed32(20, _local_entries->_buffer[_t159_array_iter].info.st_mtime.my_tv_nsec);
                                        flick_xdr_decode_signed32(24, _local_entries->_buffer[_t159_array_iter].info.st_ctime.my_tv_sec);
                                        flick_xdr_decode_signed32(28, _local_entries->_buffer[_t159_array_iter].info.st_ctime.my_tv_nsec);
                                        flick_xdr_decode_signed32(32, _local_entries->_buffer[_t159_array_iter].info.st_blksize);
                                        flick_xdr_decode_signed32(36, _local_entries->_buffer[_t159_array_iter].info.st_blocks);
                                        _t172_array_length = 16;
                                        flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
                                        for (_t173_array_iter = 0; _t173_array_iter < _t172_array_length; _t173_array_iter++)
                                          {
                                            flick_suntcp_decode_new_chunk(1);
                                            flick_xdr_decode_char8_packed(0, _local_entries->_buffer[_t159_array_iter].info.st_fstype[_t173_array_iter]);
                                            flick_suntcp_decode_end_chunk(1);
                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                        flick_suntcp_decode_new_chunk(16);
                                        flick_xdr_decode_bcopy(0, _local_entries->_buffer[_t159_array_iter].info.st_fstype, 1 * _t172_array_length);
                                        flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
                                        flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                        _t174_array_length = 8;
                                        flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
                                        for (_t175_array_iter = 0; _t175_array_iter < _t174_array_length; _t175_array_iter++)
                                          {
                                            flick_suntcp_decode_new_chunk(4);
                                            flick_xdr_decode_signed32(0, _local_entries->_buffer[_t159_array_iter].info.st_pad4[_t175_array_iter]);
                                            flick_suntcp_decode_end_chunk(4);
                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                        flick_suntcp_decode_new_chunk(32);
                                        flick_xdr_decode_bcopy(0, _local_entries->_buffer[_t159_array_iter].info.st_pad4, 4 * _t174_array_length);
                                        flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
                                        flick_suntcp_decode_end_glob(142);
                                      }
                                    _ev = &_t176_storage;
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test_dir(_obj, _local_entries, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(8);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _return);
                                          flick_suntcp_encode_end_chunk(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(8);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            case 'l':
              {
                char _t177_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t177_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t177_switch_tag)
                  {
                  case 'n':
                    {
                      char _t178_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t178_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t178_switch_tag)
                        {
                        case 'g':
                          {
                            char _t179_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t179_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t179_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    test_longlist *_local_entries;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t180_ignore;
                                    test_longlist _t181_storage;
                                    unsigned long int _t182_array_iter;
                                    CORBA_Environment _t183_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t180_ignore);
                                    flick_xdr_decode_unsigned32(4, _t180_ignore);
                                    flick_xdr_decode_unsigned32(8, _t180_ignore);
                                    flick_xdr_decode_unsigned32(12, _t180_ignore);
                                    _local_entries = &_t181_storage;
                                    flick_xdr_decode_unsigned32(16, _local_entries->_length);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_decode_new_glob(4 * _local_entries->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                    _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(CORBA_long ));
                                    for (_t182_array_iter = 0; _t182_array_iter < _local_entries->_length; _t182_array_iter++)
                                      {
                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_signed32(0, _local_entries->_buffer[_t182_array_iter]);
                                        flick_suntcp_decode_end_chunk(4);
                                      }
#else /* BIG_ENDIAN - do a bcopy*/
                                    flick_suntcp_decode_new_chunk(4 * _local_entries->_length);
                                    flick_xdr_decode_msgptr(0, _local_entries->_buffer);
                                    flick_suntcp_decode_end_chunk(4 * _local_entries->_length);
#endif /* ENDIANness */
                                    flick_suntcp_decode_end_glob(4 * _local_entries->_length);
                                    _ev = &_t183_storage;
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test_lng(_obj, _local_entries, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(8);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _return);
                                          flick_suntcp_encode_end_chunk(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(8);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t184_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t184_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t184_switch_tag)
            {
            case 's':
              {
                char _t185_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t185_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t185_switch_tag)
                  {
                  case 't':
                    {
                      char _t186_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t186_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t186_switch_tag)
                        {
                        case 'r':
                          {
                            char _t187_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t187_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t187_switch_tag)
                              {
                              case 'c':
                                {
                                  char _t188_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t188_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t188_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t189_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t189_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t189_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                test_structlist *_local_entries;
                                                CORBA_Environment *_ev;
                                                CORBA_long _return = 0;
                                                unsigned int _t190_ignore;
                                                test_structlist _t191_storage;
                                                unsigned long int _t192_array_iter;
                                                CORBA_Environment _t193_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t190_ignore);
                                                flick_xdr_decode_unsigned32(4, _t190_ignore);
                                                flick_xdr_decode_unsigned32(8, _t190_ignore);
                                                flick_xdr_decode_unsigned32(12, _t190_ignore);
                                                _local_entries = &_t191_storage;
                                                flick_xdr_decode_unsigned32(16, _local_entries->_length);
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(48);
                                                flick_suntcp_decode_new_glob(16 * _local_entries->_length);
                                                _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_outer ));
                                                for (_t192_array_iter = 0; _t192_array_iter < _local_entries->_length; _t192_array_iter++)
                                                  {
                                                    flick_suntcp_decode_new_chunk(16);
                                                    flick_xdr_decode_signed32(0, _local_entries->_buffer[_t192_array_iter].a.a);
                                                    flick_xdr_decode_signed32(4, _local_entries->_buffer[_t192_array_iter].a.b);
                                                    flick_xdr_decode_signed32(8, _local_entries->_buffer[_t192_array_iter].b.a);
                                                    flick_xdr_decode_signed32(12, _local_entries->_buffer[_t192_array_iter].b.b);
                                                    flick_suntcp_decode_end_chunk(16);
                                                  }
                                                flick_suntcp_decode_end_glob(16 * _local_entries->_length);
                                                _ev = &_t193_storage;
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = test_strct(_obj, _local_entries, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(8);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _return);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                    }
                                                  }
                                                flick_suntcp_encode_end_glob(8);
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
