#include "dif2-client.h"

void flick_marshal_stub_ex1(flick_marshal_stream_t _stream, const ex1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void ex1_op0(ex1 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(36);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '0');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(36);
    flick_suntcp_encode_end_glob(36);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

CORBA_float ex1_op1(ex1 _obj, CORBA_float f, CORBA_double *d, CORBA_long *l, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_float _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '1');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_float32(36, f);
    flick_xdr_encode_signed32(40, *l);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(20);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_float32(0, _return);
            flick_xdr_decode_float64(4, *d);
            flick_xdr_decode_signed32(12, *l);
            flick_suntcp_decode_end_chunk(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(20);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_double ex1_op2(ex1 _obj, CORBA_double d, CORBA_long *l, CORBA_short *s, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_double _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '2');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_float64(36, d);
    flick_xdr_encode_signed16(44, *s);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(20);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_float64(0, _return);
            flick_xdr_decode_signed32(8, *l);
            flick_xdr_decode_signed16(12, *s);
            flick_suntcp_decode_end_chunk(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(20);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long ex1_op3(ex1 _obj, CORBA_long l, CORBA_short *s, CORBA_unsigned_long *ul, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '3');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed32(36, l);
    flick_xdr_encode_unsigned32(40, *ul);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, _return);
            flick_xdr_decode_signed16(4, *s);
            flick_xdr_decode_unsigned32(8, *ul);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_short ex1_op4(ex1 _obj, CORBA_short s, CORBA_unsigned_long *ul, CORBA_unsigned_short *us, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '4');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed16(36, s);
    flick_xdr_encode_unsigned16(40, *us);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed16(0, _return);
            flick_xdr_decode_unsigned32(4, *ul);
            flick_xdr_decode_unsigned16(8, *us);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_unsigned_long ex1_op5(ex1 _obj, CORBA_unsigned_long *ul, CORBA_unsigned_short us, CORBA_char *c, CORBA_boolean b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '5');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, *ul);
    flick_xdr_encode_unsigned16(40, us);
    flick_xdr_encode_unsigned8(44, b);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned32(0, _return);
            flick_xdr_decode_unsigned32(4, *ul);
            flick_xdr_decode_char8(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_unsigned_short ex1_op6(ex1 _obj, CORBA_unsigned_short *us, CORBA_char *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '6');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_char8(36, *c);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned16(0, _return);
            flick_xdr_decode_unsigned16(4, *us);
            flick_xdr_decode_char8(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void flick_marshal_stub_ex2(flick_marshal_stream_t _stream, const ex2 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

CORBA_char ex2_op7(ex2 _obj, CORBA_char c, CORBA_boolean *b, CORBA_octet *o, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '7');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_char8(36, c);
    flick_xdr_encode_unsigned8(40, *o);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, _return);
            flick_xdr_decode_unsigned8(4, *b);
            flick_xdr_decode_unsigned8(8, *o);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_boolean ex2_op8(ex2 _obj, CORBA_boolean *b, CORBA_octet o, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_boolean _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '8');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned8(36, o);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_unsigned8(0, _return);
            flick_xdr_decode_unsigned8(4, *b);
            flick_suntcp_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(12);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_octet ex2_op9(ex2 _obj, CORBA_octet *o, CORBA_char **s, CORBA_char *ls, CORBA_long *l, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_octet _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '9');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned8(36, *o);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
    flick_xdr_encode_alloced_string(ls, suntcp, 10);
    flick_suntcp_encode_new_glob(7);
    flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
    flick_xdr_encode_signed32(0, *l);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(7);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_unsigned8(0, _return);
            flick_xdr_decode_unsigned8(4, *o);
            flick_suntcp_decode_end_chunk(8);
            flick_suntcp_decode_end_glob(12);
            flick_xdr_decode_longstring(*s, CORBA_flick_alloc, suntcp);
            flick_suntcp_decode_new_glob(7);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed32(0, *l);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_char *ex2_op10(ex2 _obj, CORBA_char *s, CORBA_char **ls, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 5);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '1');
    flick_xdr_encode_char8(16, '0');
    flick_xdr_encode_char8(20, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
    flick_xdr_encode_longstring(s, null_flick_free, suntcp);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            flick_xdr_decode_string(*ls, CORBA_flick_alloc, suntcp, 10);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_char *ex2_op11(ex2 _obj, CORBA_char **ls, CORBA_long *l, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 5);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '1');
    flick_xdr_encode_char8(16, '1');
    flick_xdr_encode_char8(20, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
    flick_xdr_encode_string(*ls, CORBA_flick_free, suntcp, 10);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_string(_return, CORBA_flick_alloc, suntcp, 10);
            flick_xdr_decode_string(*ls, CORBA_flick_alloc, suntcp, 10);
            flick_suntcp_decode_new_glob(7);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed32(0, *l);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long ex2_op12(ex2 _obj, CORBA_long l, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 5);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '1');
    flick_xdr_encode_char8(16, '2');
    flick_xdr_encode_char8(20, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_signed32(40, l);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void ex2_op0(ex2 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(36);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '0');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(36);
    flick_suntcp_encode_end_glob(36);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

CORBA_float ex2_op1(ex2 _obj, CORBA_float f, CORBA_double *d, CORBA_long *l, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_float _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '1');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_float32(36, f);
    flick_xdr_encode_signed32(40, *l);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(20);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_float32(0, _return);
            flick_xdr_decode_float64(4, *d);
            flick_xdr_decode_signed32(12, *l);
            flick_suntcp_decode_end_chunk(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(20);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_double ex2_op2(ex2 _obj, CORBA_double d, CORBA_long *l, CORBA_short *s, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_double _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '2');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_float64(36, d);
    flick_xdr_encode_signed16(44, *s);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(20);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_float64(0, _return);
            flick_xdr_decode_signed32(8, *l);
            flick_xdr_decode_signed16(12, *s);
            flick_suntcp_decode_end_chunk(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(20);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long ex2_op3(ex2 _obj, CORBA_long l, CORBA_short *s, CORBA_unsigned_long *ul, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '3');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed32(36, l);
    flick_xdr_encode_unsigned32(40, *ul);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, _return);
            flick_xdr_decode_signed16(4, *s);
            flick_xdr_decode_unsigned32(8, *ul);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_short ex2_op4(ex2 _obj, CORBA_short s, CORBA_unsigned_long *ul, CORBA_unsigned_short *us, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '4');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed16(36, s);
    flick_xdr_encode_unsigned16(40, *us);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed16(0, _return);
            flick_xdr_decode_unsigned32(4, *ul);
            flick_xdr_decode_unsigned16(8, *us);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_unsigned_long ex2_op5(ex2 _obj, CORBA_unsigned_long *ul, CORBA_unsigned_short us, CORBA_char *c, CORBA_boolean b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '5');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, *ul);
    flick_xdr_encode_unsigned16(40, us);
    flick_xdr_encode_unsigned8(44, b);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned32(0, _return);
            flick_xdr_decode_unsigned32(4, *ul);
            flick_xdr_decode_char8(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_unsigned_short ex2_op6(ex2 _obj, CORBA_unsigned_short *us, CORBA_char *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '6');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_char8(36, *c);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned16(0, _return);
            flick_xdr_decode_unsigned16(4, *us);
            flick_xdr_decode_char8(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void flick_marshal_stub_ex3(flick_marshal_stream_t _stream, const ex3 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex3(flick_marshal_stream_t _stream, ex3 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

CORBA_float ex3__get_float_attribute(ex3 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_float _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(104);
    flick_suntcp_encode_new_chunk(104);
    flick_xdr_encode_unsigned32(0, 21);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'f');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'a');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, '_');
    flick_xdr_encode_char8(48, 'a');
    flick_xdr_encode_char8(52, 't');
    flick_xdr_encode_char8(56, 't');
    flick_xdr_encode_char8(60, 'r');
    flick_xdr_encode_char8(64, 'i');
    flick_xdr_encode_char8(68, 'b');
    flick_xdr_encode_char8(72, 'u');
    flick_xdr_encode_char8(76, 't');
    flick_xdr_encode_char8(80, 'e');
    flick_xdr_encode_char8(84, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(104);
    flick_suntcp_encode_end_glob(104);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_float32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_double ex3__get_double_attribute(ex3 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_double _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(108);
    flick_suntcp_encode_new_chunk(108);
    flick_xdr_encode_unsigned32(0, 22);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'd');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'u');
    flick_xdr_encode_char8(36, 'b');
    flick_xdr_encode_char8(40, 'l');
    flick_xdr_encode_char8(44, 'e');
    flick_xdr_encode_char8(48, '_');
    flick_xdr_encode_char8(52, 'a');
    flick_xdr_encode_char8(56, 't');
    flick_xdr_encode_char8(60, 't');
    flick_xdr_encode_char8(64, 'r');
    flick_xdr_encode_char8(68, 'i');
    flick_xdr_encode_char8(72, 'b');
    flick_xdr_encode_char8(76, 'u');
    flick_xdr_encode_char8(80, 't');
    flick_xdr_encode_char8(84, 'e');
    flick_xdr_encode_char8(88, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_xdr_encode_unsigned32(104, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(108);
    flick_suntcp_encode_end_glob(108);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, _return);
            flick_suntcp_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(12);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void ex3__set_double_attribute(ex3 _obj, CORBA_double double_attribute, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(116);
    flick_suntcp_encode_new_chunk(116);
    flick_xdr_encode_unsigned32(0, 22);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 's');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'd');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'u');
    flick_xdr_encode_char8(36, 'b');
    flick_xdr_encode_char8(40, 'l');
    flick_xdr_encode_char8(44, 'e');
    flick_xdr_encode_char8(48, '_');
    flick_xdr_encode_char8(52, 'a');
    flick_xdr_encode_char8(56, 't');
    flick_xdr_encode_char8(60, 't');
    flick_xdr_encode_char8(64, 'r');
    flick_xdr_encode_char8(68, 'i');
    flick_xdr_encode_char8(72, 'b');
    flick_xdr_encode_char8(76, 'u');
    flick_xdr_encode_char8(80, 't');
    flick_xdr_encode_char8(84, 'e');
    flick_xdr_encode_char8(88, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_xdr_encode_unsigned32(104, (unsigned int) 0);
    flick_xdr_encode_float64(108, double_attribute);
    flick_suntcp_encode_end_chunk(116);
    flick_suntcp_encode_end_glob(116);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

CORBA_long ex3__get_long_attribute(ex3 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(100);
    flick_suntcp_encode_new_chunk(100);
    flick_xdr_encode_unsigned32(0, 20);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'l');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 'g');
    flick_xdr_encode_char8(40, '_');
    flick_xdr_encode_char8(44, 'a');
    flick_xdr_encode_char8(48, 't');
    flick_xdr_encode_char8(52, 't');
    flick_xdr_encode_char8(56, 'r');
    flick_xdr_encode_char8(60, 'i');
    flick_xdr_encode_char8(64, 'b');
    flick_xdr_encode_char8(68, 'u');
    flick_xdr_encode_char8(72, 't');
    flick_xdr_encode_char8(76, 'e');
    flick_xdr_encode_char8(80, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(84, (unsigned int) 0);
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(100);
    flick_suntcp_encode_end_glob(100);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_short ex3__get_short_attribute(ex3 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(104);
    flick_suntcp_encode_new_chunk(104);
    flick_xdr_encode_unsigned32(0, 21);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 'h');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'r');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, '_');
    flick_xdr_encode_char8(48, 'a');
    flick_xdr_encode_char8(52, 't');
    flick_xdr_encode_char8(56, 't');
    flick_xdr_encode_char8(60, 'r');
    flick_xdr_encode_char8(64, 'i');
    flick_xdr_encode_char8(68, 'b');
    flick_xdr_encode_char8(72, 'u');
    flick_xdr_encode_char8(76, 't');
    flick_xdr_encode_char8(80, 'e');
    flick_xdr_encode_char8(84, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(104);
    flick_suntcp_encode_end_glob(104);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void ex3__set_short_attribute(ex3 _obj, CORBA_short short_attribute, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(108);
    flick_suntcp_encode_new_chunk(108);
    flick_xdr_encode_unsigned32(0, 21);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 's');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 'h');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'r');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, '_');
    flick_xdr_encode_char8(48, 'a');
    flick_xdr_encode_char8(52, 't');
    flick_xdr_encode_char8(56, 't');
    flick_xdr_encode_char8(60, 'r');
    flick_xdr_encode_char8(64, 'i');
    flick_xdr_encode_char8(68, 'b');
    flick_xdr_encode_char8(72, 'u');
    flick_xdr_encode_char8(76, 't');
    flick_xdr_encode_char8(80, 'e');
    flick_xdr_encode_char8(84, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_xdr_encode_signed16(104, short_attribute);
    flick_suntcp_encode_end_chunk(108);
    flick_suntcp_encode_end_glob(108);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

CORBA_unsigned_long ex3__get_unsigned_long_attribute(ex3 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(136);
    flick_suntcp_encode_new_chunk(136);
    flick_xdr_encode_unsigned32(0, 29);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'u');
    flick_xdr_encode_char8(28, 'n');
    flick_xdr_encode_char8(32, 's');
    flick_xdr_encode_char8(36, 'i');
    flick_xdr_encode_char8(40, 'g');
    flick_xdr_encode_char8(44, 'n');
    flick_xdr_encode_char8(48, 'e');
    flick_xdr_encode_char8(52, 'd');
    flick_xdr_encode_char8(56, '_');
    flick_xdr_encode_char8(60, 'l');
    flick_xdr_encode_char8(64, 'o');
    flick_xdr_encode_char8(68, 'n');
    flick_xdr_encode_char8(72, 'g');
    flick_xdr_encode_char8(76, '_');
    flick_xdr_encode_char8(80, 'a');
    flick_xdr_encode_char8(84, 't');
    flick_xdr_encode_char8(88, 't');
    flick_xdr_encode_char8(92, 'r');
    flick_xdr_encode_char8(96, 'i');
    flick_xdr_encode_char8(100, 'b');
    flick_xdr_encode_char8(104, 'u');
    flick_xdr_encode_char8(108, 't');
    flick_xdr_encode_char8(112, 'e');
    flick_xdr_encode_char8(116, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(120, (unsigned int) 0);
    flick_xdr_encode_unsigned32(124, (unsigned int) 0);
    flick_xdr_encode_unsigned32(128, (unsigned int) 0);
    flick_xdr_encode_unsigned32(132, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(136);
    flick_suntcp_encode_end_glob(136);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void ex3_op0(ex3 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(36);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '0');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(36);
    flick_suntcp_encode_end_glob(36);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

CORBA_float ex3_op1(ex3 _obj, CORBA_float f, CORBA_double *d, CORBA_long *l, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_float _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '1');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_float32(36, f);
    flick_xdr_encode_signed32(40, *l);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(20);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_float32(0, _return);
            flick_xdr_decode_float64(4, *d);
            flick_xdr_decode_signed32(12, *l);
            flick_suntcp_decode_end_chunk(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(20);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_double ex3_op2(ex3 _obj, CORBA_double d, CORBA_long *l, CORBA_short *s, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_double _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '2');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_float64(36, d);
    flick_xdr_encode_signed16(44, *s);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(20);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_float64(0, _return);
            flick_xdr_decode_signed32(8, *l);
            flick_xdr_decode_signed16(12, *s);
            flick_suntcp_decode_end_chunk(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(20);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long ex3_op3(ex3 _obj, CORBA_long l, CORBA_short *s, CORBA_unsigned_long *ul, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '3');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed32(36, l);
    flick_xdr_encode_unsigned32(40, *ul);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, _return);
            flick_xdr_decode_signed16(4, *s);
            flick_xdr_decode_unsigned32(8, *ul);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_short ex3_op4(ex3 _obj, CORBA_short s, CORBA_unsigned_long *ul, CORBA_unsigned_short *us, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '4');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed16(36, s);
    flick_xdr_encode_unsigned16(40, *us);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed16(0, _return);
            flick_xdr_decode_unsigned32(4, *ul);
            flick_xdr_decode_unsigned16(8, *us);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_unsigned_long ex3_op5(ex3 _obj, CORBA_unsigned_long *ul, CORBA_unsigned_short us, CORBA_char *c, CORBA_boolean b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '5');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, *ul);
    flick_xdr_encode_unsigned16(40, us);
    flick_xdr_encode_unsigned8(44, b);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned32(0, _return);
            flick_xdr_decode_unsigned32(4, *ul);
            flick_xdr_decode_char8(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_unsigned_short ex3_op6(ex3 _obj, CORBA_unsigned_short *us, CORBA_char *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '6');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_char8(36, *c);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned16(0, _return);
            flick_xdr_decode_unsigned16(4, *us);
            flick_xdr_decode_char8(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void flick_marshal_stub_ex4(flick_marshal_stream_t _stream, const ex4 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex4(flick_marshal_stream_t _stream, ex4 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

CORBA_unsigned_short ex4__get_unsigned_short_attribute(ex4 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(140);
    flick_suntcp_encode_new_chunk(140);
    flick_xdr_encode_unsigned32(0, 30);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'u');
    flick_xdr_encode_char8(28, 'n');
    flick_xdr_encode_char8(32, 's');
    flick_xdr_encode_char8(36, 'i');
    flick_xdr_encode_char8(40, 'g');
    flick_xdr_encode_char8(44, 'n');
    flick_xdr_encode_char8(48, 'e');
    flick_xdr_encode_char8(52, 'd');
    flick_xdr_encode_char8(56, '_');
    flick_xdr_encode_char8(60, 's');
    flick_xdr_encode_char8(64, 'h');
    flick_xdr_encode_char8(68, 'o');
    flick_xdr_encode_char8(72, 'r');
    flick_xdr_encode_char8(76, 't');
    flick_xdr_encode_char8(80, '_');
    flick_xdr_encode_char8(84, 'a');
    flick_xdr_encode_char8(88, 't');
    flick_xdr_encode_char8(92, 't');
    flick_xdr_encode_char8(96, 'r');
    flick_xdr_encode_char8(100, 'i');
    flick_xdr_encode_char8(104, 'b');
    flick_xdr_encode_char8(108, 'u');
    flick_xdr_encode_char8(112, 't');
    flick_xdr_encode_char8(116, 'e');
    flick_xdr_encode_char8(120, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(124, (unsigned int) 0);
    flick_xdr_encode_unsigned32(128, (unsigned int) 0);
    flick_xdr_encode_unsigned32(132, (unsigned int) 0);
    flick_xdr_encode_unsigned32(136, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(140);
    flick_suntcp_encode_end_glob(140);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned16(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void ex4__set_unsigned_short_attribute(ex4 _obj, CORBA_unsigned_short unsigned_short_attribute, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(144);
    flick_suntcp_encode_new_chunk(144);
    flick_xdr_encode_unsigned32(0, 30);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 's');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'u');
    flick_xdr_encode_char8(28, 'n');
    flick_xdr_encode_char8(32, 's');
    flick_xdr_encode_char8(36, 'i');
    flick_xdr_encode_char8(40, 'g');
    flick_xdr_encode_char8(44, 'n');
    flick_xdr_encode_char8(48, 'e');
    flick_xdr_encode_char8(52, 'd');
    flick_xdr_encode_char8(56, '_');
    flick_xdr_encode_char8(60, 's');
    flick_xdr_encode_char8(64, 'h');
    flick_xdr_encode_char8(68, 'o');
    flick_xdr_encode_char8(72, 'r');
    flick_xdr_encode_char8(76, 't');
    flick_xdr_encode_char8(80, '_');
    flick_xdr_encode_char8(84, 'a');
    flick_xdr_encode_char8(88, 't');
    flick_xdr_encode_char8(92, 't');
    flick_xdr_encode_char8(96, 'r');
    flick_xdr_encode_char8(100, 'i');
    flick_xdr_encode_char8(104, 'b');
    flick_xdr_encode_char8(108, 'u');
    flick_xdr_encode_char8(112, 't');
    flick_xdr_encode_char8(116, 'e');
    flick_xdr_encode_char8(120, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(124, (unsigned int) 0);
    flick_xdr_encode_unsigned32(128, (unsigned int) 0);
    flick_xdr_encode_unsigned32(132, (unsigned int) 0);
    flick_xdr_encode_unsigned32(136, (unsigned int) 0);
    flick_xdr_encode_unsigned16(140, unsigned_short_attribute);
    flick_suntcp_encode_end_chunk(144);
    flick_suntcp_encode_end_glob(144);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

CORBA_char ex4__get_char_attribute(ex4 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(100);
    flick_suntcp_encode_new_chunk(100);
    flick_xdr_encode_unsigned32(0, 20);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'c');
    flick_xdr_encode_char8(28, 'h');
    flick_xdr_encode_char8(32, 'a');
    flick_xdr_encode_char8(36, 'r');
    flick_xdr_encode_char8(40, '_');
    flick_xdr_encode_char8(44, 'a');
    flick_xdr_encode_char8(48, 't');
    flick_xdr_encode_char8(52, 't');
    flick_xdr_encode_char8(56, 'r');
    flick_xdr_encode_char8(60, 'i');
    flick_xdr_encode_char8(64, 'b');
    flick_xdr_encode_char8(68, 'u');
    flick_xdr_encode_char8(72, 't');
    flick_xdr_encode_char8(76, 'e');
    flick_xdr_encode_char8(80, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(84, (unsigned int) 0);
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(100);
    flick_suntcp_encode_end_glob(100);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_boolean ex4__get_boolean_attribute(ex4 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_boolean _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(112);
    flick_suntcp_encode_new_chunk(112);
    flick_xdr_encode_unsigned32(0, 23);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'b');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'l');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'a');
    flick_xdr_encode_char8(48, 'n');
    flick_xdr_encode_char8(52, '_');
    flick_xdr_encode_char8(56, 'a');
    flick_xdr_encode_char8(60, 't');
    flick_xdr_encode_char8(64, 't');
    flick_xdr_encode_char8(68, 'r');
    flick_xdr_encode_char8(72, 'i');
    flick_xdr_encode_char8(76, 'b');
    flick_xdr_encode_char8(80, 'u');
    flick_xdr_encode_char8(84, 't');
    flick_xdr_encode_char8(88, 'e');
    flick_xdr_encode_char8(92, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_xdr_encode_unsigned32(104, (unsigned int) 0);
    flick_xdr_encode_unsigned32(108, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(112);
    flick_suntcp_encode_end_glob(112);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned8(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void ex4__set_boolean_attribute(ex4 _obj, CORBA_boolean boolean_attribute, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(116);
    flick_suntcp_encode_new_chunk(116);
    flick_xdr_encode_unsigned32(0, 23);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 's');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'b');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'l');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'a');
    flick_xdr_encode_char8(48, 'n');
    flick_xdr_encode_char8(52, '_');
    flick_xdr_encode_char8(56, 'a');
    flick_xdr_encode_char8(60, 't');
    flick_xdr_encode_char8(64, 't');
    flick_xdr_encode_char8(68, 'r');
    flick_xdr_encode_char8(72, 'i');
    flick_xdr_encode_char8(76, 'b');
    flick_xdr_encode_char8(80, 'u');
    flick_xdr_encode_char8(84, 't');
    flick_xdr_encode_char8(88, 'e');
    flick_xdr_encode_char8(92, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_xdr_encode_unsigned32(104, (unsigned int) 0);
    flick_xdr_encode_unsigned32(108, (unsigned int) 0);
    flick_xdr_encode_unsigned8(112, boolean_attribute);
    flick_suntcp_encode_end_chunk(116);
    flick_suntcp_encode_end_glob(116);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

CORBA_octet ex4__get_octet_attribute(ex4 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_octet _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(104);
    flick_suntcp_encode_new_chunk(104);
    flick_xdr_encode_unsigned32(0, 21);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'o');
    flick_xdr_encode_char8(28, 'c');
    flick_xdr_encode_char8(32, 't');
    flick_xdr_encode_char8(36, 'e');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, '_');
    flick_xdr_encode_char8(48, 'a');
    flick_xdr_encode_char8(52, 't');
    flick_xdr_encode_char8(56, 't');
    flick_xdr_encode_char8(60, 'r');
    flick_xdr_encode_char8(64, 'i');
    flick_xdr_encode_char8(68, 'b');
    flick_xdr_encode_char8(72, 'u');
    flick_xdr_encode_char8(76, 't');
    flick_xdr_encode_char8(80, 'e');
    flick_xdr_encode_char8(84, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(104);
    flick_suntcp_encode_end_glob(104);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned8(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_char *ex4__get_string_attribute(ex4 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(108);
    flick_suntcp_encode_new_chunk(108);
    flick_xdr_encode_unsigned32(0, 22);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 't');
    flick_xdr_encode_char8(32, 'r');
    flick_xdr_encode_char8(36, 'i');
    flick_xdr_encode_char8(40, 'n');
    flick_xdr_encode_char8(44, 'g');
    flick_xdr_encode_char8(48, '_');
    flick_xdr_encode_char8(52, 'a');
    flick_xdr_encode_char8(56, 't');
    flick_xdr_encode_char8(60, 't');
    flick_xdr_encode_char8(64, 'r');
    flick_xdr_encode_char8(68, 'i');
    flick_xdr_encode_char8(72, 'b');
    flick_xdr_encode_char8(76, 'u');
    flick_xdr_encode_char8(80, 't');
    flick_xdr_encode_char8(84, 'e');
    flick_xdr_encode_char8(88, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_xdr_encode_unsigned32(104, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(108);
    flick_suntcp_encode_end_glob(108);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void ex4__set_string_attribute(ex4 _obj, CORBA_char *string_attribute, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(108);
    flick_suntcp_encode_new_chunk(108);
    flick_xdr_encode_unsigned32(0, 22);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 's');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 't');
    flick_xdr_encode_char8(32, 'r');
    flick_xdr_encode_char8(36, 'i');
    flick_xdr_encode_char8(40, 'n');
    flick_xdr_encode_char8(44, 'g');
    flick_xdr_encode_char8(48, '_');
    flick_xdr_encode_char8(52, 'a');
    flick_xdr_encode_char8(56, 't');
    flick_xdr_encode_char8(60, 't');
    flick_xdr_encode_char8(64, 'r');
    flick_xdr_encode_char8(68, 'i');
    flick_xdr_encode_char8(72, 'b');
    flick_xdr_encode_char8(76, 'u');
    flick_xdr_encode_char8(80, 't');
    flick_xdr_encode_char8(84, 'e');
    flick_xdr_encode_char8(88, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_xdr_encode_unsigned32(104, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(108);
    flick_suntcp_encode_end_glob(108);
    flick_xdr_encode_longstring(string_attribute, null_flick_free, suntcp);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

CORBA_char *ex4__get_limited_string_attribute(ex4 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(140);
    flick_suntcp_encode_new_chunk(140);
    flick_xdr_encode_unsigned32(0, 30);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'l');
    flick_xdr_encode_char8(28, 'i');
    flick_xdr_encode_char8(32, 'm');
    flick_xdr_encode_char8(36, 'i');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, 'e');
    flick_xdr_encode_char8(48, 'd');
    flick_xdr_encode_char8(52, '_');
    flick_xdr_encode_char8(56, 's');
    flick_xdr_encode_char8(60, 't');
    flick_xdr_encode_char8(64, 'r');
    flick_xdr_encode_char8(68, 'i');
    flick_xdr_encode_char8(72, 'n');
    flick_xdr_encode_char8(76, 'g');
    flick_xdr_encode_char8(80, '_');
    flick_xdr_encode_char8(84, 'a');
    flick_xdr_encode_char8(88, 't');
    flick_xdr_encode_char8(92, 't');
    flick_xdr_encode_char8(96, 'r');
    flick_xdr_encode_char8(100, 'i');
    flick_xdr_encode_char8(104, 'b');
    flick_xdr_encode_char8(108, 'u');
    flick_xdr_encode_char8(112, 't');
    flick_xdr_encode_char8(116, 'e');
    flick_xdr_encode_char8(120, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(124, (unsigned int) 0);
    flick_xdr_encode_unsigned32(128, (unsigned int) 0);
    flick_xdr_encode_unsigned32(132, (unsigned int) 0);
    flick_xdr_encode_unsigned32(136, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(140);
    flick_suntcp_encode_end_glob(140);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_string(_return, CORBA_flick_alloc, suntcp, 10);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_char ex4_op7(ex4 _obj, CORBA_char c, CORBA_boolean *b, CORBA_octet *o, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '7');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_char8(36, c);
    flick_xdr_encode_unsigned8(40, *o);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, _return);
            flick_xdr_decode_unsigned8(4, *b);
            flick_xdr_decode_unsigned8(8, *o);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_boolean ex4_op8(ex4 _obj, CORBA_boolean *b, CORBA_octet o, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_boolean _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '8');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned8(36, o);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_unsigned8(0, _return);
            flick_xdr_decode_unsigned8(4, *b);
            flick_suntcp_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(12);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_octet ex4_op9(ex4 _obj, CORBA_octet *o, CORBA_char **s, CORBA_char *ls, CORBA_long *l, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_octet _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '9');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned8(36, *o);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
    flick_xdr_encode_alloced_string(ls, suntcp, 10);
    flick_suntcp_encode_new_glob(7);
    flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
    flick_xdr_encode_signed32(0, *l);
    flick_suntcp_encode_end_chunk(4);
    flick_suntcp_encode_end_glob(7);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_unsigned8(0, _return);
            flick_xdr_decode_unsigned8(4, *o);
            flick_suntcp_decode_end_chunk(8);
            flick_suntcp_decode_end_glob(12);
            flick_xdr_decode_longstring(*s, CORBA_flick_alloc, suntcp);
            flick_suntcp_decode_new_glob(7);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed32(0, *l);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_char *ex4_op10(ex4 _obj, CORBA_char *s, CORBA_char **ls, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 5);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '1');
    flick_xdr_encode_char8(16, '0');
    flick_xdr_encode_char8(20, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
    flick_xdr_encode_longstring(s, null_flick_free, suntcp);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            flick_xdr_decode_string(*ls, CORBA_flick_alloc, suntcp, 10);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_char *ex4_op11(ex4 _obj, CORBA_char **ls, CORBA_long *l, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 5);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '1');
    flick_xdr_encode_char8(16, '1');
    flick_xdr_encode_char8(20, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
    flick_xdr_encode_string(*ls, CORBA_flick_free, suntcp, 10);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_string(_return, CORBA_flick_alloc, suntcp, 10);
            flick_xdr_decode_string(*ls, CORBA_flick_alloc, suntcp, 10);
            flick_suntcp_decode_new_glob(7);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed32(0, *l);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long ex4_op12(ex4 _obj, CORBA_long l, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 5);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '1');
    flick_xdr_encode_char8(16, '2');
    flick_xdr_encode_char8(20, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_signed32(40, l);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void ex4_op0(ex4 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(36);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '0');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(36);
    flick_suntcp_encode_end_glob(36);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

CORBA_float ex4_op1(ex4 _obj, CORBA_float f, CORBA_double *d, CORBA_long *l, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_float _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '1');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_float32(36, f);
    flick_xdr_encode_signed32(40, *l);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(20);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_float32(0, _return);
            flick_xdr_decode_float64(4, *d);
            flick_xdr_decode_signed32(12, *l);
            flick_suntcp_decode_end_chunk(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(20);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_double ex4_op2(ex4 _obj, CORBA_double d, CORBA_long *l, CORBA_short *s, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_double _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '2');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_float64(36, d);
    flick_xdr_encode_signed16(44, *s);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(20);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_float64(0, _return);
            flick_xdr_decode_signed32(8, *l);
            flick_xdr_decode_signed16(12, *s);
            flick_suntcp_decode_end_chunk(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(20);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long ex4_op3(ex4 _obj, CORBA_long l, CORBA_short *s, CORBA_unsigned_long *ul, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '3');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed32(36, l);
    flick_xdr_encode_unsigned32(40, *ul);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, _return);
            flick_xdr_decode_signed16(4, *s);
            flick_xdr_decode_unsigned32(8, *ul);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_short ex4_op4(ex4 _obj, CORBA_short s, CORBA_unsigned_long *ul, CORBA_unsigned_short *us, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '4');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed16(36, s);
    flick_xdr_encode_unsigned16(40, *us);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed16(0, _return);
            flick_xdr_decode_unsigned32(4, *ul);
            flick_xdr_decode_unsigned16(8, *us);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_unsigned_long ex4_op5(ex4 _obj, CORBA_unsigned_long *ul, CORBA_unsigned_short us, CORBA_char *c, CORBA_boolean b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '5');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, *ul);
    flick_xdr_encode_unsigned16(40, us);
    flick_xdr_encode_unsigned8(44, b);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned32(0, _return);
            flick_xdr_decode_unsigned32(4, *ul);
            flick_xdr_decode_char8(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_unsigned_short ex4_op6(ex4 _obj, CORBA_unsigned_short *us, CORBA_char *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '6');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_char8(36, *c);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned16(0, _return);
            flick_xdr_decode_unsigned16(4, *us);
            flick_xdr_decode_char8(8, *c);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_float ex4__get_float_attribute(ex4 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_float _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(104);
    flick_suntcp_encode_new_chunk(104);
    flick_xdr_encode_unsigned32(0, 21);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'f');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'a');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, '_');
    flick_xdr_encode_char8(48, 'a');
    flick_xdr_encode_char8(52, 't');
    flick_xdr_encode_char8(56, 't');
    flick_xdr_encode_char8(60, 'r');
    flick_xdr_encode_char8(64, 'i');
    flick_xdr_encode_char8(68, 'b');
    flick_xdr_encode_char8(72, 'u');
    flick_xdr_encode_char8(76, 't');
    flick_xdr_encode_char8(80, 'e');
    flick_xdr_encode_char8(84, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(104);
    flick_suntcp_encode_end_glob(104);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_float32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_double ex4__get_double_attribute(ex4 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_double _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(108);
    flick_suntcp_encode_new_chunk(108);
    flick_xdr_encode_unsigned32(0, 22);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'd');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'u');
    flick_xdr_encode_char8(36, 'b');
    flick_xdr_encode_char8(40, 'l');
    flick_xdr_encode_char8(44, 'e');
    flick_xdr_encode_char8(48, '_');
    flick_xdr_encode_char8(52, 'a');
    flick_xdr_encode_char8(56, 't');
    flick_xdr_encode_char8(60, 't');
    flick_xdr_encode_char8(64, 'r');
    flick_xdr_encode_char8(68, 'i');
    flick_xdr_encode_char8(72, 'b');
    flick_xdr_encode_char8(76, 'u');
    flick_xdr_encode_char8(80, 't');
    flick_xdr_encode_char8(84, 'e');
    flick_xdr_encode_char8(88, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_xdr_encode_unsigned32(104, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(108);
    flick_suntcp_encode_end_glob(108);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, _return);
            flick_suntcp_decode_end_chunk(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(12);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void ex4__set_double_attribute(ex4 _obj, CORBA_double double_attribute, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(116);
    flick_suntcp_encode_new_chunk(116);
    flick_xdr_encode_unsigned32(0, 22);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 's');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'd');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'u');
    flick_xdr_encode_char8(36, 'b');
    flick_xdr_encode_char8(40, 'l');
    flick_xdr_encode_char8(44, 'e');
    flick_xdr_encode_char8(48, '_');
    flick_xdr_encode_char8(52, 'a');
    flick_xdr_encode_char8(56, 't');
    flick_xdr_encode_char8(60, 't');
    flick_xdr_encode_char8(64, 'r');
    flick_xdr_encode_char8(68, 'i');
    flick_xdr_encode_char8(72, 'b');
    flick_xdr_encode_char8(76, 'u');
    flick_xdr_encode_char8(80, 't');
    flick_xdr_encode_char8(84, 'e');
    flick_xdr_encode_char8(88, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_xdr_encode_unsigned32(104, (unsigned int) 0);
    flick_xdr_encode_float64(108, double_attribute);
    flick_suntcp_encode_end_chunk(116);
    flick_suntcp_encode_end_glob(116);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

CORBA_long ex4__get_long_attribute(ex4 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(100);
    flick_suntcp_encode_new_chunk(100);
    flick_xdr_encode_unsigned32(0, 20);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'l');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 'g');
    flick_xdr_encode_char8(40, '_');
    flick_xdr_encode_char8(44, 'a');
    flick_xdr_encode_char8(48, 't');
    flick_xdr_encode_char8(52, 't');
    flick_xdr_encode_char8(56, 'r');
    flick_xdr_encode_char8(60, 'i');
    flick_xdr_encode_char8(64, 'b');
    flick_xdr_encode_char8(68, 'u');
    flick_xdr_encode_char8(72, 't');
    flick_xdr_encode_char8(76, 'e');
    flick_xdr_encode_char8(80, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(84, (unsigned int) 0);
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(100);
    flick_suntcp_encode_end_glob(100);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_short ex4__get_short_attribute(ex4 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(104);
    flick_suntcp_encode_new_chunk(104);
    flick_xdr_encode_unsigned32(0, 21);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 'h');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'r');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, '_');
    flick_xdr_encode_char8(48, 'a');
    flick_xdr_encode_char8(52, 't');
    flick_xdr_encode_char8(56, 't');
    flick_xdr_encode_char8(60, 'r');
    flick_xdr_encode_char8(64, 'i');
    flick_xdr_encode_char8(68, 'b');
    flick_xdr_encode_char8(72, 'u');
    flick_xdr_encode_char8(76, 't');
    flick_xdr_encode_char8(80, 'e');
    flick_xdr_encode_char8(84, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(104);
    flick_suntcp_encode_end_glob(104);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void ex4__set_short_attribute(ex4 _obj, CORBA_short short_attribute, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(108);
    flick_suntcp_encode_new_chunk(108);
    flick_xdr_encode_unsigned32(0, 21);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 's');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 'h');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'r');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, '_');
    flick_xdr_encode_char8(48, 'a');
    flick_xdr_encode_char8(52, 't');
    flick_xdr_encode_char8(56, 't');
    flick_xdr_encode_char8(60, 'r');
    flick_xdr_encode_char8(64, 'i');
    flick_xdr_encode_char8(68, 'b');
    flick_xdr_encode_char8(72, 'u');
    flick_xdr_encode_char8(76, 't');
    flick_xdr_encode_char8(80, 'e');
    flick_xdr_encode_char8(84, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(88, (unsigned int) 0);
    flick_xdr_encode_unsigned32(92, (unsigned int) 0);
    flick_xdr_encode_unsigned32(96, (unsigned int) 0);
    flick_xdr_encode_unsigned32(100, (unsigned int) 0);
    flick_xdr_encode_signed16(104, short_attribute);
    flick_suntcp_encode_end_chunk(108);
    flick_suntcp_encode_end_glob(108);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
}

CORBA_unsigned_long ex4__get_unsigned_long_attribute(ex4 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(136);
    flick_suntcp_encode_new_chunk(136);
    flick_xdr_encode_unsigned32(0, 29);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'u');
    flick_xdr_encode_char8(28, 'n');
    flick_xdr_encode_char8(32, 's');
    flick_xdr_encode_char8(36, 'i');
    flick_xdr_encode_char8(40, 'g');
    flick_xdr_encode_char8(44, 'n');
    flick_xdr_encode_char8(48, 'e');
    flick_xdr_encode_char8(52, 'd');
    flick_xdr_encode_char8(56, '_');
    flick_xdr_encode_char8(60, 'l');
    flick_xdr_encode_char8(64, 'o');
    flick_xdr_encode_char8(68, 'n');
    flick_xdr_encode_char8(72, 'g');
    flick_xdr_encode_char8(76, '_');
    flick_xdr_encode_char8(80, 'a');
    flick_xdr_encode_char8(84, 't');
    flick_xdr_encode_char8(88, 't');
    flick_xdr_encode_char8(92, 'r');
    flick_xdr_encode_char8(96, 'i');
    flick_xdr_encode_char8(100, 'b');
    flick_xdr_encode_char8(104, 'u');
    flick_xdr_encode_char8(108, 't');
    flick_xdr_encode_char8(112, 'e');
    flick_xdr_encode_char8(116, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(120, (unsigned int) 0);
    flick_xdr_encode_unsigned32(124, (unsigned int) 0);
    flick_xdr_encode_unsigned32(128, (unsigned int) 0);
    flick_xdr_encode_unsigned32(132, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(136);
    flick_suntcp_encode_end_glob(136);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return);
            flick_suntcp_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(8);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

