#include "inherit-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_five;
	s.vers_num = _VERS_five;

	reg_success = flick_server_register(s, &five_server);
	assert(reg_success);


	s.prog_num = _PROG_four;
	s.vers_num = _VERS_four;

	reg_success = flick_server_register(s, &four_server);
	assert(reg_success);


	s.prog_num = _PROG_three;
	s.vers_num = _VERS_three;

	reg_success = flick_server_register(s, &three_server);
	assert(reg_success);


	s.prog_num = _PROG_two;
	s.vers_num = _VERS_two;

	reg_success = flick_server_register(s, &two_server);
	assert(reg_success);


	s.prog_num = _PROG_one;
	s.vers_num = _VERS_one;

	reg_success = flick_server_register(s, &one_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_one(flick_marshal_stream_t _stream, const one *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_one(flick_marshal_stream_t _stream, one *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t one_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t10_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t10_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t10_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t11_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t11_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t11_switch_tag)
            {
            case 'o':
              {
                char _t12_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t12_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t12_switch_tag)
                  {
                  case 'p':
                    {
                      char _t13_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t13_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t13_switch_tag)
                        {
                        case '_':
                          {
                            char _t14_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t14_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t14_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t15_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t15_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t15_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t16_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t16_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t16_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t17_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t17_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t17_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      one _obj;
                                                      CORBA_Environment *_ev;
                                                      unsigned int _t18_ignore;
                                                      CORBA_Environment _t19_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t18_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t18_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t18_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t18_ignore);
                                                      _ev = &_t19_storage;
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(48);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      one_op_one(_obj, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(4);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(4);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(48);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_two(flick_marshal_stream_t _stream, const two *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_two(flick_marshal_stream_t _stream, two *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t two_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t35_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t35_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t35_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t36_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t36_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t36_switch_tag)
            {
            case 'o':
              {
                char _t37_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t37_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t37_switch_tag)
                  {
                  case 'p':
                    {
                      char _t38_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t38_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t38_switch_tag)
                        {
                        case '_':
                          {
                            char _t39_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t39_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t39_switch_tag)
                              {
                              case 't':
                                {
                                  char _t40_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t40_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t40_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t41_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t41_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t41_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t42_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t42_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t42_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      two _obj;
                                                      CORBA_Environment *_ev;
                                                      unsigned int _t43_ignore;
                                                      CORBA_Environment _t44_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t43_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t43_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t43_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t43_ignore);
                                                      _ev = &_t44_storage;
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(48);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      two_op_two(_obj, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(4);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(4);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(48);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t45_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t45_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t45_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t46_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t46_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t46_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t47_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t47_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t47_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      two _obj;
                                                      CORBA_Environment *_ev;
                                                      unsigned int _t48_ignore;
                                                      CORBA_Environment _t49_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t48_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t48_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t48_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t48_ignore);
                                                      _ev = &_t49_storage;
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(48);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      two_op_one(_obj, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(4);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(4);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(48);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_three(flick_marshal_stream_t _stream, const three *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_three(flick_marshal_stream_t _stream, three *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t three_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t71_switch_tag;

    flick_suntcp_decode_new_glob(56);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t71_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t71_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t72_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t72_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t72_switch_tag)
            {
            case 'o':
              {
                char _t73_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t73_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t73_switch_tag)
                  {
                  case 'p':
                    {
                      char _t74_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t74_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t74_switch_tag)
                        {
                        case '_':
                          {
                            char _t75_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t75_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t75_switch_tag)
                              {
                              case 't':
                                {
                                  char _t76_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t76_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t76_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t77_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t77_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t77_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t78_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t78_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t78_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t79_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t79_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t79_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t80_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t80_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t80_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  three _obj;
                                                                  CORBA_Environment *_ev;
                                                                  unsigned int _t81_ignore;
                                                                  CORBA_Environment _t82_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t81_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t81_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t81_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t81_ignore);
                                                                  _ev = &_t82_storage;
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(56);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  three_op_three(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(56);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t83_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t83_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t83_switch_tag)
            {
            case 'o':
              {
                char _t84_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t84_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t84_switch_tag)
                  {
                  case 'p':
                    {
                      char _t85_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t85_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t85_switch_tag)
                        {
                        case '_':
                          {
                            char _t86_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t86_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t86_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t87_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t87_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t87_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t88_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t88_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t88_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t89_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t89_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t89_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      three _obj;
                                                      CORBA_Environment *_ev;
                                                      unsigned int _t90_ignore;
                                                      CORBA_Environment _t91_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t90_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t90_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t90_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t90_ignore);
                                                      _ev = &_t91_storage;
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      three_op_one(_obj, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(4);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(4);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_four(flick_marshal_stream_t _stream, const four *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_four(flick_marshal_stream_t _stream, four *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t four_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t128_switch_tag;

    flick_suntcp_decode_new_glob(56);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t128_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t128_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t129_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t129_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t129_switch_tag)
            {
            case 'o':
              {
                char _t130_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t130_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t130_switch_tag)
                  {
                  case 'p':
                    {
                      char _t131_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t131_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t131_switch_tag)
                        {
                        case '_':
                          {
                            char _t132_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t132_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t132_switch_tag)
                              {
                              case 'f':
                                {
                                  char _t133_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t133_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t133_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t134_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t134_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t134_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t135_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t135_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t135_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t136_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t136_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t136_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            four _obj;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t137_ignore;
                                                            CORBA_Environment _t138_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t137_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t137_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t137_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t137_ignore);
                                                            _ev = &_t138_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            four_op_four(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(4);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t139_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t139_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t139_switch_tag)
            {
            case 'o':
              {
                char _t140_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t140_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t140_switch_tag)
                  {
                  case 'p':
                    {
                      char _t141_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t141_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t141_switch_tag)
                        {
                        case '_':
                          {
                            char _t142_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t142_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t142_switch_tag)
                              {
                              case 't':
                                {
                                  char _t143_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t143_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t143_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t144_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t144_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t144_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t145_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t145_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t145_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      four _obj;
                                                      CORBA_Environment *_ev;
                                                      unsigned int _t146_ignore;
                                                      CORBA_Environment _t147_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t146_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t146_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t146_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t146_ignore);
                                                      _ev = &_t147_storage;
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      four_op_two(_obj, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(4);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(4);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t148_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t148_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t148_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t149_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t149_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t149_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t150_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t150_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t150_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      four _obj;
                                                      CORBA_Environment *_ev;
                                                      unsigned int _t151_ignore;
                                                      CORBA_Environment _t152_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t151_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t151_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t151_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t151_ignore);
                                                      _ev = &_t152_storage;
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      four_op_one(_obj, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(4);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(4);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t153_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t153_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t153_switch_tag)
            {
            case 'o':
              {
                char _t154_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t154_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t154_switch_tag)
                  {
                  case 'p':
                    {
                      char _t155_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t155_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t155_switch_tag)
                        {
                        case '_':
                          {
                            char _t156_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t156_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t156_switch_tag)
                              {
                              case 't':
                                {
                                  char _t157_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t157_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t157_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t158_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t158_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t158_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t159_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t159_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t159_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t160_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t160_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t160_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t161_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t161_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t161_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  four _obj;
                                                                  CORBA_Environment *_ev;
                                                                  unsigned int _t162_ignore;
                                                                  CORBA_Environment _t163_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t162_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t162_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t162_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t162_ignore);
                                                                  _ev = &_t163_storage;
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(56);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  four_op_three(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(56);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_five(flick_marshal_stream_t _stream, const five *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_five(flick_marshal_stream_t _stream, five *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t five_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t205_switch_tag;

    flick_suntcp_decode_new_glob(56);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t205_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t205_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t206_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t206_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t206_switch_tag)
            {
            case 'o':
              {
                char _t207_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t207_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t207_switch_tag)
                  {
                  case 'p':
                    {
                      char _t208_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t208_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t208_switch_tag)
                        {
                        case '_':
                          {
                            char _t209_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t209_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t209_switch_tag)
                              {
                              case 'f':
                                {
                                  char _t210_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t210_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t210_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t211_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t211_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t211_switch_tag)
                                          {
                                          case 'v':
                                            {
                                              char _t212_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t212_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t212_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t213_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t213_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t213_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            five _obj;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t214_ignore;
                                                            CORBA_Environment _t215_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t214_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t214_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t214_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t214_ignore);
                                                            _ev = &_t215_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            five_op_five(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(4);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    case 'o':
                                      {
                                        char _t216_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t216_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t216_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t217_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t217_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t217_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t218_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t218_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t218_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            five _obj;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t219_ignore;
                                                            CORBA_Environment _t220_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t219_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t219_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t219_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t219_ignore);
                                                            _ev = &_t220_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(56);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            five_op_four(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(4);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t221_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t221_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t221_switch_tag)
            {
            case 'o':
              {
                char _t222_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t222_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t222_switch_tag)
                  {
                  case 'p':
                    {
                      char _t223_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t223_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t223_switch_tag)
                        {
                        case '_':
                          {
                            char _t224_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t224_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t224_switch_tag)
                              {
                              case 't':
                                {
                                  char _t225_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t225_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t225_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t226_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t226_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t226_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t227_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t227_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t227_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      five _obj;
                                                      CORBA_Environment *_ev;
                                                      unsigned int _t228_ignore;
                                                      CORBA_Environment _t229_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t228_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t228_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t228_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t228_ignore);
                                                      _ev = &_t229_storage;
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      five_op_two(_obj, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(4);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(4);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'o':
                                {
                                  char _t230_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t230_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t230_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t231_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t231_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t231_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t232_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t232_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t232_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      five _obj;
                                                      CORBA_Environment *_ev;
                                                      unsigned int _t233_ignore;
                                                      CORBA_Environment _t234_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t233_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t233_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t233_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t233_ignore);
                                                      _ev = &_t234_storage;
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(56);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      five_op_one(_obj, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(4);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(4);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t235_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t235_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t235_switch_tag)
            {
            case 'o':
              {
                char _t236_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t236_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t236_switch_tag)
                  {
                  case 'p':
                    {
                      char _t237_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t237_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t237_switch_tag)
                        {
                        case '_':
                          {
                            char _t238_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t238_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t238_switch_tag)
                              {
                              case 't':
                                {
                                  char _t239_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t239_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t239_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t240_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t240_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t240_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t241_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t241_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t241_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t242_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t242_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t242_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t243_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t243_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t243_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  five _obj;
                                                                  CORBA_Environment *_ev;
                                                                  unsigned int _t244_ignore;
                                                                  CORBA_Environment _t245_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t244_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t244_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t244_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t244_ignore);
                                                                  _ev = &_t245_storage;
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(56);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  five_op_three(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(56);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(56);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(56);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(56);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(56);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(56);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(56);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(56);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(56);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
