#include "primtypes-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_ex2;
	s.vers_num = _VERS_ex2;

	reg_success = flick_server_register(s, &ex2_server);
	assert(reg_success);


	s.prog_num = _PROG_ex1;
	s.vers_num = _VERS_ex1;

	reg_success = flick_server_register(s, &ex1_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_ex1(flick_marshal_stream_t _stream, const ex1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t47_switch_tag;

    flick_suntcp_decode_new_glob(112);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t47_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t47_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t48_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t48_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t48_switch_tag)
            {
            case 'm':
              {
                char _t49_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t49_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t49_switch_tag)
                  {
                  case '1':
                    {
                      char _t50_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t50_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t50_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex1 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t51_ignore;
                              CORBA_Environment _t52_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t51_ignore);
                              flick_xdr_decode_unsigned32(4, _t51_ignore);
                              flick_xdr_decode_unsigned32(8, _t51_ignore);
                              flick_xdr_decode_unsigned32(12, _t51_ignore);
                              flick_xdr_decode_signed32(16, _local_a);
                              _ev = &_t52_storage;
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(112);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _return = ex1_m1(_obj, _local_a, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(8);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _return);
                                    flick_suntcp_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(8);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t53_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t53_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t53_switch_tag)
            {
            case 'm':
              {
                char _t54_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t54_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t54_switch_tag)
                  {
                  case 't':
                    {
                      char _t55_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t55_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t55_switch_tag)
                        {
                        case 'y':
                          {
                            char _t56_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t56_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t56_switch_tag)
                              {
                              case 'p':
                                {
                                  char _t57_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t57_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t57_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t58_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t58_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t58_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t59_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t59_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t59_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex1 _obj;
                                                      CORBA_long _local_a1;
                                                      CORBA_long *_local_a2;
                                                      CORBA_long *_local_a3;
                                                      CORBA_unsigned_long _local_b1;
                                                      CORBA_unsigned_long *_local_b2;
                                                      CORBA_unsigned_long *_local_b3;
                                                      CORBA_short _local_c1;
                                                      CORBA_short *_local_c2;
                                                      CORBA_short *_local_c3;
                                                      CORBA_unsigned_short _local_d1;
                                                      CORBA_unsigned_short *_local_d2;
                                                      CORBA_unsigned_short *_local_d3;
                                                      CORBA_float _local_e1;
                                                      CORBA_float *_local_e2;
                                                      CORBA_float *_local_e3;
                                                      CORBA_double _local_f1;
                                                      CORBA_double *_local_f2;
                                                      CORBA_double *_local_f3;
                                                      CORBA_char _local_g1;
                                                      CORBA_char *_local_g2;
                                                      CORBA_char *_local_g3;
                                                      CORBA_Environment *_ev;
                                                      ex1 _return;
                                                      unsigned int _t60_ignore;
                                                      CORBA_long _t61_storage;
                                                      CORBA_long _t62_storage;
                                                      CORBA_unsigned_long _t63_storage;
                                                      CORBA_unsigned_long _t64_storage;
                                                      CORBA_short _t65_storage;
                                                      CORBA_short _t66_storage;
                                                      CORBA_unsigned_short _t67_storage;
                                                      CORBA_unsigned_short _t68_storage;
                                                      CORBA_float _t69_storage;
                                                      CORBA_float _t70_storage;
                                                      CORBA_double _t71_storage;
                                                      CORBA_double _t72_storage;
                                                      CORBA_char _t73_storage;
                                                      CORBA_char _t74_storage;
                                                      CORBA_Environment _t75_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(80);
                                                      flick_xdr_decode_unsigned32(0, _t60_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t60_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t60_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t60_ignore);
                                                      flick_xdr_decode_signed32(16, _local_a1);
                                                      _local_a2 = &_t61_storage;
                                                      flick_xdr_decode_signed32(20, *_local_a2);
                                                      _local_a3 = &_t62_storage;
                                                      flick_xdr_decode_unsigned32(24, _local_b1);
                                                      _local_b2 = &_t63_storage;
                                                      flick_xdr_decode_unsigned32(28, *_local_b2);
                                                      _local_b3 = &_t64_storage;
                                                      flick_xdr_decode_signed16(32, _local_c1);
                                                      _local_c2 = &_t65_storage;
                                                      flick_xdr_decode_signed16(36, *_local_c2);
                                                      _local_c3 = &_t66_storage;
                                                      flick_xdr_decode_unsigned16(40, _local_d1);
                                                      _local_d2 = &_t67_storage;
                                                      flick_xdr_decode_unsigned16(44, *_local_d2);
                                                      _local_d3 = &_t68_storage;
                                                      flick_xdr_decode_float32(48, _local_e1);
                                                      _local_e2 = &_t69_storage;
                                                      flick_xdr_decode_float32(52, *_local_e2);
                                                      _local_e3 = &_t70_storage;
                                                      flick_xdr_decode_float64(56, _local_f1);
                                                      _local_f2 = &_t71_storage;
                                                      flick_xdr_decode_float64(64, *_local_f2);
                                                      _local_f3 = &_t72_storage;
                                                      flick_xdr_decode_char8(72, _local_g1);
                                                      _local_g2 = &_t73_storage;
                                                      flick_xdr_decode_char8(76, *_local_g2);
                                                      _local_g3 = &_t74_storage;
                                                      _ev = &_t75_storage;
                                                      flick_suntcp_decode_end_chunk(80);
                                                      flick_suntcp_decode_end_glob(112);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = ex1_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(72);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_new_chunk(68);
                                                            flick_xdr_encode_port32(0, _return, 0);
                                                            flick_xdr_encode_signed32(4, *_local_a2);
                                                            flick_xdr_encode_signed32(8, *_local_a3);
                                                            flick_xdr_encode_unsigned32(12, *_local_b2);
                                                            flick_xdr_encode_unsigned32(16, *_local_b3);
                                                            flick_xdr_encode_signed16(20, *_local_c2);
                                                            flick_xdr_encode_signed16(24, *_local_c3);
                                                            flick_xdr_encode_unsigned16(28, *_local_d2);
                                                            flick_xdr_encode_unsigned16(32, *_local_d3);
                                                            flick_xdr_encode_float32(36, *_local_e2);
                                                            flick_xdr_encode_float32(40, *_local_e3);
                                                            flick_xdr_encode_float64(44, *_local_f2);
                                                            flick_xdr_encode_float64(52, *_local_f3);
                                                            flick_xdr_encode_char8(60, *_local_g2);
                                                            flick_xdr_encode_char8(64, *_local_g3);
                                                            flick_suntcp_encode_end_chunk(68);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(72);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t76_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t76_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t76_switch_tag)
            {
            case '_':
              {
                char _t77_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t77_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t77_switch_tag)
                  {
                  case 'g':
                    {
                      char _t78_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t78_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t78_switch_tag)
                        {
                        case 'e':
                          {
                            char _t79_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t79_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t79_switch_tag)
                              {
                              case 't':
                                {
                                  char _t80_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t80_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t80_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t81_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t81_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t81_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t82_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t82_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t82_switch_tag)
                                                {
                                                case '1':
                                                  {
                                                    char _t83_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t83_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t83_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex1 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            unsigned int _t84_ignore;
                                                            CORBA_Environment _t85_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t84_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t84_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t84_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t84_ignore);
                                                            _ev = &_t85_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(112);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = ex1__get_l1(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t86_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t86_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t86_switch_tag)
                        {
                        case 'e':
                          {
                            char _t87_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t87_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t87_switch_tag)
                              {
                              case 't':
                                {
                                  char _t88_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t88_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t88_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t89_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t89_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t89_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t90_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t90_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t90_switch_tag)
                                                {
                                                case '1':
                                                  {
                                                    char _t91_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t91_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t91_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex1 _obj;
                                                            CORBA_long _local_l1;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t92_ignore;
                                                            CORBA_Environment _t93_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t92_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t92_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t92_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t92_ignore);
                                                            flick_xdr_decode_signed32(16, _local_l1);
                                                            _ev = &_t93_storage;
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(112);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            ex1__set_l1(_obj, _local_l1, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(4);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(112);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_ex2(flick_marshal_stream_t _stream, const ex2 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t151_switch_tag;

    flick_suntcp_decode_new_glob(112);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t151_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t151_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t152_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t152_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t152_switch_tag)
            {
            case 'm':
              {
                char _t153_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t153_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t153_switch_tag)
                  {
                  case '2':
                    {
                      char _t154_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t154_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t154_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_long *_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t155_ignore;
                              CORBA_long _t156_storage;
                              CORBA_Environment _t157_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t155_ignore);
                              flick_xdr_decode_unsigned32(4, _t155_ignore);
                              flick_xdr_decode_unsigned32(8, _t155_ignore);
                              flick_xdr_decode_unsigned32(12, _t155_ignore);
                              flick_xdr_decode_signed32(16, _local_a);
                              _local_b = &_t156_storage;
                              _ev = &_t157_storage;
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(112);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _return = ex2_m2(_obj, _local_a, _local_b, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(12);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(8);
                                    flick_xdr_encode_signed32(0, _return);
                                    flick_xdr_encode_signed32(4, *_local_b);
                                    flick_suntcp_encode_end_chunk(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(12);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  case 'v':
                    {
                      char _t158_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t158_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t158_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t159_ignore;
                              CORBA_Environment _t160_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(16);
                              flick_xdr_decode_unsigned32(0, _t159_ignore);
                              flick_xdr_decode_unsigned32(4, _t159_ignore);
                              flick_xdr_decode_unsigned32(8, _t159_ignore);
                              flick_xdr_decode_unsigned32(12, _t159_ignore);
                              _ev = &_t160_storage;
                              flick_suntcp_decode_end_chunk(16);
                              flick_suntcp_decode_end_glob(112);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              ex2_mv(_obj, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(4);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(4);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  case '1':
                    {
                      char _t161_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t161_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t161_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ex2 _obj;
                              CORBA_long _local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t162_ignore;
                              CORBA_Environment _t163_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t162_ignore);
                              flick_xdr_decode_unsigned32(4, _t162_ignore);
                              flick_xdr_decode_unsigned32(8, _t162_ignore);
                              flick_xdr_decode_unsigned32(12, _t162_ignore);
                              flick_xdr_decode_signed32(16, _local_a);
                              _ev = &_t163_storage;
                              flick_suntcp_decode_end_chunk(20);
                              flick_suntcp_decode_end_glob(112);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _return = ex2_m1(_obj, _local_a, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(8);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _return);
                                    flick_suntcp_encode_end_chunk(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                  }
                                }
                              flick_suntcp_encode_end_glob(8);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t164_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t164_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t164_switch_tag)
            {
            case '_':
              {
                char _t165_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t165_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t165_switch_tag)
                  {
                  case 'g':
                    {
                      char _t166_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t166_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t166_switch_tag)
                        {
                        case 'e':
                          {
                            char _t167_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t167_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t167_switch_tag)
                              {
                              case 't':
                                {
                                  char _t168_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t168_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t168_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t169_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t169_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t169_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t170_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t170_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t170_switch_tag)
                                                {
                                                case '2':
                                                  {
                                                    char _t171_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t171_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t171_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex2 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            unsigned int _t172_ignore;
                                                            CORBA_Environment _t173_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t172_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t172_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t172_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t172_ignore);
                                                            _ev = &_t173_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(112);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = ex2__get_l2(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case '1':
                                                  {
                                                    char _t174_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t174_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t174_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex2 _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            unsigned int _t175_ignore;
                                                            CORBA_Environment _t176_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t175_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t175_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t175_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t175_ignore);
                                                            _ev = &_t176_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(112);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = ex2__get_l1(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t177_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t177_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t177_switch_tag)
                        {
                        case 'e':
                          {
                            char _t178_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t178_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t178_switch_tag)
                              {
                              case 't':
                                {
                                  char _t179_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t179_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t179_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t180_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t180_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t180_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t181_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t181_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t181_switch_tag)
                                                {
                                                case '1':
                                                  {
                                                    char _t182_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t182_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t182_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex2 _obj;
                                                            CORBA_long _local_l1;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t183_ignore;
                                                            CORBA_Environment _t184_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t183_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t183_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t183_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t183_ignore);
                                                            flick_xdr_decode_signed32(16, _local_l1);
                                                            _ev = &_t184_storage;
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(112);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            ex2__set_l1(_obj, _local_l1, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(4);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t185_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t185_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t185_switch_tag)
            {
            case 'm':
              {
                char _t186_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t186_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t186_switch_tag)
                  {
                  case 't':
                    {
                      char _t187_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t187_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t187_switch_tag)
                        {
                        case 'y':
                          {
                            char _t188_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t188_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t188_switch_tag)
                              {
                              case 'p':
                                {
                                  char _t189_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t189_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t189_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t190_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t190_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t190_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t191_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t191_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t191_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex2 _obj;
                                                      CORBA_long _local_a1;
                                                      CORBA_long *_local_a2;
                                                      CORBA_long *_local_a3;
                                                      CORBA_unsigned_long _local_b1;
                                                      CORBA_unsigned_long *_local_b2;
                                                      CORBA_unsigned_long *_local_b3;
                                                      CORBA_short _local_c1;
                                                      CORBA_short *_local_c2;
                                                      CORBA_short *_local_c3;
                                                      CORBA_unsigned_short _local_d1;
                                                      CORBA_unsigned_short *_local_d2;
                                                      CORBA_unsigned_short *_local_d3;
                                                      CORBA_float _local_e1;
                                                      CORBA_float *_local_e2;
                                                      CORBA_float *_local_e3;
                                                      CORBA_double _local_f1;
                                                      CORBA_double *_local_f2;
                                                      CORBA_double *_local_f3;
                                                      CORBA_char _local_g1;
                                                      CORBA_char *_local_g2;
                                                      CORBA_char *_local_g3;
                                                      CORBA_Environment *_ev;
                                                      ex1 _return;
                                                      unsigned int _t192_ignore;
                                                      CORBA_long _t193_storage;
                                                      CORBA_long _t194_storage;
                                                      CORBA_unsigned_long _t195_storage;
                                                      CORBA_unsigned_long _t196_storage;
                                                      CORBA_short _t197_storage;
                                                      CORBA_short _t198_storage;
                                                      CORBA_unsigned_short _t199_storage;
                                                      CORBA_unsigned_short _t200_storage;
                                                      CORBA_float _t201_storage;
                                                      CORBA_float _t202_storage;
                                                      CORBA_double _t203_storage;
                                                      CORBA_double _t204_storage;
                                                      CORBA_char _t205_storage;
                                                      CORBA_char _t206_storage;
                                                      CORBA_Environment _t207_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(80);
                                                      flick_xdr_decode_unsigned32(0, _t192_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t192_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t192_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t192_ignore);
                                                      flick_xdr_decode_signed32(16, _local_a1);
                                                      _local_a2 = &_t193_storage;
                                                      flick_xdr_decode_signed32(20, *_local_a2);
                                                      _local_a3 = &_t194_storage;
                                                      flick_xdr_decode_unsigned32(24, _local_b1);
                                                      _local_b2 = &_t195_storage;
                                                      flick_xdr_decode_unsigned32(28, *_local_b2);
                                                      _local_b3 = &_t196_storage;
                                                      flick_xdr_decode_signed16(32, _local_c1);
                                                      _local_c2 = &_t197_storage;
                                                      flick_xdr_decode_signed16(36, *_local_c2);
                                                      _local_c3 = &_t198_storage;
                                                      flick_xdr_decode_unsigned16(40, _local_d1);
                                                      _local_d2 = &_t199_storage;
                                                      flick_xdr_decode_unsigned16(44, *_local_d2);
                                                      _local_d3 = &_t200_storage;
                                                      flick_xdr_decode_float32(48, _local_e1);
                                                      _local_e2 = &_t201_storage;
                                                      flick_xdr_decode_float32(52, *_local_e2);
                                                      _local_e3 = &_t202_storage;
                                                      flick_xdr_decode_float64(56, _local_f1);
                                                      _local_f2 = &_t203_storage;
                                                      flick_xdr_decode_float64(64, *_local_f2);
                                                      _local_f3 = &_t204_storage;
                                                      flick_xdr_decode_char8(72, _local_g1);
                                                      _local_g2 = &_t205_storage;
                                                      flick_xdr_decode_char8(76, *_local_g2);
                                                      _local_g3 = &_t206_storage;
                                                      _ev = &_t207_storage;
                                                      flick_suntcp_decode_end_chunk(80);
                                                      flick_suntcp_decode_end_glob(112);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = ex2_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(72);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_new_chunk(68);
                                                            flick_xdr_encode_port32(0, _return, 0);
                                                            flick_xdr_encode_signed32(4, *_local_a2);
                                                            flick_xdr_encode_signed32(8, *_local_a3);
                                                            flick_xdr_encode_unsigned32(12, *_local_b2);
                                                            flick_xdr_encode_unsigned32(16, *_local_b3);
                                                            flick_xdr_encode_signed16(20, *_local_c2);
                                                            flick_xdr_encode_signed16(24, *_local_c3);
                                                            flick_xdr_encode_unsigned16(28, *_local_d2);
                                                            flick_xdr_encode_unsigned16(32, *_local_d3);
                                                            flick_xdr_encode_float32(36, *_local_e2);
                                                            flick_xdr_encode_float32(40, *_local_e3);
                                                            flick_xdr_encode_float64(44, *_local_f2);
                                                            flick_xdr_encode_float64(52, *_local_f3);
                                                            flick_xdr_encode_char8(60, *_local_g2);
                                                            flick_xdr_encode_char8(64, *_local_g3);
                                                            flick_suntcp_encode_end_chunk(68);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                          }
                                                        }
                                                      flick_suntcp_encode_end_glob(72);
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(112);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
