#include "sequence-client.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  unsigned long int _t0_array_iter;

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_puke(flick_marshal_stream_t _stream, const puke *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->reason);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_puke(flick_marshal_stream_t _stream, puke *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->reason);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

vec10 *TestSeq_op(TestSeq _obj, vec10 *iv, vec10 **ov, vec10 *iov, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  vec10 *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned long int _t4_array_iter;
    unsigned long int _t5_array_iter;

    flick_suntcp_encode_new_glob(120);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 3);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, iv->_length);
    flick_suntcp_encode_end_chunk(36);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t4_array_iter = 0; _t4_array_iter < iv->_length; _t4_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, iv->_buffer[_t4_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * iv->_length);
    flick_xdr_encode_bcopy(0, iv->_buffer, 4 * iv->_length);
    flick_suntcp_encode_end_chunk(4 * iv->_length);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_unsigned32(0, iov->_length);
    flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t5_array_iter = 0; _t5_array_iter < iov->_length; _t5_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, iov->_buffer[_t5_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * iov->_length);
    flick_xdr_encode_bcopy(0, iov->_buffer, 4 * iov->_length);
    flick_suntcp_encode_end_chunk(4 * iov->_length);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(120);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(136);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t9_array_iter;
            unsigned long int _t10_array_iter;
            unsigned long int _t11_array_iter;

            _return = CORBA_flick_alloc(sizeof(vec10 ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->_length);
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
            for (_t9_array_iter = 0; _t9_array_iter < _return->_length; _t9_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _return->_buffer[_t9_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(4 * _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
            flick_xdr_decode_bcopy(0, _return->_buffer, 4 * _return->_length);
            flick_suntcp_decode_end_chunk(4 * _return->_length);
#endif /* ENDIANness */
            *ov = CORBA_flick_alloc(sizeof(vec10 ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, (*ov)->_length);
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            (*ov)->_buffer = CORBA_flick_alloc((*ov)->_length * sizeof(CORBA_long ));
            for (_t10_array_iter = 0; _t10_array_iter < (*ov)->_length; _t10_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*ov)->_buffer[_t10_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(4 * (*ov)->_length);
            (*ov)->_buffer = CORBA_flick_alloc((*ov)->_length * sizeof(CORBA_long ));
            flick_xdr_decode_bcopy(0, (*ov)->_buffer, 4 * (*ov)->_length);
            flick_suntcp_decode_end_chunk(4 * (*ov)->_length);
#endif /* ENDIANness */
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, iov->_length);
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            iov->_buffer = CORBA_flick_alloc(iov->_length * sizeof(CORBA_long ));
            for (_t11_array_iter = 0; _t11_array_iter < iov->_length; _t11_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, iov->_buffer[_t11_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(4 * iov->_length);
            iov->_buffer = CORBA_flick_alloc(iov->_length * sizeof(CORBA_long ));
            flick_xdr_decode_bcopy(0, iov->_buffer, 4 * iov->_length);
            flick_suntcp_decode_end_chunk(4 * iov->_length);
#endif /* ENDIANness */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _ev->_atomic_user_id);
            flick_suntcp_decode_end_chunk(4);
            switch (_ev->_atomic_user_id)
              {
              case 0:
                {
                  (puke *)(_ev->_except) = CORBA_flick_alloc(sizeof(puke ));
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed32(0, ((puke *)(_ev->_except))->reason);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                  break;
                }
              }
          }
        }
      flick_suntcp_decode_end_glob(136);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

