#include "sequence-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_TestSeq;
	s.vers_num = _VERS_TestSeq;

	reg_success = flick_server_register(s, &TestSeq_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  unsigned long int _t0_array_iter;

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  CORBA_flick_free(_data->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_puke(flick_marshal_stream_t _stream, const puke *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->reason);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_puke(flick_marshal_stream_t _stream, puke *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->reason);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t TestSeq_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t19_switch_tag;

    flick_suntcp_decode_new_glob(120);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t19_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t19_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t20_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t20_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t20_switch_tag)
            {
            case 'o':
              {
                char _t21_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t21_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t21_switch_tag)
                  {
                  case 'p':
                    {
                      char _t22_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t22_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t22_switch_tag)
                        {
                        case 0:
                          {
                            {
                              TestSeq _obj;
                              vec10 *_local_iv;
                              vec10 **_local_ov;
                              vec10 *_local_iov;
                              CORBA_Environment *_ev;
                              vec10 *_return = 0;
                              unsigned int _t23_ignore;
                              vec10 _t24_storage;
                              unsigned long int _t25_array_iter;
                              vec10 *_t26_storage;
                              vec10 _t27_storage;
                              unsigned long int _t28_array_iter;
                              CORBA_Environment _t29_storage;

                              {
                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                              }
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t23_ignore);
                              flick_xdr_decode_unsigned32(4, _t23_ignore);
                              flick_xdr_decode_unsigned32(8, _t23_ignore);
                              flick_xdr_decode_unsigned32(12, _t23_ignore);
                              _local_iv = &_t24_storage;
                              flick_xdr_decode_unsigned32(16, _local_iv->_length);
                              flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                              _local_iv->_buffer = auto_flick_alloc(_local_iv->_length * sizeof(CORBA_long ));
                              for (_t25_array_iter = 0; _t25_array_iter < _local_iv->_length; _t25_array_iter++)
                                {
                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_signed32(0, _local_iv->_buffer[_t25_array_iter]);
                                  flick_suntcp_decode_end_chunk(4);
                                }
#else /* BIG_ENDIAN - do a bcopy*/
                              flick_suntcp_decode_new_chunk(4 * _local_iv->_length);
                              flick_xdr_decode_msgptr(0, _local_iv->_buffer);
                              flick_suntcp_decode_end_chunk(4 * _local_iv->_length);
#endif /* ENDIANness */
                              _local_ov = &_t26_storage;
                              _local_iov = &_t27_storage;
                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_unsigned32(0, _local_iov->_length);
                              flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                              _local_iov->_buffer = CORBA_flick_alloc(_local_iov->_length * sizeof(CORBA_long ));
                              for (_t28_array_iter = 0; _t28_array_iter < _local_iov->_length; _t28_array_iter++)
                                {
                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_signed32(0, _local_iov->_buffer[_t28_array_iter]);
                                  flick_suntcp_decode_end_chunk(4);
                                }
#else /* BIG_ENDIAN - do a bcopy*/
                              flick_suntcp_decode_new_chunk(4 * _local_iov->_length);
                              _local_iov->_buffer = CORBA_flick_alloc(_local_iov->_length * sizeof(CORBA_long ));
                              flick_xdr_decode_bcopy(0, _local_iov->_buffer, 4 * _local_iov->_length);
                              flick_suntcp_decode_end_chunk(4 * _local_iov->_length);
#endif /* ENDIANness */
                              _ev = &_t29_storage;
                              flick_suntcp_decode_end_glob(120);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _return = TestSeq_op(_obj, _local_iv, _local_ov, _local_iov, _ev);
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                              }
                              flick_suntcp_encode_new_glob(136);
                              flick_suntcp_encode_new_chunk(4);
                              flick_xdr_encode_signed32(0, _ev->_major);
                              flick_suntcp_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    unsigned long int _t33_array_iter;
                                    unsigned long int _t34_array_iter;
                                    unsigned long int _t35_array_iter;

                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_unsigned32(0, _return->_length);
                                    flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                    for (_t33_array_iter = 0; _t33_array_iter < _return->_length; _t33_array_iter++)
                                      {
                                        flick_suntcp_encode_new_chunk(4);
                                        flick_xdr_encode_signed32(0, _return->_buffer[_t33_array_iter]);
                                        flick_suntcp_encode_end_chunk(4);
                                      }
                                    CORBA_flick_free(_return->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                    flick_suntcp_encode_new_chunk(4 * _return->_length);
                                    flick_xdr_encode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                    CORBA_flick_free(_return->_buffer);
                                    flick_suntcp_encode_end_chunk(4 * _return->_length);
#endif /* ENDIANness */
                                    CORBA_flick_free(_return);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_unsigned32(0, (*_local_ov)->_length);
                                    flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                    for (_t34_array_iter = 0; _t34_array_iter < (*_local_ov)->_length; _t34_array_iter++)
                                      {
                                        flick_suntcp_encode_new_chunk(4);
                                        flick_xdr_encode_signed32(0, (*_local_ov)->_buffer[_t34_array_iter]);
                                        flick_suntcp_encode_end_chunk(4);
                                      }
                                    CORBA_flick_free((*_local_ov)->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                    flick_suntcp_encode_new_chunk(4 * (*_local_ov)->_length);
                                    flick_xdr_encode_bcopy(0, (*_local_ov)->_buffer, 4 * (*_local_ov)->_length);
                                    CORBA_flick_free((*_local_ov)->_buffer);
                                    flick_suntcp_encode_end_chunk(4 * (*_local_ov)->_length);
#endif /* ENDIANness */
                                    CORBA_flick_free(*_local_ov);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_unsigned32(0, _local_iov->_length);
                                    flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                    for (_t35_array_iter = 0; _t35_array_iter < _local_iov->_length; _t35_array_iter++)
                                      {
                                        flick_suntcp_encode_new_chunk(4);
                                        flick_xdr_encode_signed32(0, _local_iov->_buffer[_t35_array_iter]);
                                        flick_suntcp_encode_end_chunk(4);
                                      }
                                    CORBA_flick_free(_local_iov->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                    flick_suntcp_encode_new_chunk(4 * _local_iov->_length);
                                    flick_xdr_encode_bcopy(0, _local_iov->_buffer, 4 * _local_iov->_length);
                                    CORBA_flick_free(_local_iov->_buffer);
                                    flick_suntcp_encode_end_chunk(4 * _local_iov->_length);
#endif /* ENDIANness */
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                    break;
                                  }
                                default:
                                  {
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_atomic_user_id);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_atomic_user_id)
                                      {
                                      case 0:
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, ((puke *)(_ev->_except))->reason);
                                          CORBA_flick_free((puke *)(_ev->_except));
                                          flick_suntcp_encode_end_chunk(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                          break;
                                        }
                                      }
                                  }
                                }
                              flick_suntcp_encode_end_glob(136);
                              flick_suntcp_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(120);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
