#include "string_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	reg_success = flick_server_register(s, &test_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_str(flick_marshal_stream_t _stream, const struct str *_data)
{
  flick_xdr_encode_string(_data->s10, CORBA_flick_free, suntcp, 10);
  flick_suntcp_encode_new_glob(7);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_signed32(0, _data->a);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(7);
  flick_xdr_encode_longstring(_data->sx, CORBA_flick_free, suntcp);
  flick_suntcp_encode_new_glob(7);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_signed16(0, _data->b);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(7);
}

void flick_unmarshal_stub_str(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_xdr_decode_string(_data->s10, CORBA_flick_alloc, suntcp, 10);
  flick_suntcp_decode_new_glob(7);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_signed32(0, _data->a);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(7);
  flick_xdr_decode_longstring(_data->sx, CORBA_flick_alloc, suntcp);
  flick_suntcp_decode_new_glob(7);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_signed16(0, _data->b);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(7);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t20_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t20_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t20_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t21_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t21_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t21_switch_tag)
            {
            case 'S':
              {
                char _t22_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t22_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t22_switch_tag)
                  {
                  case 't':
                    {
                      char _t23_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t23_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t23_switch_tag)
                        {
                        case 'r':
                          {
                            char _t24_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t24_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t24_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t25_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t25_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t25_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t26_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t26_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t26_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t27_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t27_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t27_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      CORBA_char *_local_a;
                                                      CORBA_char **_local_b;
                                                      CORBA_char **_local_c;
                                                      CORBA_Environment *_ev;
                                                      CORBA_char *_return = 0;
                                                      unsigned int _t28_ignore;
                                                      CORBA_char *_t29_storage;
                                                      CORBA_char *_t30_storage;
                                                      CORBA_Environment _t31_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t28_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t28_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t28_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t28_ignore);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(48);
                                                      flick_xdr_decode_auto_string(_local_a, auto_flick_alloc, suntcp);
                                                      _local_b = &_t29_storage;
                                                      flick_xdr_decode_longstring(*_local_b, CORBA_flick_alloc, suntcp);
                                                      _local_c = &_t30_storage;
                                                      _ev = &_t31_storage;
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(4);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                            flick_xdr_encode_longstring(*_local_b, CORBA_flick_free, suntcp);
                                                            flick_xdr_encode_longstring(*_local_c, CORBA_flick_free, suntcp);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            flick_suntcp_encode_end_glob(4);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                            flick_suntcp_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(48);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'u':
                                {
                                  char _t32_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t32_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t32_switch_tag)
                                    {
                                    case 'c':
                                      {
                                        char _t33_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t33_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t33_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t34_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t34_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t34_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      struct str *_local_a;
                                                      struct str *_local_b;
                                                      struct str **_local_c;
                                                      CORBA_Environment *_ev;
                                                      struct str *_return = 0;
                                                      unsigned int _t35_ignore;
                                                      struct str _t36_storage;
                                                      struct str _t37_storage;
                                                      struct str *_t38_storage;
                                                      CORBA_Environment _t39_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t35_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t35_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t35_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t35_ignore);
                                                      _local_a = &_t36_storage;
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(48);
                                                      flick_xdr_decode_auto_string(_local_a->s10, auto_flick_alloc, suntcp);
                                                      flick_suntcp_decode_new_glob(7);
                                                      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_xdr_decode_signed32(0, _local_a->a);
                                                      flick_suntcp_decode_end_chunk(4);
                                                      flick_suntcp_decode_end_glob(7);
                                                      flick_xdr_decode_auto_string(_local_a->sx, auto_flick_alloc, suntcp);
                                                      flick_suntcp_decode_new_glob(7);
                                                      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_xdr_decode_signed16(0, _local_a->b);
                                                      _local_b = &_t37_storage;
                                                      flick_suntcp_decode_end_chunk(4);
                                                      flick_suntcp_decode_end_glob(7);
                                                      flick_xdr_decode_string(_local_b->s10, CORBA_flick_alloc, suntcp, 10);
                                                      flick_suntcp_decode_new_glob(7);
                                                      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_xdr_decode_signed32(0, _local_b->a);
                                                      flick_suntcp_decode_end_chunk(4);
                                                      flick_suntcp_decode_end_glob(7);
                                                      flick_xdr_decode_longstring(_local_b->sx, CORBA_flick_alloc, suntcp);
                                                      flick_suntcp_decode_new_glob(7);
                                                      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_xdr_decode_signed16(0, _local_b->b);
                                                      _local_c = &_t38_storage;
                                                      _ev = &_t39_storage;
                                                      flick_suntcp_decode_end_chunk(4);
                                                      flick_suntcp_decode_end_glob(7);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = test_Struct(_obj, _local_a, _local_b, _local_c, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(4);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_xdr_encode_string(_return->s10, CORBA_flick_free, suntcp, 10);
                                                            flick_suntcp_encode_new_glob(7);
                                                            flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_xdr_encode_signed32(0, _return->a);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            flick_suntcp_encode_end_glob(7);
                                                            flick_xdr_encode_longstring(_return->sx, CORBA_flick_free, suntcp);
                                                            flick_suntcp_encode_new_glob(7);
                                                            flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_xdr_encode_signed16(0, _return->b);
                                                            CORBA_flick_free(_return);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            flick_suntcp_encode_end_glob(7);
                                                            flick_xdr_encode_string(_local_b->s10, CORBA_flick_free, suntcp, 10);
                                                            flick_suntcp_encode_new_glob(7);
                                                            flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_xdr_encode_signed32(0, _local_b->a);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            flick_suntcp_encode_end_glob(7);
                                                            flick_xdr_encode_longstring(_local_b->sx, CORBA_flick_free, suntcp);
                                                            flick_suntcp_encode_new_glob(7);
                                                            flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_xdr_encode_signed16(0, _local_b->b);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            flick_suntcp_encode_end_glob(7);
                                                            flick_xdr_encode_string((*_local_c)->s10, CORBA_flick_free, suntcp, 10);
                                                            flick_suntcp_encode_new_glob(7);
                                                            flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_xdr_encode_signed32(0, (*_local_c)->a);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            flick_suntcp_encode_end_glob(7);
                                                            flick_xdr_encode_longstring((*_local_c)->sx, CORBA_flick_free, suntcp);
                                                            flick_suntcp_encode_new_glob(7);
                                                            flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                            flick_xdr_encode_signed16(0, (*_local_c)->b);
                                                            CORBA_flick_free(*_local_c);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            flick_suntcp_encode_end_glob(7);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            flick_suntcp_encode_end_glob(4);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                            flick_suntcp_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(48);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
