#include "struct-1-client.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed32(0, _data->one);
  flick_xdr_encode_signed32(4, _data->two);
  flick_xdr_encode_signed32(8, _data->three);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed32(0, _data->one);
  flick_xdr_decode_signed32(4, _data->two);
  flick_xdr_decode_signed32(8, _data->three);
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
}

struct bar *op_2(int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  struct bar *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 1);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_signed32(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static struct bar _t1_storage;

            _return = &_t1_storage;
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, _return->one);
            flick_xdr_decode_signed32(4, _return->two);
            flick_xdr_decode_signed32(8, _return->three);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

