#include "sunstat-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = progname;
	s.vers_num = versname;

	reg_success = flick_server_register(s, &progname_2);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_my_ulong_t(flick_marshal_stream_t _stream, const my_ulong_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_dev_t(flick_marshal_stream_t _stream, const my_dev_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_ino_t(flick_marshal_stream_t _stream, const my_ino_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_mode_t(flick_marshal_stream_t _stream, const my_mode_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_nlink_t(flick_marshal_stream_t _stream, const my_nlink_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_uid_t(flick_marshal_stream_t _stream, const my_uid_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_gid_t(flick_marshal_stream_t _stream, const my_gid_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_off_t(flick_marshal_stream_t _stream, const my_off_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_time_t(flick_marshal_stream_t _stream, const my_time_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_timespec(flick_marshal_stream_t _stream, const struct my_timespec *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->tv_sec);
  flick_xdr_encode_signed32(4, _data->tv_nsec);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->tv_sec);
  flick_xdr_decode_signed32(4, _data->tv_nsec);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, const my_timestruc_t *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->tv_sec);
  flick_xdr_encode_signed32(4, _data->tv_nsec);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->tv_sec);
  flick_xdr_decode_signed32(4, _data->tv_nsec);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_my_stat(flick_marshal_stream_t _stream, const struct my_stat *_data)
{
  flick_unsigned8_t _t0_array_iter;
  flick_unsigned8_t _t1_array_iter;
  flick_unsigned8_t _t2_array_iter;
  flick_unsigned8_t _t3_array_iter;

  flick_suntcp_encode_new_glob(139);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->st_dev);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 3; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad1[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_bcopy(0, _data->st_pad1, 4 * 3);
  flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_unsigned32(0, _data->st_ino);
  flick_xdr_encode_unsigned32(4, _data->st_mode);
  flick_xdr_encode_unsigned32(8, _data->st_nlink);
  flick_xdr_encode_signed32(12, _data->st_uid);
  flick_xdr_encode_signed32(16, _data->st_gid);
  flick_xdr_encode_unsigned32(20, _data->st_rdev);
  flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < 2; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad2[_t1_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_bcopy(0, _data->st_pad2, 4 * 2);
  flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_signed32(0, _data->st_size);
  flick_xdr_encode_signed32(4, _data->st_pad3);
  flick_xdr_encode_signed32(8, _data->st_atime.tv_sec);
  flick_xdr_encode_signed32(12, _data->st_atime.tv_nsec);
  flick_xdr_encode_signed32(16, _data->st_mtime.tv_sec);
  flick_xdr_encode_signed32(20, _data->st_mtime.tv_nsec);
  flick_xdr_encode_signed32(24, _data->st_ctime.tv_sec);
  flick_xdr_encode_signed32(28, _data->st_ctime.tv_nsec);
  flick_xdr_encode_signed32(32, _data->st_blksize);
  flick_xdr_encode_signed32(36, _data->st_blocks);
  flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < 16; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->st_fstype[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_bcopy(0, _data->st_fstype, 1 * 16);
  flick_suntcp_encode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < 8; _t3_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad4[_t3_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_bcopy(0, _data->st_pad4, 4 * 8);
  flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(139);
}

void flick_unmarshal_stub_my_stat(flick_marshal_stream_t _stream, struct my_stat *_data)
{
  flick_unsigned8_t _t4_array_length;
  flick_unsigned8_t _t5_array_iter;
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t7_array_iter;
  flick_unsigned8_t _t8_array_length;
  flick_unsigned8_t _t9_array_iter;
  flick_unsigned8_t _t10_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_suntcp_decode_new_glob(139);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->st_dev);
  _t4_array_length = 3;
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _t4_array_length; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad1[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_bcopy(0, _data->st_pad1, 4 * _t4_array_length);
  flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_unsigned32(0, _data->st_ino);
  flick_xdr_decode_unsigned32(4, _data->st_mode);
  flick_xdr_decode_unsigned32(8, _data->st_nlink);
  flick_xdr_decode_signed32(12, _data->st_uid);
  flick_xdr_decode_signed32(16, _data->st_gid);
  flick_xdr_decode_unsigned32(20, _data->st_rdev);
  _t6_array_length = 2;
  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < _t6_array_length; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad2[_t7_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_bcopy(0, _data->st_pad2, 4 * _t6_array_length);
  flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_signed32(0, _data->st_size);
  flick_xdr_decode_signed32(4, _data->st_pad3);
  flick_xdr_decode_signed32(8, _data->st_atime.tv_sec);
  flick_xdr_decode_signed32(12, _data->st_atime.tv_nsec);
  flick_xdr_decode_signed32(16, _data->st_mtime.tv_sec);
  flick_xdr_decode_signed32(20, _data->st_mtime.tv_nsec);
  flick_xdr_decode_signed32(24, _data->st_ctime.tv_sec);
  flick_xdr_decode_signed32(28, _data->st_ctime.tv_nsec);
  flick_xdr_decode_signed32(32, _data->st_blksize);
  flick_xdr_decode_signed32(36, _data->st_blocks);
  _t8_array_length = 16;
  flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t9_array_iter = 0; _t9_array_iter < _t8_array_length; _t9_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->st_fstype[_t9_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_bcopy(0, _data->st_fstype, 1 * _t8_array_length);
  flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  _t10_array_length = 8;
  flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t11_array_iter = 0; _t11_array_iter < _t10_array_length; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad4[_t11_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_bcopy(0, _data->st_pad4, 4 * _t10_array_length);
  flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(139);
}

void flick_marshal_stub_entry(flick_marshal_stream_t _stream, const struct entry *_data)
{
  flick_unsigned8_t _t12_array_iter;
  flick_unsigned8_t _t13_array_iter;
  flick_unsigned8_t _t14_array_iter;
  flick_unsigned8_t _t15_array_iter;

  flick_xdr_encode_string(_data->filename, null_flick_free, suntcp, 255);
  flick_suntcp_encode_new_glob(142);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_unsigned32(0, _data->info.st_dev);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t12_array_iter = 0; _t12_array_iter < 3; _t12_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad1[_t12_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_bcopy(0, _data->info.st_pad1, 4 * 3);
  flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_unsigned32(0, _data->info.st_ino);
  flick_xdr_encode_unsigned32(4, _data->info.st_mode);
  flick_xdr_encode_unsigned32(8, _data->info.st_nlink);
  flick_xdr_encode_signed32(12, _data->info.st_uid);
  flick_xdr_encode_signed32(16, _data->info.st_gid);
  flick_xdr_encode_unsigned32(20, _data->info.st_rdev);
  flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t13_array_iter = 0; _t13_array_iter < 2; _t13_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad2[_t13_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_bcopy(0, _data->info.st_pad2, 4 * 2);
  flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_signed32(0, _data->info.st_size);
  flick_xdr_encode_signed32(4, _data->info.st_pad3);
  flick_xdr_encode_signed32(8, _data->info.st_atime.tv_sec);
  flick_xdr_encode_signed32(12, _data->info.st_atime.tv_nsec);
  flick_xdr_encode_signed32(16, _data->info.st_mtime.tv_sec);
  flick_xdr_encode_signed32(20, _data->info.st_mtime.tv_nsec);
  flick_xdr_encode_signed32(24, _data->info.st_ctime.tv_sec);
  flick_xdr_encode_signed32(28, _data->info.st_ctime.tv_nsec);
  flick_xdr_encode_signed32(32, _data->info.st_blksize);
  flick_xdr_encode_signed32(36, _data->info.st_blocks);
  flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t14_array_iter = 0; _t14_array_iter < 16; _t14_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->info.st_fstype[_t14_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_bcopy(0, _data->info.st_fstype, 1 * 16);
  flick_suntcp_encode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t15_array_iter = 0; _t15_array_iter < 8; _t15_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad4[_t15_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_bcopy(0, _data->info.st_pad4, 4 * 8);
  flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(142);
}

void flick_unmarshal_stub_entry(flick_marshal_stream_t _stream, struct entry *_data)
{
  flick_unsigned8_t _t16_array_length;
  flick_unsigned8_t _t17_array_iter;
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t19_array_iter;
  flick_unsigned8_t _t20_array_length;
  flick_unsigned8_t _t21_array_iter;
  flick_unsigned8_t _t22_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_xdr_decode_string(_data->filename, sun_flick_alloc, suntcp, 255);
  flick_suntcp_decode_new_glob(142);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_unsigned32(0, _data->info.st_dev);
  _t16_array_length = 3;
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t17_array_iter = 0; _t17_array_iter < _t16_array_length; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad1[_t17_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_bcopy(0, _data->info.st_pad1, 4 * _t16_array_length);
  flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_unsigned32(0, _data->info.st_ino);
  flick_xdr_decode_unsigned32(4, _data->info.st_mode);
  flick_xdr_decode_unsigned32(8, _data->info.st_nlink);
  flick_xdr_decode_signed32(12, _data->info.st_uid);
  flick_xdr_decode_signed32(16, _data->info.st_gid);
  flick_xdr_decode_unsigned32(20, _data->info.st_rdev);
  _t18_array_length = 2;
  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t19_array_iter = 0; _t19_array_iter < _t18_array_length; _t19_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad2[_t19_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_bcopy(0, _data->info.st_pad2, 4 * _t18_array_length);
  flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_signed32(0, _data->info.st_size);
  flick_xdr_decode_signed32(4, _data->info.st_pad3);
  flick_xdr_decode_signed32(8, _data->info.st_atime.tv_sec);
  flick_xdr_decode_signed32(12, _data->info.st_atime.tv_nsec);
  flick_xdr_decode_signed32(16, _data->info.st_mtime.tv_sec);
  flick_xdr_decode_signed32(20, _data->info.st_mtime.tv_nsec);
  flick_xdr_decode_signed32(24, _data->info.st_ctime.tv_sec);
  flick_xdr_decode_signed32(28, _data->info.st_ctime.tv_nsec);
  flick_xdr_decode_signed32(32, _data->info.st_blksize);
  flick_xdr_decode_signed32(36, _data->info.st_blocks);
  _t20_array_length = 16;
  flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t21_array_iter = 0; _t21_array_iter < _t20_array_length; _t21_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->info.st_fstype[_t21_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_bcopy(0, _data->info.st_fstype, 1 * _t20_array_length);
  flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  _t22_array_length = 8;
  flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t23_array_iter = 0; _t23_array_iter < _t22_array_length; _t23_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad4[_t23_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_bcopy(0, _data->info.st_pad4, 4 * _t22_array_length);
  flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(142);
}

void flick_marshal_stub_inner(flick_marshal_stream_t _stream, const struct inner *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a);
  flick_xdr_encode_signed32(4, _data->b);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_inner(flick_marshal_stream_t _stream, struct inner *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a);
  flick_xdr_decode_signed32(4, _data->b);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_outer(flick_marshal_stream_t _stream, const struct outer *_data)
{
  flick_suntcp_encode_new_glob(16);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->a.a);
  flick_xdr_encode_signed32(4, _data->a.b);
  flick_xdr_encode_signed32(8, _data->b.a);
  flick_xdr_encode_signed32(12, _data->b.b);
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
}

void flick_unmarshal_stub_outer(flick_marshal_stream_t _stream, struct outer *_data)
{
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->a.a);
  flick_xdr_decode_signed32(4, _data->a.b);
  flick_xdr_decode_signed32(8, _data->b.a);
  flick_xdr_decode_signed32(12, _data->b.b);
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
}

void flick_marshal_stub_directory(flick_marshal_stream_t _stream, const directory *_data)
{
  unsigned long int _t32_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->directory_len);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t32_array_iter = 0; _t32_array_iter < _data->directory_len; _t32_array_iter++)
    {
      flick_unsigned8_t _t37_array_iter;
      flick_unsigned8_t _t38_array_iter;
      flick_unsigned8_t _t39_array_iter;
      flick_unsigned8_t _t40_array_iter;

      flick_xdr_encode_string(_data->directory_val[_t32_array_iter].filename, null_flick_free, suntcp, 255);
      flick_suntcp_encode_new_glob(142);
      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_encode_unsigned32(0, _data->directory_val[_t32_array_iter].info.st_dev);
      flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t37_array_iter = 0; _t37_array_iter < 3; _t37_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->directory_val[_t32_array_iter].info.st_pad1[_t37_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(12);
      flick_xdr_encode_bcopy(0, _data->directory_val[_t32_array_iter].info.st_pad1, 4 * 3);
      flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk(24);
      flick_xdr_encode_unsigned32(0, _data->directory_val[_t32_array_iter].info.st_ino);
      flick_xdr_encode_unsigned32(4, _data->directory_val[_t32_array_iter].info.st_mode);
      flick_xdr_encode_unsigned32(8, _data->directory_val[_t32_array_iter].info.st_nlink);
      flick_xdr_encode_signed32(12, _data->directory_val[_t32_array_iter].info.st_uid);
      flick_xdr_encode_signed32(16, _data->directory_val[_t32_array_iter].info.st_gid);
      flick_xdr_encode_unsigned32(20, _data->directory_val[_t32_array_iter].info.st_rdev);
      flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t38_array_iter = 0; _t38_array_iter < 2; _t38_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->directory_val[_t32_array_iter].info.st_pad2[_t38_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_bcopy(0, _data->directory_val[_t32_array_iter].info.st_pad2, 4 * 2);
      flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk(40);
      flick_xdr_encode_signed32(0, _data->directory_val[_t32_array_iter].info.st_size);
      flick_xdr_encode_signed32(4, _data->directory_val[_t32_array_iter].info.st_pad3);
      flick_xdr_encode_signed32(8, _data->directory_val[_t32_array_iter].info.st_atime.tv_sec);
      flick_xdr_encode_signed32(12, _data->directory_val[_t32_array_iter].info.st_atime.tv_nsec);
      flick_xdr_encode_signed32(16, _data->directory_val[_t32_array_iter].info.st_mtime.tv_sec);
      flick_xdr_encode_signed32(20, _data->directory_val[_t32_array_iter].info.st_mtime.tv_nsec);
      flick_xdr_encode_signed32(24, _data->directory_val[_t32_array_iter].info.st_ctime.tv_sec);
      flick_xdr_encode_signed32(28, _data->directory_val[_t32_array_iter].info.st_ctime.tv_nsec);
      flick_xdr_encode_signed32(32, _data->directory_val[_t32_array_iter].info.st_blksize);
      flick_xdr_encode_signed32(36, _data->directory_val[_t32_array_iter].info.st_blocks);
      flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t39_array_iter = 0; _t39_array_iter < 16; _t39_array_iter++)
        {
          flick_suntcp_encode_new_chunk(1);
          flick_xdr_encode_char8_packed(0, _data->directory_val[_t32_array_iter].info.st_fstype[_t39_array_iter]);
          flick_suntcp_encode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_bcopy(0, _data->directory_val[_t32_array_iter].info.st_fstype, 1 * 16);
      flick_suntcp_encode_end_chunk(16);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_encode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t40_array_iter = 0; _t40_array_iter < 8; _t40_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->directory_val[_t32_array_iter].info.st_pad4[_t40_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(32);
      flick_xdr_encode_bcopy(0, _data->directory_val[_t32_array_iter].info.st_pad4, 4 * 8);
      flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
      flick_suntcp_encode_end_glob(142);
    }
}

void flick_unmarshal_stub_directory(flick_marshal_stream_t _stream, directory *_data)
{
  unsigned long int _t57_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->directory_len);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  _data->directory_val = sun_flick_alloc(_data->directory_len * sizeof(struct entry ));
  for (_t57_array_iter = 0; _t57_array_iter < _data->directory_len; _t57_array_iter++)
    {
      flick_unsigned8_t _t66_array_length;
      flick_unsigned8_t _t67_array_iter;
      flick_unsigned8_t _t68_array_length;
      flick_unsigned8_t _t69_array_iter;
      flick_unsigned8_t _t70_array_length;
      flick_unsigned8_t _t71_array_iter;
      flick_unsigned8_t _t72_array_length;
      flick_unsigned8_t _t73_array_iter;

      flick_xdr_decode_string(_data->directory_val[_t57_array_iter].filename, sun_flick_alloc, suntcp, 255);
      flick_suntcp_decode_new_glob(142);
      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_decode_unsigned32(0, _data->directory_val[_t57_array_iter].info.st_dev);
      _t66_array_length = 3;
      flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t67_array_iter = 0; _t67_array_iter < _t66_array_length; _t67_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->directory_val[_t57_array_iter].info.st_pad1[_t67_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(12);
      flick_xdr_decode_bcopy(0, _data->directory_val[_t57_array_iter].info.st_pad1, 4 * _t66_array_length);
      flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk(24);
      flick_xdr_decode_unsigned32(0, _data->directory_val[_t57_array_iter].info.st_ino);
      flick_xdr_decode_unsigned32(4, _data->directory_val[_t57_array_iter].info.st_mode);
      flick_xdr_decode_unsigned32(8, _data->directory_val[_t57_array_iter].info.st_nlink);
      flick_xdr_decode_signed32(12, _data->directory_val[_t57_array_iter].info.st_uid);
      flick_xdr_decode_signed32(16, _data->directory_val[_t57_array_iter].info.st_gid);
      flick_xdr_decode_unsigned32(20, _data->directory_val[_t57_array_iter].info.st_rdev);
      _t68_array_length = 2;
      flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t69_array_iter = 0; _t69_array_iter < _t68_array_length; _t69_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->directory_val[_t57_array_iter].info.st_pad2[_t69_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_bcopy(0, _data->directory_val[_t57_array_iter].info.st_pad2, 4 * _t68_array_length);
      flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk(40);
      flick_xdr_decode_signed32(0, _data->directory_val[_t57_array_iter].info.st_size);
      flick_xdr_decode_signed32(4, _data->directory_val[_t57_array_iter].info.st_pad3);
      flick_xdr_decode_signed32(8, _data->directory_val[_t57_array_iter].info.st_atime.tv_sec);
      flick_xdr_decode_signed32(12, _data->directory_val[_t57_array_iter].info.st_atime.tv_nsec);
      flick_xdr_decode_signed32(16, _data->directory_val[_t57_array_iter].info.st_mtime.tv_sec);
      flick_xdr_decode_signed32(20, _data->directory_val[_t57_array_iter].info.st_mtime.tv_nsec);
      flick_xdr_decode_signed32(24, _data->directory_val[_t57_array_iter].info.st_ctime.tv_sec);
      flick_xdr_decode_signed32(28, _data->directory_val[_t57_array_iter].info.st_ctime.tv_nsec);
      flick_xdr_decode_signed32(32, _data->directory_val[_t57_array_iter].info.st_blksize);
      flick_xdr_decode_signed32(36, _data->directory_val[_t57_array_iter].info.st_blocks);
      _t70_array_length = 16;
      flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t71_array_iter = 0; _t71_array_iter < _t70_array_length; _t71_array_iter++)
        {
          flick_suntcp_decode_new_chunk(1);
          flick_xdr_decode_char8_packed(0, _data->directory_val[_t57_array_iter].info.st_fstype[_t71_array_iter]);
          flick_suntcp_decode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_bcopy(0, _data->directory_val[_t57_array_iter].info.st_fstype, 1 * _t70_array_length);
      flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
      _t72_array_length = 8;
      flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t73_array_iter = 0; _t73_array_iter < _t72_array_length; _t73_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->directory_val[_t57_array_iter].info.st_pad4[_t73_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(32);
      flick_xdr_decode_bcopy(0, _data->directory_val[_t57_array_iter].info.st_pad4, 4 * _t72_array_length);
      flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
      flick_suntcp_decode_end_glob(142);
    }
}

void flick_marshal_stub_longlist(flick_marshal_stream_t _stream, const longlist *_data)
{
  unsigned long int _t74_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->longlist_len);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->longlist_len);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t74_array_iter = 0; _t74_array_iter < _data->longlist_len; _t74_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->longlist_val[_t74_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->longlist_len);
  flick_xdr_encode_bcopy(0, _data->longlist_val, 4 * _data->longlist_len);
  flick_suntcp_encode_end_chunk(4 * _data->longlist_len);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->longlist_len);
}

void flick_unmarshal_stub_longlist(flick_marshal_stream_t _stream, longlist *_data)
{
  unsigned long int _t75_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->longlist_len);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->longlist_len);
#if BYTE_ORDER != BIG_ENDIAN
  _data->longlist_val = sun_flick_alloc(_data->longlist_len * sizeof(int ));
  for (_t75_array_iter = 0; _t75_array_iter < _data->longlist_len; _t75_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->longlist_val[_t75_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->longlist_len);
  _data->longlist_val = sun_flick_alloc(_data->longlist_len * sizeof(int ));
  flick_xdr_decode_bcopy(0, _data->longlist_val, 4 * _data->longlist_len);
  flick_suntcp_decode_end_chunk(4 * _data->longlist_len);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->longlist_len);
}

void flick_marshal_stub_structlist(flick_marshal_stream_t _stream, const structlist *_data)
{
  unsigned long int _t76_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->structlist_len);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(16 * _data->structlist_len);
  for (_t76_array_iter = 0; _t76_array_iter < _data->structlist_len; _t76_array_iter++)
    {
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_signed32(0, _data->structlist_val[_t76_array_iter].a.a);
      flick_xdr_encode_signed32(4, _data->structlist_val[_t76_array_iter].a.b);
      flick_xdr_encode_signed32(8, _data->structlist_val[_t76_array_iter].b.a);
      flick_xdr_encode_signed32(12, _data->structlist_val[_t76_array_iter].b.b);
      flick_suntcp_encode_end_chunk(16);
    }
  flick_suntcp_encode_end_glob(16 * _data->structlist_len);
}

void flick_unmarshal_stub_structlist(flick_marshal_stream_t _stream, structlist *_data)
{
  unsigned long int _t77_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->structlist_len);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(16 * _data->structlist_len);
  _data->structlist_val = sun_flick_alloc(_data->structlist_len * sizeof(struct outer ));
  for (_t77_array_iter = 0; _t77_array_iter < _data->structlist_len; _t77_array_iter++)
    {
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_signed32(0, _data->structlist_val[_t77_array_iter].a.a);
      flick_xdr_decode_signed32(4, _data->structlist_val[_t77_array_iter].a.b);
      flick_xdr_decode_signed32(8, _data->structlist_val[_t77_array_iter].b.a);
      flick_xdr_decode_signed32(12, _data->structlist_val[_t77_array_iter].b.b);
      flick_suntcp_decode_end_chunk(16);
    }
  flick_suntcp_decode_end_glob(16 * _data->structlist_len);
}

flick_operation_success_t progname_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t120_switch_tag;

    flick_suntcp_decode_new_glob(24);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t120_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t120_switch_tag)
      {
      case (signed int) 1:
        {
          {
            directory *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t121_ignore;
            directory _t122_storage;
            unsigned long int _t139_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t121_ignore);
            flick_xdr_decode_unsigned32(4, _t121_ignore);
            flick_xdr_decode_unsigned32(8, _t121_ignore);
            flick_xdr_decode_unsigned32(12, _t121_ignore);
            _local_arg = &_t122_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->directory_len);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            _local_arg->directory_val = auto_flick_alloc(_local_arg->directory_len * sizeof(struct entry ));
            for (_t139_array_iter = 0; _t139_array_iter < _local_arg->directory_len; _t139_array_iter++)
              {
                flick_unsigned8_t _t148_array_length;
                flick_unsigned8_t _t149_array_iter;
                flick_unsigned8_t _t150_array_length;
                flick_unsigned8_t _t151_array_iter;
                flick_unsigned8_t _t152_array_length;
                flick_unsigned8_t _t153_array_iter;
                flick_unsigned8_t _t154_array_length;
                flick_unsigned8_t _t155_array_iter;

                flick_xdr_decode_auto_string(_local_arg->directory_val[_t139_array_iter].filename, auto_flick_alloc, suntcp);
                flick_suntcp_decode_new_glob(142);
                flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                flick_xdr_decode_unsigned32(0, _local_arg->directory_val[_t139_array_iter].info.st_dev);
                _t148_array_length = 3;
                flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                for (_t149_array_iter = 0; _t149_array_iter < _t148_array_length; _t149_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(4);
                    flick_xdr_decode_signed32(0, _local_arg->directory_val[_t139_array_iter].info.st_pad1[_t149_array_iter]);
                    flick_suntcp_decode_end_chunk(4);
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_suntcp_decode_new_chunk(12);
                flick_xdr_decode_bcopy(0, _local_arg->directory_val[_t139_array_iter].info.st_pad1, 4 * _t148_array_length);
                flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
                flick_suntcp_decode_new_chunk(24);
                flick_xdr_decode_unsigned32(0, _local_arg->directory_val[_t139_array_iter].info.st_ino);
                flick_xdr_decode_unsigned32(4, _local_arg->directory_val[_t139_array_iter].info.st_mode);
                flick_xdr_decode_unsigned32(8, _local_arg->directory_val[_t139_array_iter].info.st_nlink);
                flick_xdr_decode_signed32(12, _local_arg->directory_val[_t139_array_iter].info.st_uid);
                flick_xdr_decode_signed32(16, _local_arg->directory_val[_t139_array_iter].info.st_gid);
                flick_xdr_decode_unsigned32(20, _local_arg->directory_val[_t139_array_iter].info.st_rdev);
                _t150_array_length = 2;
                flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
                for (_t151_array_iter = 0; _t151_array_iter < _t150_array_length; _t151_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(4);
                    flick_xdr_decode_signed32(0, _local_arg->directory_val[_t139_array_iter].info.st_pad2[_t151_array_iter]);
                    flick_suntcp_decode_end_chunk(4);
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_suntcp_decode_new_chunk(8);
                flick_xdr_decode_bcopy(0, _local_arg->directory_val[_t139_array_iter].info.st_pad2, 4 * _t150_array_length);
                flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
                flick_suntcp_decode_new_chunk(40);
                flick_xdr_decode_signed32(0, _local_arg->directory_val[_t139_array_iter].info.st_size);
                flick_xdr_decode_signed32(4, _local_arg->directory_val[_t139_array_iter].info.st_pad3);
                flick_xdr_decode_signed32(8, _local_arg->directory_val[_t139_array_iter].info.st_atime.tv_sec);
                flick_xdr_decode_signed32(12, _local_arg->directory_val[_t139_array_iter].info.st_atime.tv_nsec);
                flick_xdr_decode_signed32(16, _local_arg->directory_val[_t139_array_iter].info.st_mtime.tv_sec);
                flick_xdr_decode_signed32(20, _local_arg->directory_val[_t139_array_iter].info.st_mtime.tv_nsec);
                flick_xdr_decode_signed32(24, _local_arg->directory_val[_t139_array_iter].info.st_ctime.tv_sec);
                flick_xdr_decode_signed32(28, _local_arg->directory_val[_t139_array_iter].info.st_ctime.tv_nsec);
                flick_xdr_decode_signed32(32, _local_arg->directory_val[_t139_array_iter].info.st_blksize);
                flick_xdr_decode_signed32(36, _local_arg->directory_val[_t139_array_iter].info.st_blocks);
                _t152_array_length = 16;
                flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
                for (_t153_array_iter = 0; _t153_array_iter < _t152_array_length; _t153_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(1);
                    flick_xdr_decode_char8_packed(0, _local_arg->directory_val[_t139_array_iter].info.st_fstype[_t153_array_iter]);
                    flick_suntcp_decode_end_chunk(1);
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_suntcp_decode_new_chunk(16);
                flick_xdr_decode_bcopy(0, _local_arg->directory_val[_t139_array_iter].info.st_fstype, 1 * _t152_array_length);
                flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                _t154_array_length = 8;
                flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
                for (_t155_array_iter = 0; _t155_array_iter < _t154_array_length; _t155_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(4);
                    flick_xdr_decode_signed32(0, _local_arg->directory_val[_t139_array_iter].info.st_pad4[_t155_array_iter]);
                    flick_suntcp_decode_end_chunk(4);
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_suntcp_decode_new_chunk(32);
                flick_xdr_decode_bcopy(0, _local_arg->directory_val[_t139_array_iter].info.st_pad4, 4 * _t154_array_length);
                flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
                flick_suntcp_decode_end_glob(142);
              }
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = dirlst_2(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            longlist *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t156_ignore;
            longlist _t157_storage;
            unsigned long int _t158_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t156_ignore);
            flick_xdr_decode_unsigned32(4, _t156_ignore);
            flick_xdr_decode_unsigned32(8, _t156_ignore);
            flick_xdr_decode_unsigned32(12, _t156_ignore);
            _local_arg = &_t157_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->longlist_len);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            flick_suntcp_decode_new_glob(4 * _local_arg->longlist_len);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg->longlist_val = auto_flick_alloc(_local_arg->longlist_len * sizeof(int ));
            for (_t158_array_iter = 0; _t158_array_iter < _local_arg->longlist_len; _t158_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg->longlist_val[_t158_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(4 * _local_arg->longlist_len);
            flick_xdr_decode_msgptr(0, _local_arg->longlist_val);
            flick_suntcp_decode_end_chunk(4 * _local_arg->longlist_len);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _local_arg->longlist_len);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = lng_2(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            structlist *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t159_ignore;
            structlist _t160_storage;
            unsigned long int _t161_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t159_ignore);
            flick_xdr_decode_unsigned32(4, _t159_ignore);
            flick_xdr_decode_unsigned32(8, _t159_ignore);
            flick_xdr_decode_unsigned32(12, _t159_ignore);
            _local_arg = &_t160_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->structlist_len);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            flick_suntcp_decode_new_glob(16 * _local_arg->structlist_len);
            _local_arg->structlist_val = auto_flick_alloc(_local_arg->structlist_len * sizeof(struct outer ));
            for (_t161_array_iter = 0; _t161_array_iter < _local_arg->structlist_len; _t161_array_iter++)
              {
                flick_suntcp_decode_new_chunk(16);
                flick_xdr_decode_signed32(0, _local_arg->structlist_val[_t161_array_iter].a.a);
                flick_xdr_decode_signed32(4, _local_arg->structlist_val[_t161_array_iter].a.b);
                flick_xdr_decode_signed32(8, _local_arg->structlist_val[_t161_array_iter].b.a);
                flick_xdr_decode_signed32(12, _local_arg->structlist_val[_t161_array_iter].b.b);
                flick_suntcp_decode_end_chunk(16);
              }
            flick_suntcp_decode_end_glob(16 * _local_arg->structlist_len);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = strct_2(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(24);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
