#include "test1-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_test1;
	s.vers_num = _VERS_test1;

	reg_success = flick_server_register(s, &test1_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_test1_ushort(flick_marshal_stream_t _stream, const test1_ushort *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned16(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_ushort(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned16(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test1_ulong(flick_marshal_stream_t _stream, const test1_ulong *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_ulong(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test1_x1(flick_marshal_stream_t _stream, const test1_x1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->case_num);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_x1(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->case_num);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test1_x2(flick_marshal_stream_t _stream, const test1_x2 *_data)
{
  flick_xdr_encode_longstring(_data->name, CORBA_flick_free, suntcp);
  flick_suntcp_encode_new_glob(7);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_signed32(0, _data->value);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(7);
}

void flick_unmarshal_stub_test1_x2(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  flick_xdr_decode_longstring(_data->name, CORBA_flick_alloc, suntcp);
  flick_suntcp_decode_new_glob(7);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_signed32(0, _data->value);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(7);
}

void flick_marshal_stub_test1(flick_marshal_stream_t _stream, const test1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1(flick_marshal_stream_t _stream, test1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t test1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t154_switch_tag;

    flick_suntcp_decode_new_glob(84);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t154_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t154_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t155_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t155_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t155_switch_tag)
            {
            case 't':
              {
                char _t156_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t156_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t156_switch_tag)
                  {
                  case 'e':
                    {
                      char _t157_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t157_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t157_switch_tag)
                        {
                        case 's':
                          {
                            char _t158_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t158_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t158_switch_tag)
                              {
                              case 't':
                                {
                                  char _t159_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t159_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t159_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t160_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t160_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t160_switch_tag)
                                          {
                                          case 'v':
                                            {
                                              char _t161_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t161_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t161_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t162_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t162_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t162_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t163_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t163_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t163_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t164_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t164_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t164_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test1 _obj;
                                                                        CORBA_Environment *_ev;
                                                                        unsigned int _t165_ignore;
                                                                        CORBA_Environment _t166_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t165_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t165_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t165_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t165_ignore);
                                                                        _ev = &_t166_storage;
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(84);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        test1_test_void(_obj, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(4);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(4);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'l':
                                            {
                                              char _t167_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t167_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t167_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t168_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t168_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t168_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t169_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t169_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t169_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t170_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t170_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t170_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test1 _obj;
                                                                        CORBA_long _local_a1;
                                                                        CORBA_long *_local_a2;
                                                                        CORBA_long *_local_a3;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_long _return = 0;
                                                                        unsigned int _t171_ignore;
                                                                        CORBA_long _t172_storage;
                                                                        CORBA_long _t173_storage;
                                                                        CORBA_Environment _t174_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t171_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t171_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t171_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t171_ignore);
                                                                        flick_xdr_decode_signed32(16, _local_a1);
                                                                        _local_a2 = &_t172_storage;
                                                                        _local_a3 = &_t173_storage;
                                                                        flick_xdr_decode_signed32(20, *_local_a3);
                                                                        _ev = &_t174_storage;
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        flick_suntcp_decode_end_glob(84);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = test1_test_long(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(16);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_signed32(0, _return);
                                                                              flick_xdr_encode_signed32(4, *_local_a2);
                                                                              flick_xdr_encode_signed32(8, *_local_a3);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(16);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'c':
                                            {
                                              char _t175_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t175_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t175_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t176_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t176_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t176_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t177_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t177_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t177_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t178_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t178_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t178_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test1 _obj;
                                                                        CORBA_char _local_a1;
                                                                        CORBA_char *_local_a2;
                                                                        CORBA_char *_local_a3;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_char _return = 0;
                                                                        unsigned int _t179_ignore;
                                                                        CORBA_char _t180_storage;
                                                                        CORBA_char _t181_storage;
                                                                        CORBA_Environment _t182_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t179_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t179_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t179_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t179_ignore);
                                                                        flick_xdr_decode_char8(16, _local_a1);
                                                                        _local_a2 = &_t180_storage;
                                                                        _local_a3 = &_t181_storage;
                                                                        flick_xdr_decode_char8(20, *_local_a3);
                                                                        _ev = &_t182_storage;
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        flick_suntcp_decode_end_glob(84);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = test1_test_char(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(16);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_char8(0, _return);
                                                                              flick_xdr_encode_char8(4, *_local_a2);
                                                                              flick_xdr_encode_char8(8, *_local_a3);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(16);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(84);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(84);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(84);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t183_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t183_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t183_switch_tag)
            {
            case 't':
              {
                char _t184_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t184_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t184_switch_tag)
                  {
                  case 'e':
                    {
                      char _t185_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t185_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t185_switch_tag)
                        {
                        case 's':
                          {
                            char _t186_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t186_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t186_switch_tag)
                              {
                              case 't':
                                {
                                  char _t187_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t187_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t187_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t188_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t188_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t188_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t189_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t189_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t189_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t190_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t190_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t190_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t191_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t191_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t191_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t192_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t192_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t192_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t193_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t193_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t193_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_short _local_a1;
                                                                              CORBA_short *_local_a2;
                                                                              CORBA_short *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_short _return = 0;
                                                                              unsigned int _t194_ignore;
                                                                              CORBA_short _t195_storage;
                                                                              CORBA_short _t196_storage;
                                                                              CORBA_Environment _t197_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(24);
                                                                              flick_xdr_decode_unsigned32(0, _t194_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t194_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t194_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t194_ignore);
                                                                              flick_xdr_decode_signed16(16, _local_a1);
                                                                              _local_a2 = &_t195_storage;
                                                                              _local_a3 = &_t196_storage;
                                                                              flick_xdr_decode_signed16(20, *_local_a3);
                                                                              _ev = &_t197_storage;
                                                                              flick_suntcp_decode_end_chunk(24);
                                                                              flick_suntcp_decode_end_glob(84);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_short(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(16);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(12);
                                                                                    flick_xdr_encode_signed16(0, _return);
                                                                                    flick_xdr_encode_signed16(4, *_local_a2);
                                                                                    flick_xdr_encode_signed16(8, *_local_a3);
                                                                                    flick_suntcp_encode_end_chunk(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(16);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'u':
                                            {
                                              char _t198_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t198_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t198_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t199_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t199_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t199_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t200_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t200_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t200_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t201_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t201_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t201_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t202_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t202_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t202_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              test1_ulong _local_a1;
                                                                              test1_ulong *_local_a2;
                                                                              test1_ulong *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              test1_ulong _return;
                                                                              unsigned int _t203_ignore;
                                                                              test1_ulong _t204_storage;
                                                                              test1_ulong _t205_storage;
                                                                              CORBA_Environment _t206_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(24);
                                                                              flick_xdr_decode_unsigned32(0, _t203_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t203_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t203_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t203_ignore);
                                                                              flick_xdr_decode_unsigned32(16, _local_a1);
                                                                              _local_a2 = &_t204_storage;
                                                                              _local_a3 = &_t205_storage;
                                                                              flick_xdr_decode_unsigned32(20, *_local_a3);
                                                                              _ev = &_t206_storage;
                                                                              flick_suntcp_decode_end_chunk(24);
                                                                              flick_suntcp_decode_end_glob(84);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_ulong(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(16);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(12);
                                                                                    flick_xdr_encode_unsigned32(0, _return);
                                                                                    flick_xdr_encode_unsigned32(4, *_local_a2);
                                                                                    flick_xdr_encode_unsigned32(8, *_local_a3);
                                                                                    flick_suntcp_encode_end_chunk(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(16);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'f':
                                            {
                                              char _t207_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t207_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t207_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t208_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t208_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t208_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t209_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t209_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t209_switch_tag)
                                                            {
                                                            case 'a':
                                                              {
                                                                char _t210_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t210_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t210_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t211_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t211_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t211_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_float _local_a1;
                                                                              CORBA_float *_local_a2;
                                                                              CORBA_float *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_float _return = 0.000000;
                                                                              unsigned int _t212_ignore;
                                                                              CORBA_float _t213_storage;
                                                                              CORBA_float _t214_storage;
                                                                              CORBA_Environment _t215_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(24);
                                                                              flick_xdr_decode_unsigned32(0, _t212_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t212_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t212_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t212_ignore);
                                                                              flick_xdr_decode_float32(16, _local_a1);
                                                                              _local_a2 = &_t213_storage;
                                                                              _local_a3 = &_t214_storage;
                                                                              flick_xdr_decode_float32(20, *_local_a3);
                                                                              _ev = &_t215_storage;
                                                                              flick_suntcp_decode_end_chunk(24);
                                                                              flick_suntcp_decode_end_glob(84);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_float(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(16);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(12);
                                                                                    flick_xdr_encode_float32(0, _return);
                                                                                    flick_xdr_encode_float32(4, *_local_a2);
                                                                                    flick_xdr_encode_float32(8, *_local_a3);
                                                                                    flick_suntcp_encode_end_chunk(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(16);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'o':
                                            {
                                              char _t216_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t216_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t216_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t217_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t217_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t217_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t218_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t218_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t218_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t219_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t219_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t219_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t220_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t220_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t220_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_octet _local_a1;
                                                                              CORBA_octet *_local_a2;
                                                                              CORBA_octet *_local_a3;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_octet _return = 0;
                                                                              unsigned int _t221_ignore;
                                                                              CORBA_octet _t222_storage;
                                                                              CORBA_octet _t223_storage;
                                                                              CORBA_Environment _t224_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(24);
                                                                              flick_xdr_decode_unsigned32(0, _t221_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t221_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t221_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t221_ignore);
                                                                              flick_xdr_decode_unsigned8(16, _local_a1);
                                                                              _local_a2 = &_t222_storage;
                                                                              _local_a3 = &_t223_storage;
                                                                              flick_xdr_decode_unsigned8(20, *_local_a3);
                                                                              _ev = &_t224_storage;
                                                                              flick_suntcp_decode_end_chunk(24);
                                                                              flick_suntcp_decode_end_glob(84);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _return = test1_test_octet(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(16);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(12);
                                                                                    flick_xdr_encode_unsigned8(0, _return);
                                                                                    flick_xdr_encode_unsigned8(4, *_local_a2);
                                                                                    flick_xdr_encode_unsigned8(8, *_local_a3);
                                                                                    flick_suntcp_encode_end_chunk(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(16);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 't':
                                            {
                                              char _t225_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t225_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t225_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t226_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t226_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t226_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t227_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t227_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t227_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t228_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t228_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t228_switch_tag)
                                                                  {
                                                                  case 'w':
                                                                    {
                                                                      char _t229_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t229_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t229_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test1 _obj;
                                                                              CORBA_long _local_case_num;
                                                                              CORBA_Environment *_ev;
                                                                              unsigned int _t230_ignore;
                                                                              CORBA_Environment _t231_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t230_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t230_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t230_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t230_ignore);
                                                                              flick_xdr_decode_signed32(16, _local_case_num);
                                                                              _ev = &_t231_storage;
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              flick_suntcp_decode_end_glob(84);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              test1_test_throw(_obj, _local_case_num, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(12);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    flick_suntcp_encode_end_glob(12);
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                    flick_suntcp_encode_end_glob(12);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_atomic_user_id);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_atomic_user_id)
                                                                                      {
                                                                                      case 0:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, ((test1_x1 *)(_ev->_except))->case_num);
                                                                                          CORBA_flick_free((test1_x1 *)(_ev->_except));
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          flick_suntcp_encode_end_glob(12);
                                                                                          break;
                                                                                        }
                                                                                      case 1:
                                                                                        {
                                                                                          flick_suntcp_encode_end_glob(12);
                                                                                          flick_xdr_encode_longstring(((test1_x2 *)(_ev->_except))->name, CORBA_flick_free, suntcp);
                                                                                          flick_suntcp_encode_new_glob(7);
                                                                                          flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                                                          flick_xdr_encode_signed32(0, ((test1_x2 *)(_ev->_except))->value);
                                                                                          CORBA_flick_free((test1_x2 *)(_ev->_except));
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          flick_suntcp_encode_end_glob(7);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(12);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                  }
                                                                                }
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(84);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(84);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(84);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t232_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t232_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t232_switch_tag)
            {
            case 't':
              {
                char _t233_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t233_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t233_switch_tag)
                  {
                  case 'e':
                    {
                      char _t234_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t234_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t234_switch_tag)
                        {
                        case 's':
                          {
                            char _t235_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t235_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t235_switch_tag)
                              {
                              case 't':
                                {
                                  char _t236_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t236_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t236_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t237_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t237_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t237_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t238_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t238_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t238_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t239_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t239_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t239_switch_tag)
                                                      {
                                                      case 'h':
                                                        {
                                                          char _t240_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t240_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t240_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t241_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t241_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t241_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t242_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t242_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t242_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t243_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t243_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t243_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    test1_ushort _local_a1;
                                                                                    test1_ushort *_local_a2;
                                                                                    test1_ushort *_local_a3;
                                                                                    CORBA_Environment *_ev;
                                                                                    test1_ushort _return;
                                                                                    unsigned int _t244_ignore;
                                                                                    test1_ushort _t245_storage;
                                                                                    test1_ushort _t246_storage;
                                                                                    CORBA_Environment _t247_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(24);
                                                                                    flick_xdr_decode_unsigned32(0, _t244_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t244_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t244_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t244_ignore);
                                                                                    flick_xdr_decode_unsigned16(16, _local_a1);
                                                                                    _local_a2 = &_t245_storage;
                                                                                    _local_a3 = &_t246_storage;
                                                                                    flick_xdr_decode_unsigned16(20, *_local_a3);
                                                                                    _ev = &_t247_storage;
                                                                                    flick_suntcp_decode_end_chunk(24);
                                                                                    flick_suntcp_decode_end_glob(84);
                                                                                    flick_suntcp_server_end_decode();
                                                                                    flick_corba_init_environment();
                                                                                    _return = test1_test_ushort(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(16);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(12);
                                                                                          flick_xdr_encode_unsigned16(0, _return);
                                                                                          flick_xdr_encode_unsigned16(4, *_local_a2);
                                                                                          flick_xdr_encode_unsigned16(8, *_local_a3);
                                                                                          flick_suntcp_encode_end_chunk(12);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_end_glob(16);
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(84);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t248_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t248_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t248_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t249_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t249_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t249_switch_tag)
                                                      {
                                                      case 'u':
                                                        {
                                                          char _t250_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t250_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t250_switch_tag)
                                                            {
                                                            case 'b':
                                                              {
                                                                char _t251_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t251_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t251_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t252_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t252_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t252_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t253_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t253_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t253_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    CORBA_double _local_a1;
                                                                                    CORBA_double *_local_a2;
                                                                                    CORBA_double *_local_a3;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_double _return = 0.000000;
                                                                                    unsigned int _t254_ignore;
                                                                                    CORBA_double _t255_storage;
                                                                                    CORBA_double _t256_storage;
                                                                                    CORBA_Environment _t257_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(32);
                                                                                    flick_xdr_decode_unsigned32(0, _t254_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t254_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t254_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t254_ignore);
                                                                                    flick_xdr_decode_float64(16, _local_a1);
                                                                                    _local_a2 = &_t255_storage;
                                                                                    _local_a3 = &_t256_storage;
                                                                                    flick_xdr_decode_float64(24, *_local_a3);
                                                                                    _ev = &_t257_storage;
                                                                                    flick_suntcp_decode_end_chunk(32);
                                                                                    flick_suntcp_decode_end_glob(84);
                                                                                    flick_suntcp_server_end_decode();
                                                                                    flick_corba_init_environment();
                                                                                    _return = test1_test_double(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(28);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(24);
                                                                                          flick_xdr_encode_float64(0, _return);
                                                                                          flick_xdr_encode_float64(8, *_local_a2);
                                                                                          flick_xdr_encode_float64(16, *_local_a3);
                                                                                          flick_suntcp_encode_end_chunk(24);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_end_glob(28);
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(84);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t258_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t258_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t258_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t259_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t259_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t259_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t260_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t260_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t260_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t261_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t261_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t261_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t262_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t262_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t262_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t263_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t263_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t263_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    CORBA_char *_local_a1;
                                                                                    CORBA_char **_local_a2;
                                                                                    CORBA_char **_local_a3;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_char *_return = 0;
                                                                                    unsigned int _t264_ignore;
                                                                                    CORBA_char *_t265_storage;
                                                                                    CORBA_char *_t266_storage;
                                                                                    CORBA_Environment _t267_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                    flick_xdr_decode_unsigned32(0, _t264_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t264_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t264_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t264_ignore);
                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                    flick_suntcp_decode_end_glob(84);
                                                                                    flick_xdr_decode_auto_string(_local_a1, auto_flick_alloc, suntcp);
                                                                                    _local_a2 = &_t265_storage;
                                                                                    _local_a3 = &_t266_storage;
                                                                                    flick_xdr_decode_longstring(*_local_a3, CORBA_flick_alloc, suntcp);
                                                                                    _ev = &_t267_storage;
                                                                                    flick_suntcp_server_end_decode();
                                                                                    flick_corba_init_environment();
                                                                                    _return = test1_test_string(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(4);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                          flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                          flick_xdr_encode_longstring(*_local_a2, CORBA_flick_free, suntcp);
                                                                                          flick_xdr_encode_longstring(*_local_a3, CORBA_flick_free, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(84);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'O':
                                            {
                                              char _t268_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t268_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t268_switch_tag)
                                                {
                                                case 'b':
                                                  {
                                                    char _t269_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t269_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t269_switch_tag)
                                                      {
                                                      case 'j':
                                                        {
                                                          char _t270_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t270_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t270_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t271_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t271_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t271_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t272_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t272_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t272_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t273_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t273_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t273_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    CORBA_Object _local_a1;
                                                                                    CORBA_Object *_local_a2;
                                                                                    CORBA_Object *_local_a3;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_Object _return;
                                                                                    unsigned int _t274_ignore;
                                                                                    CORBA_Object _t275_storage;
                                                                                    CORBA_Object _t276_storage;
                                                                                    CORBA_Environment _t277_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(24);
                                                                                    flick_xdr_decode_unsigned32(0, _t274_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t274_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t274_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t274_ignore);
                                                                                    flick_xdr_decode_port32(16, _local_a1, 1);
                                                                                    flick_suntcp_mark_port_for_cleanup(_local_a1, 1);
                                                                                    _local_a2 = &_t275_storage;
                                                                                    _local_a3 = &_t276_storage;
                                                                                    flick_xdr_decode_port32(20, *_local_a3, 1);
                                                                                    flick_suntcp_mark_port_for_cleanup(*_local_a3, 1);
                                                                                    _ev = &_t277_storage;
                                                                                    flick_suntcp_decode_end_chunk(24);
                                                                                    flick_suntcp_decode_end_glob(84);
                                                                                    flick_suntcp_server_end_decode();
                                                                                    flick_corba_init_environment();
                                                                                    _return = test1_test_Object(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(16);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(12);
                                                                                          flick_xdr_encode_port32(0, _return, 0);
                                                                                          flick_xdr_encode_port32(4, *_local_a2, 0);
                                                                                          flick_xdr_encode_port32(8, *_local_a3, 0);
                                                                                          flick_suntcp_encode_end_chunk(12);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_encode_end_glob(16);
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(84);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(84);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(84);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            case 'p':
              {
                char _t278_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t278_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t278_switch_tag)
                  {
                  case 'l':
                    {
                      char _t279_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t279_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t279_switch_tag)
                        {
                        case 'e':
                          {
                            char _t280_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t280_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t280_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t281_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t281_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t281_switch_tag)
                                    {
                                    case 's':
                                      {
                                        char _t282_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t282_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t282_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t283_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t283_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t283_switch_tag)
                                                {
                                                case '_':
                                                  {
                                                    char _t284_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t284_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t284_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t285_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t285_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t285_switch_tag)
                                                            {
                                                            case 'x':
                                                              {
                                                                char _t286_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t286_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t286_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t287_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t287_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t287_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t288_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t288_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t288_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test1 _obj;
                                                                                    CORBA_Environment *_ev;
                                                                                    unsigned int _t289_ignore;
                                                                                    CORBA_Environment _t290_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                    flick_xdr_decode_unsigned32(0, _t289_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t289_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t289_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t289_ignore);
                                                                                    _ev = &_t290_storage;
                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                    flick_suntcp_decode_end_glob(84);
                                                                                    flick_suntcp_server_end_decode();
                                                                                    flick_corba_init_environment();
                                                                                    test1_please_exit(_obj, _ev);
                                                                                    return FLICK_OPERATION_SUCCESS_NOREPLY;
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(84);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(84);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(84);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(84);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          char _t291_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t291_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t291_switch_tag)
            {
            case 't':
              {
                char _t292_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t292_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t292_switch_tag)
                  {
                  case 'e':
                    {
                      char _t293_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t293_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t293_switch_tag)
                        {
                        case 's':
                          {
                            char _t294_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t294_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t294_switch_tag)
                              {
                              case 't':
                                {
                                  char _t295_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t295_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t295_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t296_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t296_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t296_switch_tag)
                                          {
                                          case 'b':
                                            {
                                              char _t297_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t297_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t297_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t298_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t298_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t298_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t299_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t299_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t299_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t300_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t300_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t300_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t301_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t301_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t301_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t302_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t302_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t302_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t303_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t303_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t303_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        {
                                                                                          test1 _obj;
                                                                                          CORBA_boolean _local_a1;
                                                                                          CORBA_boolean *_local_a2;
                                                                                          CORBA_boolean *_local_a3;
                                                                                          CORBA_Environment *_ev;
                                                                                          CORBA_boolean _return = 0;
                                                                                          unsigned int _t304_ignore;
                                                                                          CORBA_boolean _t305_storage;
                                                                                          CORBA_boolean _t306_storage;
                                                                                          CORBA_Environment _t307_storage;

                                                                                          {
                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                          }
                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                          flick_suntcp_decode_new_chunk(24);
                                                                                          flick_xdr_decode_unsigned32(0, _t304_ignore);
                                                                                          flick_xdr_decode_unsigned32(4, _t304_ignore);
                                                                                          flick_xdr_decode_unsigned32(8, _t304_ignore);
                                                                                          flick_xdr_decode_unsigned32(12, _t304_ignore);
                                                                                          flick_xdr_decode_unsigned8(16, _local_a1);
                                                                                          _local_a2 = &_t305_storage;
                                                                                          _local_a3 = &_t306_storage;
                                                                                          flick_xdr_decode_unsigned8(20, *_local_a3);
                                                                                          _ev = &_t307_storage;
                                                                                          flick_suntcp_decode_end_chunk(24);
                                                                                          flick_suntcp_decode_end_glob(84);
                                                                                          flick_suntcp_server_end_decode();
                                                                                          flick_corba_init_environment();
                                                                                          _return = test1_test_boolean(_obj, _local_a1, _local_a2, _local_a3, _ev);
                                                                                          flick_suntcp_server_start_encode();
                                                                                          {
                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                          }
                                                                                          flick_suntcp_encode_new_glob(16);
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          switch (_ev->_major)
                                                                                            {
                                                                                            case CORBA_NO_EXCEPTION:
                                                                                              {
                                                                                                flick_suntcp_encode_new_chunk(12);
                                                                                                flick_xdr_encode_unsigned8(0, _return);
                                                                                                flick_xdr_encode_unsigned8(4, *_local_a2);
                                                                                                flick_xdr_encode_unsigned8(8, *_local_a3);
                                                                                                flick_suntcp_encode_end_chunk(12);
                                                                                                break;
                                                                                              }
                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                              {
                                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                              }
                                                                                            }
                                                                                          flick_suntcp_encode_end_glob(16);
                                                                                          flick_suntcp_server_end_encode();
                                                                                        }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(84);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(84);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(84);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(84);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(84);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(84);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(84);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(84);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(84);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(84);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(84);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(84);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(84);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(84);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
