#include "dif2-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_ex4;
	s.vers_num = _VERS_ex4;

	reg_success = flick_server_register(s, &ex4_server);
	assert(reg_success);


	s.prog_num = _PROG_ex3;
	s.vers_num = _VERS_ex3;

	reg_success = flick_server_register(s, &ex3_server);
	assert(reg_success);


	s.prog_num = _PROG_ex2;
	s.vers_num = _VERS_ex2;

	reg_success = flick_server_register(s, &ex2_server);
	assert(reg_success);


	s.prog_num = _PROG_ex1;
	s.vers_num = _VERS_ex1;

	reg_success = flick_server_register(s, &ex1_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_ex1(flick_marshal_stream_t _stream, const ex1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t37_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t37_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t37_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t38_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t38_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t38_switch_tag)
            {
            case 'o':
              {
                char _t39_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t39_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t39_switch_tag)
                  {
                  case 'p':
                    {
                      char _t40_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t40_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t40_switch_tag)
                        {
                        case '0':
                          {
                            char _t41_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t41_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t41_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_Environment *_ev;
                                    unsigned int _t42_ignore;
                                    CORBA_Environment _t43_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(16);
                                    flick_xdr_decode_unsigned32(0, _t42_ignore);
                                    flick_xdr_decode_unsigned32(4, _t42_ignore);
                                    flick_xdr_decode_unsigned32(8, _t42_ignore);
                                    flick_xdr_decode_unsigned32(12, _t42_ignore);
                                    _ev = &_t43_storage;
                                    flick_suntcp_decode_end_chunk(16);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    ex1_op0(_obj, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(4);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(4);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t44_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t44_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t44_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    unsigned int _t45_ignore;
                                    CORBA_double _t46_storage;
                                    CORBA_long _t47_storage;
                                    CORBA_Environment _t48_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t45_ignore);
                                    flick_xdr_decode_unsigned32(4, _t45_ignore);
                                    flick_xdr_decode_unsigned32(8, _t45_ignore);
                                    flick_xdr_decode_unsigned32(12, _t45_ignore);
                                    flick_xdr_decode_float32(16, _local_f);
                                    _local_d = &_t46_storage;
                                    _local_l = &_t47_storage;
                                    flick_xdr_decode_signed32(20, *_local_l);
                                    _ev = &_t48_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex1_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_float32(0, _return);
                                          flick_xdr_encode_float64(4, *_local_d);
                                          flick_xdr_encode_signed32(12, *_local_l);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t49_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t49_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t49_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    unsigned int _t50_ignore;
                                    CORBA_long _t51_storage;
                                    CORBA_short _t52_storage;
                                    CORBA_Environment _t53_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t50_ignore);
                                    flick_xdr_decode_unsigned32(4, _t50_ignore);
                                    flick_xdr_decode_unsigned32(8, _t50_ignore);
                                    flick_xdr_decode_unsigned32(12, _t50_ignore);
                                    flick_xdr_decode_float64(16, _local_d);
                                    _local_l = &_t51_storage;
                                    _local_s = &_t52_storage;
                                    flick_xdr_decode_signed16(24, *_local_s);
                                    _ev = &_t53_storage;
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex1_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_float64(0, _return);
                                          flick_xdr_encode_signed32(8, *_local_l);
                                          flick_xdr_encode_signed16(12, *_local_s);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t54_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t54_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t54_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t55_ignore;
                                    CORBA_short _t56_storage;
                                    CORBA_unsigned_long _t57_storage;
                                    CORBA_Environment _t58_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t55_ignore);
                                    flick_xdr_decode_unsigned32(4, _t55_ignore);
                                    flick_xdr_decode_unsigned32(8, _t55_ignore);
                                    flick_xdr_decode_unsigned32(12, _t55_ignore);
                                    flick_xdr_decode_signed32(16, _local_l);
                                    _local_s = &_t56_storage;
                                    _local_ul = &_t57_storage;
                                    flick_xdr_decode_unsigned32(20, *_local_ul);
                                    _ev = &_t58_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex1_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_signed32(0, _return);
                                          flick_xdr_encode_signed16(4, *_local_s);
                                          flick_xdr_encode_unsigned32(8, *_local_ul);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t59_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t59_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t59_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    unsigned int _t60_ignore;
                                    CORBA_unsigned_long _t61_storage;
                                    CORBA_unsigned_short _t62_storage;
                                    CORBA_Environment _t63_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t60_ignore);
                                    flick_xdr_decode_unsigned32(4, _t60_ignore);
                                    flick_xdr_decode_unsigned32(8, _t60_ignore);
                                    flick_xdr_decode_unsigned32(12, _t60_ignore);
                                    flick_xdr_decode_signed16(16, _local_s);
                                    _local_ul = &_t61_storage;
                                    _local_us = &_t62_storage;
                                    flick_xdr_decode_unsigned16(20, *_local_us);
                                    _ev = &_t63_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex1_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_signed16(0, _return);
                                          flick_xdr_encode_unsigned32(4, *_local_ul);
                                          flick_xdr_encode_unsigned16(8, *_local_us);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t64_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t64_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t64_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    unsigned int _t65_ignore;
                                    CORBA_unsigned_long _t66_storage;
                                    CORBA_char _t67_storage;
                                    CORBA_Environment _t68_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t65_ignore);
                                    flick_xdr_decode_unsigned32(4, _t65_ignore);
                                    flick_xdr_decode_unsigned32(8, _t65_ignore);
                                    flick_xdr_decode_unsigned32(12, _t65_ignore);
                                    _local_ul = &_t66_storage;
                                    flick_xdr_decode_unsigned32(16, *_local_ul);
                                    flick_xdr_decode_unsigned16(20, _local_us);
                                    _local_c = &_t67_storage;
                                    flick_xdr_decode_unsigned8(24, _local_b);
                                    _ev = &_t68_storage;
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex1_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned32(0, _return);
                                          flick_xdr_encode_unsigned32(4, *_local_ul);
                                          flick_xdr_encode_char8(8, *_local_c);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t69_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t69_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t69_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    unsigned int _t70_ignore;
                                    CORBA_unsigned_short _t71_storage;
                                    CORBA_char _t72_storage;
                                    CORBA_Environment _t73_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t70_ignore);
                                    flick_xdr_decode_unsigned32(4, _t70_ignore);
                                    flick_xdr_decode_unsigned32(8, _t70_ignore);
                                    flick_xdr_decode_unsigned32(12, _t70_ignore);
                                    _local_us = &_t71_storage;
                                    _local_c = &_t72_storage;
                                    flick_xdr_decode_char8(16, *_local_c);
                                    _ev = &_t73_storage;
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex1_op6(_obj, _local_us, _local_c, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned16(0, _return);
                                          flick_xdr_encode_unsigned16(4, *_local_us);
                                          flick_xdr_encode_char8(8, *_local_c);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_ex2(flick_marshal_stream_t _stream, const ex2 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t142_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t142_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t142_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t143_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t143_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t143_switch_tag)
            {
            case 'o':
              {
                char _t144_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t144_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t144_switch_tag)
                  {
                  case 'p':
                    {
                      char _t145_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t145_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t145_switch_tag)
                        {
                        case '7':
                          {
                            char _t146_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t146_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t146_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_char _local_c;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet *_local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_char _return = 0;
                                    unsigned int _t147_ignore;
                                    CORBA_boolean _t148_storage;
                                    CORBA_octet _t149_storage;
                                    CORBA_Environment _t150_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t147_ignore);
                                    flick_xdr_decode_unsigned32(4, _t147_ignore);
                                    flick_xdr_decode_unsigned32(8, _t147_ignore);
                                    flick_xdr_decode_unsigned32(12, _t147_ignore);
                                    flick_xdr_decode_char8(16, _local_c);
                                    _local_b = &_t148_storage;
                                    _local_o = &_t149_storage;
                                    flick_xdr_decode_unsigned8(20, *_local_o);
                                    _ev = &_t150_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex2_op7(_obj, _local_c, _local_b, _local_o, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_char8(0, _return);
                                          flick_xdr_encode_unsigned8(4, *_local_b);
                                          flick_xdr_encode_unsigned8(8, *_local_o);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '8':
                          {
                            char _t151_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t151_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t151_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet _local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_boolean _return = 0;
                                    unsigned int _t152_ignore;
                                    CORBA_boolean _t153_storage;
                                    CORBA_Environment _t154_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t152_ignore);
                                    flick_xdr_decode_unsigned32(4, _t152_ignore);
                                    flick_xdr_decode_unsigned32(8, _t152_ignore);
                                    flick_xdr_decode_unsigned32(12, _t152_ignore);
                                    _local_b = &_t153_storage;
                                    flick_xdr_decode_unsigned8(16, _local_o);
                                    _ev = &_t154_storage;
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex2_op8(_obj, _local_b, _local_o, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(12);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(8);
                                          flick_xdr_encode_unsigned8(0, _return);
                                          flick_xdr_encode_unsigned8(4, *_local_b);
                                          flick_suntcp_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(12);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '9':
                          {
                            char _t155_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t155_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t155_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_octet *_local_o;
                                    CORBA_char **_local_s;
                                    CORBA_char *_local_ls;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_octet _return = 0;
                                    unsigned int _t156_ignore;
                                    CORBA_octet _t157_storage;
                                    CORBA_char *_t158_storage;
                                    CORBA_long _t159_storage;
                                    CORBA_Environment _t160_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t156_ignore);
                                    flick_xdr_decode_unsigned32(4, _t156_ignore);
                                    flick_xdr_decode_unsigned32(8, _t156_ignore);
                                    flick_xdr_decode_unsigned32(12, _t156_ignore);
                                    _local_o = &_t157_storage;
                                    flick_xdr_decode_unsigned8(16, *_local_o);
                                    _local_s = &_t158_storage;
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_xdr_decode_auto_string(_local_ls, auto_flick_alloc, suntcp);
                                    _local_l = &_t159_storage;
                                    flick_suntcp_decode_new_glob(7);
                                    flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_xdr_decode_signed32(0, *_local_l);
                                    _ev = &_t160_storage;
                                    flick_suntcp_decode_end_chunk(4);
                                    flick_suntcp_decode_end_glob(7);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex2_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(12);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(8);
                                          flick_xdr_encode_unsigned8(0, _return);
                                          flick_xdr_encode_unsigned8(4, *_local_o);
                                          flick_suntcp_encode_end_chunk(8);
                                          flick_suntcp_encode_end_glob(12);
                                          flick_xdr_encode_longstring(*_local_s, CORBA_flick_free, suntcp);
                                          flick_suntcp_encode_new_glob(7);
                                          flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_xdr_encode_signed32(0, *_local_l);
                                          flick_suntcp_encode_end_chunk(4);
                                          flick_suntcp_encode_end_glob(7);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          flick_suntcp_encode_end_glob(12);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                          flick_suntcp_encode_end_glob(12);
                                        }
                                      }
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '0':
                          {
                            char _t161_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t161_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t161_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_Environment *_ev;
                                    unsigned int _t162_ignore;
                                    CORBA_Environment _t163_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(16);
                                    flick_xdr_decode_unsigned32(0, _t162_ignore);
                                    flick_xdr_decode_unsigned32(4, _t162_ignore);
                                    flick_xdr_decode_unsigned32(8, _t162_ignore);
                                    flick_xdr_decode_unsigned32(12, _t162_ignore);
                                    _ev = &_t163_storage;
                                    flick_suntcp_decode_end_chunk(16);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    ex2_op0(_obj, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(4);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(4);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t164_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t164_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t164_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    unsigned int _t165_ignore;
                                    CORBA_double _t166_storage;
                                    CORBA_long _t167_storage;
                                    CORBA_Environment _t168_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t165_ignore);
                                    flick_xdr_decode_unsigned32(4, _t165_ignore);
                                    flick_xdr_decode_unsigned32(8, _t165_ignore);
                                    flick_xdr_decode_unsigned32(12, _t165_ignore);
                                    flick_xdr_decode_float32(16, _local_f);
                                    _local_d = &_t166_storage;
                                    _local_l = &_t167_storage;
                                    flick_xdr_decode_signed32(20, *_local_l);
                                    _ev = &_t168_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex2_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_float32(0, _return);
                                          flick_xdr_encode_float64(4, *_local_d);
                                          flick_xdr_encode_signed32(12, *_local_l);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t169_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t169_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t169_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    unsigned int _t170_ignore;
                                    CORBA_long _t171_storage;
                                    CORBA_short _t172_storage;
                                    CORBA_Environment _t173_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t170_ignore);
                                    flick_xdr_decode_unsigned32(4, _t170_ignore);
                                    flick_xdr_decode_unsigned32(8, _t170_ignore);
                                    flick_xdr_decode_unsigned32(12, _t170_ignore);
                                    flick_xdr_decode_float64(16, _local_d);
                                    _local_l = &_t171_storage;
                                    _local_s = &_t172_storage;
                                    flick_xdr_decode_signed16(24, *_local_s);
                                    _ev = &_t173_storage;
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex2_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_float64(0, _return);
                                          flick_xdr_encode_signed32(8, *_local_l);
                                          flick_xdr_encode_signed16(12, *_local_s);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t174_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t174_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t174_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t175_ignore;
                                    CORBA_short _t176_storage;
                                    CORBA_unsigned_long _t177_storage;
                                    CORBA_Environment _t178_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t175_ignore);
                                    flick_xdr_decode_unsigned32(4, _t175_ignore);
                                    flick_xdr_decode_unsigned32(8, _t175_ignore);
                                    flick_xdr_decode_unsigned32(12, _t175_ignore);
                                    flick_xdr_decode_signed32(16, _local_l);
                                    _local_s = &_t176_storage;
                                    _local_ul = &_t177_storage;
                                    flick_xdr_decode_unsigned32(20, *_local_ul);
                                    _ev = &_t178_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex2_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_signed32(0, _return);
                                          flick_xdr_encode_signed16(4, *_local_s);
                                          flick_xdr_encode_unsigned32(8, *_local_ul);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t179_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t179_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t179_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    unsigned int _t180_ignore;
                                    CORBA_unsigned_long _t181_storage;
                                    CORBA_unsigned_short _t182_storage;
                                    CORBA_Environment _t183_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t180_ignore);
                                    flick_xdr_decode_unsigned32(4, _t180_ignore);
                                    flick_xdr_decode_unsigned32(8, _t180_ignore);
                                    flick_xdr_decode_unsigned32(12, _t180_ignore);
                                    flick_xdr_decode_signed16(16, _local_s);
                                    _local_ul = &_t181_storage;
                                    _local_us = &_t182_storage;
                                    flick_xdr_decode_unsigned16(20, *_local_us);
                                    _ev = &_t183_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex2_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_signed16(0, _return);
                                          flick_xdr_encode_unsigned32(4, *_local_ul);
                                          flick_xdr_encode_unsigned16(8, *_local_us);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t184_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t184_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t184_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    unsigned int _t185_ignore;
                                    CORBA_unsigned_long _t186_storage;
                                    CORBA_char _t187_storage;
                                    CORBA_Environment _t188_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t185_ignore);
                                    flick_xdr_decode_unsigned32(4, _t185_ignore);
                                    flick_xdr_decode_unsigned32(8, _t185_ignore);
                                    flick_xdr_decode_unsigned32(12, _t185_ignore);
                                    _local_ul = &_t186_storage;
                                    flick_xdr_decode_unsigned32(16, *_local_ul);
                                    flick_xdr_decode_unsigned16(20, _local_us);
                                    _local_c = &_t187_storage;
                                    flick_xdr_decode_unsigned8(24, _local_b);
                                    _ev = &_t188_storage;
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex2_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned32(0, _return);
                                          flick_xdr_encode_unsigned32(4, *_local_ul);
                                          flick_xdr_encode_char8(8, *_local_c);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t189_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t189_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t189_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    unsigned int _t190_ignore;
                                    CORBA_unsigned_short _t191_storage;
                                    CORBA_char _t192_storage;
                                    CORBA_Environment _t193_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t190_ignore);
                                    flick_xdr_decode_unsigned32(4, _t190_ignore);
                                    flick_xdr_decode_unsigned32(8, _t190_ignore);
                                    flick_xdr_decode_unsigned32(12, _t190_ignore);
                                    _local_us = &_t191_storage;
                                    _local_c = &_t192_storage;
                                    flick_xdr_decode_char8(16, *_local_c);
                                    _ev = &_t193_storage;
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex2_op6(_obj, _local_us, _local_c, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned16(0, _return);
                                          flick_xdr_encode_unsigned16(4, *_local_us);
                                          flick_xdr_encode_char8(8, *_local_c);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t194_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t194_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t194_switch_tag)
            {
            case 'o':
              {
                char _t195_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t195_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t195_switch_tag)
                  {
                  case 'p':
                    {
                      char _t196_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t196_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t196_switch_tag)
                        {
                        case '1':
                          {
                            char _t197_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t197_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t197_switch_tag)
                              {
                              case '0':
                                {
                                  char _t198_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t198_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t198_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          CORBA_char *_local_s;
                                          CORBA_char **_local_ls;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t199_ignore;
                                          CORBA_char *_t200_storage;
                                          CORBA_Environment _t201_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(16);
                                          flick_xdr_decode_unsigned32(0, _t199_ignore);
                                          flick_xdr_decode_unsigned32(4, _t199_ignore);
                                          flick_xdr_decode_unsigned32(8, _t199_ignore);
                                          flick_xdr_decode_unsigned32(12, _t199_ignore);
                                          flick_suntcp_decode_end_chunk(16);
                                          flick_suntcp_decode_end_glob(48);
                                          flick_xdr_decode_auto_string(_local_s, auto_flick_alloc, suntcp);
                                          _local_ls = &_t200_storage;
                                          _ev = &_t201_storage;
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = ex2_op10(_obj, _local_s, _local_ls, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(4);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(4);
                                                flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                flick_xdr_encode_string(*_local_ls, CORBA_flick_free, suntcp, 10);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                              }
                                            }
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '1':
                                {
                                  char _t202_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t202_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t202_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          CORBA_char **_local_ls;
                                          CORBA_long *_local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t203_ignore;
                                          CORBA_char *_t204_storage;
                                          CORBA_long _t205_storage;
                                          CORBA_Environment _t206_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(16);
                                          flick_xdr_decode_unsigned32(0, _t203_ignore);
                                          flick_xdr_decode_unsigned32(4, _t203_ignore);
                                          flick_xdr_decode_unsigned32(8, _t203_ignore);
                                          flick_xdr_decode_unsigned32(12, _t203_ignore);
                                          _local_ls = &_t204_storage;
                                          flick_suntcp_decode_end_chunk(16);
                                          flick_suntcp_decode_end_glob(48);
                                          flick_xdr_decode_string(*_local_ls, CORBA_flick_alloc, suntcp, 10);
                                          _local_l = &_t205_storage;
                                          _ev = &_t206_storage;
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = ex2_op11(_obj, _local_ls, _local_l, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(4);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(4);
                                                flick_xdr_encode_string(_return, CORBA_flick_free, suntcp, 10);
                                                flick_xdr_encode_string(*_local_ls, CORBA_flick_free, suntcp, 10);
                                                flick_suntcp_encode_new_glob(7);
                                                flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                flick_xdr_encode_signed32(0, *_local_l);
                                                flick_suntcp_encode_end_chunk(4);
                                                flick_suntcp_encode_end_glob(7);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                              }
                                            }
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '2':
                                {
                                  char _t207_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t207_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t207_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          CORBA_long _local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          unsigned int _t208_ignore;
                                          CORBA_Environment _t209_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t208_ignore);
                                          flick_xdr_decode_unsigned32(4, _t208_ignore);
                                          flick_xdr_decode_unsigned32(8, _t208_ignore);
                                          flick_xdr_decode_unsigned32(12, _t208_ignore);
                                          flick_xdr_decode_signed32(16, _local_l);
                                          _ev = &_t209_storage;
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(48);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = ex2_op12(_obj, _local_l, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(8);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _return);
                                                flick_suntcp_encode_end_chunk(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                              }
                                            }
                                          flick_suntcp_encode_end_glob(8);
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_ex3(flick_marshal_stream_t _stream, const ex3 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex3(flick_marshal_stream_t _stream, ex3 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t ex3_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t407_switch_tag;

    flick_suntcp_decode_new_glob(136);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t407_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t407_switch_tag)
      {
      case (unsigned int) 21:
        {
          char _t408_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t408_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t408_switch_tag)
            {
            case '_':
              {
                char _t409_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t409_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t409_switch_tag)
                  {
                  case 'g':
                    {
                      char _t410_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t410_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t410_switch_tag)
                        {
                        case 'e':
                          {
                            char _t411_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t411_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t411_switch_tag)
                              {
                              case 't':
                                {
                                  char _t412_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t412_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t412_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t413_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t413_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t413_switch_tag)
                                          {
                                          case 'f':
                                            {
                                              char _t414_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t414_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t414_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t415_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t415_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t415_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t416_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t416_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t416_switch_tag)
                                                            {
                                                            case 'a':
                                                              {
                                                                char _t417_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t417_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t417_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t418_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t418_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t418_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t419_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t419_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t419_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t420_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t420_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t420_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t421_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t421_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t421_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t422_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t422_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t422_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t423_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t423_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t423_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t424_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t424_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t424_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t425_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t425_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t425_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t426_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t426_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t426_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t427_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t427_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t427_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t428_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t428_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t428_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex3 _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_float _return = 0.000000;
                                                                                                                                          unsigned int _t429_ignore;
                                                                                                                                          CORBA_Environment _t430_storage;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t429_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t429_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t429_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t429_ignore);
                                                                                                                                          _ev = &_t430_storage;
                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = ex3__get_float_attribute(_obj, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(8);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_float32(0, _return);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(136);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(136);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(136);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(136);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(136);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t431_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t431_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t431_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t432_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t432_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t432_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t433_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t433_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t433_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t434_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t434_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t434_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t435_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t435_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t435_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t436_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t436_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t436_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t437_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t437_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t437_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t438_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t438_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t438_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t439_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t439_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t439_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t440_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t440_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t440_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t441_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t441_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t441_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t442_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t442_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t442_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t443_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t443_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t443_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t444_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t444_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t444_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t445_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t445_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t445_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex3 _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_short _return = 0;
                                                                                                                                          unsigned int _t446_ignore;
                                                                                                                                          CORBA_Environment _t447_storage;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t446_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t446_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t446_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t446_ignore);
                                                                                                                                          _ev = &_t447_storage;
                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = ex3__get_short_attribute(_obj, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(8);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed16(0, _return);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(136);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(136);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(136);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(136);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(136);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(136);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(136);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t448_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t448_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t448_switch_tag)
                        {
                        case 'e':
                          {
                            char _t449_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t449_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t449_switch_tag)
                              {
                              case 't':
                                {
                                  char _t450_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t450_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t450_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t451_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t451_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t451_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t452_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t452_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t452_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t453_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t453_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t453_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t454_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t454_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t454_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t455_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t455_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t455_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t456_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t456_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t456_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t457_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t457_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t457_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t458_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t458_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t458_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t459_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t459_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t459_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t460_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t460_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t460_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t461_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t461_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t461_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t462_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t462_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t462_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t463_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t463_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t463_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t464_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t464_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t464_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t465_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t465_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t465_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t466_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t466_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t466_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex3 _obj;
                                                                                                                                          CORBA_short _local_short_attribute;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          unsigned int _t467_ignore;
                                                                                                                                          CORBA_Environment _t468_storage;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(20);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t467_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t467_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t467_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t467_ignore);
                                                                                                                                          flick_xdr_decode_signed16(16, _local_short_attribute);
                                                                                                                                          _ev = &_t468_storage;
                                                                                                                                          flick_suntcp_decode_end_chunk(20);
                                                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          ex3__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(4);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(136);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(136);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(136);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(136);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(136);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(136);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(136);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(136);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(136);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          char _t469_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t469_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t469_switch_tag)
            {
            case '_':
              {
                char _t470_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t470_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t470_switch_tag)
                  {
                  case 'g':
                    {
                      char _t471_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t471_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t471_switch_tag)
                        {
                        case 'e':
                          {
                            char _t472_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t472_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t472_switch_tag)
                              {
                              case 't':
                                {
                                  char _t473_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t473_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t473_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t474_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t474_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t474_switch_tag)
                                          {
                                          case 'd':
                                            {
                                              char _t475_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t475_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t475_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t476_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t476_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t476_switch_tag)
                                                      {
                                                      case 'u':
                                                        {
                                                          char _t477_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t477_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t477_switch_tag)
                                                            {
                                                            case 'b':
                                                              {
                                                                char _t478_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t478_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t478_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t479_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t479_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t479_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t480_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t480_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t480_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t481_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t481_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t481_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t482_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t482_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t482_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t483_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t483_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t483_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t484_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t484_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t484_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t485_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t485_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t485_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t486_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t486_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t486_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t487_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t487_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t487_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t488_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t488_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t488_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t489_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t489_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t489_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t490_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t490_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t490_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex3 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_double _return = 0.000000;
                                                                                                                                                unsigned int _t491_ignore;
                                                                                                                                                CORBA_Environment _t492_storage;

                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                flick_suntcp_decode_new_chunk(16);
                                                                                                                                                flick_xdr_decode_unsigned32(0, _t491_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(4, _t491_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(8, _t491_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(12, _t491_ignore);
                                                                                                                                                _ev = &_t492_storage;
                                                                                                                                                flick_suntcp_decode_end_chunk(16);
                                                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex3__get_double_attribute(_obj, _ev);
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                flick_suntcp_encode_new_glob(12);
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_suntcp_encode_new_chunk(8);
                                                                                                                                                      flick_xdr_encode_float64(0, _return);
                                                                                                                                                      flick_suntcp_encode_end_chunk(8);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_suntcp_encode_end_glob(12);
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(136);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(136);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(136);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(136);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(136);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(136);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(136);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t493_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t493_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t493_switch_tag)
                        {
                        case 'e':
                          {
                            char _t494_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t494_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t494_switch_tag)
                              {
                              case 't':
                                {
                                  char _t495_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t495_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t495_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t496_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t496_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t496_switch_tag)
                                          {
                                          case 'd':
                                            {
                                              char _t497_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t497_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t497_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t498_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t498_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t498_switch_tag)
                                                      {
                                                      case 'u':
                                                        {
                                                          char _t499_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t499_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t499_switch_tag)
                                                            {
                                                            case 'b':
                                                              {
                                                                char _t500_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t500_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t500_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t501_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t501_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t501_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t502_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t502_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t502_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t503_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t503_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t503_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t504_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t504_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t504_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t505_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t505_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t505_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t506_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t506_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t506_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t507_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t507_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t507_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t508_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t508_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t508_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t509_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t509_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t509_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t510_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t510_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t510_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t511_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t511_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t511_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t512_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t512_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t512_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex3 _obj;
                                                                                                                                                CORBA_double _local_double_attribute;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                unsigned int _t513_ignore;
                                                                                                                                                CORBA_Environment _t514_storage;

                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                flick_suntcp_decode_new_chunk(24);
                                                                                                                                                flick_xdr_decode_unsigned32(0, _t513_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(4, _t513_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(8, _t513_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(12, _t513_ignore);
                                                                                                                                                flick_xdr_decode_float64(16, _local_double_attribute);
                                                                                                                                                _ev = &_t514_storage;
                                                                                                                                                flick_suntcp_decode_end_chunk(24);
                                                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                ex3__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                flick_suntcp_encode_new_glob(4);
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(136);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(136);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(136);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(136);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(136);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(136);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(136);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(136);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(136);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          char _t515_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t515_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t515_switch_tag)
            {
            case '_':
              {
                char _t516_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t516_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t516_switch_tag)
                  {
                  case 'g':
                    {
                      char _t517_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t517_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t517_switch_tag)
                        {
                        case 'e':
                          {
                            char _t518_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t518_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t518_switch_tag)
                              {
                              case 't':
                                {
                                  char _t519_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t519_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t519_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t520_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t520_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t520_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t521_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t521_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t521_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t522_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t522_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t522_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t523_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t523_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t523_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t524_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t524_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t524_switch_tag)
                                                                  {
                                                                  case '_':
                                                                    {
                                                                      char _t525_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t525_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t525_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t526_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t526_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t526_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t527_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t527_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t527_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t528_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t528_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t528_switch_tag)
                                                                                          {
                                                                                          case 'r':
                                                                                            {
                                                                                              char _t529_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t529_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t529_switch_tag)
                                                                                                {
                                                                                                case 'i':
                                                                                                  {
                                                                                                    char _t530_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t530_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t530_switch_tag)
                                                                                                      {
                                                                                                      case 'b':
                                                                                                        {
                                                                                                          char _t531_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t531_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t531_switch_tag)
                                                                                                            {
                                                                                                            case 'u':
                                                                                                              {
                                                                                                                char _t532_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t532_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t532_switch_tag)
                                                                                                                  {
                                                                                                                  case 't':
                                                                                                                    {
                                                                                                                      char _t533_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t533_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t533_switch_tag)
                                                                                                                        {
                                                                                                                        case 'e':
                                                                                                                          {
                                                                                                                            char _t534_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t534_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t534_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    ex3 _obj;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_long _return = 0;
                                                                                                                                    unsigned int _t535_ignore;
                                                                                                                                    CORBA_Environment _t536_storage;

                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                                                                    flick_xdr_decode_unsigned32(0, _t535_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(4, _t535_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(8, _t535_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(12, _t535_ignore);
                                                                                                                                    _ev = &_t536_storage;
                                                                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                                                    flick_suntcp_server_end_decode();
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    _return = ex3__get_long_attribute(_obj, _ev);
                                                                                                                                    flick_suntcp_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    flick_suntcp_encode_new_glob(8);
                                                                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _return);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                                                                    flick_suntcp_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(136);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(136);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(136);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(136);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(136);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(136);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(136);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(136);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(136);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          char _t537_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t537_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t537_switch_tag)
            {
            case '_':
              {
                char _t538_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t538_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t538_switch_tag)
                  {
                  case 'g':
                    {
                      char _t539_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t539_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t539_switch_tag)
                        {
                        case 'e':
                          {
                            char _t540_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t540_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t540_switch_tag)
                              {
                              case 't':
                                {
                                  char _t541_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t541_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t541_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t542_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t542_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t542_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t543_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t543_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t543_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t544_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t544_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t544_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t545_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t545_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t545_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t546_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t546_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t546_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t547_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t547_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t547_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t548_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t548_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t548_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t549_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t549_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t549_switch_tag)
                                                                                    {
                                                                                    case 'd':
                                                                                      {
                                                                                        char _t550_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t550_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t550_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t551_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t551_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t551_switch_tag)
                                                                                                {
                                                                                                case 'l':
                                                                                                  {
                                                                                                    char _t552_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t552_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t552_switch_tag)
                                                                                                      {
                                                                                                      case 'o':
                                                                                                        {
                                                                                                          char _t553_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t553_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t553_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t554_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t554_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t554_switch_tag)
                                                                                                                  {
                                                                                                                  case 'g':
                                                                                                                    {
                                                                                                                      char _t555_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t555_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t555_switch_tag)
                                                                                                                        {
                                                                                                                        case '_':
                                                                                                                          {
                                                                                                                            char _t556_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t556_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t556_switch_tag)
                                                                                                                              {
                                                                                                                              case 'a':
                                                                                                                                {
                                                                                                                                  char _t557_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t557_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t557_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t558_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t558_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t558_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t559_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t559_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t559_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'r':
                                                                                                                                                  {
                                                                                                                                                    char _t560_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t560_switch_tag);
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch (_t560_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'i':
                                                                                                                                                        {
                                                                                                                                                          char _t561_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t561_switch_tag);
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch (_t561_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'b':
                                                                                                                                                              {
                                                                                                                                                                char _t562_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t562_switch_tag);
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch (_t562_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'u':
                                                                                                                                                                    {
                                                                                                                                                                      char _t563_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t563_switch_tag);
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch (_t563_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 't':
                                                                                                                                                                          {
                                                                                                                                                                            char _t564_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t564_switch_tag);
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch (_t564_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 'e':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t565_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t565_switch_tag);
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch (_t565_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 0:
                                                                                                                                                                                      {
                                                                                                                                                                                        {
                                                                                                                                                                                          ex3 _obj;
                                                                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                                                                          CORBA_unsigned_long _return = 0;
                                                                                                                                                                                          unsigned int _t566_ignore;
                                                                                                                                                                                          CORBA_Environment _t567_storage;

                                                                                                                                                                                          {
                                                                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                                                          }
                                                                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                                                                          flick_xdr_decode_unsigned32(0, _t566_ignore);
                                                                                                                                                                                          flick_xdr_decode_unsigned32(4, _t566_ignore);
                                                                                                                                                                                          flick_xdr_decode_unsigned32(8, _t566_ignore);
                                                                                                                                                                                          flick_xdr_decode_unsigned32(12, _t566_ignore);
                                                                                                                                                                                          _ev = &_t567_storage;
                                                                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                                                                          flick_corba_init_environment();
                                                                                                                                                                                          _return = ex3__get_unsigned_long_attribute(_obj, _ev);
                                                                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                                                                          {
                                                                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                                                          }
                                                                                                                                                                                          flick_suntcp_encode_new_glob(8);
                                                                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                          switch (_ev->_major)
                                                                                                                                                                                            {
                                                                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                                                                              {
                                                                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                flick_xdr_encode_unsigned32(0, _return);
                                                                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                break;
                                                                                                                                                                                              }
                                                                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                              {
                                                                                                                                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                                                                break;
                                                                                                                                                                                              }
                                                                                                                                                                                            default:
                                                                                                                                                                                              {
                                                                                                                                                                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                                                              }
                                                                                                                                                                                            }
                                                                                                                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                                                                        }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(136);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(136);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(136);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(136);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(136);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(136);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(136);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(136);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(136);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t568_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t568_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t568_switch_tag)
            {
            case 'o':
              {
                char _t569_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t569_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t569_switch_tag)
                  {
                  case 'p':
                    {
                      char _t570_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t570_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t570_switch_tag)
                        {
                        case '0':
                          {
                            char _t571_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t571_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t571_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_Environment *_ev;
                                    unsigned int _t572_ignore;
                                    CORBA_Environment _t573_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(16);
                                    flick_xdr_decode_unsigned32(0, _t572_ignore);
                                    flick_xdr_decode_unsigned32(4, _t572_ignore);
                                    flick_xdr_decode_unsigned32(8, _t572_ignore);
                                    flick_xdr_decode_unsigned32(12, _t572_ignore);
                                    _ev = &_t573_storage;
                                    flick_suntcp_decode_end_chunk(16);
                                    flick_suntcp_decode_end_glob(136);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    ex3_op0(_obj, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(4);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(4);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t574_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t574_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t574_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    unsigned int _t575_ignore;
                                    CORBA_double _t576_storage;
                                    CORBA_long _t577_storage;
                                    CORBA_Environment _t578_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t575_ignore);
                                    flick_xdr_decode_unsigned32(4, _t575_ignore);
                                    flick_xdr_decode_unsigned32(8, _t575_ignore);
                                    flick_xdr_decode_unsigned32(12, _t575_ignore);
                                    flick_xdr_decode_float32(16, _local_f);
                                    _local_d = &_t576_storage;
                                    _local_l = &_t577_storage;
                                    flick_xdr_decode_signed32(20, *_local_l);
                                    _ev = &_t578_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(136);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex3_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_float32(0, _return);
                                          flick_xdr_encode_float64(4, *_local_d);
                                          flick_xdr_encode_signed32(12, *_local_l);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t579_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t579_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t579_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    unsigned int _t580_ignore;
                                    CORBA_long _t581_storage;
                                    CORBA_short _t582_storage;
                                    CORBA_Environment _t583_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t580_ignore);
                                    flick_xdr_decode_unsigned32(4, _t580_ignore);
                                    flick_xdr_decode_unsigned32(8, _t580_ignore);
                                    flick_xdr_decode_unsigned32(12, _t580_ignore);
                                    flick_xdr_decode_float64(16, _local_d);
                                    _local_l = &_t581_storage;
                                    _local_s = &_t582_storage;
                                    flick_xdr_decode_signed16(24, *_local_s);
                                    _ev = &_t583_storage;
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(136);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex3_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_float64(0, _return);
                                          flick_xdr_encode_signed32(8, *_local_l);
                                          flick_xdr_encode_signed16(12, *_local_s);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t584_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t584_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t584_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t585_ignore;
                                    CORBA_short _t586_storage;
                                    CORBA_unsigned_long _t587_storage;
                                    CORBA_Environment _t588_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t585_ignore);
                                    flick_xdr_decode_unsigned32(4, _t585_ignore);
                                    flick_xdr_decode_unsigned32(8, _t585_ignore);
                                    flick_xdr_decode_unsigned32(12, _t585_ignore);
                                    flick_xdr_decode_signed32(16, _local_l);
                                    _local_s = &_t586_storage;
                                    _local_ul = &_t587_storage;
                                    flick_xdr_decode_unsigned32(20, *_local_ul);
                                    _ev = &_t588_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(136);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex3_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_signed32(0, _return);
                                          flick_xdr_encode_signed16(4, *_local_s);
                                          flick_xdr_encode_unsigned32(8, *_local_ul);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t589_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t589_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t589_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    unsigned int _t590_ignore;
                                    CORBA_unsigned_long _t591_storage;
                                    CORBA_unsigned_short _t592_storage;
                                    CORBA_Environment _t593_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t590_ignore);
                                    flick_xdr_decode_unsigned32(4, _t590_ignore);
                                    flick_xdr_decode_unsigned32(8, _t590_ignore);
                                    flick_xdr_decode_unsigned32(12, _t590_ignore);
                                    flick_xdr_decode_signed16(16, _local_s);
                                    _local_ul = &_t591_storage;
                                    _local_us = &_t592_storage;
                                    flick_xdr_decode_unsigned16(20, *_local_us);
                                    _ev = &_t593_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(136);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex3_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_signed16(0, _return);
                                          flick_xdr_encode_unsigned32(4, *_local_ul);
                                          flick_xdr_encode_unsigned16(8, *_local_us);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t594_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t594_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t594_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    unsigned int _t595_ignore;
                                    CORBA_unsigned_long _t596_storage;
                                    CORBA_char _t597_storage;
                                    CORBA_Environment _t598_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t595_ignore);
                                    flick_xdr_decode_unsigned32(4, _t595_ignore);
                                    flick_xdr_decode_unsigned32(8, _t595_ignore);
                                    flick_xdr_decode_unsigned32(12, _t595_ignore);
                                    _local_ul = &_t596_storage;
                                    flick_xdr_decode_unsigned32(16, *_local_ul);
                                    flick_xdr_decode_unsigned16(20, _local_us);
                                    _local_c = &_t597_storage;
                                    flick_xdr_decode_unsigned8(24, _local_b);
                                    _ev = &_t598_storage;
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(136);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex3_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned32(0, _return);
                                          flick_xdr_encode_unsigned32(4, *_local_ul);
                                          flick_xdr_encode_char8(8, *_local_c);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t599_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t599_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t599_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    unsigned int _t600_ignore;
                                    CORBA_unsigned_short _t601_storage;
                                    CORBA_char _t602_storage;
                                    CORBA_Environment _t603_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t600_ignore);
                                    flick_xdr_decode_unsigned32(4, _t600_ignore);
                                    flick_xdr_decode_unsigned32(8, _t600_ignore);
                                    flick_xdr_decode_unsigned32(12, _t600_ignore);
                                    _local_us = &_t601_storage;
                                    _local_c = &_t602_storage;
                                    flick_xdr_decode_char8(16, *_local_c);
                                    _ev = &_t603_storage;
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(136);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex3_op6(_obj, _local_us, _local_c, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned16(0, _return);
                                          flick_xdr_encode_unsigned16(4, *_local_us);
                                          flick_xdr_encode_char8(8, *_local_c);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(136);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(136);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(136);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_ex4(flick_marshal_stream_t _stream, const ex4 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_ex4(flick_marshal_stream_t _stream, ex4 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t ex4_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t1037_switch_tag;

    flick_suntcp_decode_new_glob(144);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t1037_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t1037_switch_tag)
      {
      case (unsigned int) 30:
        {
          char _t1038_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1038_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1038_switch_tag)
            {
            case '_':
              {
                char _t1039_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1039_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1039_switch_tag)
                  {
                  case 'g':
                    {
                      char _t1040_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1040_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1040_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1041_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1041_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1041_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1042_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1042_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1042_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1043_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1043_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1043_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t1044_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1044_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1044_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t1045_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1045_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1045_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t1046_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1046_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1046_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t1047_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1047_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1047_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t1048_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1048_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1048_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t1049_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1049_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1049_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t1050_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1050_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1050_switch_tag)
                                                                                    {
                                                                                    case 'd':
                                                                                      {
                                                                                        char _t1051_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1051_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1051_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t1052_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1052_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1052_switch_tag)
                                                                                                {
                                                                                                case 's':
                                                                                                  {
                                                                                                    char _t1053_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1053_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1053_switch_tag)
                                                                                                      {
                                                                                                      case 'h':
                                                                                                        {
                                                                                                          char _t1054_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1054_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1054_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t1055_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1055_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1055_switch_tag)
                                                                                                                  {
                                                                                                                  case 'r':
                                                                                                                    {
                                                                                                                      char _t1056_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1056_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1056_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1057_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1057_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1057_switch_tag)
                                                                                                                              {
                                                                                                                              case '_':
                                                                                                                                {
                                                                                                                                  char _t1058_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1058_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1058_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'a':
                                                                                                                                      {
                                                                                                                                        char _t1059_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1059_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1059_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t1060_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1060_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1060_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t1061_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t1061_switch_tag);
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch (_t1061_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'r':
                                                                                                                                                        {
                                                                                                                                                          char _t1062_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t1062_switch_tag);
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch (_t1062_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'i':
                                                                                                                                                              {
                                                                                                                                                                char _t1063_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t1063_switch_tag);
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch (_t1063_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'b':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1064_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t1064_switch_tag);
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch (_t1064_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'u':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1065_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t1065_switch_tag);
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch (_t1065_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 't':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1066_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t1066_switch_tag);
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch (_t1066_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 'e':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t1067_switch_tag;

                                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                        flick_xdr_decode_char8(0, _t1067_switch_tag);
                                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                        switch (_t1067_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 0:
                                                                                                                                                                                            {
                                                                                                                                                                                              {
                                                                                                                                                                                                ex4 _obj;
                                                                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                                                                CORBA_unsigned_short _return = 0;
                                                                                                                                                                                                unsigned int _t1068_ignore;
                                                                                                                                                                                                CORBA_Environment _t1069_storage;

                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                                                                flick_suntcp_decode_new_chunk(16);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1068_ignore);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1068_ignore);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1068_ignore);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1068_ignore);
                                                                                                                                                                                                _ev = &_t1069_storage;
                                                                                                                                                                                                flick_suntcp_decode_end_chunk(16);
                                                                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                                                                _return = ex4__get_unsigned_short_attribute(_obj, _ev);
                                                                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                flick_suntcp_encode_new_glob(8);
                                                                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                switch (_ev->_major)
                                                                                                                                                                                                  {
                                                                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                      flick_xdr_encode_unsigned16(0, _return);
                                                                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  default:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                                                                    }
                                                                                                                                                                                                  }
                                                                                                                                                                                                flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                                                                              }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'l':
                                            {
                                              char _t1070_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1070_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1070_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t1071_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1071_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1071_switch_tag)
                                                      {
                                                      case 'm':
                                                        {
                                                          char _t1072_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1072_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1072_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t1073_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1073_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1073_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t1074_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1074_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1074_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t1075_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1075_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1075_switch_tag)
                                                                              {
                                                                              case 'd':
                                                                                {
                                                                                  char _t1076_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1076_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1076_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1077_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1077_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1077_switch_tag)
                                                                                          {
                                                                                          case 's':
                                                                                            {
                                                                                              char _t1078_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1078_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1078_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1079_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1079_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1079_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1080_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1080_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1080_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1081_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1081_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1081_switch_tag)
                                                                                                                  {
                                                                                                                  case 'n':
                                                                                                                    {
                                                                                                                      char _t1082_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1082_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1082_switch_tag)
                                                                                                                        {
                                                                                                                        case 'g':
                                                                                                                          {
                                                                                                                            char _t1083_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1083_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1083_switch_tag)
                                                                                                                              {
                                                                                                                              case '_':
                                                                                                                                {
                                                                                                                                  char _t1084_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1084_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1084_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'a':
                                                                                                                                      {
                                                                                                                                        char _t1085_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1085_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1085_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t1086_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1086_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1086_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t1087_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t1087_switch_tag);
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch (_t1087_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'r':
                                                                                                                                                        {
                                                                                                                                                          char _t1088_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t1088_switch_tag);
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch (_t1088_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'i':
                                                                                                                                                              {
                                                                                                                                                                char _t1089_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t1089_switch_tag);
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch (_t1089_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'b':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1090_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t1090_switch_tag);
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch (_t1090_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'u':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1091_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t1091_switch_tag);
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch (_t1091_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 't':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1092_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t1092_switch_tag);
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch (_t1092_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 'e':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t1093_switch_tag;

                                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                        flick_xdr_decode_char8(0, _t1093_switch_tag);
                                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                        switch (_t1093_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 0:
                                                                                                                                                                                            {
                                                                                                                                                                                              {
                                                                                                                                                                                                ex4 _obj;
                                                                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                                                                CORBA_char *_return = 0;
                                                                                                                                                                                                unsigned int _t1094_ignore;
                                                                                                                                                                                                CORBA_Environment _t1095_storage;

                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                                                                flick_suntcp_decode_new_chunk(16);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1094_ignore);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1094_ignore);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1094_ignore);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1094_ignore);
                                                                                                                                                                                                _ev = &_t1095_storage;
                                                                                                                                                                                                flick_suntcp_decode_end_chunk(16);
                                                                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                                                                _return = ex4__get_limited_string_attribute(_obj, _ev);
                                                                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                flick_suntcp_encode_new_glob(4);
                                                                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                switch (_ev->_major)
                                                                                                                                                                                                  {
                                                                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                                                                                      flick_xdr_encode_string(_return, CORBA_flick_free, suntcp, 10);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  default:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                                                                                    }
                                                                                                                                                                                                  }
                                                                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                                                                              }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t1096_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1096_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1096_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1097_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1097_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1097_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1098_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1098_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1098_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1099_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1099_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1099_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t1100_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1100_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1100_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t1101_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1101_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1101_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t1102_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1102_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1102_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t1103_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1103_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1103_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t1104_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1104_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1104_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t1105_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1105_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1105_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t1106_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1106_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1106_switch_tag)
                                                                                    {
                                                                                    case 'd':
                                                                                      {
                                                                                        char _t1107_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1107_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1107_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t1108_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1108_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1108_switch_tag)
                                                                                                {
                                                                                                case 's':
                                                                                                  {
                                                                                                    char _t1109_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1109_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1109_switch_tag)
                                                                                                      {
                                                                                                      case 'h':
                                                                                                        {
                                                                                                          char _t1110_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1110_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1110_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t1111_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1111_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1111_switch_tag)
                                                                                                                  {
                                                                                                                  case 'r':
                                                                                                                    {
                                                                                                                      char _t1112_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1112_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1112_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1113_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1113_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1113_switch_tag)
                                                                                                                              {
                                                                                                                              case '_':
                                                                                                                                {
                                                                                                                                  char _t1114_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1114_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1114_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'a':
                                                                                                                                      {
                                                                                                                                        char _t1115_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1115_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1115_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t1116_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1116_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1116_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t1117_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t1117_switch_tag);
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch (_t1117_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'r':
                                                                                                                                                        {
                                                                                                                                                          char _t1118_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t1118_switch_tag);
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch (_t1118_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'i':
                                                                                                                                                              {
                                                                                                                                                                char _t1119_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t1119_switch_tag);
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch (_t1119_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'b':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1120_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t1120_switch_tag);
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch (_t1120_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'u':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1121_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t1121_switch_tag);
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch (_t1121_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 't':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1122_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t1122_switch_tag);
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch (_t1122_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 'e':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t1123_switch_tag;

                                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                        flick_xdr_decode_char8(0, _t1123_switch_tag);
                                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                        switch (_t1123_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 0:
                                                                                                                                                                                            {
                                                                                                                                                                                              {
                                                                                                                                                                                                ex4 _obj;
                                                                                                                                                                                                CORBA_unsigned_short _local_unsigned_short_attribute;
                                                                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                                                                unsigned int _t1124_ignore;
                                                                                                                                                                                                CORBA_Environment _t1125_storage;

                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                                                                flick_suntcp_decode_new_chunk(20);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1124_ignore);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1124_ignore);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1124_ignore);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1124_ignore);
                                                                                                                                                                                                flick_xdr_decode_unsigned16(16, _local_unsigned_short_attribute);
                                                                                                                                                                                                _ev = &_t1125_storage;
                                                                                                                                                                                                flick_suntcp_decode_end_chunk(20);
                                                                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                                                                ex4__set_unsigned_short_attribute(_obj, _local_unsigned_short_attribute, _ev);
                                                                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                                                                }
                                                                                                                                                                                                flick_suntcp_encode_new_glob(4);
                                                                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                switch (_ev->_major)
                                                                                                                                                                                                  {
                                                                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                                                                      break;
                                                                                                                                                                                                    }
                                                                                                                                                                                                  default:
                                                                                                                                                                                                    {
                                                                                                                                                                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                                                                    }
                                                                                                                                                                                                  }
                                                                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                                                                              }
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          char _t1126_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1126_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1126_switch_tag)
            {
            case '_':
              {
                char _t1127_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1127_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1127_switch_tag)
                  {
                  case 'g':
                    {
                      char _t1128_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1128_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1128_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1129_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1129_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1129_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1130_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1130_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1130_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1131_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1131_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1131_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t1132_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1132_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1132_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t1133_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1133_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1133_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t1134_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1134_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1134_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t1135_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1135_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1135_switch_tag)
                                                                  {
                                                                  case '_':
                                                                    {
                                                                      char _t1136_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1136_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1136_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t1137_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1137_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1137_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t1138_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1138_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1138_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1139_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1139_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1139_switch_tag)
                                                                                          {
                                                                                          case 'r':
                                                                                            {
                                                                                              char _t1140_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1140_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1140_switch_tag)
                                                                                                {
                                                                                                case 'i':
                                                                                                  {
                                                                                                    char _t1141_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1141_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1141_switch_tag)
                                                                                                      {
                                                                                                      case 'b':
                                                                                                        {
                                                                                                          char _t1142_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1142_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1142_switch_tag)
                                                                                                            {
                                                                                                            case 'u':
                                                                                                              {
                                                                                                                char _t1143_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1143_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1143_switch_tag)
                                                                                                                  {
                                                                                                                  case 't':
                                                                                                                    {
                                                                                                                      char _t1144_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1144_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1144_switch_tag)
                                                                                                                        {
                                                                                                                        case 'e':
                                                                                                                          {
                                                                                                                            char _t1145_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1145_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1145_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    ex4 _obj;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_char _return = 0;
                                                                                                                                    unsigned int _t1146_ignore;
                                                                                                                                    CORBA_Environment _t1147_storage;

                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                                                                    flick_xdr_decode_unsigned32(0, _t1146_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(4, _t1146_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(8, _t1146_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(12, _t1146_ignore);
                                                                                                                                    _ev = &_t1147_storage;
                                                                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                    flick_suntcp_server_end_decode();
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    _return = ex4__get_char_attribute(_obj, _ev);
                                                                                                                                    flick_suntcp_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    flick_suntcp_encode_new_glob(8);
                                                                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_char8(0, _return);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                                                                    flick_suntcp_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'l':
                                            {
                                              char _t1148_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1148_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1148_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1149_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1149_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1149_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1150_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1150_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1150_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t1151_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1151_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1151_switch_tag)
                                                                  {
                                                                  case '_':
                                                                    {
                                                                      char _t1152_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1152_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1152_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t1153_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1153_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1153_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t1154_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1154_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1154_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1155_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1155_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1155_switch_tag)
                                                                                          {
                                                                                          case 'r':
                                                                                            {
                                                                                              char _t1156_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1156_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1156_switch_tag)
                                                                                                {
                                                                                                case 'i':
                                                                                                  {
                                                                                                    char _t1157_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1157_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1157_switch_tag)
                                                                                                      {
                                                                                                      case 'b':
                                                                                                        {
                                                                                                          char _t1158_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1158_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1158_switch_tag)
                                                                                                            {
                                                                                                            case 'u':
                                                                                                              {
                                                                                                                char _t1159_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1159_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1159_switch_tag)
                                                                                                                  {
                                                                                                                  case 't':
                                                                                                                    {
                                                                                                                      char _t1160_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1160_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1160_switch_tag)
                                                                                                                        {
                                                                                                                        case 'e':
                                                                                                                          {
                                                                                                                            char _t1161_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1161_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1161_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    ex4 _obj;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_long _return = 0;
                                                                                                                                    unsigned int _t1162_ignore;
                                                                                                                                    CORBA_Environment _t1163_storage;

                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                                                                    flick_xdr_decode_unsigned32(0, _t1162_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(4, _t1162_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(8, _t1162_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(12, _t1162_ignore);
                                                                                                                                    _ev = &_t1163_storage;
                                                                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                    flick_suntcp_server_end_decode();
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    _return = ex4__get_long_attribute(_obj, _ev);
                                                                                                                                    flick_suntcp_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    flick_suntcp_encode_new_glob(8);
                                                                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _return);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_suntcp_encode_end_glob(8);
                                                                                                                                    flick_suntcp_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          char _t1164_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1164_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1164_switch_tag)
            {
            case '_':
              {
                char _t1165_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1165_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1165_switch_tag)
                  {
                  case 'g':
                    {
                      char _t1166_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1166_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1166_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1167_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1167_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1167_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1168_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1168_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1168_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1169_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1169_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1169_switch_tag)
                                          {
                                          case 'b':
                                            {
                                              char _t1170_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1170_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1170_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1171_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1171_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1171_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1172_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1172_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1172_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t1173_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1173_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1173_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1174_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1174_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1174_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t1175_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1175_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1175_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t1176_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1176_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1176_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1177_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1177_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1177_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t1178_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1178_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1178_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1179_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1179_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1179_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1180_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1180_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1180_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1181_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1181_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1181_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1182_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1182_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1182_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t1183_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1183_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1183_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t1184_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1184_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1184_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1185_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1185_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1185_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t1186_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1186_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1186_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_boolean _return = 0;
                                                                                                                                                      unsigned int _t1187_ignore;
                                                                                                                                                      CORBA_Environment _t1188_storage;

                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                      flick_suntcp_decode_new_chunk(16);
                                                                                                                                                      flick_xdr_decode_unsigned32(0, _t1187_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(4, _t1187_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(8, _t1187_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(12, _t1187_ignore);
                                                                                                                                                      _ev = &_t1188_storage;
                                                                                                                                                      flick_suntcp_decode_end_chunk(16);
                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                      flick_suntcp_server_end_decode();
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      _return = ex4__get_boolean_attribute(_obj, _ev);
                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      flick_suntcp_encode_new_glob(8);
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                                            flick_xdr_encode_unsigned8(0, _return);
                                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_suntcp_encode_end_glob(8);
                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t1189_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1189_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1189_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1190_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1190_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1190_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1191_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1191_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1191_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1192_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1192_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1192_switch_tag)
                                          {
                                          case 'b':
                                            {
                                              char _t1193_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1193_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1193_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1194_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1194_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1194_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1195_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1195_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1195_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t1196_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1196_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1196_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1197_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1197_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1197_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t1198_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1198_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1198_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t1199_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1199_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1199_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1200_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1200_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1200_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t1201_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1201_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1201_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1202_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1202_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1202_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1203_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1203_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1203_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1204_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1204_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1204_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1205_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1205_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1205_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t1206_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1206_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1206_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t1207_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1207_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1207_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1208_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1208_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1208_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t1209_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1209_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1209_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      CORBA_boolean _local_boolean_attribute;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      unsigned int _t1210_ignore;
                                                                                                                                                      CORBA_Environment _t1211_storage;

                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                      flick_suntcp_decode_new_chunk(20);
                                                                                                                                                      flick_xdr_decode_unsigned32(0, _t1210_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(4, _t1210_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(8, _t1210_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(12, _t1210_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned8(16, _local_boolean_attribute);
                                                                                                                                                      _ev = &_t1211_storage;
                                                                                                                                                      flick_suntcp_decode_end_chunk(20);
                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                      flick_suntcp_server_end_decode();
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      ex4__set_boolean_attribute(_obj, _local_boolean_attribute, _ev);
                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      flick_suntcp_encode_new_glob(4);
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          char _t1212_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1212_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1212_switch_tag)
            {
            case '_':
              {
                char _t1213_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1213_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1213_switch_tag)
                  {
                  case 'g':
                    {
                      char _t1214_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1214_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1214_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1215_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1215_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1215_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1216_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1216_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1216_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1217_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1217_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1217_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t1218_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1218_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1218_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t1219_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1219_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1219_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t1220_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1220_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1220_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t1221_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1221_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1221_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t1222_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1222_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1222_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1223_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1223_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1223_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1224_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1224_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1224_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1225_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1225_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1225_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1226_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1226_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1226_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1227_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1227_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1227_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t1228_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1228_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1228_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t1229_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1229_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1229_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t1230_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1230_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1230_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1231_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1231_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1231_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1232_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1232_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1232_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex4 _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_octet _return = 0;
                                                                                                                                          unsigned int _t1233_ignore;
                                                                                                                                          CORBA_Environment _t1234_storage;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t1233_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t1233_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t1233_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t1233_ignore);
                                                                                                                                          _ev = &_t1234_storage;
                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = ex4__get_octet_attribute(_obj, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(8);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_unsigned8(0, _return);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'f':
                                            {
                                              char _t1235_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1235_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1235_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t1236_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1236_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1236_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1237_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1237_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1237_switch_tag)
                                                            {
                                                            case 'a':
                                                              {
                                                                char _t1238_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1238_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1238_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t1239_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1239_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1239_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1240_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1240_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1240_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1241_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1241_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1241_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1242_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1242_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1242_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1243_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1243_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1243_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1244_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1244_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1244_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t1245_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1245_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1245_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t1246_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1246_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1246_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t1247_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1247_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1247_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1248_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1248_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1248_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1249_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1249_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1249_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex4 _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_float _return = 0.000000;
                                                                                                                                          unsigned int _t1250_ignore;
                                                                                                                                          CORBA_Environment _t1251_storage;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t1250_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t1250_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t1250_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t1250_ignore);
                                                                                                                                          _ev = &_t1251_storage;
                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = ex4__get_float_attribute(_obj, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(8);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_float32(0, _return);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t1252_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1252_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1252_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t1253_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1253_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1253_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1254_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1254_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1254_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t1255_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1255_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1255_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t1256_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1256_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1256_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1257_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1257_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1257_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1258_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1258_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1258_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1259_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1259_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1259_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1260_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1260_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1260_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1261_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1261_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1261_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t1262_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1262_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1262_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t1263_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1263_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1263_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t1264_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1264_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1264_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1265_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1265_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1265_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1266_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1266_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1266_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex4 _obj;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_short _return = 0;
                                                                                                                                          unsigned int _t1267_ignore;
                                                                                                                                          CORBA_Environment _t1268_storage;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t1267_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t1267_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t1267_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t1267_ignore);
                                                                                                                                          _ev = &_t1268_storage;
                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _return = ex4__get_short_attribute(_obj, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(8);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed16(0, _return);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t1269_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1269_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1269_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1270_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1270_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1270_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1271_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1271_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1271_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1272_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1272_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1272_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t1273_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1273_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1273_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t1274_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1274_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1274_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1275_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1275_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1275_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t1276_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1276_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1276_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t1277_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1277_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1277_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1278_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1278_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1278_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1279_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1279_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1279_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1280_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1280_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1280_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1281_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1281_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1281_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1282_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1282_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1282_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t1283_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1283_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1283_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t1284_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1284_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1284_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t1285_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1285_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1285_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1286_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1286_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1286_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1287_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1287_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1287_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex4 _obj;
                                                                                                                                          CORBA_short _local_short_attribute;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          unsigned int _t1288_ignore;
                                                                                                                                          CORBA_Environment _t1289_storage;

                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(20);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t1288_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t1288_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t1288_ignore);
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t1288_ignore);
                                                                                                                                          flick_xdr_decode_signed16(16, _local_short_attribute);
                                                                                                                                          _ev = &_t1289_storage;
                                                                                                                                          flick_suntcp_decode_end_chunk(20);
                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          ex4__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                          }
                                                                                                                                          flick_suntcp_encode_new_glob(4);
                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                          switch (_ev->_major)
                                                                                                                                            {
                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          char _t1290_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1290_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1290_switch_tag)
            {
            case '_':
              {
                char _t1291_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1291_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1291_switch_tag)
                  {
                  case 'g':
                    {
                      char _t1292_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1292_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1292_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1293_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1293_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1293_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1294_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1294_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1294_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1295_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1295_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1295_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t1296_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1296_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1296_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t1297_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1297_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1297_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t1298_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1298_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1298_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t1299_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1299_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1299_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t1300_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1300_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1300_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t1301_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1301_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1301_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1302_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1302_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1302_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1303_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1303_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1303_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1304_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1304_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1304_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1305_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1305_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1305_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1306_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1306_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1306_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1307_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1307_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1307_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1308_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1308_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1308_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1309_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1309_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1309_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1310_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1310_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1310_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1311_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1311_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1311_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_char *_return = 0;
                                                                                                                                                unsigned int _t1312_ignore;
                                                                                                                                                CORBA_Environment _t1313_storage;

                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                flick_suntcp_decode_new_chunk(16);
                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1312_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1312_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1312_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1312_ignore);
                                                                                                                                                _ev = &_t1313_storage;
                                                                                                                                                flick_suntcp_decode_end_chunk(16);
                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex4__get_string_attribute(_obj, _ev);
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                flick_suntcp_encode_new_glob(4);
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                                      flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t1314_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1314_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1314_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1315_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1315_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1315_switch_tag)
                                                      {
                                                      case 'u':
                                                        {
                                                          char _t1316_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1316_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1316_switch_tag)
                                                            {
                                                            case 'b':
                                                              {
                                                                char _t1317_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1317_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1317_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t1318_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1318_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1318_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t1319_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1319_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1319_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1320_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1320_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1320_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1321_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1321_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1321_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1322_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1322_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1322_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1323_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1323_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1323_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1324_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1324_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1324_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1325_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1325_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1325_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1326_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1326_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1326_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1327_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1327_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1327_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1328_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1328_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1328_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1329_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1329_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1329_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_double _return = 0.000000;
                                                                                                                                                unsigned int _t1330_ignore;
                                                                                                                                                CORBA_Environment _t1331_storage;

                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                flick_suntcp_decode_new_chunk(16);
                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1330_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1330_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1330_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1330_ignore);
                                                                                                                                                _ev = &_t1331_storage;
                                                                                                                                                flick_suntcp_decode_end_chunk(16);
                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _return = ex4__get_double_attribute(_obj, _ev);
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                flick_suntcp_encode_new_glob(12);
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_suntcp_encode_new_chunk(8);
                                                                                                                                                      flick_xdr_encode_float64(0, _return);
                                                                                                                                                      flick_suntcp_encode_end_chunk(8);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_suntcp_encode_end_glob(12);
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t1332_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1332_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1332_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1333_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1333_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1333_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1334_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1334_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1334_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1335_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1335_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1335_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t1336_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1336_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1336_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t1337_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1337_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1337_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t1338_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1338_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1338_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t1339_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1339_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1339_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t1340_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1340_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1340_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t1341_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1341_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1341_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1342_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1342_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1342_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1343_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1343_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1343_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1344_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1344_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1344_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1345_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1345_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1345_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1346_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1346_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1346_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1347_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1347_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1347_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1348_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1348_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1348_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1349_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1349_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1349_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1350_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1350_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1350_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1351_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1351_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1351_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_char *_local_string_attribute;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                unsigned int _t1352_ignore;
                                                                                                                                                CORBA_Environment _t1353_storage;

                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                flick_suntcp_decode_new_chunk(16);
                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1352_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1352_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1352_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1352_ignore);
                                                                                                                                                flick_suntcp_decode_end_chunk(16);
                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                flick_xdr_decode_auto_string(_local_string_attribute, auto_flick_alloc, suntcp);
                                                                                                                                                _ev = &_t1353_storage;
                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                ex4__set_string_attribute(_obj, _local_string_attribute, _ev);
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                flick_suntcp_encode_new_glob(4);
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t1354_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1354_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1354_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1355_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1355_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1355_switch_tag)
                                                      {
                                                      case 'u':
                                                        {
                                                          char _t1356_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1356_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1356_switch_tag)
                                                            {
                                                            case 'b':
                                                              {
                                                                char _t1357_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1357_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1357_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t1358_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1358_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1358_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t1359_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1359_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1359_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1360_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1360_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1360_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1361_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1361_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1361_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1362_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1362_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1362_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1363_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1363_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1363_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1364_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1364_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1364_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1365_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1365_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1365_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1366_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1366_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1366_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1367_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1367_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1367_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1368_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1368_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1368_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1369_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1369_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1369_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                CORBA_double _local_double_attribute;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                unsigned int _t1370_ignore;
                                                                                                                                                CORBA_Environment _t1371_storage;

                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                flick_suntcp_decode_new_chunk(24);
                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1370_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1370_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1370_ignore);
                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1370_ignore);
                                                                                                                                                flick_xdr_decode_float64(16, _local_double_attribute);
                                                                                                                                                _ev = &_t1371_storage;
                                                                                                                                                flick_suntcp_decode_end_chunk(24);
                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                ex4__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                }
                                                                                                                                                flick_suntcp_encode_new_glob(4);
                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                switch (_ev->_major)
                                                                                                                                                  {
                                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                flick_suntcp_encode_end_glob(4);
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t1372_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1372_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1372_switch_tag)
            {
            case 'o':
              {
                char _t1373_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1373_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1373_switch_tag)
                  {
                  case 'p':
                    {
                      char _t1374_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1374_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1374_switch_tag)
                        {
                        case '7':
                          {
                            char _t1375_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1375_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1375_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_char _local_c;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet *_local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_char _return = 0;
                                    unsigned int _t1376_ignore;
                                    CORBA_boolean _t1377_storage;
                                    CORBA_octet _t1378_storage;
                                    CORBA_Environment _t1379_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t1376_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1376_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1376_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1376_ignore);
                                    flick_xdr_decode_char8(16, _local_c);
                                    _local_b = &_t1377_storage;
                                    _local_o = &_t1378_storage;
                                    flick_xdr_decode_unsigned8(20, *_local_o);
                                    _ev = &_t1379_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex4_op7(_obj, _local_c, _local_b, _local_o, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_char8(0, _return);
                                          flick_xdr_encode_unsigned8(4, *_local_b);
                                          flick_xdr_encode_unsigned8(8, *_local_o);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '8':
                          {
                            char _t1380_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1380_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1380_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_boolean *_local_b;
                                    CORBA_octet _local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_boolean _return = 0;
                                    unsigned int _t1381_ignore;
                                    CORBA_boolean _t1382_storage;
                                    CORBA_Environment _t1383_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t1381_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1381_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1381_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1381_ignore);
                                    _local_b = &_t1382_storage;
                                    flick_xdr_decode_unsigned8(16, _local_o);
                                    _ev = &_t1383_storage;
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex4_op8(_obj, _local_b, _local_o, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(12);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(8);
                                          flick_xdr_encode_unsigned8(0, _return);
                                          flick_xdr_encode_unsigned8(4, *_local_b);
                                          flick_suntcp_encode_end_chunk(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(12);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '9':
                          {
                            char _t1384_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1384_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1384_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_octet *_local_o;
                                    CORBA_char **_local_s;
                                    CORBA_char *_local_ls;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_octet _return = 0;
                                    unsigned int _t1385_ignore;
                                    CORBA_octet _t1386_storage;
                                    CORBA_char *_t1387_storage;
                                    CORBA_long _t1388_storage;
                                    CORBA_Environment _t1389_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t1385_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1385_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1385_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1385_ignore);
                                    _local_o = &_t1386_storage;
                                    flick_xdr_decode_unsigned8(16, *_local_o);
                                    _local_s = &_t1387_storage;
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_xdr_decode_auto_string(_local_ls, auto_flick_alloc, suntcp);
                                    _local_l = &_t1388_storage;
                                    flick_suntcp_decode_new_glob(7);
                                    flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_xdr_decode_signed32(0, *_local_l);
                                    _ev = &_t1389_storage;
                                    flick_suntcp_decode_end_chunk(4);
                                    flick_suntcp_decode_end_glob(7);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex4_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(12);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(8);
                                          flick_xdr_encode_unsigned8(0, _return);
                                          flick_xdr_encode_unsigned8(4, *_local_o);
                                          flick_suntcp_encode_end_chunk(8);
                                          flick_suntcp_encode_end_glob(12);
                                          flick_xdr_encode_longstring(*_local_s, CORBA_flick_free, suntcp);
                                          flick_suntcp_encode_new_glob(7);
                                          flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_xdr_encode_signed32(0, *_local_l);
                                          flick_suntcp_encode_end_chunk(4);
                                          flick_suntcp_encode_end_glob(7);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          flick_suntcp_encode_end_glob(12);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                          flick_suntcp_encode_end_glob(12);
                                        }
                                      }
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '0':
                          {
                            char _t1390_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1390_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1390_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_Environment *_ev;
                                    unsigned int _t1391_ignore;
                                    CORBA_Environment _t1392_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(16);
                                    flick_xdr_decode_unsigned32(0, _t1391_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1391_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1391_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1391_ignore);
                                    _ev = &_t1392_storage;
                                    flick_suntcp_decode_end_chunk(16);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    ex4_op0(_obj, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(4);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(4);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t1393_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1393_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1393_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_long *_local_l;
                                    CORBA_Environment *_ev;
                                    CORBA_float _return = 0.000000;
                                    unsigned int _t1394_ignore;
                                    CORBA_double _t1395_storage;
                                    CORBA_long _t1396_storage;
                                    CORBA_Environment _t1397_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t1394_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1394_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1394_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1394_ignore);
                                    flick_xdr_decode_float32(16, _local_f);
                                    _local_d = &_t1395_storage;
                                    _local_l = &_t1396_storage;
                                    flick_xdr_decode_signed32(20, *_local_l);
                                    _ev = &_t1397_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex4_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_float32(0, _return);
                                          flick_xdr_encode_float64(4, *_local_d);
                                          flick_xdr_encode_signed32(12, *_local_l);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t1398_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1398_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1398_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_short *_local_s;
                                    CORBA_Environment *_ev;
                                    CORBA_double _return = 0.000000;
                                    unsigned int _t1399_ignore;
                                    CORBA_long _t1400_storage;
                                    CORBA_short _t1401_storage;
                                    CORBA_Environment _t1402_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t1399_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1399_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1399_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1399_ignore);
                                    flick_xdr_decode_float64(16, _local_d);
                                    _local_l = &_t1400_storage;
                                    _local_s = &_t1401_storage;
                                    flick_xdr_decode_signed16(24, *_local_s);
                                    _ev = &_t1402_storage;
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex4_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(20);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(16);
                                          flick_xdr_encode_float64(0, _return);
                                          flick_xdr_encode_signed32(8, *_local_l);
                                          flick_xdr_encode_signed16(12, *_local_s);
                                          flick_suntcp_encode_end_chunk(16);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(20);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t1403_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1403_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1403_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t1404_ignore;
                                    CORBA_short _t1405_storage;
                                    CORBA_unsigned_long _t1406_storage;
                                    CORBA_Environment _t1407_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t1404_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1404_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1404_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1404_ignore);
                                    flick_xdr_decode_signed32(16, _local_l);
                                    _local_s = &_t1405_storage;
                                    _local_ul = &_t1406_storage;
                                    flick_xdr_decode_unsigned32(20, *_local_ul);
                                    _ev = &_t1407_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex4_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_signed32(0, _return);
                                          flick_xdr_encode_signed16(4, *_local_s);
                                          flick_xdr_encode_unsigned32(8, *_local_ul);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t1408_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1408_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1408_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_Environment *_ev;
                                    CORBA_short _return = 0;
                                    unsigned int _t1409_ignore;
                                    CORBA_unsigned_long _t1410_storage;
                                    CORBA_unsigned_short _t1411_storage;
                                    CORBA_Environment _t1412_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t1409_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1409_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1409_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1409_ignore);
                                    flick_xdr_decode_signed16(16, _local_s);
                                    _local_ul = &_t1410_storage;
                                    _local_us = &_t1411_storage;
                                    flick_xdr_decode_unsigned16(20, *_local_us);
                                    _ev = &_t1412_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex4_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_signed16(0, _return);
                                          flick_xdr_encode_unsigned32(4, *_local_ul);
                                          flick_xdr_encode_unsigned16(8, *_local_us);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t1413_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1413_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1413_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_long _return = 0;
                                    unsigned int _t1414_ignore;
                                    CORBA_unsigned_long _t1415_storage;
                                    CORBA_char _t1416_storage;
                                    CORBA_Environment _t1417_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t1414_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1414_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1414_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1414_ignore);
                                    _local_ul = &_t1415_storage;
                                    flick_xdr_decode_unsigned32(16, *_local_ul);
                                    flick_xdr_decode_unsigned16(20, _local_us);
                                    _local_c = &_t1416_storage;
                                    flick_xdr_decode_unsigned8(24, _local_b);
                                    _ev = &_t1417_storage;
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex4_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned32(0, _return);
                                          flick_xdr_encode_unsigned32(4, *_local_ul);
                                          flick_xdr_encode_char8(8, *_local_c);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t1418_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1418_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1418_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_char *_local_c;
                                    CORBA_Environment *_ev;
                                    CORBA_unsigned_short _return = 0;
                                    unsigned int _t1419_ignore;
                                    CORBA_unsigned_short _t1420_storage;
                                    CORBA_char _t1421_storage;
                                    CORBA_Environment _t1422_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t1419_ignore);
                                    flick_xdr_decode_unsigned32(4, _t1419_ignore);
                                    flick_xdr_decode_unsigned32(8, _t1419_ignore);
                                    flick_xdr_decode_unsigned32(12, _t1419_ignore);
                                    _local_us = &_t1420_storage;
                                    _local_c = &_t1421_storage;
                                    flick_xdr_decode_char8(16, *_local_c);
                                    _ev = &_t1422_storage;
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = ex4_op6(_obj, _local_us, _local_c, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(16);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned16(0, _return);
                                          flick_xdr_encode_unsigned16(4, *_local_us);
                                          flick_xdr_encode_char8(8, *_local_c);
                                          flick_suntcp_encode_end_chunk(12);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                        }
                                      }
                                    flick_suntcp_encode_end_glob(16);
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t1423_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1423_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1423_switch_tag)
            {
            case 'o':
              {
                char _t1424_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1424_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1424_switch_tag)
                  {
                  case 'p':
                    {
                      char _t1425_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1425_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1425_switch_tag)
                        {
                        case '1':
                          {
                            char _t1426_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1426_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1426_switch_tag)
                              {
                              case '0':
                                {
                                  char _t1427_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1427_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1427_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_char *_local_s;
                                          CORBA_char **_local_ls;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t1428_ignore;
                                          CORBA_char *_t1429_storage;
                                          CORBA_Environment _t1430_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(16);
                                          flick_xdr_decode_unsigned32(0, _t1428_ignore);
                                          flick_xdr_decode_unsigned32(4, _t1428_ignore);
                                          flick_xdr_decode_unsigned32(8, _t1428_ignore);
                                          flick_xdr_decode_unsigned32(12, _t1428_ignore);
                                          flick_suntcp_decode_end_chunk(16);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_xdr_decode_auto_string(_local_s, auto_flick_alloc, suntcp);
                                          _local_ls = &_t1429_storage;
                                          _ev = &_t1430_storage;
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = ex4_op10(_obj, _local_s, _local_ls, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(4);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(4);
                                                flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                flick_xdr_encode_string(*_local_ls, CORBA_flick_free, suntcp, 10);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                              }
                                            }
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '1':
                                {
                                  char _t1431_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1431_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1431_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_char **_local_ls;
                                          CORBA_long *_local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t1432_ignore;
                                          CORBA_char *_t1433_storage;
                                          CORBA_long _t1434_storage;
                                          CORBA_Environment _t1435_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(16);
                                          flick_xdr_decode_unsigned32(0, _t1432_ignore);
                                          flick_xdr_decode_unsigned32(4, _t1432_ignore);
                                          flick_xdr_decode_unsigned32(8, _t1432_ignore);
                                          flick_xdr_decode_unsigned32(12, _t1432_ignore);
                                          _local_ls = &_t1433_storage;
                                          flick_suntcp_decode_end_chunk(16);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_xdr_decode_string(*_local_ls, CORBA_flick_alloc, suntcp, 10);
                                          _local_l = &_t1434_storage;
                                          _ev = &_t1435_storage;
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = ex4_op11(_obj, _local_ls, _local_l, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(4);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_end_glob(4);
                                                flick_xdr_encode_string(_return, CORBA_flick_free, suntcp, 10);
                                                flick_xdr_encode_string(*_local_ls, CORBA_flick_free, suntcp, 10);
                                                flick_suntcp_encode_new_glob(7);
                                                flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                flick_xdr_encode_signed32(0, *_local_l);
                                                flick_suntcp_encode_end_chunk(4);
                                                flick_suntcp_encode_end_glob(7);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                flick_suntcp_encode_end_glob(4);
                                              }
                                            }
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '2':
                                {
                                  char _t1436_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1436_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1436_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          CORBA_long _local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_long _return = 0;
                                          unsigned int _t1437_ignore;
                                          CORBA_Environment _t1438_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t1437_ignore);
                                          flick_xdr_decode_unsigned32(4, _t1437_ignore);
                                          flick_xdr_decode_unsigned32(8, _t1437_ignore);
                                          flick_xdr_decode_unsigned32(12, _t1437_ignore);
                                          flick_xdr_decode_signed32(16, _local_l);
                                          _ev = &_t1438_storage;
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = ex4_op12(_obj, _local_l, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(8);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _return);
                                                flick_suntcp_encode_end_chunk(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                              }
                                            }
                                          flick_suntcp_encode_end_glob(8);
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          char _t1439_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1439_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t1439_switch_tag)
            {
            case '_':
              {
                char _t1440_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1440_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t1440_switch_tag)
                  {
                  case 'g':
                    {
                      char _t1441_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1441_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t1441_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1442_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1442_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t1442_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1443_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1443_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1443_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1444_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1444_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1444_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t1445_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1445_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1445_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t1446_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1446_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1446_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t1447_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1447_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t1447_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t1448_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1448_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t1448_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t1449_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1449_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t1449_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t1450_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1450_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t1450_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t1451_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1451_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t1451_switch_tag)
                                                                                    {
                                                                                    case 'd':
                                                                                      {
                                                                                        char _t1452_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1452_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t1452_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t1453_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1453_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t1453_switch_tag)
                                                                                                {
                                                                                                case 'l':
                                                                                                  {
                                                                                                    char _t1454_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1454_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t1454_switch_tag)
                                                                                                      {
                                                                                                      case 'o':
                                                                                                        {
                                                                                                          char _t1455_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1455_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t1455_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t1456_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1456_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t1456_switch_tag)
                                                                                                                  {
                                                                                                                  case 'g':
                                                                                                                    {
                                                                                                                      char _t1457_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1457_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t1457_switch_tag)
                                                                                                                        {
                                                                                                                        case '_':
                                                                                                                          {
                                                                                                                            char _t1458_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1458_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t1458_switch_tag)
                                                                                                                              {
                                                                                                                              case 'a':
                                                                                                                                {
                                                                                                                                  char _t1459_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1459_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t1459_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1460_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1460_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t1460_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t1461_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1461_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t1461_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'r':
                                                                                                                                                  {
                                                                                                                                                    char _t1462_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t1462_switch_tag);
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch (_t1462_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'i':
                                                                                                                                                        {
                                                                                                                                                          char _t1463_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t1463_switch_tag);
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch (_t1463_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'b':
                                                                                                                                                              {
                                                                                                                                                                char _t1464_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t1464_switch_tag);
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch (_t1464_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'u':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1465_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t1465_switch_tag);
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch (_t1465_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 't':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1466_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t1466_switch_tag);
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch (_t1466_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 'e':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1467_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t1467_switch_tag);
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch (_t1467_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 0:
                                                                                                                                                                                      {
                                                                                                                                                                                        {
                                                                                                                                                                                          ex4 _obj;
                                                                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                                                                          CORBA_unsigned_long _return = 0;
                                                                                                                                                                                          unsigned int _t1468_ignore;
                                                                                                                                                                                          CORBA_Environment _t1469_storage;

                                                                                                                                                                                          {
                                                                                                                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                                                          }
                                                                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                                                                          flick_xdr_decode_unsigned32(0, _t1468_ignore);
                                                                                                                                                                                          flick_xdr_decode_unsigned32(4, _t1468_ignore);
                                                                                                                                                                                          flick_xdr_decode_unsigned32(8, _t1468_ignore);
                                                                                                                                                                                          flick_xdr_decode_unsigned32(12, _t1468_ignore);
                                                                                                                                                                                          _ev = &_t1469_storage;
                                                                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                                                                          flick_corba_init_environment();
                                                                                                                                                                                          _return = ex4__get_unsigned_long_attribute(_obj, _ev);
                                                                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                                                                          {
                                                                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                                                          }
                                                                                                                                                                                          flick_suntcp_encode_new_glob(8);
                                                                                                                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                          switch (_ev->_major)
                                                                                                                                                                                            {
                                                                                                                                                                                            case CORBA_NO_EXCEPTION:
                                                                                                                                                                                              {
                                                                                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                flick_xdr_encode_unsigned32(0, _return);
                                                                                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                break;
                                                                                                                                                                                              }
                                                                                                                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                              {
                                                                                                                                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                                                                break;
                                                                                                                                                                                              }
                                                                                                                                                                                            default:
                                                                                                                                                                                              {
                                                                                                                                                                                                flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                                                              }
                                                                                                                                                                                            }
                                                                                                                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                                                                        }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(144);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
