#include "impldef-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_ActivationImplDef;
	s.vers_num = _VERS_ActivationImplDef;

	reg_success = flick_server_register(s, &CORBA_ActivationImplDef_server);
	assert(reg_success);


	s.prog_num = _PROG_Activator;
	s.vers_num = _VERS_Activator;

	reg_success = flick_server_register(s, &CORBA_Activator_server);
	assert(reg_success);


	s.prog_num = _PROG_CreationImplDef;
	s.vers_num = _VERS_CreationImplDef;

	reg_success = flick_server_register(s, &CORBA_CreationImplDef_server);
	assert(reg_success);


	s.prog_num = _PROG_ImplementationDef;
	s.vers_num = _VERS_ImplementationDef;

	reg_success = flick_server_register(s, &CORBA_ImplementationDef_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, const CORBA_StringSequence *_data)
{
  unsigned long int _t0_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_xdr_encode_longstring(_data->_buffer[_t0_array_iter], CORBA_flick_free, suntcp);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, CORBA_StringSequence *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_xdr_decode_longstring(_data->_buffer[_t1_array_iter], CORBA_flick_alloc, suntcp);
    }
}

void flick_marshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, const CORBA_OctetSequence *_data)
{
  unsigned long int _t2_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->_buffer[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  CORBA_flick_free(_data->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, const CORBA_LongSequence *_data)
{
  unsigned long int _t4_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t4_array_iter = 0; _t4_array_iter < _data->_length; _t4_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t4_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  CORBA_flick_free(_data->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, CORBA_LongSequence *_data)
{
  unsigned long int _t5_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, const CORBA_ReferenceData *_data)
{
  unsigned long int _t6_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t6_array_iter = 0; _t6_array_iter < _data->_length; _t6_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->_buffer[_t6_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  CORBA_flick_free(_data->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data)
{
  unsigned long int _t7_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->_buffer[_t7_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, const CORBA_ReferenceString *_data)
{
  unsigned long int _t8_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t8_array_iter = 0; _t8_array_iter < _data->_length; _t8_array_iter++)
    {
      flick_xdr_encode_longstring(_data->_buffer[_t8_array_iter], CORBA_flick_free, suntcp);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data)
{
  unsigned long int _t9_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *));
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_xdr_decode_longstring(_data->_buffer[_t9_array_iter], CORBA_flick_alloc, suntcp);
    }
}

void flick_marshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, const CORBA_ReferenceLong *_data)
{
  unsigned long int _t10_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t10_array_iter = 0; _t10_array_iter < _data->_length; _t10_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t10_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  CORBA_flick_free(_data->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data)
{
  unsigned long int _t11_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  for (_t11_array_iter = 0; _t11_array_iter < _data->_length; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t11_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, const CORBA_ImplementationDef *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, CORBA_ImplementationDef *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t CORBA_ImplementationDef_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t113_switch_tag;

    flick_suntcp_decode_new_glob(100);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t113_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t113_switch_tag)
      {
      case (unsigned int) 20:
        {
          char _t114_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t114_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t114_switch_tag)
            {
            case '_':
              {
                char _t115_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t115_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t115_switch_tag)
                  {
                  case 'g':
                    {
                      char _t116_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t116_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t116_switch_tag)
                        {
                        case 'e':
                          {
                            char _t117_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t117_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t117_switch_tag)
                              {
                              case 't':
                                {
                                  char _t118_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t118_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t118_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t119_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t119_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t119_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t120_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t120_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t120_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t121_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t121_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t121_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t122_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t122_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t122_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t123_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t123_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t123_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t124_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t124_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t124_switch_tag)
                                                                        {
                                                                        case 'f':
                                                                          {
                                                                            char _t125_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t125_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t125_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t126_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t126_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t126_switch_tag)
                                                                                    {
                                                                                    case 'c':
                                                                                      {
                                                                                        char _t127_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t127_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t127_switch_tag)
                                                                                          {
                                                                                          case 'e':
                                                                                            {
                                                                                              char _t128_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t128_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t128_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t129_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t129_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t129_switch_tag)
                                                                                                      {
                                                                                                      case 'n':
                                                                                                        {
                                                                                                          char _t130_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t130_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t130_switch_tag)
                                                                                                            {
                                                                                                            case 'a':
                                                                                                              {
                                                                                                                char _t131_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t131_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t131_switch_tag)
                                                                                                                  {
                                                                                                                  case 'm':
                                                                                                                    {
                                                                                                                      char _t132_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t132_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t132_switch_tag)
                                                                                                                        {
                                                                                                                        case 'e':
                                                                                                                          {
                                                                                                                            char _t133_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t133_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t133_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    CORBA_ImplementationDef _obj;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_char *_return = 0;
                                                                                                                                    unsigned int _t134_ignore;
                                                                                                                                    CORBA_Environment _t135_storage;

                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                                                                    flick_xdr_decode_unsigned32(0, _t134_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(4, _t134_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(8, _t134_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(12, _t134_ignore);
                                                                                                                                    _ev = &_t135_storage;
                                                                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                                                                    flick_suntcp_decode_end_glob(100);
                                                                                                                                    flick_suntcp_server_end_decode();
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    _return = CORBA_ImplementationDef__get_interface_name(_obj, _ev);
                                                                                                                                    flick_suntcp_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    flick_suntcp_encode_new_glob(4);
                                                                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                                                                          flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_suntcp_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(100);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(100);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(100);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(100);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(100);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(100);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(100);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(100);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(100);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(100);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t136_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t136_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t136_switch_tag)
                        {
                        case 'e':
                          {
                            char _t137_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t137_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t137_switch_tag)
                              {
                              case 't':
                                {
                                  char _t138_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t138_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t138_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t139_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t139_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t139_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t140_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t140_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t140_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t141_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t141_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t141_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t142_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t142_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t142_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t143_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t143_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t143_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t144_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t144_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t144_switch_tag)
                                                                        {
                                                                        case 'f':
                                                                          {
                                                                            char _t145_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t145_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t145_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t146_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t146_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t146_switch_tag)
                                                                                    {
                                                                                    case 'c':
                                                                                      {
                                                                                        char _t147_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t147_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t147_switch_tag)
                                                                                          {
                                                                                          case 'e':
                                                                                            {
                                                                                              char _t148_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t148_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t148_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t149_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t149_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t149_switch_tag)
                                                                                                      {
                                                                                                      case 'n':
                                                                                                        {
                                                                                                          char _t150_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t150_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t150_switch_tag)
                                                                                                            {
                                                                                                            case 'a':
                                                                                                              {
                                                                                                                char _t151_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t151_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t151_switch_tag)
                                                                                                                  {
                                                                                                                  case 'm':
                                                                                                                    {
                                                                                                                      char _t152_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t152_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t152_switch_tag)
                                                                                                                        {
                                                                                                                        case 'e':
                                                                                                                          {
                                                                                                                            char _t153_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t153_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t153_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    CORBA_ImplementationDef _obj;
                                                                                                                                    CORBA_char *_local_interface_name;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    unsigned int _t154_ignore;
                                                                                                                                    CORBA_Environment _t155_storage;

                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                                                                    flick_xdr_decode_unsigned32(0, _t154_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(4, _t154_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(8, _t154_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(12, _t154_ignore);
                                                                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                                                                    flick_suntcp_decode_end_glob(100);
                                                                                                                                    flick_xdr_decode_auto_string(_local_interface_name, auto_flick_alloc, suntcp);
                                                                                                                                    _ev = &_t155_storage;
                                                                                                                                    flick_suntcp_server_end_decode();
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    CORBA_ImplementationDef__set_interface_name(_obj, _local_interface_name, _ev);
                                                                                                                                    flick_suntcp_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    flick_suntcp_encode_new_glob(4);
                                                                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_suntcp_encode_end_glob(4);
                                                                                                                                    flick_suntcp_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(100);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(100);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(100);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(100);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(100);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(100);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(100);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(100);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(100);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(100);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(100);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(100);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          char _t156_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t156_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t156_switch_tag)
            {
            case '_':
              {
                char _t157_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t157_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t157_switch_tag)
                  {
                  case 'g':
                    {
                      char _t158_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t158_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t158_switch_tag)
                        {
                        case 'e':
                          {
                            char _t159_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t159_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t159_switch_tag)
                              {
                              case 't':
                                {
                                  char _t160_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t160_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t160_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t161_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t161_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t161_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t162_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t162_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t162_switch_tag)
                                                {
                                                case 'b':
                                                  {
                                                    char _t163_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t163_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t163_switch_tag)
                                                      {
                                                      case 'j':
                                                        {
                                                          char _t164_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t164_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t164_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t165_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t165_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t165_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t166_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t166_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t166_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t167_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t167_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t167_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t168_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t168_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t168_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t169_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t169_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t169_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t170_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t170_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t170_switch_tag)
                                                                                                {
                                                                                                case 'm':
                                                                                                  {
                                                                                                    char _t171_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t171_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t171_switch_tag)
                                                                                                      {
                                                                                                      case 'e':
                                                                                                        {
                                                                                                          char _t172_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t172_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t172_switch_tag)
                                                                                                            {
                                                                                                            case 0:
                                                                                                              {
                                                                                                                {
                                                                                                                  CORBA_ImplementationDef _obj;
                                                                                                                  CORBA_Environment *_ev;
                                                                                                                  CORBA_char *_return = 0;
                                                                                                                  unsigned int _t173_ignore;
                                                                                                                  CORBA_Environment _t174_storage;

                                                                                                                  {
                                                                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                  }
                                                                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                  flick_suntcp_decode_new_chunk(16);
                                                                                                                  flick_xdr_decode_unsigned32(0, _t173_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(4, _t173_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(8, _t173_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(12, _t173_ignore);
                                                                                                                  _ev = &_t174_storage;
                                                                                                                  flick_suntcp_decode_end_chunk(16);
                                                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                                                  flick_suntcp_server_end_decode();
                                                                                                                  flick_corba_init_environment();
                                                                                                                  _return = CORBA_ImplementationDef__get_object_name(_obj, _ev);
                                                                                                                  flick_suntcp_server_start_encode();
                                                                                                                  {
                                                                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                  }
                                                                                                                  flick_suntcp_encode_new_glob(4);
                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                  switch (_ev->_major)
                                                                                                                    {
                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                      {
                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                        flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                      {
                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    default:
                                                                                                                      {
                                                                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                      }
                                                                                                                    }
                                                                                                                  flick_suntcp_server_end_encode();
                                                                                                                }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(100);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(100);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(100);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(100);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(100);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(100);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(100);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(100);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t175_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t175_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t175_switch_tag)
                        {
                        case 'e':
                          {
                            char _t176_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t176_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t176_switch_tag)
                              {
                              case 't':
                                {
                                  char _t177_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t177_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t177_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t178_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t178_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t178_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t179_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t179_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t179_switch_tag)
                                                {
                                                case 'b':
                                                  {
                                                    char _t180_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t180_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t180_switch_tag)
                                                      {
                                                      case 'j':
                                                        {
                                                          char _t181_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t181_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t181_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t182_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t182_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t182_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t183_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t183_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t183_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t184_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t184_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t184_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t185_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t185_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t185_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t186_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t186_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t186_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t187_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t187_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t187_switch_tag)
                                                                                                {
                                                                                                case 'm':
                                                                                                  {
                                                                                                    char _t188_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t188_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t188_switch_tag)
                                                                                                      {
                                                                                                      case 'e':
                                                                                                        {
                                                                                                          char _t189_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t189_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t189_switch_tag)
                                                                                                            {
                                                                                                            case 0:
                                                                                                              {
                                                                                                                {
                                                                                                                  CORBA_ImplementationDef _obj;
                                                                                                                  CORBA_char *_local_object_name;
                                                                                                                  CORBA_Environment *_ev;
                                                                                                                  unsigned int _t190_ignore;
                                                                                                                  CORBA_Environment _t191_storage;

                                                                                                                  {
                                                                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                  }
                                                                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                  flick_suntcp_decode_new_chunk(16);
                                                                                                                  flick_xdr_decode_unsigned32(0, _t190_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(4, _t190_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(8, _t190_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(12, _t190_ignore);
                                                                                                                  flick_suntcp_decode_end_chunk(16);
                                                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                                                  flick_xdr_decode_auto_string(_local_object_name, auto_flick_alloc, suntcp);
                                                                                                                  _ev = &_t191_storage;
                                                                                                                  flick_suntcp_server_end_decode();
                                                                                                                  flick_corba_init_environment();
                                                                                                                  CORBA_ImplementationDef__set_object_name(_obj, _local_object_name, _ev);
                                                                                                                  flick_suntcp_server_start_encode();
                                                                                                                  {
                                                                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                  }
                                                                                                                  flick_suntcp_encode_new_glob(4);
                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                  switch (_ev->_major)
                                                                                                                    {
                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                      {
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                      {
                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    default:
                                                                                                                      {
                                                                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                      }
                                                                                                                    }
                                                                                                                  flick_suntcp_encode_end_glob(4);
                                                                                                                  flick_suntcp_server_end_encode();
                                                                                                                }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(100);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(100);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(100);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(100);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(100);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(100);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(100);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(100);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(100);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(100);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t192_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t192_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t192_switch_tag)
            {
            case '_':
              {
                char _t193_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t193_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t193_switch_tag)
                  {
                  case 'g':
                    {
                      char _t194_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t194_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t194_switch_tag)
                        {
                        case 'e':
                          {
                            char _t195_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t195_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t195_switch_tag)
                              {
                              case 't':
                                {
                                  char _t196_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t196_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t196_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t197_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t197_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t197_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t198_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t198_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t198_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t199_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t199_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t199_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            CORBA_ImplementationDef _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_ReferenceData *_return = 0;
                                                            unsigned int _t200_ignore;
                                                            CORBA_Environment _t201_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t200_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t200_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t200_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t200_ignore);
                                                            _ev = &_t201_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(100);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = CORBA_ImplementationDef__get_id(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  unsigned long int _t203_array_iter;

                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_unsigned32(0, _return->_length);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_encode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t203_array_iter = 0; _t203_array_iter < _return->_length; _t203_array_iter++)
                                                                    {
                                                                      flick_suntcp_encode_new_chunk(4);
                                                                      flick_xdr_encode_unsigned8(0, _return->_buffer[_t203_array_iter]);
                                                                      flick_suntcp_encode_end_chunk(4);
                                                                    }
                                                                  CORBA_flick_free(_return->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_encode_new_chunk(4 * _return->_length);
                                                                  flick_xdr_encode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                                                  CORBA_flick_free(_return->_buffer);
                                                                  flick_suntcp_encode_end_chunk(4 * _return->_length);
#endif /* ENDIANness */
                                                                  flick_suntcp_encode_end_glob(4 * _return->_length);
                                                                  CORBA_flick_free(_return);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                }
                                                              }
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t204_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t204_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t204_switch_tag)
                        {
                        case 'e':
                          {
                            char _t205_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t205_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t205_switch_tag)
                              {
                              case 't':
                                {
                                  char _t206_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t206_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t206_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t207_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t207_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t207_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t208_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t208_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t208_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t209_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t209_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t209_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            CORBA_ImplementationDef _obj;
                                                            CORBA_ReferenceData *_local_id;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t210_ignore;
                                                            CORBA_ReferenceData _t211_storage;
                                                            unsigned long int _t212_array_iter;
                                                            CORBA_Environment _t213_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t210_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t210_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t210_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t210_ignore);
                                                            _local_id = &_t211_storage;
                                                            flick_xdr_decode_unsigned32(16, _local_id->_length);
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(100);
                                                            flick_suntcp_decode_new_glob(4 * _local_id->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                            _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                            for (_t212_array_iter = 0; _t212_array_iter < _local_id->_length; _t212_array_iter++)
                                                              {
                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_unsigned8(0, _local_id->_buffer[_t212_array_iter]);
                                                                flick_suntcp_decode_end_chunk(4);
                                                              }
#else /* BIG_ENDIAN - do a bcopy*/
                                                            flick_suntcp_decode_new_chunk(4 * _local_id->_length);
                                                            flick_xdr_decode_msgptr(0, _local_id->_buffer);
                                                            flick_suntcp_decode_end_chunk(4 * _local_id->_length);
#endif /* ENDIANness */
                                                            flick_suntcp_decode_end_glob(4 * _local_id->_length);
                                                            _ev = &_t213_storage;
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            CORBA_ImplementationDef__set_id(_obj, _local_id, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(4);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(100);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(100);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(100);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, const CORBA_Policy *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, CORBA_Policy *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, const CORBA_CreationImplDef *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, CORBA_CreationImplDef *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t CORBA_CreationImplDef_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t445_switch_tag;

    flick_suntcp_decode_new_glob(116);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t445_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t445_switch_tag)
      {
      case (unsigned int) 15:
        {
          char _t446_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t446_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t446_switch_tag)
            {
            case '_':
              {
                char _t447_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t447_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t447_switch_tag)
                  {
                  case 'g':
                    {
                      char _t448_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t448_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t448_switch_tag)
                        {
                        case 'e':
                          {
                            char _t449_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t449_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t449_switch_tag)
                              {
                              case 't':
                                {
                                  char _t450_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t450_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t450_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t451_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t451_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t451_switch_tag)
                                          {
                                          case 'p':
                                            {
                                              char _t452_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t452_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t452_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t453_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t453_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t453_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t454_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t454_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t454_switch_tag)
                                                            {
                                                            case 'h':
                                                              {
                                                                char _t455_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t455_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t455_switch_tag)
                                                                  {
                                                                  case '_':
                                                                    {
                                                                      char _t456_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t456_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t456_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t457_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t457_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t457_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t458_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t458_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t458_switch_tag)
                                                                                    {
                                                                                    case 'm':
                                                                                      {
                                                                                        char _t459_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t459_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t459_switch_tag)
                                                                                          {
                                                                                          case 'e':
                                                                                            {
                                                                                              char _t460_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t460_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t460_switch_tag)
                                                                                                {
                                                                                                case 0:
                                                                                                  {
                                                                                                    {
                                                                                                      CORBA_CreationImplDef _obj;
                                                                                                      CORBA_Environment *_ev;
                                                                                                      CORBA_char *_return = 0;
                                                                                                      unsigned int _t461_ignore;
                                                                                                      CORBA_Environment _t462_storage;

                                                                                                      {
                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                      }
                                                                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                      flick_suntcp_decode_new_chunk(16);
                                                                                                      flick_xdr_decode_unsigned32(0, _t461_ignore);
                                                                                                      flick_xdr_decode_unsigned32(4, _t461_ignore);
                                                                                                      flick_xdr_decode_unsigned32(8, _t461_ignore);
                                                                                                      flick_xdr_decode_unsigned32(12, _t461_ignore);
                                                                                                      _ev = &_t462_storage;
                                                                                                      flick_suntcp_decode_end_chunk(16);
                                                                                                      flick_suntcp_decode_end_glob(116);
                                                                                                      flick_suntcp_server_end_decode();
                                                                                                      flick_corba_init_environment();
                                                                                                      _return = CORBA_CreationImplDef__get_path_name(_obj, _ev);
                                                                                                      flick_suntcp_server_start_encode();
                                                                                                      {
                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                      }
                                                                                                      flick_suntcp_encode_new_glob(4);
                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                      switch (_ev->_major)
                                                                                                        {
                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                          {
                                                                                                            flick_suntcp_encode_end_glob(4);
                                                                                                            flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                            break;
                                                                                                          }
                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                          {
                                                                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                            flick_suntcp_encode_end_glob(4);
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                            flick_suntcp_encode_end_glob(4);
                                                                                                          }
                                                                                                        }
                                                                                                      flick_suntcp_server_end_encode();
                                                                                                    }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(116);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t463_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t463_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t463_switch_tag)
                        {
                        case 'e':
                          {
                            char _t464_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t464_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t464_switch_tag)
                              {
                              case 't':
                                {
                                  char _t465_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t465_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t465_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t466_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t466_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t466_switch_tag)
                                          {
                                          case 'p':
                                            {
                                              char _t467_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t467_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t467_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t468_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t468_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t468_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t469_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t469_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t469_switch_tag)
                                                            {
                                                            case 'h':
                                                              {
                                                                char _t470_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t470_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t470_switch_tag)
                                                                  {
                                                                  case '_':
                                                                    {
                                                                      char _t471_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t471_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t471_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t472_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t472_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t472_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t473_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t473_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t473_switch_tag)
                                                                                    {
                                                                                    case 'm':
                                                                                      {
                                                                                        char _t474_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t474_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t474_switch_tag)
                                                                                          {
                                                                                          case 'e':
                                                                                            {
                                                                                              char _t475_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t475_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t475_switch_tag)
                                                                                                {
                                                                                                case 0:
                                                                                                  {
                                                                                                    {
                                                                                                      CORBA_CreationImplDef _obj;
                                                                                                      CORBA_char *_local_path_name;
                                                                                                      CORBA_Environment *_ev;
                                                                                                      unsigned int _t476_ignore;
                                                                                                      CORBA_Environment _t477_storage;

                                                                                                      {
                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                      }
                                                                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                      flick_suntcp_decode_new_chunk(16);
                                                                                                      flick_xdr_decode_unsigned32(0, _t476_ignore);
                                                                                                      flick_xdr_decode_unsigned32(4, _t476_ignore);
                                                                                                      flick_xdr_decode_unsigned32(8, _t476_ignore);
                                                                                                      flick_xdr_decode_unsigned32(12, _t476_ignore);
                                                                                                      flick_suntcp_decode_end_chunk(16);
                                                                                                      flick_suntcp_decode_end_glob(116);
                                                                                                      flick_xdr_decode_auto_string(_local_path_name, auto_flick_alloc, suntcp);
                                                                                                      _ev = &_t477_storage;
                                                                                                      flick_suntcp_server_end_decode();
                                                                                                      flick_corba_init_environment();
                                                                                                      CORBA_CreationImplDef__set_path_name(_obj, _local_path_name, _ev);
                                                                                                      flick_suntcp_server_start_encode();
                                                                                                      {
                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                      }
                                                                                                      flick_suntcp_encode_new_glob(4);
                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                      switch (_ev->_major)
                                                                                                        {
                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                          {
                                                                                                            break;
                                                                                                          }
                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                          {
                                                                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                          }
                                                                                                        }
                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                      flick_suntcp_server_end_encode();
                                                                                                    }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(116);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          char _t478_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t478_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t478_switch_tag)
            {
            case '_':
              {
                char _t479_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t479_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t479_switch_tag)
                  {
                  case 'g':
                    {
                      char _t480_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t480_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t480_switch_tag)
                        {
                        case 'e':
                          {
                            char _t481_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t481_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t481_switch_tag)
                              {
                              case 't':
                                {
                                  char _t482_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t482_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t482_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t483_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t483_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t483_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t484_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t484_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t484_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t485_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t485_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t485_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t486_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t486_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t486_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t487_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t487_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t487_switch_tag)
                                                                  {
                                                                  case 'v':
                                                                    {
                                                                      char _t488_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t488_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t488_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t489_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t489_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t489_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t490_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t490_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t490_switch_tag)
                                                                                    {
                                                                                    case 'i':
                                                                                      {
                                                                                        char _t491_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t491_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t491_switch_tag)
                                                                                          {
                                                                                          case 'o':
                                                                                            {
                                                                                              char _t492_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t492_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t492_switch_tag)
                                                                                                {
                                                                                                case 'n':
                                                                                                  {
                                                                                                    char _t493_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t493_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t493_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t494_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t494_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t494_switch_tag)
                                                                                                            {
                                                                                                            case 'p':
                                                                                                              {
                                                                                                                char _t495_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t495_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t495_switch_tag)
                                                                                                                  {
                                                                                                                  case 'o':
                                                                                                                    {
                                                                                                                      char _t496_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t496_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t496_switch_tag)
                                                                                                                        {
                                                                                                                        case 'l':
                                                                                                                          {
                                                                                                                            char _t497_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t497_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t497_switch_tag)
                                                                                                                              {
                                                                                                                              case 'i':
                                                                                                                                {
                                                                                                                                  char _t498_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t498_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t498_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'c':
                                                                                                                                      {
                                                                                                                                        char _t499_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t499_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t499_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'y':
                                                                                                                                            {
                                                                                                                                              char _t500_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t500_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t500_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      CORBA_CreationImplDef _obj;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_Policy _return;
                                                                                                                                                      unsigned int _t501_ignore;
                                                                                                                                                      CORBA_Environment _t502_storage;

                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                      flick_suntcp_decode_new_chunk(16);
                                                                                                                                                      flick_xdr_decode_unsigned32(0, _t501_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(4, _t501_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(8, _t501_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(12, _t501_ignore);
                                                                                                                                                      _ev = &_t502_storage;
                                                                                                                                                      flick_suntcp_decode_end_chunk(16);
                                                                                                                                                      flick_suntcp_decode_end_glob(116);
                                                                                                                                                      flick_suntcp_server_end_decode();
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      _return = CORBA_CreationImplDef__get_activation_policy(_obj, _ev);
                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      flick_suntcp_encode_new_glob(8);
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                                            flick_xdr_encode_unsigned32(0, _return);
                                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_suntcp_encode_end_glob(8);
                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(116);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(116);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(116);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(116);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(116);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(116);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t503_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t503_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t503_switch_tag)
                        {
                        case 'e':
                          {
                            char _t504_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t504_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t504_switch_tag)
                              {
                              case 't':
                                {
                                  char _t505_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t505_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t505_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t506_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t506_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t506_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t507_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t507_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t507_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t508_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t508_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t508_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t509_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t509_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t509_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t510_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t510_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t510_switch_tag)
                                                                  {
                                                                  case 'v':
                                                                    {
                                                                      char _t511_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t511_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t511_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t512_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t512_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t512_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t513_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t513_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t513_switch_tag)
                                                                                    {
                                                                                    case 'i':
                                                                                      {
                                                                                        char _t514_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t514_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t514_switch_tag)
                                                                                          {
                                                                                          case 'o':
                                                                                            {
                                                                                              char _t515_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t515_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t515_switch_tag)
                                                                                                {
                                                                                                case 'n':
                                                                                                  {
                                                                                                    char _t516_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t516_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t516_switch_tag)
                                                                                                      {
                                                                                                      case '_':
                                                                                                        {
                                                                                                          char _t517_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t517_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t517_switch_tag)
                                                                                                            {
                                                                                                            case 'p':
                                                                                                              {
                                                                                                                char _t518_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t518_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t518_switch_tag)
                                                                                                                  {
                                                                                                                  case 'o':
                                                                                                                    {
                                                                                                                      char _t519_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t519_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t519_switch_tag)
                                                                                                                        {
                                                                                                                        case 'l':
                                                                                                                          {
                                                                                                                            char _t520_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t520_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t520_switch_tag)
                                                                                                                              {
                                                                                                                              case 'i':
                                                                                                                                {
                                                                                                                                  char _t521_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t521_switch_tag);
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch (_t521_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'c':
                                                                                                                                      {
                                                                                                                                        char _t522_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t522_switch_tag);
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch (_t522_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'y':
                                                                                                                                            {
                                                                                                                                              char _t523_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t523_switch_tag);
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch (_t523_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      CORBA_CreationImplDef _obj;
                                                                                                                                                      CORBA_Policy _local_activation_policy;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      unsigned int _t524_ignore;
                                                                                                                                                      CORBA_Environment _t525_storage;

                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                      flick_suntcp_decode_new_chunk(20);
                                                                                                                                                      flick_xdr_decode_unsigned32(0, _t524_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(4, _t524_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(8, _t524_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(12, _t524_ignore);
                                                                                                                                                      flick_xdr_decode_unsigned32(16, _local_activation_policy);
                                                                                                                                                      _ev = &_t525_storage;
                                                                                                                                                      flick_suntcp_decode_end_chunk(20);
                                                                                                                                                      flick_suntcp_decode_end_glob(116);
                                                                                                                                                      flick_suntcp_server_end_decode();
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      CORBA_CreationImplDef__set_activation_policy(_obj, _local_activation_policy, _ev);
                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                                      }
                                                                                                                                                      flick_suntcp_encode_new_glob(4);
                                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                                      switch (_ev->_major)
                                                                                                                                                        {
                                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                              flick_suntcp_decode_end_glob(116);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(116);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(116);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(116);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(116);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(116);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t526_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t526_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t526_switch_tag)
            {
            case '_':
              {
                char _t527_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t527_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t527_switch_tag)
                  {
                  case 'g':
                    {
                      char _t528_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t528_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t528_switch_tag)
                        {
                        case 'e':
                          {
                            char _t529_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t529_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t529_switch_tag)
                              {
                              case 't':
                                {
                                  char _t530_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t530_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t530_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t531_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t531_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t531_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t532_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t532_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t532_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t533_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t533_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t533_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t534_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t534_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t534_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t535_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t535_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t535_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        CORBA_CreationImplDef _obj;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_StringSequence *_return = 0;
                                                                        unsigned int _t536_ignore;
                                                                        CORBA_Environment _t537_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t536_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t536_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t536_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t536_ignore);
                                                                        _ev = &_t537_storage;
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(116);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = CORBA_CreationImplDef__get_args(_obj, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(8);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              unsigned long int _t539_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_unsigned32(0, _return->_length);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              for (_t539_array_iter = 0; _t539_array_iter < _return->_length; _t539_array_iter++)
                                                                                {
                                                                                  flick_xdr_encode_longstring(_return->_buffer[_t539_array_iter], CORBA_flick_free, suntcp);
                                                                                }
                                                                              CORBA_flick_free(_return->_buffer);
                                                                              CORBA_flick_free(_return);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t540_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t540_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t540_switch_tag)
                        {
                        case 'e':
                          {
                            char _t541_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t541_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t541_switch_tag)
                              {
                              case 't':
                                {
                                  char _t542_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t542_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t542_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t543_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t543_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t543_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t544_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t544_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t544_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t545_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t545_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t545_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t546_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t546_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t546_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t547_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t547_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t547_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        CORBA_CreationImplDef _obj;
                                                                        CORBA_StringSequence *_local_args;
                                                                        CORBA_Environment *_ev;
                                                                        unsigned int _t548_ignore;
                                                                        CORBA_StringSequence _t549_storage;
                                                                        unsigned long int _t550_array_iter;
                                                                        CORBA_Environment _t551_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t548_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t548_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t548_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t548_ignore);
                                                                        _local_args = &_t549_storage;
                                                                        flick_xdr_decode_unsigned32(16, _local_args->_length);
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        flick_suntcp_decode_end_glob(116);
                                                                        _local_args->_buffer = auto_flick_alloc(_local_args->_length * sizeof(CORBA_char *));
                                                                        for (_t550_array_iter = 0; _t550_array_iter < _local_args->_length; _t550_array_iter++)
                                                                          {
                                                                            flick_xdr_decode_auto_string(_local_args->_buffer[_t550_array_iter], auto_flick_alloc, suntcp);
                                                                          }
                                                                        _ev = &_t551_storage;
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        CORBA_CreationImplDef__set_args(_obj, _local_args, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(4);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                            }
                                                                          }
                                                                        flick_suntcp_encode_end_glob(4);
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          char _t552_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t552_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t552_switch_tag)
            {
            case '_':
              {
                char _t553_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t553_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t553_switch_tag)
                  {
                  case 'g':
                    {
                      char _t554_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t554_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t554_switch_tag)
                        {
                        case 'e':
                          {
                            char _t555_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t555_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t555_switch_tag)
                              {
                              case 't':
                                {
                                  char _t556_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t556_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t556_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t557_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t557_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t557_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t558_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t558_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t558_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t559_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t559_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t559_switch_tag)
                                                      {
                                                      case 'v':
                                                        {
                                                          char _t560_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t560_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t560_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_CreationImplDef _obj;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_StringSequence *_return = 0;
                                                                  unsigned int _t561_ignore;
                                                                  CORBA_Environment _t562_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(16);
                                                                  flick_xdr_decode_unsigned32(0, _t561_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t561_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t561_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t561_ignore);
                                                                  _ev = &_t562_storage;
                                                                  flick_suntcp_decode_end_chunk(16);
                                                                  flick_suntcp_decode_end_glob(116);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = CORBA_CreationImplDef__get_env(_obj, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        unsigned long int _t564_array_iter;

                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_unsigned32(0, _return->_length);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        for (_t564_array_iter = 0; _t564_array_iter < _return->_length; _t564_array_iter++)
                                                                          {
                                                                            flick_xdr_encode_longstring(_return->_buffer[_t564_array_iter], CORBA_flick_free, suntcp);
                                                                          }
                                                                        CORBA_flick_free(_return->_buffer);
                                                                        CORBA_flick_free(_return);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t565_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t565_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t565_switch_tag)
                        {
                        case 'e':
                          {
                            char _t566_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t566_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t566_switch_tag)
                              {
                              case 't':
                                {
                                  char _t567_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t567_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t567_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t568_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t568_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t568_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t569_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t569_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t569_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t570_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t570_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t570_switch_tag)
                                                      {
                                                      case 'v':
                                                        {
                                                          char _t571_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t571_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t571_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_CreationImplDef _obj;
                                                                  CORBA_StringSequence *_local_env;
                                                                  CORBA_Environment *_ev;
                                                                  unsigned int _t572_ignore;
                                                                  CORBA_StringSequence _t573_storage;
                                                                  unsigned long int _t574_array_iter;
                                                                  CORBA_Environment _t575_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t572_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t572_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t572_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t572_ignore);
                                                                  _local_env = &_t573_storage;
                                                                  flick_xdr_decode_unsigned32(16, _local_env->_length);
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(116);
                                                                  _local_env->_buffer = auto_flick_alloc(_local_env->_length * sizeof(CORBA_char *));
                                                                  for (_t574_array_iter = 0; _t574_array_iter < _local_env->_length; _t574_array_iter++)
                                                                    {
                                                                      flick_xdr_decode_auto_string(_local_env->_buffer[_t574_array_iter], auto_flick_alloc, suntcp);
                                                                    }
                                                                  _ev = &_t575_storage;
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  CORBA_CreationImplDef__set_env(_obj, _local_env, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(4);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          char _t576_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t576_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t576_switch_tag)
            {
            case '_':
              {
                char _t577_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t577_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t577_switch_tag)
                  {
                  case 'g':
                    {
                      char _t578_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t578_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t578_switch_tag)
                        {
                        case 'e':
                          {
                            char _t579_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t579_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t579_switch_tag)
                              {
                              case 't':
                                {
                                  char _t580_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t580_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t580_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t581_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t581_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t581_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t582_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t582_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t582_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t583_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t583_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t583_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t584_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t584_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t584_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t585_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t585_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t585_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t586_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t586_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t586_switch_tag)
                                                                        {
                                                                        case 'f':
                                                                          {
                                                                            char _t587_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t587_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t587_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t588_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t588_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t588_switch_tag)
                                                                                    {
                                                                                    case 'c':
                                                                                      {
                                                                                        char _t589_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t589_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t589_switch_tag)
                                                                                          {
                                                                                          case 'e':
                                                                                            {
                                                                                              char _t590_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t590_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t590_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t591_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t591_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t591_switch_tag)
                                                                                                      {
                                                                                                      case 'n':
                                                                                                        {
                                                                                                          char _t592_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t592_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t592_switch_tag)
                                                                                                            {
                                                                                                            case 'a':
                                                                                                              {
                                                                                                                char _t593_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t593_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t593_switch_tag)
                                                                                                                  {
                                                                                                                  case 'm':
                                                                                                                    {
                                                                                                                      char _t594_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t594_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t594_switch_tag)
                                                                                                                        {
                                                                                                                        case 'e':
                                                                                                                          {
                                                                                                                            char _t595_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t595_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t595_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    CORBA_CreationImplDef _obj;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_char *_return = 0;
                                                                                                                                    unsigned int _t596_ignore;
                                                                                                                                    CORBA_Environment _t597_storage;

                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                                                                    flick_xdr_decode_unsigned32(0, _t596_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(4, _t596_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(8, _t596_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(12, _t596_ignore);
                                                                                                                                    _ev = &_t597_storage;
                                                                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                                                                    flick_suntcp_server_end_decode();
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    _return = CORBA_CreationImplDef__get_interface_name(_obj, _ev);
                                                                                                                                    flick_suntcp_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    flick_suntcp_encode_new_glob(4);
                                                                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                                                                          flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_suntcp_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(116);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(116);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(116);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(116);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(116);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t598_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t598_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t598_switch_tag)
                        {
                        case 'e':
                          {
                            char _t599_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t599_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t599_switch_tag)
                              {
                              case 't':
                                {
                                  char _t600_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t600_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t600_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t601_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t601_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t601_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t602_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t602_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t602_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t603_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t603_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t603_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t604_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t604_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t604_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t605_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t605_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t605_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t606_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t606_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t606_switch_tag)
                                                                        {
                                                                        case 'f':
                                                                          {
                                                                            char _t607_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t607_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t607_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t608_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t608_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t608_switch_tag)
                                                                                    {
                                                                                    case 'c':
                                                                                      {
                                                                                        char _t609_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t609_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t609_switch_tag)
                                                                                          {
                                                                                          case 'e':
                                                                                            {
                                                                                              char _t610_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t610_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t610_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t611_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t611_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t611_switch_tag)
                                                                                                      {
                                                                                                      case 'n':
                                                                                                        {
                                                                                                          char _t612_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t612_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t612_switch_tag)
                                                                                                            {
                                                                                                            case 'a':
                                                                                                              {
                                                                                                                char _t613_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t613_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t613_switch_tag)
                                                                                                                  {
                                                                                                                  case 'm':
                                                                                                                    {
                                                                                                                      char _t614_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t614_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t614_switch_tag)
                                                                                                                        {
                                                                                                                        case 'e':
                                                                                                                          {
                                                                                                                            char _t615_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t615_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t615_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    CORBA_CreationImplDef _obj;
                                                                                                                                    CORBA_char *_local_interface_name;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    unsigned int _t616_ignore;
                                                                                                                                    CORBA_Environment _t617_storage;

                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                                                                    flick_xdr_decode_unsigned32(0, _t616_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(4, _t616_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(8, _t616_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(12, _t616_ignore);
                                                                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                                                                    flick_xdr_decode_auto_string(_local_interface_name, auto_flick_alloc, suntcp);
                                                                                                                                    _ev = &_t617_storage;
                                                                                                                                    flick_suntcp_server_end_decode();
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    CORBA_CreationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                                                                                                                    flick_suntcp_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    flick_suntcp_encode_new_glob(4);
                                                                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_suntcp_encode_end_glob(4);
                                                                                                                                    flick_suntcp_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(116);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(116);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(116);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(116);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(116);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          char _t618_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t618_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t618_switch_tag)
            {
            case '_':
              {
                char _t619_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t619_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t619_switch_tag)
                  {
                  case 'g':
                    {
                      char _t620_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t620_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t620_switch_tag)
                        {
                        case 'e':
                          {
                            char _t621_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t621_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t621_switch_tag)
                              {
                              case 't':
                                {
                                  char _t622_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t622_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t622_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t623_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t623_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t623_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t624_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t624_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t624_switch_tag)
                                                {
                                                case 'b':
                                                  {
                                                    char _t625_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t625_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t625_switch_tag)
                                                      {
                                                      case 'j':
                                                        {
                                                          char _t626_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t626_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t626_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t627_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t627_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t627_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t628_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t628_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t628_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t629_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t629_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t629_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t630_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t630_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t630_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t631_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t631_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t631_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t632_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t632_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t632_switch_tag)
                                                                                                {
                                                                                                case 'm':
                                                                                                  {
                                                                                                    char _t633_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t633_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t633_switch_tag)
                                                                                                      {
                                                                                                      case 'e':
                                                                                                        {
                                                                                                          char _t634_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t634_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t634_switch_tag)
                                                                                                            {
                                                                                                            case 0:
                                                                                                              {
                                                                                                                {
                                                                                                                  CORBA_CreationImplDef _obj;
                                                                                                                  CORBA_Environment *_ev;
                                                                                                                  CORBA_char *_return = 0;
                                                                                                                  unsigned int _t635_ignore;
                                                                                                                  CORBA_Environment _t636_storage;

                                                                                                                  {
                                                                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                  }
                                                                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                  flick_suntcp_decode_new_chunk(16);
                                                                                                                  flick_xdr_decode_unsigned32(0, _t635_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(4, _t635_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(8, _t635_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(12, _t635_ignore);
                                                                                                                  _ev = &_t636_storage;
                                                                                                                  flick_suntcp_decode_end_chunk(16);
                                                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                                                  flick_suntcp_server_end_decode();
                                                                                                                  flick_corba_init_environment();
                                                                                                                  _return = CORBA_CreationImplDef__get_object_name(_obj, _ev);
                                                                                                                  flick_suntcp_server_start_encode();
                                                                                                                  {
                                                                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                  }
                                                                                                                  flick_suntcp_encode_new_glob(4);
                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                  switch (_ev->_major)
                                                                                                                    {
                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                      {
                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                        flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                      {
                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    default:
                                                                                                                      {
                                                                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                      }
                                                                                                                    }
                                                                                                                  flick_suntcp_server_end_encode();
                                                                                                                }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(116);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(116);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(116);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t637_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t637_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t637_switch_tag)
                        {
                        case 'e':
                          {
                            char _t638_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t638_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t638_switch_tag)
                              {
                              case 't':
                                {
                                  char _t639_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t639_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t639_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t640_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t640_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t640_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t641_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t641_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t641_switch_tag)
                                                {
                                                case 'b':
                                                  {
                                                    char _t642_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t642_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t642_switch_tag)
                                                      {
                                                      case 'j':
                                                        {
                                                          char _t643_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t643_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t643_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t644_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t644_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t644_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t645_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t645_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t645_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t646_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t646_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t646_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t647_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t647_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t647_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t648_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t648_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t648_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t649_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t649_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t649_switch_tag)
                                                                                                {
                                                                                                case 'm':
                                                                                                  {
                                                                                                    char _t650_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t650_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t650_switch_tag)
                                                                                                      {
                                                                                                      case 'e':
                                                                                                        {
                                                                                                          char _t651_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t651_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t651_switch_tag)
                                                                                                            {
                                                                                                            case 0:
                                                                                                              {
                                                                                                                {
                                                                                                                  CORBA_CreationImplDef _obj;
                                                                                                                  CORBA_char *_local_object_name;
                                                                                                                  CORBA_Environment *_ev;
                                                                                                                  unsigned int _t652_ignore;
                                                                                                                  CORBA_Environment _t653_storage;

                                                                                                                  {
                                                                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                  }
                                                                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                  flick_suntcp_decode_new_chunk(16);
                                                                                                                  flick_xdr_decode_unsigned32(0, _t652_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(4, _t652_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(8, _t652_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(12, _t652_ignore);
                                                                                                                  flick_suntcp_decode_end_chunk(16);
                                                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                                                  flick_xdr_decode_auto_string(_local_object_name, auto_flick_alloc, suntcp);
                                                                                                                  _ev = &_t653_storage;
                                                                                                                  flick_suntcp_server_end_decode();
                                                                                                                  flick_corba_init_environment();
                                                                                                                  CORBA_CreationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                                                                                                  flick_suntcp_server_start_encode();
                                                                                                                  {
                                                                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                  }
                                                                                                                  flick_suntcp_encode_new_glob(4);
                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                  switch (_ev->_major)
                                                                                                                    {
                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                      {
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                      {
                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    default:
                                                                                                                      {
                                                                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                      }
                                                                                                                    }
                                                                                                                  flick_suntcp_encode_end_glob(4);
                                                                                                                  flick_suntcp_server_end_encode();
                                                                                                                }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(116);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(116);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(116);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t654_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t654_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t654_switch_tag)
            {
            case '_':
              {
                char _t655_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t655_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t655_switch_tag)
                  {
                  case 'g':
                    {
                      char _t656_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t656_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t656_switch_tag)
                        {
                        case 'e':
                          {
                            char _t657_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t657_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t657_switch_tag)
                              {
                              case 't':
                                {
                                  char _t658_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t658_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t658_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t659_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t659_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t659_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t660_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t660_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t660_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t661_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t661_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t661_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            CORBA_CreationImplDef _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_ReferenceData *_return = 0;
                                                            unsigned int _t662_ignore;
                                                            CORBA_Environment _t663_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t662_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t662_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t662_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t662_ignore);
                                                            _ev = &_t663_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(116);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = CORBA_CreationImplDef__get_id(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  unsigned long int _t665_array_iter;

                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_unsigned32(0, _return->_length);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_encode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t665_array_iter = 0; _t665_array_iter < _return->_length; _t665_array_iter++)
                                                                    {
                                                                      flick_suntcp_encode_new_chunk(4);
                                                                      flick_xdr_encode_unsigned8(0, _return->_buffer[_t665_array_iter]);
                                                                      flick_suntcp_encode_end_chunk(4);
                                                                    }
                                                                  CORBA_flick_free(_return->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_encode_new_chunk(4 * _return->_length);
                                                                  flick_xdr_encode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                                                  CORBA_flick_free(_return->_buffer);
                                                                  flick_suntcp_encode_end_chunk(4 * _return->_length);
#endif /* ENDIANness */
                                                                  flick_suntcp_encode_end_glob(4 * _return->_length);
                                                                  CORBA_flick_free(_return);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                }
                                                              }
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t666_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t666_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t666_switch_tag)
                        {
                        case 'e':
                          {
                            char _t667_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t667_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t667_switch_tag)
                              {
                              case 't':
                                {
                                  char _t668_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t668_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t668_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t669_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t669_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t669_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t670_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t670_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t670_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t671_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t671_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t671_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            CORBA_CreationImplDef _obj;
                                                            CORBA_ReferenceData *_local_id;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t672_ignore;
                                                            CORBA_ReferenceData _t673_storage;
                                                            unsigned long int _t674_array_iter;
                                                            CORBA_Environment _t675_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t672_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t672_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t672_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t672_ignore);
                                                            _local_id = &_t673_storage;
                                                            flick_xdr_decode_unsigned32(16, _local_id->_length);
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(116);
                                                            flick_suntcp_decode_new_glob(4 * _local_id->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                            _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                            for (_t674_array_iter = 0; _t674_array_iter < _local_id->_length; _t674_array_iter++)
                                                              {
                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_unsigned8(0, _local_id->_buffer[_t674_array_iter]);
                                                                flick_suntcp_decode_end_chunk(4);
                                                              }
#else /* BIG_ENDIAN - do a bcopy*/
                                                            flick_suntcp_decode_new_chunk(4 * _local_id->_length);
                                                            flick_xdr_decode_msgptr(0, _local_id->_buffer);
                                                            flick_suntcp_decode_end_chunk(4 * _local_id->_length);
#endif /* ENDIANness */
                                                            flick_suntcp_decode_end_glob(4 * _local_id->_length);
                                                            _ev = &_t675_storage;
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            CORBA_CreationImplDef__set_id(_obj, _local_id, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(4);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(116);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, const CORBA_Activator *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, CORBA_Activator *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t CORBA_Activator_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t701_switch_tag;

    flick_suntcp_decode_new_glob(72);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t701_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t701_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t702_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t702_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t702_switch_tag)
            {
            case 'a':
              {
                char _t703_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t703_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t703_switch_tag)
                  {
                  case 'c':
                    {
                      char _t704_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t704_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t704_switch_tag)
                        {
                        case 't':
                          {
                            char _t705_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t705_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t705_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t706_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t706_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t706_switch_tag)
                                    {
                                    case 'v':
                                      {
                                        char _t707_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t707_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t707_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t708_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t708_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t708_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t709_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t709_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t709_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t710_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t710_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t710_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  CORBA_Activator _obj;
                                                                  CORBA_ImplementationDef _local_impl;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Object _return;
                                                                  unsigned int _t711_ignore;
                                                                  CORBA_Environment _t712_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t711_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t711_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t711_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t711_ignore);
                                                                  flick_xdr_decode_port32(16, _local_impl, 1);
                                                                  flick_suntcp_mark_port_for_cleanup(_local_impl, 1);
                                                                  _ev = &_t712_storage;
                                                                  flick_suntcp_decode_end_chunk(20);
                                                                  flick_suntcp_decode_end_glob(72);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = CORBA_Activator_activate(_obj, _local_impl, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_port32(0, _return, 0);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                      }
                                                                    }
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t713_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t713_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t713_switch_tag)
            {
            case 'd':
              {
                char _t714_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t714_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t714_switch_tag)
                  {
                  case 'e':
                    {
                      char _t715_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t715_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t715_switch_tag)
                        {
                        case 'a':
                          {
                            char _t716_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t716_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t716_switch_tag)
                              {
                              case 'c':
                                {
                                  char _t717_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t717_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t717_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t718_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t718_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t718_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t719_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t719_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t719_switch_tag)
                                                {
                                                case 'v':
                                                  {
                                                    char _t720_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t720_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t720_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t721_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t721_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t721_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t722_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t722_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t722_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t723_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t723_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t723_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              CORBA_Activator _obj;
                                                                              CORBA_Object _local_obj;
                                                                              CORBA_ImplementationDef _local_impl;
                                                                              CORBA_Environment *_ev;
                                                                              unsigned int _t724_ignore;
                                                                              CORBA_Environment _t725_storage;

                                                                              {
                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                              }
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(24);
                                                                              flick_xdr_decode_unsigned32(0, _t724_ignore);
                                                                              flick_xdr_decode_unsigned32(4, _t724_ignore);
                                                                              flick_xdr_decode_unsigned32(8, _t724_ignore);
                                                                              flick_xdr_decode_unsigned32(12, _t724_ignore);
                                                                              flick_xdr_decode_port32(16, _local_obj, 1);
                                                                              flick_suntcp_mark_port_for_cleanup(_local_obj, 1);
                                                                              flick_xdr_decode_port32(20, _local_impl, 1);
                                                                              flick_suntcp_mark_port_for_cleanup(_local_impl, 1);
                                                                              _ev = &_t725_storage;
                                                                              flick_suntcp_decode_end_chunk(24);
                                                                              flick_suntcp_decode_end_glob(72);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              CORBA_Activator_deactivate(_obj, _local_obj, _local_impl, _ev);
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                              }
                                                                              flick_suntcp_encode_new_glob(4);
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              switch (_ev->_major)
                                                                                {
                                                                                case CORBA_NO_EXCEPTION:
                                                                                  {
                                                                                    break;
                                                                                  }
                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                  {
                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                  }
                                                                                }
                                                                              flick_suntcp_encode_end_glob(4);
                                                                              flick_suntcp_server_end_encode();
                                                                            }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(72);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(72);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(72);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(72);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(72);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(72);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(72);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(72);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(72);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(72);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(72);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(72);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, const CORBA_ActivationImplDef *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, CORBA_ActivationImplDef *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t CORBA_ActivationImplDef_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t867_switch_tag;

    flick_suntcp_decode_new_glob(100);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t867_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t867_switch_tag)
      {
      case (unsigned int) 19:
        {
          char _t868_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t868_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t868_switch_tag)
            {
            case '_':
              {
                char _t869_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t869_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t869_switch_tag)
                  {
                  case 'g':
                    {
                      char _t870_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t870_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t870_switch_tag)
                        {
                        case 'e':
                          {
                            char _t871_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t871_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t871_switch_tag)
                              {
                              case 't':
                                {
                                  char _t872_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t872_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t872_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t873_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t873_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t873_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t874_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t874_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t874_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t875_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t875_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t875_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t876_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t876_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t876_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t877_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t877_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t877_switch_tag)
                                                                  {
                                                                  case 'v':
                                                                    {
                                                                      char _t878_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t878_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t878_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t879_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t879_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t879_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t880_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t880_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t880_switch_tag)
                                                                                    {
                                                                                    case 'o':
                                                                                      {
                                                                                        char _t881_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t881_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t881_switch_tag)
                                                                                          {
                                                                                          case 'r':
                                                                                            {
                                                                                              char _t882_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t882_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t882_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t883_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t883_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t883_switch_tag)
                                                                                                      {
                                                                                                      case 'o':
                                                                                                        {
                                                                                                          char _t884_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t884_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t884_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t885_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t885_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t885_switch_tag)
                                                                                                                  {
                                                                                                                  case 'j':
                                                                                                                    {
                                                                                                                      char _t886_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t886_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t886_switch_tag)
                                                                                                                        {
                                                                                                                        case 0:
                                                                                                                          {
                                                                                                                            {
                                                                                                                              CORBA_ActivationImplDef _obj;
                                                                                                                              CORBA_Environment *_ev;
                                                                                                                              CORBA_Activator _return;
                                                                                                                              unsigned int _t887_ignore;
                                                                                                                              CORBA_Environment _t888_storage;

                                                                                                                              {
                                                                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                              }
                                                                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                              flick_suntcp_decode_new_chunk(16);
                                                                                                                              flick_xdr_decode_unsigned32(0, _t887_ignore);
                                                                                                                              flick_xdr_decode_unsigned32(4, _t887_ignore);
                                                                                                                              flick_xdr_decode_unsigned32(8, _t887_ignore);
                                                                                                                              flick_xdr_decode_unsigned32(12, _t887_ignore);
                                                                                                                              _ev = &_t888_storage;
                                                                                                                              flick_suntcp_decode_end_chunk(16);
                                                                                                                              flick_suntcp_decode_end_glob(100);
                                                                                                                              flick_suntcp_server_end_decode();
                                                                                                                              flick_corba_init_environment();
                                                                                                                              _return = CORBA_ActivationImplDef__get_activator_obj(_obj, _ev);
                                                                                                                              flick_suntcp_server_start_encode();
                                                                                                                              {
                                                                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                              }
                                                                                                                              flick_suntcp_encode_new_glob(8);
                                                                                                                              flick_suntcp_encode_new_chunk(4);
                                                                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                              flick_suntcp_encode_end_chunk(4);
                                                                                                                              switch (_ev->_major)
                                                                                                                                {
                                                                                                                                case CORBA_NO_EXCEPTION:
                                                                                                                                  {
                                                                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                                                                    flick_xdr_encode_port32(0, _return, 0);
                                                                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                  {
                                                                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                default:
                                                                                                                                  {
                                                                                                                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                  }
                                                                                                                                }
                                                                                                                              flick_suntcp_encode_end_glob(8);
                                                                                                                              flick_suntcp_server_end_encode();
                                                                                                                            }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(100);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(100);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(100);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(100);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(100);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(100);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(100);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(100);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(100);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(100);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t889_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t889_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t889_switch_tag)
                        {
                        case 'e':
                          {
                            char _t890_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t890_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t890_switch_tag)
                              {
                              case 't':
                                {
                                  char _t891_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t891_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t891_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t892_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t892_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t892_switch_tag)
                                          {
                                          case 'a':
                                            {
                                              char _t893_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t893_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t893_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t894_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t894_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t894_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t895_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t895_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t895_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t896_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t896_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t896_switch_tag)
                                                                  {
                                                                  case 'v':
                                                                    {
                                                                      char _t897_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t897_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t897_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t898_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t898_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t898_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t899_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t899_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t899_switch_tag)
                                                                                    {
                                                                                    case 'o':
                                                                                      {
                                                                                        char _t900_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t900_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t900_switch_tag)
                                                                                          {
                                                                                          case 'r':
                                                                                            {
                                                                                              char _t901_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t901_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t901_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t902_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t902_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t902_switch_tag)
                                                                                                      {
                                                                                                      case 'o':
                                                                                                        {
                                                                                                          char _t903_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t903_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t903_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t904_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t904_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t904_switch_tag)
                                                                                                                  {
                                                                                                                  case 'j':
                                                                                                                    {
                                                                                                                      char _t905_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t905_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t905_switch_tag)
                                                                                                                        {
                                                                                                                        case 0:
                                                                                                                          {
                                                                                                                            {
                                                                                                                              CORBA_ActivationImplDef _obj;
                                                                                                                              CORBA_Activator _local_activator_obj;
                                                                                                                              CORBA_Environment *_ev;
                                                                                                                              unsigned int _t906_ignore;
                                                                                                                              CORBA_Environment _t907_storage;

                                                                                                                              {
                                                                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                              }
                                                                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                              flick_suntcp_decode_new_chunk(20);
                                                                                                                              flick_xdr_decode_unsigned32(0, _t906_ignore);
                                                                                                                              flick_xdr_decode_unsigned32(4, _t906_ignore);
                                                                                                                              flick_xdr_decode_unsigned32(8, _t906_ignore);
                                                                                                                              flick_xdr_decode_unsigned32(12, _t906_ignore);
                                                                                                                              flick_xdr_decode_port32(16, _local_activator_obj, 1);
                                                                                                                              flick_suntcp_mark_port_for_cleanup(_local_activator_obj, 1);
                                                                                                                              _ev = &_t907_storage;
                                                                                                                              flick_suntcp_decode_end_chunk(20);
                                                                                                                              flick_suntcp_decode_end_glob(100);
                                                                                                                              flick_suntcp_server_end_decode();
                                                                                                                              flick_corba_init_environment();
                                                                                                                              CORBA_ActivationImplDef__set_activator_obj(_obj, _local_activator_obj, _ev);
                                                                                                                              flick_suntcp_server_start_encode();
                                                                                                                              {
                                                                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                              }
                                                                                                                              flick_suntcp_encode_new_glob(4);
                                                                                                                              flick_suntcp_encode_new_chunk(4);
                                                                                                                              flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                              flick_suntcp_encode_end_chunk(4);
                                                                                                                              switch (_ev->_major)
                                                                                                                                {
                                                                                                                                case CORBA_NO_EXCEPTION:
                                                                                                                                  {
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                  {
                                                                                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                default:
                                                                                                                                  {
                                                                                                                                    flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                  }
                                                                                                                                }
                                                                                                                              flick_suntcp_encode_end_glob(4);
                                                                                                                              flick_suntcp_server_end_encode();
                                                                                                                            }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(100);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(100);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(100);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(100);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(100);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(100);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(100);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(100);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(100);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(100);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(100);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(100);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          char _t908_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t908_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t908_switch_tag)
            {
            case '_':
              {
                char _t909_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t909_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t909_switch_tag)
                  {
                  case 'g':
                    {
                      char _t910_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t910_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t910_switch_tag)
                        {
                        case 'e':
                          {
                            char _t911_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t911_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t911_switch_tag)
                              {
                              case 't':
                                {
                                  char _t912_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t912_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t912_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t913_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t913_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t913_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t914_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t914_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t914_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t915_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t915_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t915_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t916_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t916_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t916_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t917_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t917_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t917_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t918_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t918_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t918_switch_tag)
                                                                        {
                                                                        case 'f':
                                                                          {
                                                                            char _t919_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t919_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t919_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t920_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t920_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t920_switch_tag)
                                                                                    {
                                                                                    case 'c':
                                                                                      {
                                                                                        char _t921_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t921_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t921_switch_tag)
                                                                                          {
                                                                                          case 'e':
                                                                                            {
                                                                                              char _t922_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t922_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t922_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t923_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t923_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t923_switch_tag)
                                                                                                      {
                                                                                                      case 'n':
                                                                                                        {
                                                                                                          char _t924_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t924_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t924_switch_tag)
                                                                                                            {
                                                                                                            case 'a':
                                                                                                              {
                                                                                                                char _t925_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t925_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t925_switch_tag)
                                                                                                                  {
                                                                                                                  case 'm':
                                                                                                                    {
                                                                                                                      char _t926_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t926_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t926_switch_tag)
                                                                                                                        {
                                                                                                                        case 'e':
                                                                                                                          {
                                                                                                                            char _t927_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t927_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t927_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    CORBA_ActivationImplDef _obj;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_char *_return = 0;
                                                                                                                                    unsigned int _t928_ignore;
                                                                                                                                    CORBA_Environment _t929_storage;

                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                                                                    flick_xdr_decode_unsigned32(0, _t928_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(4, _t928_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(8, _t928_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(12, _t928_ignore);
                                                                                                                                    _ev = &_t929_storage;
                                                                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                                                                    flick_suntcp_decode_end_glob(100);
                                                                                                                                    flick_suntcp_server_end_decode();
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    _return = CORBA_ActivationImplDef__get_interface_name(_obj, _ev);
                                                                                                                                    flick_suntcp_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    flick_suntcp_encode_new_glob(4);
                                                                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                                                                          flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                          flick_suntcp_encode_end_glob(4);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_suntcp_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(100);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(100);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(100);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(100);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(100);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(100);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(100);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(100);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(100);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(100);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t930_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t930_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t930_switch_tag)
                        {
                        case 'e':
                          {
                            char _t931_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t931_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t931_switch_tag)
                              {
                              case 't':
                                {
                                  char _t932_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t932_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t932_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t933_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t933_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t933_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t934_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t934_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t934_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t935_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t935_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t935_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t936_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t936_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t936_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t937_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t937_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t937_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t938_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t938_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t938_switch_tag)
                                                                        {
                                                                        case 'f':
                                                                          {
                                                                            char _t939_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t939_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t939_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t940_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t940_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t940_switch_tag)
                                                                                    {
                                                                                    case 'c':
                                                                                      {
                                                                                        char _t941_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t941_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t941_switch_tag)
                                                                                          {
                                                                                          case 'e':
                                                                                            {
                                                                                              char _t942_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t942_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t942_switch_tag)
                                                                                                {
                                                                                                case '_':
                                                                                                  {
                                                                                                    char _t943_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t943_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t943_switch_tag)
                                                                                                      {
                                                                                                      case 'n':
                                                                                                        {
                                                                                                          char _t944_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t944_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t944_switch_tag)
                                                                                                            {
                                                                                                            case 'a':
                                                                                                              {
                                                                                                                char _t945_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t945_switch_tag);
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch (_t945_switch_tag)
                                                                                                                  {
                                                                                                                  case 'm':
                                                                                                                    {
                                                                                                                      char _t946_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t946_switch_tag);
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch (_t946_switch_tag)
                                                                                                                        {
                                                                                                                        case 'e':
                                                                                                                          {
                                                                                                                            char _t947_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t947_switch_tag);
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch (_t947_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    CORBA_ActivationImplDef _obj;
                                                                                                                                    CORBA_char *_local_interface_name;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    unsigned int _t948_ignore;
                                                                                                                                    CORBA_Environment _t949_storage;

                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                                                                    flick_xdr_decode_unsigned32(0, _t948_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(4, _t948_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(8, _t948_ignore);
                                                                                                                                    flick_xdr_decode_unsigned32(12, _t948_ignore);
                                                                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                                                                    flick_suntcp_decode_end_glob(100);
                                                                                                                                    flick_xdr_decode_auto_string(_local_interface_name, auto_flick_alloc, suntcp);
                                                                                                                                    _ev = &_t949_storage;
                                                                                                                                    flick_suntcp_server_end_decode();
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    CORBA_ActivationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                                                                                                                    flick_suntcp_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                                    }
                                                                                                                                    flick_suntcp_encode_new_glob(4);
                                                                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                                                                    switch (_ev->_major)
                                                                                                                                      {
                                                                                                                                      case CORBA_NO_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    flick_suntcp_encode_end_glob(4);
                                                                                                                                    flick_suntcp_server_end_encode();
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                            flick_suntcp_decode_end_glob(100);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                      flick_suntcp_decode_end_glob(100);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(100);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(100);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(100);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(100);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(100);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(100);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(100);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(100);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(100);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(100);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          char _t950_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t950_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t950_switch_tag)
            {
            case '_':
              {
                char _t951_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t951_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t951_switch_tag)
                  {
                  case 'g':
                    {
                      char _t952_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t952_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t952_switch_tag)
                        {
                        case 'e':
                          {
                            char _t953_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t953_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t953_switch_tag)
                              {
                              case 't':
                                {
                                  char _t954_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t954_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t954_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t955_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t955_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t955_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t956_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t956_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t956_switch_tag)
                                                {
                                                case 'b':
                                                  {
                                                    char _t957_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t957_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t957_switch_tag)
                                                      {
                                                      case 'j':
                                                        {
                                                          char _t958_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t958_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t958_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t959_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t959_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t959_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t960_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t960_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t960_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t961_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t961_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t961_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t962_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t962_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t962_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t963_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t963_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t963_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t964_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t964_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t964_switch_tag)
                                                                                                {
                                                                                                case 'm':
                                                                                                  {
                                                                                                    char _t965_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t965_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t965_switch_tag)
                                                                                                      {
                                                                                                      case 'e':
                                                                                                        {
                                                                                                          char _t966_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t966_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t966_switch_tag)
                                                                                                            {
                                                                                                            case 0:
                                                                                                              {
                                                                                                                {
                                                                                                                  CORBA_ActivationImplDef _obj;
                                                                                                                  CORBA_Environment *_ev;
                                                                                                                  CORBA_char *_return = 0;
                                                                                                                  unsigned int _t967_ignore;
                                                                                                                  CORBA_Environment _t968_storage;

                                                                                                                  {
                                                                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                  }
                                                                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                  flick_suntcp_decode_new_chunk(16);
                                                                                                                  flick_xdr_decode_unsigned32(0, _t967_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(4, _t967_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(8, _t967_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(12, _t967_ignore);
                                                                                                                  _ev = &_t968_storage;
                                                                                                                  flick_suntcp_decode_end_chunk(16);
                                                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                                                  flick_suntcp_server_end_decode();
                                                                                                                  flick_corba_init_environment();
                                                                                                                  _return = CORBA_ActivationImplDef__get_object_name(_obj, _ev);
                                                                                                                  flick_suntcp_server_start_encode();
                                                                                                                  {
                                                                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                  }
                                                                                                                  flick_suntcp_encode_new_glob(4);
                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                  switch (_ev->_major)
                                                                                                                    {
                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                      {
                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                        flick_xdr_encode_longstring(_return, CORBA_flick_free, suntcp);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                      {
                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    default:
                                                                                                                      {
                                                                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                      }
                                                                                                                    }
                                                                                                                  flick_suntcp_server_end_encode();
                                                                                                                }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(100);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(100);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(100);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(100);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(100);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(100);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(100);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(100);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t969_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t969_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t969_switch_tag)
                        {
                        case 'e':
                          {
                            char _t970_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t970_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t970_switch_tag)
                              {
                              case 't':
                                {
                                  char _t971_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t971_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t971_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t972_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t972_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t972_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t973_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t973_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t973_switch_tag)
                                                {
                                                case 'b':
                                                  {
                                                    char _t974_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t974_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t974_switch_tag)
                                                      {
                                                      case 'j':
                                                        {
                                                          char _t975_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t975_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch (_t975_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t976_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t976_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch (_t976_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t977_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t977_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch (_t977_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t978_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t978_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch (_t978_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t979_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t979_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch (_t979_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t980_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t980_switch_tag);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch (_t980_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t981_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t981_switch_tag);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch (_t981_switch_tag)
                                                                                                {
                                                                                                case 'm':
                                                                                                  {
                                                                                                    char _t982_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t982_switch_tag);
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch (_t982_switch_tag)
                                                                                                      {
                                                                                                      case 'e':
                                                                                                        {
                                                                                                          char _t983_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t983_switch_tag);
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch (_t983_switch_tag)
                                                                                                            {
                                                                                                            case 0:
                                                                                                              {
                                                                                                                {
                                                                                                                  CORBA_ActivationImplDef _obj;
                                                                                                                  CORBA_char *_local_object_name;
                                                                                                                  CORBA_Environment *_ev;
                                                                                                                  unsigned int _t984_ignore;
                                                                                                                  CORBA_Environment _t985_storage;

                                                                                                                  {
                                                                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                                                  }
                                                                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                  flick_suntcp_decode_new_chunk(16);
                                                                                                                  flick_xdr_decode_unsigned32(0, _t984_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(4, _t984_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(8, _t984_ignore);
                                                                                                                  flick_xdr_decode_unsigned32(12, _t984_ignore);
                                                                                                                  flick_suntcp_decode_end_chunk(16);
                                                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                                                  flick_xdr_decode_auto_string(_local_object_name, auto_flick_alloc, suntcp);
                                                                                                                  _ev = &_t985_storage;
                                                                                                                  flick_suntcp_server_end_decode();
                                                                                                                  flick_corba_init_environment();
                                                                                                                  CORBA_ActivationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                                                                                                  flick_suntcp_server_start_encode();
                                                                                                                  {
                                                                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                                                  }
                                                                                                                  flick_suntcp_encode_new_glob(4);
                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                  switch (_ev->_major)
                                                                                                                    {
                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                      {
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                      {
                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    default:
                                                                                                                      {
                                                                                                                        flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                                      }
                                                                                                                    }
                                                                                                                  flick_suntcp_encode_end_glob(4);
                                                                                                                  flick_suntcp_server_end_encode();
                                                                                                                }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                                flick_suntcp_decode_end_glob(100);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                          flick_suntcp_decode_end_glob(100);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                                    flick_suntcp_decode_end_glob(100);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                              flick_suntcp_decode_end_glob(100);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(100);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(100);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(100);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(100);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(100);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(100);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(100);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t986_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t986_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t986_switch_tag)
            {
            case '_':
              {
                char _t987_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t987_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t987_switch_tag)
                  {
                  case 'g':
                    {
                      char _t988_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t988_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t988_switch_tag)
                        {
                        case 'e':
                          {
                            char _t989_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t989_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t989_switch_tag)
                              {
                              case 't':
                                {
                                  char _t990_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t990_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t990_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t991_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t991_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t991_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t992_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t992_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t992_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t993_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t993_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t993_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            CORBA_ActivationImplDef _obj;
                                                            CORBA_Environment *_ev;
                                                            CORBA_ReferenceData *_return = 0;
                                                            unsigned int _t994_ignore;
                                                            CORBA_Environment _t995_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t994_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t994_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t994_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t994_ignore);
                                                            _ev = &_t995_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(100);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = CORBA_ActivationImplDef__get_id(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  unsigned long int _t997_array_iter;

                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_unsigned32(0, _return->_length);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_encode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t997_array_iter = 0; _t997_array_iter < _return->_length; _t997_array_iter++)
                                                                    {
                                                                      flick_suntcp_encode_new_chunk(4);
                                                                      flick_xdr_encode_unsigned8(0, _return->_buffer[_t997_array_iter]);
                                                                      flick_suntcp_encode_end_chunk(4);
                                                                    }
                                                                  CORBA_flick_free(_return->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_encode_new_chunk(4 * _return->_length);
                                                                  flick_xdr_encode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                                                  CORBA_flick_free(_return->_buffer);
                                                                  flick_suntcp_encode_end_chunk(4 * _return->_length);
#endif /* ENDIANness */
                                                                  flick_suntcp_encode_end_glob(4 * _return->_length);
                                                                  CORBA_flick_free(_return);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                }
                                                              }
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t998_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t998_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t998_switch_tag)
                        {
                        case 'e':
                          {
                            char _t999_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t999_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t999_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1000_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1000_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t1000_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1001_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1001_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch (_t1001_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t1002_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1002_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch (_t1002_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t1003_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1003_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch (_t1003_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            CORBA_ActivationImplDef _obj;
                                                            CORBA_ReferenceData *_local_id;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t1004_ignore;
                                                            CORBA_ReferenceData _t1005_storage;
                                                            unsigned long int _t1006_array_iter;
                                                            CORBA_Environment _t1007_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t1004_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t1004_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t1004_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t1004_ignore);
                                                            _local_id = &_t1005_storage;
                                                            flick_xdr_decode_unsigned32(16, _local_id->_length);
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(100);
                                                            flick_suntcp_decode_new_glob(4 * _local_id->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                            _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                            for (_t1006_array_iter = 0; _t1006_array_iter < _local_id->_length; _t1006_array_iter++)
                                                              {
                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_unsigned8(0, _local_id->_buffer[_t1006_array_iter]);
                                                                flick_suntcp_decode_end_chunk(4);
                                                              }
#else /* BIG_ENDIAN - do a bcopy*/
                                                            flick_suntcp_decode_new_chunk(4 * _local_id->_length);
                                                            flick_xdr_decode_msgptr(0, _local_id->_buffer);
                                                            flick_suntcp_decode_end_chunk(4 * _local_id->_length);
#endif /* ENDIANness */
                                                            flick_suntcp_decode_end_glob(4 * _local_id->_length);
                                                            _ev = &_t1007_storage;
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            CORBA_ActivationImplDef__set_id(_obj, _local_id, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(4);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                }
                                                              }
                                                            flick_suntcp_encode_end_glob(4);
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(100);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(100);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(100);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(100);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(100);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(100);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(100);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(100);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(100);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
